CREATE TABLE event (
    datetime timestamp without time zone,
    latitude double precision,
    longitude double precision,
    depth double precision,
    latitude_err double precision,
    longitude_err double precision,
    depth_err double precision,
    type character varying(128),
    deep_nest character varying(128),
    comments character varying(256)
);

INSERT INTO event VALUES ('1969-07-20 20:17:00', 0.6741, 23.473, NULL, NULL, NULL, NULL, 'Apollo 11 LM landed', NULL, NULL);
INSERT INTO event VALUES ('1969-07-21 17:54:00', 0.6741, 23.473, NULL, NULL, NULL, NULL, 'Apollo 11 LM lifted off', NULL, NULL);
INSERT INTO event VALUES ('1969-07-27 23:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '11Z AMLPITUDE');
INSERT INTO event VALUES ('1969-07-28 11:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '11Z AMPLITUDE');
INSERT INTO event VALUES ('1969-07-28 13:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '11Z AMPLITUDE  SP');
INSERT INTO event VALUES ('1969-07-29 13:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '11Z AMPLITUDE');
INSERT INTO event VALUES ('1969-08-02 17:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '11Z AMPLITUDE');
INSERT INTO event VALUES ('1969-08-21 18:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '11Z AMPLITUDE');
INSERT INTO event VALUES ('1969-08-23 00:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '11Z AMPLITUDE');
INSERT INTO event VALUES ('1969-08-24 06:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '11Z AMPLITUDE');
INSERT INTO event VALUES ('1969-08-25 00:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '11Z AMPLITUDE  SP');
INSERT INTO event VALUES ('1969-11-20 22:17:17.7',-3.94,-21.20, 0, NULL, NULL, NULL, 'LM Impact', NULL, '12 LM IMP');
INSERT INTO event VALUES ('1969-11-24 07:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1969-11-27 03:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1969-11-28 03:39:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1969-11-28 10:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1969-11-29 09:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', NULL);
INSERT INTO event VALUES ('1969-11-29 11:55:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1969-11-30 03:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', NULL);
INSERT INTO event VALUES ('1969-11-30 06:28:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', NULL);
INSERT INTO event VALUES ('1969-11-30 11:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1969-11-30 19:15:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1969-12-01 01:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '12', NULL);
INSERT INTO event VALUES ('1969-12-01 05:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1969-12-01 06:52:00',-13.70,-21.60, 764,3.90,4.50, 81, 'Deep Moonquake', '216', NULL);
INSERT INTO event VALUES ('1969-12-01 10:52:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1969-12-02 00:04:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', 'T?');
INSERT INTO event VALUES ('1969-12-02 02:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '206', NULL);
INSERT INTO event VALUES ('1969-12-02 13:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1969-12-05 17:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '303', NULL);
INSERT INTO event VALUES ('1969-12-06 20:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '4', NULL);
INSERT INTO event VALUES ('1969-12-08 01:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1969-12-08 08:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1969-12-09 19:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '305', NULL);
INSERT INTO event VALUES ('1969-12-10 14:43:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1969-12-10 21:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1969-12-11 02:01:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1969-12-11 04:03:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', NULL);
INSERT INTO event VALUES ('1969-12-11 10:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'T?');
INSERT INTO event VALUES ('1969-12-11 19:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1969-12-12 01:54:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1969-12-12 08:20:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1969-12-12 18:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1969-12-13 03:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1969-12-13 07:21:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1969-12-13 07:40:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1969-12-13 14:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1969-12-13 18:54:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1969-12-13 22:29:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1969-12-14 02:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1969-12-14 02:30:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1969-12-14 04:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1969-12-14 09:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1969-12-14 22:18:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1969-12-14 23:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1969-12-15 13:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1969-12-16 00:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1969-12-18 03:14:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1969-12-21 00:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1969-12-23 04:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1969-12-23 22:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1969-12-26 19:14:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1969-12-26 22:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1969-12-27 09:04:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1969-12-27 13:40:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1969-12-27 21:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1969-12-28 02:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', NULL);
INSERT INTO event VALUES ('1969-12-28 07:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'T?');
INSERT INTO event VALUES ('1969-12-28 07:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', 'T?');
INSERT INTO event VALUES ('1969-12-28 08:50:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', 'T?');
INSERT INTO event VALUES ('1969-12-28 11:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '12', NULL);
INSERT INTO event VALUES ('1969-12-29 02:42:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1969-12-29 22:35:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', NULL);
INSERT INTO event VALUES ('1970-01-01 01:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '206', NULL);
INSERT INTO event VALUES ('1970-01-02 02:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-01-02 21:18:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-01-03 09:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '303', NULL);
INSERT INTO event VALUES ('1970-01-03 11:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-01-03 12:42:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-01-03 16:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-01-04 11:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-01-04 11:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '217', NULL);
INSERT INTO event VALUES ('1970-01-04 16:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '4', NULL);
INSERT INTO event VALUES ('1970-01-04 21:05:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1970-01-06 03:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-01-06 13:28:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-01-06 21:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '305', NULL);
INSERT INTO event VALUES ('1970-01-07 02:04:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1970-01-07 09:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'T?');
INSERT INTO event VALUES ('1970-01-07 11:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-01-08 00:49:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-01-08 04:40:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1970-01-08 12:49:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', NULL);
INSERT INTO event VALUES ('1970-01-08 16:40:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1970-01-09 01:08:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', NULL);
INSERT INTO event VALUES ('1970-01-09 02:03:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-01-09 06:49:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1970-01-09 07:32:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-08-13 16:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-01-10 04:09:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1970-01-10 06:54:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1970-01-10 23:06:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-01-11 02:39:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-01-12 00:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-01-12 12:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '213', NULL);
INSERT INTO event VALUES ('1970-01-15 04:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-01-19 20:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-01-20 15:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-01-21 04:55:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-01-21 12:50:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-01-21 19:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-01-22 08:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', NULL);
INSERT INTO event VALUES ('1970-01-22 15:06:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1970-01-23 20:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-01-24 03:39:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1970-01-24 04:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-01-24 06:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-01-25 02:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '12', NULL);
INSERT INTO event VALUES ('1970-01-26 11:42:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-01-26 14:47:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', NULL);
INSERT INTO event VALUES ('1970-01-29 00:17:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1970-01-29 16:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '206', NULL);
INSERT INTO event VALUES ('1970-01-30 06:29:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-01-31 23:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '303', NULL);
INSERT INTO event VALUES ('1970-02-01 03:48:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-02-01 04:30:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', NULL);
INSERT INTO event VALUES ('1970-02-02 02:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '217', NULL);
INSERT INTO event VALUES ('1970-02-02 10:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '4', NULL);
INSERT INTO event VALUES ('1970-02-02 14:30:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-02-02 15:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-02-02 20:57:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1970-02-03 18:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-02-03 20:29:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1970-02-04 18:49:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-02-04 20:40:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-02-05 04:22:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-02-05 08:11:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1970-02-05 14:32:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', NULL);
INSERT INTO event VALUES ('1970-02-05 16:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-02-06 08:06:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1970-02-07 01:33:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-02-07 03:26:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1970-02-07 13:39:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1970-02-09 08:21:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-02-10 07:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-02-12 21:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'T?');
INSERT INTO event VALUES ('1970-02-16 10:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-02-18 00:29:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', 'TX');
INSERT INTO event VALUES ('1970-02-18 01:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-02-18 03:32:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-02-18 07:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '301', NULL);
INSERT INTO event VALUES ('1970-02-18 12:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-02-18 14:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', NULL);
INSERT INTO event VALUES ('1970-02-18 15:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-02-19 00:28:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', NULL);
INSERT INTO event VALUES ('1970-02-19 03:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-02-19 08:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', NULL);
INSERT INTO event VALUES ('1970-02-19 09:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-02-19 16:35:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-02-20 05:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-02-20 10:25:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1970-02-20 12:25:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-02-20 13:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-02-20 16:12:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1970-02-20 18:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-02-20 19:11:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-02-20 23:04:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-02-21 07:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-02-21 11:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-02-21 18:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '12', NULL);
INSERT INTO event VALUES ('1970-02-23 05:31:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', NULL);
INSERT INTO event VALUES ('1970-02-23 21:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-02-25 06:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-02-26 16:31:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1970-03-01 18:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '304', NULL);
INSERT INTO event VALUES ('1970-03-01 18:53:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', NULL);
INSERT INTO event VALUES ('1970-03-02 01:30:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1970-03-02 01:52:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-03-02 04:44:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-03-02 08:01:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', NULL);
INSERT INTO event VALUES ('1970-03-02 10:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-03-02 15:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '80', NULL);
INSERT INTO event VALUES ('1970-03-02 22:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '4', NULL);
INSERT INTO event VALUES ('1970-03-03 07:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-03-03 08:30:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1970-03-03 09:55:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1970-03-03 13:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-03-03 15:32:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1970-03-03 20:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-11-28 04:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '301', NULL);
INSERT INTO event VALUES ('1970-03-04 04:22:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-03-05 17:02:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-03-05 19:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-03-05 23:45:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-03-06 01:40:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1970-03-06 08:45:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1970-03-06 21:34:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1970-03-07 12:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'T?');
INSERT INTO event VALUES ('1970-03-07 22:55:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-03-11 19:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-03-14 12:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-03-15 09:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '205', NULL);
INSERT INTO event VALUES ('1970-03-15 18:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '205', NULL);
INSERT INTO event VALUES ('1970-03-16 16:36:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1970-03-17 01:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-03-18 08:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', NULL);
INSERT INTO event VALUES ('1970-03-18 08:59:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1970-03-19 11:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-03-19 21:01:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-03-20 05:57:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1970-03-20 15:50:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-03-21 05:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '12', NULL);
INSERT INTO event VALUES ('1970-03-21 11:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-03-22 05:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-03-22 19:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-03-23 04:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-03-24 15:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-03-25 00:00:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1970-03-25 03:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-03-26 10:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-03-26 20:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-03-29 02:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-03-29 17:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '219', NULL);
INSERT INTO event VALUES ('1970-03-29 21:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '4', NULL);
INSERT INTO event VALUES ('1970-03-29 22:40:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-03-30 10:35:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1970-03-30 11:57:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1970-03-30 12:51:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-03-30 17:40:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-03-30 21:48:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-03-30 23:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '304', NULL);
INSERT INTO event VALUES ('1970-03-31 11:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-03-31 16:39:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1970-04-01 00:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-04-01 01:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-04-01 03:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-04-01 06:11:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1970-04-01 08:09:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1970-04-01 09:52:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-04-01 12:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-04-02 17:03:00',30.10,53.20, 975,2.90,9.80, 24, 'Deep Moonquake', '64', NULL);
INSERT INTO event VALUES ('1970-04-03 10:49:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-04-04 20:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-04-05 11:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-04-05 23:47:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-04-06 11:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-04-08 00:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-04-08 08:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-04-10 11:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-04-11 23:58:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1970-04-12 02:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-04-12 06:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '205', NULL);
INSERT INTO event VALUES ('1970-04-12 07:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1970-04-13 14:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-04-13 16:05:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-04-13 21:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '301', NULL);
INSERT INTO event VALUES ('1970-04-14 01:35:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-04-14 10:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-04-15 01:09:00',-2.75,-27.86, 0, NULL, NULL, NULL, 'S-IVB Impact', NULL, '13 S4B IMP');
INSERT INTO event VALUES ('1970-04-15 12:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-04-16 04:39:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-04-16 11:35:00',-27.90,-31.00, 932,3.60,2.10, 12, 'Deep Moonquake', '53', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1970-04-17 01:53:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-04-17 06:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-04-17 08:18:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', NULL);
INSERT INTO event VALUES ('1970-04-17 14:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '12', NULL);
INSERT INTO event VALUES ('1970-04-17 18:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '222', NULL);
INSERT INTO event VALUES ('1970-04-18 00:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-04-19 06:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-04-20 20:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-04-22 01:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-04-22 13:22:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1970-04-22 16:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-04-23 05:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-04-23 23:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-04-24 16:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '4', NULL);
INSERT INTO event VALUES ('1970-04-24 21:51:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1970-04-25 01:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-04-26 03:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '219', NULL);
INSERT INTO event VALUES ('1970-04-26 03:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-04-26 07:54:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1970-04-26 08:30:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', NULL);
INSERT INTO event VALUES ('1970-04-26 10:09:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-04-26 14:29:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-04-26 15:12:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1971-04-02 06:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-04-26 20:41:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', NULL);
INSERT INTO event VALUES ('1970-04-27 04:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '304', NULL);
INSERT INTO event VALUES ('1970-04-27 10:02:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1970-04-27 21:35:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'T?, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1970-04-28 02:26:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1970-04-28 10:48:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-04-28 14:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-04-29 04:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-04-29 18:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-04-30 02:53:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-04-30 06:27:00',30.10,53.20, 975,2.90,9.80, 24, 'Deep Moonquake', '64', NULL);
INSERT INTO event VALUES ('1970-05-01 03:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-05-01 06:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-05-01 08:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-05-03 10:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-05-03 11:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-05-05 12:28:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-05-07 11:56:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1970-05-09 16:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '205', NULL);
INSERT INTO event VALUES ('1970-05-10 17:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '301', NULL);
INSERT INTO event VALUES ('1970-05-11 01:40:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-05-11 07:06:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1970-05-11 08:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', NULL);
INSERT INTO event VALUES ('1970-05-12 03:51:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1970-05-12 13:22:00',-13.70,-21.60, 764,3.90,4.50, 81, 'Deep Moonquake', '216', NULL);
INSERT INTO event VALUES ('1970-05-12 16:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-05-13 11:46:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-05-13 14:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', NULL);
INSERT INTO event VALUES ('1970-05-14 03:59:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1970-05-14 05:08:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-05-14 09:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '206', NULL);
INSERT INTO event VALUES ('1970-05-14 21:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '12', NULL);
INSERT INTO event VALUES ('1970-05-15 04:56:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-05-15 06:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-05-15 11:47:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', NULL);
INSERT INTO event VALUES ('1970-05-16 06:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-05-16 22:21:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1970-05-17 10:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1970-05-20 16:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TX');
INSERT INTO event VALUES ('1970-05-20 16:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'TX');
INSERT INTO event VALUES ('1970-05-23 00:01:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1970-05-23 05:29:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-05-23 07:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-05-23 13:08:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-05-23 15:47:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-05-23 21:12:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1970-05-24 00:08:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', 'T?');
INSERT INTO event VALUES ('1970-05-24 04:35:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-05-24 12:27:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1970-05-24 13:02:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', NULL);
INSERT INTO event VALUES ('1970-05-24 23:12:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1970-05-25 12:12:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-05-27 03:27:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-05-27 05:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-05-27 08:58:00',30.10,53.20, 975,2.90,9.80, 24, 'Deep Moonquake', '64', NULL);
INSERT INTO event VALUES ('1970-06-04 15:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'TX');
INSERT INTO event VALUES ('1970-06-05 19:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-06-07 04:50:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-06-07 11:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-06-07 12:23:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1970-06-07 15:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-06-07 18:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-06-08 11:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-06-09 10:23:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1970-06-09 22:00:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-06-10 07:02:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-06-10 22:34:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-06-11 08:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '12', NULL);
INSERT INTO event VALUES ('1970-06-11 19:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-06-12 03:22:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1970-06-12 09:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-06-12 10:55:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', NULL);
INSERT INTO event VALUES ('1970-06-13 00:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-06-13 05:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '206', NULL);
INSERT INTO event VALUES ('1970-06-15 00:35:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1970-06-15 19:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-06-16 02:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-06-17 12:50:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-06-17 23:46:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1970-06-18 15:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-06-19 02:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-06-19 06:48:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1970-06-19 15:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-06-19 21:27:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1970-06-20 00:30:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-06-20 17:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-06-20 18:31:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', NULL);
INSERT INTO event VALUES ('1970-06-20 20:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-06-20 23:42:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1970-06-21 03:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-06-21 14:58:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-06-21 16:16:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-06-21 23:22:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1970-06-22 03:06:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1970-06-22 11:58:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-06-23 11:00:00',30.10,53.20, 975,2.90,9.80, 24, 'Deep Moonquake', '64', NULL);
INSERT INTO event VALUES ('1970-06-23 12:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-06-24 00:40:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-06-24 22:05:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-06-26 20:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-06-30 01:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-07-02 10:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-07-02 19:05:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1970-07-03 07:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-07-04 06:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '301', NULL);
INSERT INTO event VALUES ('1970-07-04 16:12:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1970-07-05 17:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-07-05 19:58:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1970-07-06 11:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', 'T?');
INSERT INTO event VALUES ('1970-07-06 14:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-07-06 15:18:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1970-07-06 22:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-07-08 02:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-07-08 18:09:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-07-09 04:48:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-07-09 07:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '222', NULL);
INSERT INTO event VALUES ('1970-07-09 17:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-07-10 04:56:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', NULL);
INSERT INTO event VALUES ('1970-07-10 19:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-07-12 05:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '206', NULL);
INSERT INTO event VALUES ('1970-07-12 14:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-07-13 15:50:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-07-15 03:10:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', NULL);
INSERT INTO event VALUES ('1970-07-15 07:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '43', NULL);
INSERT INTO event VALUES ('1970-07-15 14:06:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-07-15 21:35:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', NULL);
INSERT INTO event VALUES ('1970-07-16 03:48:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-07-16 07:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '4', NULL);
INSERT INTO event VALUES ('1970-07-16 08:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-07-16 20:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-07-16 22:54:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1970-07-17 01:35:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1970-07-17 05:02:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1970-07-18 00:33:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-07-18 08:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-07-19 15:42:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-07-20 05:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-07-20 06:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-07-20 11:17:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1970-07-20 11:44:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-07-21 21:50:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-07-23 05:35:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-07-24 17:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-07-27 03:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-07-29 01:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-07-29 05:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-07-29 23:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1970-07-30 01:10:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1970-07-30 04:00:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1970-07-30 21:48:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-07-31 09:53:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-07-31 12:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', NULL);
INSERT INTO event VALUES ('1970-08-01 00:09:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1970-08-02 03:48:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1970-08-02 06:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '306', NULL);
INSERT INTO event VALUES ('1970-08-02 20:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-08-02 20:41:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-08-03 02:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-08-03 05:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-08-03 07:33:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1970-08-03 09:33:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1970-08-04 13:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-08-05 04:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '222', NULL);
INSERT INTO event VALUES ('1970-08-05 12:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-08-05 18:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-08-06 03:11:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-08-06 06:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-08-07 08:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-08-09 21:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-08-10 01:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-08-10 05:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-08-10 09:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-08-10 10:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-08-10 11:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '206', NULL);
INSERT INTO event VALUES ('1970-08-11 00:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-08-11 04:28:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1970-08-11 14:23:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1970-08-11 18:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-08-12 11:44:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', NULL);
INSERT INTO event VALUES ('1970-08-12 18:14:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', NULL);
INSERT INTO event VALUES ('1970-08-12 20:46:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-08-12 21:10:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-08-12 23:05:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1970-08-13 10:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-08-13 11:52:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', NULL);
INSERT INTO event VALUES ('1970-08-13 17:28:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', NULL);
INSERT INTO event VALUES ('1970-08-13 21:08:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1970-08-13 21:38:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', NULL);
INSERT INTO event VALUES ('1970-08-14 03:57:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1970-08-14 18:26:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-08-15 00:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-08-15 17:45:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1970-08-15 23:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-08-16 15:45:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-08-17 06:57:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-08-17 12:43:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1970-08-17 13:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-08-17 17:37:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1970-08-19 23:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-08-20 09:32:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1970-08-20 13:18:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-08-21 00:22:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1970-08-22 05:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-08-23 04:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-08-25 11:47:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', NULL);
INSERT INTO event VALUES ('1970-08-26 05:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '205', NULL);
INSERT INTO event VALUES ('1970-08-26 09:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1970-08-26 14:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1970-08-27 16:00:00',23.00,20.40, 1085,3.30,4.70, 64, 'Deep Moonquake', '27', NULL);
INSERT INTO event VALUES ('1970-08-27 20:28:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-08-28 05:02:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-08-28 05:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', NULL);
INSERT INTO event VALUES ('1970-08-28 07:22:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1970-08-28 08:00:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1970-08-28 14:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '301', NULL);
INSERT INTO event VALUES ('1970-08-29 04:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-08-29 13:10:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-08-29 15:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', NULL);
INSERT INTO event VALUES ('1970-08-29 18:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '302', NULL);
INSERT INTO event VALUES ('1970-08-29 21:35:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1970-08-30 05:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '306', NULL);
INSERT INTO event VALUES ('1970-08-30 16:52:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-08-31 00:18:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-08-31 08:12:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1970-08-31 15:23:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1970-09-01 22:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '12', NULL);
INSERT INTO event VALUES ('1970-09-03 16:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-09-03 17:53:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-09-05 19:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-09-07 11:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-09-08 10:48:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1970-09-08 18:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '301', NULL);
INSERT INTO event VALUES ('1970-09-09 00:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-09-09 10:44:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1970-09-09 12:10:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-09-09 17:49:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1970-09-09 20:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-09-10 00:11:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', NULL);
INSERT INTO event VALUES ('1970-09-10 08:19:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1970-09-10 09:37:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1970-09-11 00:09:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1970-09-11 08:13:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-09-11 12:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-09-12 09:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-09-12 11:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-09-13 10:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-09-13 10:38:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-09-13 23:03:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-09-14 07:18:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1970-09-14 12:57:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-09-15 07:59:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1970-09-15 21:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-09-16 16:48:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-09-17 03:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-09-17 16:40:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1970-09-17 19:02:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-09-21 20:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '205', NULL);
INSERT INTO event VALUES ('1970-09-21 21:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1970-09-23 07:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '205', NULL);
INSERT INTO event VALUES ('1970-09-24 04:41:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-09-24 17:20:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1970-09-24 23:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-09-25 01:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '301', NULL);
INSERT INTO event VALUES ('1970-09-25 23:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', NULL);
INSERT INTO event VALUES ('1970-09-26 01:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-09-26 01:41:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-09-26 13:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '302', NULL);
INSERT INTO event VALUES ('1970-09-26 16:04:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-09-26 19:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-09-27 03:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '306', NULL);
INSERT INTO event VALUES ('1970-09-27 09:02:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-09-27 11:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-02 08:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-02 08:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-09-27 12:47:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-09-27 22:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-09-28 21:20:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1970-09-29 07:32:00',-9.50,-53.60, 750,17.60,5.90, 109, 'Deep Moonquake', '59', '(*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1970-09-29 17:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '12', NULL);
INSERT INTO event VALUES ('1970-09-29 22:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '222', NULL);
INSERT INTO event VALUES ('1970-10-02 05:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-10-04 04:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-10-06 15:15:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1970-10-06 16:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-10-06 19:32:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', 'T?');
INSERT INTO event VALUES ('1970-10-06 20:28:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', NULL);
INSERT INTO event VALUES ('1970-10-06 23:52:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1970-10-07 05:47:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-10-07 13:33:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', NULL);
INSERT INTO event VALUES ('1970-10-07 16:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-10-07 19:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '304', NULL);
INSERT INTO event VALUES ('1970-10-07 19:39:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1970-10-08 03:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '303', NULL);
INSERT INTO event VALUES ('1970-10-08 04:12:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1970-10-08 08:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '219', NULL);
INSERT INTO event VALUES ('1970-10-08 23:18:00',27.50,34.30, 919,9.90,20.60, 160, 'Deep Moonquake', '82', NULL);
INSERT INTO event VALUES ('1970-10-09 07:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-10-09 10:48:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1970-10-10 04:58:00',30.10,53.20, 975,2.90,9.80, 24, 'Deep Moonquake', '64', NULL);
INSERT INTO event VALUES ('1970-10-11 04:35:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-10-11 09:36:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-10-14 03:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-10-15 13:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-10-15 18:01:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-10-18 22:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-10-19 04:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1970-10-20 01:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1970-10-20 07:28:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1970-10-20 18:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', NULL);
INSERT INTO event VALUES ('1970-10-21 01:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-10-21 07:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-10-21 08:36:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1970-10-21 18:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-10-22 04:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-10-22 15:51:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1970-10-23 08:10:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1970-10-23 10:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', NULL);
INSERT INTO event VALUES ('1970-10-23 14:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-10-23 18:36:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-10-24 11:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-10-24 15:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '306', NULL);
INSERT INTO event VALUES ('1970-10-24 22:51:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-10-25 01:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-10-26 05:10:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1970-10-26 05:56:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1970-10-26 11:47:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1970-10-26 21:51:00',-9.50,-53.60, 750,17.60,5.90, 109, 'Deep Moonquake', '59', '(*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1970-10-27 07:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '12', NULL);
INSERT INTO event VALUES ('1970-10-27 13:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-10-28 17:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-10-28 20:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-11-01 22:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-11-03 03:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-11-03 08:36:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1970-11-03 17:14:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-11-03 19:14:00',-27.90,-31.00, 932,3.60,2.10, 12, 'Deep Moonquake', '53', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1970-11-03 23:35:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-11-04 02:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-11-04 06:11:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1970-11-04 18:44:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1970-11-06 02:14:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1970-11-06 15:02:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-11-07 10:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-11-07 14:39:00',30.10,53.20, 975,2.90,9.80, 24, 'Deep Moonquake', '64', NULL);
INSERT INTO event VALUES ('1970-11-08 01:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-11-08 08:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-11-10 05:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-11-10 13:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-11-12 00:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-11-12 10:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-11-12 12:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-11-15 06:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-11-16 07:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-11-16 13:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-11-17 00:08:00',53.40,60.90, 1077,15.20,66.10, 32, 'Deep Moonquake', '29', NULL);
INSERT INTO event VALUES ('1970-11-17 05:02:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1970-11-17 07:50:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1970-11-17 08:07:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-11-18 20:02:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1970-11-19 06:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-11-20 01:12:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1970-11-20 04:14:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1970-11-20 05:31:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1970-11-20 15:48:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-11-20 22:36:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-11-24 04:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '222', NULL);
INSERT INTO event VALUES ('1970-11-26 11:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-11-28 06:01:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1970-11-28 13:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-11-29 14:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-11-30 01:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-11-30 02:34:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-11-30 22:41:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-12-01 00:50:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-12-01 02:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '304', NULL);
INSERT INTO event VALUES ('1970-12-02 00:44:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1970-12-02 04:08:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-12-02 06:57:00',27.50,34.30, 919,9.90,20.60, 160, 'Deep Moonquake', '82', NULL);
INSERT INTO event VALUES ('1970-12-02 17:04:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1970-12-02 20:12:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1970-12-03 16:38:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-12-04 15:18:00',30.10,53.20, 975,2.90,9.80, 24, 'Deep Moonquake', '64', 'T?');
INSERT INTO event VALUES ('1970-12-08 00:48:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-12-11 07:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-12-11 11:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-12-13 11:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1970-12-13 22:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-12-14 07:13:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1970-12-14 15:15:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1970-12-14 23:11:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1970-12-16 04:21:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1970-12-16 12:32:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1970-12-16 21:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-12-16 22:48:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1970-12-17 05:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-12-19 07:25:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', NULL);
INSERT INTO event VALUES ('1970-12-20 16:40:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1970-12-23 05:01:00',-9.50,-53.60, 750,17.60,5.90, 109, 'Deep Moonquake', '59', '(*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1970-12-24 10:39:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', NULL);
INSERT INTO event VALUES ('1970-12-26 20:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-12-26 23:08:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', NULL);
INSERT INTO event VALUES ('1970-12-27 20:34:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-12-27 22:22:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1970-12-28 07:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1970-12-28 10:08:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1970-12-28 15:50:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-12-28 20:00:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1970-12-28 20:28:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1970-12-29 14:28:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1970-12-29 15:52:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', 'TX');
INSERT INTO event VALUES ('1970-12-29 23:08:00',27.50,34.30, 919,9.90,20.60, 160, 'Deep Moonquake', '82', NULL);
INSERT INTO event VALUES ('1970-12-31 02:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1970-12-31 04:54:00',30.10,53.20, 975,2.90,9.80, 24, 'Deep Moonquake', '64', NULL);
INSERT INTO event VALUES ('1970-12-31 15:41:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-01-03 10:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-01-04 00:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-01-04 03:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-01-04 16:51:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-01-04 21:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-01-04 23:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-01-05 00:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-01-05 07:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-01-09 12:23:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1971-01-09 17:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1971-01-09 20:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', NULL);
INSERT INTO event VALUES ('1971-01-10 04:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-01-10 07:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-01-10 08:39:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-01-10 18:32:00',53.40,60.90, 1077,15.20,66.10, 32, 'Deep Moonquake', '29', NULL);
INSERT INTO event VALUES ('1971-01-10 22:18:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1971-01-10 23:46:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1971-01-11 01:08:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-01-11 11:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-01-11 17:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-01-11 19:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', NULL);
INSERT INTO event VALUES ('1971-01-12 07:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-01-12 13:08:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1971-01-12 23:41:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-01-13 01:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-01-15 12:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-01-17 05:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-01-17 17:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-01-18 08:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-01-18 10:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-01-20 21:04:00',-9.50,-53.60, 750,17.60,5.90, 109, 'Deep Moonquake', '59', '(*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1971-01-21 09:40:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-01-21 18:56:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-01-22 00:17:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-01-22 02:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-01-22 03:17:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', NULL);
INSERT INTO event VALUES ('1971-01-22 06:43:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1971-01-22 10:57:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-01-23 11:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-01-23 14:31:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-01-23 18:39:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', NULL);
INSERT INTO event VALUES ('1971-01-24 01:40:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', NULL);
INSERT INTO event VALUES ('1971-01-24 08:18:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1971-01-24 10:28:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1971-01-24 14:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '304', NULL);
INSERT INTO event VALUES ('1971-01-24 19:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-01-24 22:07:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-01-25 21:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-01-25 22:48:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-01-27 18:33:00',30.10,53.20, 975,2.90,9.80, 24, 'Deep Moonquake', '64', NULL);
INSERT INTO event VALUES ('1971-01-28 08:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1971-01-28 14:59:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-01-29 18:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-01-31 01:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-01-31 06:07:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-02-02 00:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'T?');
INSERT INTO event VALUES ('1971-02-03 02:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'T?');
INSERT INTO event VALUES ('1971-02-04 07:40:00',-8.09,-26.02, 0, NULL, NULL, NULL, 'S-IVB Impact', NULL, 'T?,  14 S4B IMP');
INSERT INTO event VALUES ('1971-02-05 09:18:11',-3.65,-17.47, 0, NULL, NULL, NULL, 'LM Landing', NULL, '14LM Landing');
INSERT INTO event VALUES ('1971-02-06 02:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1971-02-06 18:54:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-02-07 00:47:00',-3.42,-19.67, 0, NULL, NULL, NULL, 'LM Impact', NULL, '14 LM IMP');
INSERT INTO event VALUES ('1971-02-07 04:19:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-02-07 07:46:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1971-02-07 09:16:00',53.40,60.90, 1077,15.20,66.10, 32, 'Deep Moonquake', '29', NULL);
INSERT INTO event VALUES ('1971-02-07 17:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-02-07 18:40:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1971-02-08 00:06:00',23.00,20.40, 1085,3.30,4.70, 64, 'Deep Moonquake', '27', NULL);
INSERT INTO event VALUES ('1971-02-08 05:23:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-02-08 07:09:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1971-02-09 02:41:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1971-02-09 03:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-02-10 01:49:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-02-10 02:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-02-10 13:43:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-02-10 18:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-02-11 09:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-02-12 02:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-02-13 11:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-02-13 15:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-02-13 19:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '372', NULL);
INSERT INTO event VALUES ('1971-02-14 06:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-02-14 10:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-02-14 18:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-02-14 23:40:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', 'C?');
INSERT INTO event VALUES ('1971-02-15 12:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1971-02-15 19:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-02-15 22:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-02-16 01:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-02-16 03:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-02-16 20:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-02-18 19:51:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-02-19 06:08:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-02-19 10:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-02-19 12:28:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-02-19 13:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '220', NULL);
INSERT INTO event VALUES ('1971-02-19 14:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '206', NULL);
INSERT INTO event VALUES ('1971-02-19 15:32:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-02-19 17:35:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', 'MATCHES W. 71-078/2235');
INSERT INTO event VALUES ('1971-02-19 22:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-02-19 22:52:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', NULL);
INSERT INTO event VALUES ('1971-02-19 23:08:00',-13.70,-21.60, 764,3.90,4.50, 81, 'Deep Moonquake', '216', NULL);
INSERT INTO event VALUES ('1971-02-20 00:09:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-02-20 01:13:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1971-02-20 03:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-02-20 04:37:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-02-20 05:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-02-20 11:05:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', NULL);
INSERT INTO event VALUES ('1971-02-20 11:39:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1971-02-20 15:07:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-02-20 16:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '333', NULL);
INSERT INTO event VALUES ('1971-02-20 17:20:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-02-20 23:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '340', NULL);
INSERT INTO event VALUES ('1971-02-20 23:35:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1971-02-21 10:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '80', NULL);
INSERT INTO event VALUES ('1971-02-21 11:24:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1971-02-21 18:36:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-02-21 19:17:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1971-02-21 21:53:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1971-02-22 02:13:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-02-22 05:38:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1971-02-22 07:55:00',3.40,2.00, 559,0.60,0.70, 97, 'Deep Moonquake', '259', NULL);
INSERT INTO event VALUES ('1971-02-22 10:19:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', NULL);
INSERT INTO event VALUES ('1971-02-22 12:10:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', NULL);
INSERT INTO event VALUES ('1971-02-22 15:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '270', NULL);
INSERT INTO event VALUES ('1971-02-22 15:50:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-02-22 18:16:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', NULL);
INSERT INTO event VALUES ('1971-02-23 04:01:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1971-04-02 09:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', NULL);
INSERT INTO event VALUES ('1971-02-23 04:36:00',-69.40,75.40, 933,4.40,24.60, 109, 'Deep Moonquake', '241', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-02-23 04:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-02-23 14:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '72', NULL);
INSERT INTO event VALUES ('1971-02-23 19:50:00',-7.80,5.40, 933,3.50,1.70, 109, 'Deep Moonquake', '236', NULL);
INSERT INTO event VALUES ('1971-02-24 05:49:00',30.10,53.20, 975,2.90,9.80, 24, 'Deep Moonquake', '64', NULL);
INSERT INTO event VALUES ('1971-02-24 07:05:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1971-02-24 22:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '331', NULL);
INSERT INTO event VALUES ('1971-02-25 06:52:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-02-25 12:17:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-02-25 15:15:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1971-02-25 20:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-02-26 03:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '89', NULL);
INSERT INTO event VALUES ('1971-02-26 16:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '363', NULL);
INSERT INTO event VALUES ('1971-02-27 07:09:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1971-02-28 17:51:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-02-28 21:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-03-01 01:32:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-03-01 09:23:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', '14 T?');
INSERT INTO event VALUES ('1971-03-01 11:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', NULL);
INSERT INTO event VALUES ('1971-03-04 06:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-04 07:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-04 08:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1971-03-05 08:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1971-03-05 11:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-05 15:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-05 18:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-05 22:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-06 00:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-06 02:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-03-06 07:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-06 09:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1971-03-06 09:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-06 13:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-06 14:40:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1971-03-06 16:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-06 22:26:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1971-03-07 02:55:00',15.50,55.60, 755,1.20,7.50, 44, 'Deep Moonquake', '114', NULL);
INSERT INTO event VALUES ('1971-03-07 12:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-07 13:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-03-08 02:10:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', NULL);
INSERT INTO event VALUES ('1971-03-08 04:15:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', NULL);
INSERT INTO event VALUES ('1971-03-08 05:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-08 11:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', NULL);
INSERT INTO event VALUES ('1971-03-08 12:43:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1971-03-08 13:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-08 23:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '314', NULL);
INSERT INTO event VALUES ('1971-03-08 23:48:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-03-09 07:33:00',23.00,20.40, 1085,3.30,4.70, 64, 'Deep Moonquake', '27', NULL);
INSERT INTO event VALUES ('1971-03-09 08:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-09 09:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-09 12:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-09 18:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-09 23:01:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-03-10 00:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '364', NULL);
INSERT INTO event VALUES ('1971-03-10 04:38:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-03-10 07:51:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-03-10 09:57:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-03-10 13:43:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-03-10 17:39:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-03-10 20:08:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-03-10 22:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-11 11:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-11 21:24:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-03-12 00:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14 T OFST');
INSERT INTO event VALUES ('1971-03-12 00:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14 T OFST');
INSERT INTO event VALUES ('1971-03-12 10:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-03-12 16:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-03-12 17:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-03-12 21:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-03-13 00:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-03-13 03:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-13 04:47:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', NULL);
INSERT INTO event VALUES ('1971-03-13 15:32:00',9.20,17.50, 1187,1.50,4.90, 87, 'Deep Moonquake', '11', NULL);
INSERT INTO event VALUES ('1971-03-13 18:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '222', NULL);
INSERT INTO event VALUES ('1971-03-14 03:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-14 19:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-03-14 23:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-03-15 03:28:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', 'EVENT ?');
INSERT INTO event VALUES ('1971-03-15 07:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-03-15 14:40:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1971-03-15 17:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-17 06:21:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-03-17 07:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-17 08:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '288', NULL);
INSERT INTO event VALUES ('1971-03-17 17:04:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-03-18 01:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '332', NULL);
INSERT INTO event VALUES ('1971-03-18 01:12:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-03-18 05:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1971-03-18 11:11:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-03-18 20:01:00',8.60,-50.80, 952,4.60,5.60, 93, 'Deep Moonquake', '49', NULL);
INSERT INTO event VALUES ('1971-03-19 01:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '215', NULL);
INSERT INTO event VALUES ('1971-03-19 03:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '366', NULL);
INSERT INTO event VALUES ('1971-03-19 07:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', NULL);
INSERT INTO event VALUES ('1971-03-19 08:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-03-19 08:32:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-03-19 08:46:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-03-19 11:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '374', NULL);
INSERT INTO event VALUES ('1971-03-19 12:36:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-03-19 15:49:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-03-19 16:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-03-19 18:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-19 18:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-03-19 20:38:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-03-19 22:35:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', 'MATCHES W. 71-050/1735');
INSERT INTO event VALUES ('1971-03-20 03:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-20 04:01:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-03-20 07:47:00',-13.70,-21.60, 764,3.90,4.50, 81, 'Deep Moonquake', '216', NULL);
INSERT INTO event VALUES ('1971-03-20 09:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-03-20 15:10:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', NULL);
INSERT INTO event VALUES ('1971-03-20 17:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-21 00:42:00',9.20,17.50, 1187,1.50,4.90, 87, 'Deep Moonquake', '11', NULL);
INSERT INTO event VALUES ('1971-03-21 01:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-03-21 06:02:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1971-03-21 07:13:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-03-21 08:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '80', '14 T?');
INSERT INTO event VALUES ('1971-03-21 09:05:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1971-03-21 10:22:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', '14 T?');
INSERT INTO event VALUES ('1971-03-21 12:56:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1971-03-21 16:28:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-03-21 19:25:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', NULL);
INSERT INTO event VALUES ('1971-03-21 20:19:00',41.00,53.40, 893,2.50,7.70, 34, 'Deep Moonquake', '107', NULL);
INSERT INTO event VALUES ('1971-03-21 20:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '270', NULL);
INSERT INTO event VALUES ('1971-03-21 22:51:00',34.60,56.10, 933,20.90,81.00, 109, 'Deep Moonquake', '244', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-03-21 23:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '355', NULL);
INSERT INTO event VALUES ('1971-03-22 01:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '334', NULL);
INSERT INTO event VALUES ('1971-03-22 02:26:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', NULL);
INSERT INTO event VALUES ('1971-03-22 07:15:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', NULL);
INSERT INTO event VALUES ('1971-03-22 07:27:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', NULL);
INSERT INTO event VALUES ('1971-03-22 09:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-22 11:34:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-03-22 13:29:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-22 13:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-22 14:29:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-22 15:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-22 17:23:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-03-22 17:33:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-03-22 17:45:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', NULL);
INSERT INTO event VALUES ('1971-03-22 19:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-22 22:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-22 22:39:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', NULL);
INSERT INTO event VALUES ('1971-03-22 23:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-23 00:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-23 01:19:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1971-03-23 07:17:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', NULL);
INSERT INTO event VALUES ('1971-03-23 07:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-23 08:09:00',34.80,63.00, 1014,2.10,11.30, 26, 'Deep Moonquake', '70', NULL);
INSERT INTO event VALUES ('1971-03-23 14:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-23 18:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '72', NULL);
INSERT INTO event VALUES ('1971-03-23 21:14:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-03-24 02:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-24 02:58:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', NULL);
INSERT INTO event VALUES ('1971-03-24 04:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-24 05:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-03-24 06:29:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-24 06:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-03-24 08:04:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', NULL);
INSERT INTO event VALUES ('1971-03-24 10:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '90', NULL);
INSERT INTO event VALUES ('1971-03-24 11:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-24 18:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '331', NULL);
INSERT INTO event VALUES ('1971-03-24 22:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-25 05:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '396', NULL);
INSERT INTO event VALUES ('1971-03-25 08:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '331', NULL);
INSERT INTO event VALUES ('1971-03-25 11:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', NULL);
INSERT INTO event VALUES ('1971-03-25 15:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-03-25 19:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-26 00:27:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-03-26 01:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '89', NULL);
INSERT INTO event VALUES ('1971-03-26 15:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14 MIN AMP');
INSERT INTO event VALUES ('1971-03-26 18:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '12.14 T?');
INSERT INTO event VALUES ('1971-03-27 05:59:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1971-03-27 19:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12 T?');
INSERT INTO event VALUES ('1971-03-27 20:57:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1971-03-27 21:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-27 22:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-27 23:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-03-29 06:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-29 16:39:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-03-30 02:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', NULL);
INSERT INTO event VALUES ('1971-03-30 03:24:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1971-03-30 14:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-03-31 08:28:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-03-31 14:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-03-31 18:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1971-04-01 00:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-01 06:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', NULL);
INSERT INTO event VALUES ('1971-04-01 06:22:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-04-01 09:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-01 10:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-01 11:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-01 12:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-01 13:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-04-01 16:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1971-04-01 18:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', NULL);
INSERT INTO event VALUES ('1971-04-01 18:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '330', NULL);
INSERT INTO event VALUES ('1971-04-01 20:12:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1971-04-02 00:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', NULL);
INSERT INTO event VALUES ('1971-04-02 02:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '316', NULL);
INSERT INTO event VALUES ('1971-04-02 03:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-02 05:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-02 15:04:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1971-04-02 15:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-02 16:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', NULL);
INSERT INTO event VALUES ('1971-04-02 20:09:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1971-04-02 22:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '335', NULL);
INSERT INTO event VALUES ('1971-04-02 23:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-02 23:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', NULL);
INSERT INTO event VALUES ('1971-04-03 01:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', NULL);
INSERT INTO event VALUES ('1971-04-03 03:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-04-03 07:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '319', NULL);
INSERT INTO event VALUES ('1971-04-03 10:40:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1971-04-03 12:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-03 13:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-03 14:50:00',15.50,55.60, 755,1.20,7.50, 44, 'Deep Moonquake', '114', NULL);
INSERT INTO event VALUES ('1971-04-03 16:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', NULL);
INSERT INTO event VALUES ('1971-04-03 17:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-03 20:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-03 21:52:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-04-03 22:35:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-04-03 23:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-04 01:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-04 01:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '336', NULL);
INSERT INTO event VALUES ('1971-04-04 02:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-04 06:11:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', NULL);
INSERT INTO event VALUES ('1971-04-04 09:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '206', NULL);
INSERT INTO event VALUES ('1971-04-04 12:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '79', NULL);
INSERT INTO event VALUES ('1971-04-04 13:22:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1971-04-05 00:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-04-05 03:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-05 09:47:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', '14 T?');
INSERT INTO event VALUES ('1971-04-05 17:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1971-04-05 22:07:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-04-06 12:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-06 16:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '306', NULL);
INSERT INTO event VALUES ('1971-04-06 19:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '12 T?');
INSERT INTO event VALUES ('1971-04-07 00:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-04-07 06:07:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-04-07 18:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-07 18:55:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-04-08 05:11:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-04-08 09:04:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-04-08 10:05:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-04-08 19:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-04-08 23:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-04-09 05:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '365', NULL);
INSERT INTO event VALUES ('1971-04-09 06:02:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-04-09 08:47:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1971-04-09 09:50:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-04-09 11:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-09 12:09:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', NULL);
INSERT INTO event VALUES ('1971-04-09 15:15:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', NULL);
INSERT INTO event VALUES ('1971-04-10 00:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-10 04:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-10 05:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-10 09:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-10 13:14:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', NULL);
INSERT INTO event VALUES ('1971-04-10 17:08:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', NULL);
INSERT INTO event VALUES ('1971-04-10 22:01:00',-9.50,-53.60, 750,17.60,5.90, 109, 'Deep Moonquake', '59', '(*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1971-04-11 15:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '222', NULL);
INSERT INTO event VALUES ('1971-04-12 07:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-13 12:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-04-14 14:07:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1971-04-14 17:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1971-04-14 22:14:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-04-15 02:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12 T OFST');
INSERT INTO event VALUES ('1971-04-15 02:54:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1971-04-15 03:14:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1971-04-15 04:58:00',8.60,-50.80, 952,4.60,5.60, 93, 'Deep Moonquake', '49', NULL);
INSERT INTO event VALUES ('1971-04-15 06:24:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-04-15 10:22:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-04-15 12:22:00',-46.50,38.90, 933,8.30,9.30, 109, 'Deep Moonquake', '251', ', ');
INSERT INTO event VALUES ('1971-04-15 12:57:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-04-15 13:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '366', '14 T?');
INSERT INTO event VALUES ('1971-04-15 15:20:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1971-04-15 15:34:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-04-15 16:30:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-04-15 19:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-15 21:04:00',6.30,22.10, 855,0.90,9.70, 188, 'Deep Moonquake', '230', NULL);
INSERT INTO event VALUES ('1971-04-15 21:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '367', NULL);
INSERT INTO event VALUES ('1971-04-15 23:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-15 23:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '220', NULL);
INSERT INTO event VALUES ('1971-04-16 01:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-16 03:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '337', NULL);
INSERT INTO event VALUES ('1971-04-16 05:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-16 07:10:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-04-16 07:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-16 08:26:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-04-16 09:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-16 13:43:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', NULL);
INSERT INTO event VALUES ('1971-04-16 14:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-16 15:10:00',7.00,8.30, 1019,1.30,4.10, 191, 'Deep Moonquake', '243', NULL);
INSERT INTO event VALUES ('1971-04-16 18:44:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '14 T?');
INSERT INTO event VALUES ('1971-04-16 20:40:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1971-04-16 21:00:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1971-04-17 05:52:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', NULL);
INSERT INTO event VALUES ('1971-07-30 22:16:29',21.63,3.63, 0, NULL, NULL, NULL, 'LM Landing', NULL, '15 LM Landing');
INSERT INTO event VALUES ('1971-04-17 06:13:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-04-17 07:04:00',52.50,26.90, 74.5,2.80,3.30, 21.199999999999999, 'Shallow Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1971-04-17 23:42:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-04-18 07:09:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-04-18 08:40:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1971-04-19 14:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-19 22:45:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', NULL);
INSERT INTO event VALUES ('1971-04-20 01:04:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', NULL);
INSERT INTO event VALUES ('1971-04-20 01:40:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', NULL);
INSERT INTO event VALUES ('1971-04-20 06:39:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-04-20 06:51:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-04-20 07:23:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-04-20 12:27:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1971-04-20 20:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-21 00:02:00',34.80,63.00, 1014,2.10,11.30, 26, 'Deep Moonquake', '70', NULL);
INSERT INTO event VALUES ('1971-04-21 23:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-04-22 18:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '89', NULL);
INSERT INTO event VALUES ('1971-04-23 02:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-04-24 09:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-04-24 13:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-04-26 23:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12 T?');
INSERT INTO event VALUES ('1971-04-27 10:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-27 10:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', NULL);
INSERT INTO event VALUES ('1971-04-27 12:15:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1971-04-27 15:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-27 22:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-04-28 02:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12 T OFST');
INSERT INTO event VALUES ('1971-04-28 02:36:00',-50.00,53.20, 933,7.50,12.20, 109, 'Deep Moonquake', '272', '12 T OFST, (*) The source depth is assumed to be 933km ');
INSERT INTO event VALUES ('1971-04-28 10:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '339', NULL);
INSERT INTO event VALUES ('1971-04-28 10:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-28 14:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-28 17:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1971-04-29 06:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '43', NULL);
INSERT INTO event VALUES ('1971-04-29 06:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1971-04-29 08:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-29 09:24:00',53.40,60.90, 1077,15.20,66.10, 32, 'Deep Moonquake', '29', NULL);
INSERT INTO event VALUES ('1971-04-29 13:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '335', NULL);
INSERT INTO event VALUES ('1971-04-29 19:02:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1971-04-29 21:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '368', NULL);
INSERT INTO event VALUES ('1971-04-30 02:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', NULL);
INSERT INTO event VALUES ('1971-04-30 03:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', '14 T OFST');
INSERT INTO event VALUES ('1971-04-30 08:40:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', '14 T OFF 0.7S');
INSERT INTO event VALUES ('1971-04-30 09:31:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '14 T OFF 0.7S');
INSERT INTO event VALUES ('1971-04-30 11:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-30 13:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '273', NULL);
INSERT INTO event VALUES ('1971-04-30 15:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '319', NULL);
INSERT INTO event VALUES ('1971-04-30 16:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '265', NULL);
INSERT INTO event VALUES ('1971-04-30 21:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-04-30 22:10:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1971-05-01 01:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-01 06:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-01 06:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-01 07:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-05-01 08:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '354', NULL);
INSERT INTO event VALUES ('1971-05-01 08:28:00',15.50,55.60, 755,1.20,7.50, 44, 'Deep Moonquake', '114', NULL);
INSERT INTO event VALUES ('1971-05-01 11:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', NULL);
INSERT INTO event VALUES ('1971-05-01 16:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '336', NULL);
INSERT INTO event VALUES ('1971-05-01 17:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-01 19:17:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', NULL);
INSERT INTO event VALUES ('1971-05-01 20:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-01 21:26:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1971-05-02 15:08:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', NULL);
INSERT INTO event VALUES ('1971-05-02 15:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-02 18:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '79', NULL);
INSERT INTO event VALUES ('1971-05-02 20:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-02 23:38:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-05-03 00:21:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', NULL);
INSERT INTO event VALUES ('1971-05-03 02:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-03 03:13:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-05-03 05:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '338', NULL);
INSERT INTO event VALUES ('1971-05-03 09:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '369', NULL);
INSERT INTO event VALUES ('1971-05-04 04:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1971-05-04 05:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-04 12:54:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-05-04 17:50:00',23.00,20.40, 1085,3.30,4.70, 64, 'Deep Moonquake', '27', NULL);
INSERT INTO event VALUES ('1971-05-05 19:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-05 23:19:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-05-06 19:21:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-05-06 20:24:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-05-06 23:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-07 02:11:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', NULL);
INSERT INTO event VALUES ('1971-05-07 06:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-05-08 00:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-05-08 07:40:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-05-08 11:12:00',-13.70,-21.60, 764,3.90,4.50, 81, 'Deep Moonquake', '216', NULL);
INSERT INTO event VALUES ('1971-05-08 15:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-08 16:03:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', NULL);
INSERT INTO event VALUES ('1971-05-08 19:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-09 16:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '222', NULL);
INSERT INTO event VALUES ('1971-05-09 17:57:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1971-05-09 22:10:00',9.20,17.50, 1187,1.50,4.90, 87, 'Deep Moonquake', '11', NULL);
INSERT INTO event VALUES ('1971-05-10 01:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-10 08:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-10 09:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-10 13:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-10 14:10:00',-9.50,-53.60, 750,17.60,5.90, 109, 'Deep Moonquake', '59', '(*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1971-05-10 15:47:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-05-11 07:33:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-05-11 21:29:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-05-11 23:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-11 23:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-12 08:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-05-12 09:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-05-12 13:26:00',-46.50,38.90, 933,8.30,9.30, 109, 'Deep Moonquake', '251', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-05-12 16:01:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-05-12 16:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '366', NULL);
INSERT INTO event VALUES ('1971-05-12 16:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-12 18:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12 T OFST');
INSERT INTO event VALUES ('1971-05-12 19:26:00',6.30,22.10, 855,0.90,9.70, 188, 'Deep Moonquake', '230', '12 T OFST');
INSERT INTO event VALUES ('1971-05-12 20:10:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', '12 T OFST');
INSERT INTO event VALUES ('1971-05-12 23:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-13 02:52:00',6.30,22.10, 855,0.90,9.70, 188, 'Deep Moonquake', '230', NULL);
INSERT INTO event VALUES ('1971-05-13 03:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-05-13 03:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-13 03:58:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-05-13 09:37:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', NULL);
INSERT INTO event VALUES ('1971-05-13 10:28:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1971-05-13 11:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-05-13 16:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-05-14 00:30:00',-26.50,-35.10, 933,12.00,7.20, 109, 'Deep Moonquake', '209', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-05-14 07:12:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1971-05-14 07:36:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-05-14 09:07:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-05-14 09:52:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-05-14 19:43:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1971-05-14 20:56:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-05-14 21:35:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', NULL);
INSERT INTO event VALUES ('1971-05-15 02:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-05-15 06:41:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-05-15 08:18:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-05-16 05:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-16 08:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-16 14:40:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1971-05-16 15:18:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', NULL);
INSERT INTO event VALUES ('1971-05-16 16:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-16 21:24:00',34.60,56.10, 933,20.90,81.00, 109, 'Deep Moonquake', '244', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-05-17 05:08:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-05-17 05:36:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '12 T OFST');
INSERT INTO event VALUES ('1971-05-17 09:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'EVENT ?');
INSERT INTO event VALUES ('1971-05-17 22:35:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-05-18 22:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-19 03:10:00',34.80,63.00, 1014,2.10,11.30, 26, 'Deep Moonquake', '70', NULL);
INSERT INTO event VALUES ('1971-05-19 06:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-20 17:29:00',37.40,-19.40, 47.5,2.10,3.70, 46.399999999999999, 'Shallow Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1971-05-21 23:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-22 02:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-05-22 17:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-05-23 11:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-05-23 21:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-05-23 22:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-05-25 01:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-25 04:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-25 04:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-25 05:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', NULL);
INSERT INTO event VALUES ('1971-05-25 07:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-25 08:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-25 08:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-25 09:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-25 09:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-25 10:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-25 13:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-25 14:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-25 16:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '339', NULL);
INSERT INTO event VALUES ('1971-05-25 19:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'EVENT ?');
INSERT INTO event VALUES ('1971-05-25 19:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'EVENT ?');
INSERT INTO event VALUES ('1971-05-25 21:11:00',-50.00,53.20, 933,7.50,12.20, 109, 'Deep Moonquake', '272', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-05-25 23:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-05-26 01:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '371', NULL);
INSERT INTO event VALUES ('1971-05-26 03:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-26 03:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-26 05:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-26 06:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '335', NULL);
INSERT INTO event VALUES ('1971-05-26 06:33:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1971-05-26 07:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-26 08:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', NULL);
INSERT INTO event VALUES ('1971-05-26 09:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-26 11:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-26 13:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'EVENT ?');
INSERT INTO event VALUES ('1971-05-26 15:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1971-05-26 16:25:00',53.40,60.90, 1077,15.20,66.10, 32, 'Deep Moonquake', '29', NULL);
INSERT INTO event VALUES ('1971-05-26 17:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-26 20:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'EVENT ?');
INSERT INTO event VALUES ('1971-05-26 23:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'EVENT ?');
INSERT INTO event VALUES ('1971-05-27 00:38:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-05-27 02:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '339', NULL);
INSERT INTO event VALUES ('1971-05-27 04:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-27 07:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-27 07:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-27 08:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12 T?');
INSERT INTO event VALUES ('1971-05-27 08:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', '12 T?');
INSERT INTO event VALUES ('1971-05-27 13:27:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1971-05-27 14:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '319', NULL);
INSERT INTO event VALUES ('1971-05-27 17:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', NULL);
INSERT INTO event VALUES ('1971-05-27 17:23:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1971-05-27 20:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14 T?');
INSERT INTO event VALUES ('1971-05-28 00:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-28 01:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-28 03:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-28 04:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-28 05:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-28 07:24:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-05-28 09:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-28 13:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-28 14:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '319', NULL);
INSERT INTO event VALUES ('1971-05-28 17:39:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1971-05-28 20:02:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', '12,14 T?');
INSERT INTO event VALUES ('1971-05-29 00:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '336', '12,14 T?');
INSERT INTO event VALUES ('1971-05-29 01:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12,14 T?');
INSERT INTO event VALUES ('1971-05-29 10:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-29 11:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-29 12:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-29 16:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'EVENT ?');
INSERT INTO event VALUES ('1971-05-29 17:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'EVENT?');
INSERT INTO event VALUES ('1971-05-29 22:35:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-05-30 04:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-30 05:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-05-30 16:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '369', NULL);
INSERT INTO event VALUES ('1971-05-31 10:12:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', NULL);
INSERT INTO event VALUES ('1971-05-31 12:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-01 00:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-01 03:44:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-06-01 22:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-06-02 02:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-02 04:07:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-06-03 14:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-06-04 21:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-06-05 06:30:00',30.10,53.20, 975,2.90,9.80, 24, 'Deep Moonquake', '64', NULL);
INSERT INTO event VALUES ('1971-06-05 08:50:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-06-05 20:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-06 00:35:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1971-06-06 09:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '222', NULL);
INSERT INTO event VALUES ('1971-06-06 16:00:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-06-06 16:22:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1971-06-06 19:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-07 01:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-07 07:00:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-06-07 10:48:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-06-07 11:44:00',-13.70,-21.60, 764,3.90,4.50, 81, 'Deep Moonquake', '216', NULL);
INSERT INTO event VALUES ('1971-06-07 14:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12 T?');
INSERT INTO event VALUES ('1971-06-07 18:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '367', NULL);
INSERT INTO event VALUES ('1971-06-07 19:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-07 21:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-07 22:47:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', 'M?');
INSERT INTO event VALUES ('1971-06-07 23:50:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-06-08 07:39:00',7.00,8.30, 1019,1.30,4.10, 191, 'Deep Moonquake', '243', NULL);
INSERT INTO event VALUES ('1971-06-08 09:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '366', NULL);
INSERT INTO event VALUES ('1971-06-08 10:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-06-08 11:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-08 14:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-06-08 17:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-08 18:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-08 19:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-08 20:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-08 21:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-08 21:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-08 22:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-08 23:51:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1971-06-09 00:45:00',24.10,-52.20, 750,9.50,8.00, 109, 'Deep Moonquake', '60', '(*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1971-06-09 01:15:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-06-09 01:55:00',6.30,22.10, 855,0.90,9.70, 188, 'Deep Moonquake', '230', NULL);
INSERT INTO event VALUES ('1971-06-09 02:35:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-06-09 04:18:00',-26.50,-35.10, 933,12.00,7.20, 109, 'Deep Moonquake', '209', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-06-09 07:06:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1971-06-09 07:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-09 08:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-09 10:17:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-06-09 12:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14 T?');
INSERT INTO event VALUES ('1971-06-09 17:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-06-10 00:21:00',34.70,60.10, 1043,2.50,10.60, 30, 'Deep Moonquake', '74', NULL);
INSERT INTO event VALUES ('1971-06-10 00:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-10 03:38:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1971-06-10 07:42:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-06-10 09:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '340', NULL);
INSERT INTO event VALUES ('1971-06-10 09:49:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-06-10 11:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14 T?');
INSERT INTO event VALUES ('1971-06-10 14:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-10 14:35:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', NULL);
INSERT INTO event VALUES ('1971-06-10 19:12:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-06-11 01:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '325', NULL);
INSERT INTO event VALUES ('1971-06-11 02:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-11 02:50:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-06-11 04:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-11 06:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-06-11 07:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '344', NULL);
INSERT INTO event VALUES ('1971-06-11 07:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-11 09:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-11 10:42:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-06-11 11:53:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-06-11 13:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-11 13:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-06-11 19:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '370', NULL);
INSERT INTO event VALUES ('1971-06-11 19:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '380', NULL);
INSERT INTO event VALUES ('1971-06-11 21:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '219', '14 T?');
INSERT INTO event VALUES ('1971-06-12 01:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14 T?');
INSERT INTO event VALUES ('1971-06-12 02:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-12 06:38:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-06-12 10:51:00',27.80,-36.70, 0,2.50,4.40, NULL, 'Meteoroid Impact', NULL, 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-06-12 19:46:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-06-12 20:30:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', NULL);
INSERT INTO event VALUES ('1971-06-12 21:51:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', NULL);
INSERT INTO event VALUES ('1971-11-17 23:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-11-18 00:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-13 01:30:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-06-13 12:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-13 22:52:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-06-13 23:28:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', NULL);
INSERT INTO event VALUES ('1971-06-14 21:41:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1971-06-18 12:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-06-19 09:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-19 16:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-06-21 08:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-21 10:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', NULL);
INSERT INTO event VALUES ('1971-06-21 12:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-21 22:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-21 23:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '341', NULL);
INSERT INTO event VALUES ('1971-06-22 08:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-22 12:18:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-06-22 14:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-22 15:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1971-06-22 20:30:00',1.40,15.00, 933,1.60,3.70, 109, 'Deep Moonquake', '255', '12 T?');
INSERT INTO event VALUES ('1971-06-23 02:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-23 05:06:00',53.40,60.90, 1077,15.20,66.10, 32, 'Deep Moonquake', '29', NULL);
INSERT INTO event VALUES ('1971-06-23 06:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-23 10:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '339', NULL);
INSERT INTO event VALUES ('1971-06-23 11:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-06-23 13:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '371', NULL);
INSERT INTO event VALUES ('1971-06-23 13:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-23 15:07:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1971-06-23 23:58:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-06-24 01:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-24 03:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '69', NULL);
INSERT INTO event VALUES ('1971-06-24 05:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '364', NULL);
INSERT INTO event VALUES ('1971-06-24 05:46:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1971-06-24 07:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-24 13:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-06-24 15:35:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-06-24 17:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-06-24 20:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '79', NULL);
INSERT INTO event VALUES ('1971-06-24 22:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '335', '12 T?');
INSERT INTO event VALUES ('1971-06-25 00:22:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-06-25 00:37:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1971-06-25 05:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-06-25 07:36:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', NULL);
INSERT INTO event VALUES ('1971-06-25 08:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-25 09:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-25 10:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-25 11:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', NULL);
INSERT INTO event VALUES ('1971-06-25 12:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-25 13:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-25 14:35:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1971-06-25 15:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-06-25 22:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-26 00:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-06-26 10:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '369', NULL);
INSERT INTO event VALUES ('1971-06-26 11:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-27 08:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-27 09:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-27 18:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-06-28 03:04:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', NULL);
INSERT INTO event VALUES ('1971-06-28 04:50:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-06-28 15:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-29 00:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'EVENT ?');
INSERT INTO event VALUES ('1971-06-29 02:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-29 05:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-29 11:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-29 14:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-06-29 19:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-30 05:40:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', '12 T?');
INSERT INTO event VALUES ('1971-06-30 08:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-06-30 14:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-06-30 21:52:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-06-30 23:28:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', NULL);
INSERT INTO event VALUES ('1971-07-01 07:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'EVENT ?');
INSERT INTO event VALUES ('1971-07-01 10:28:00',12.20,3.50, 933,1.90,1.50, 109, 'Deep Moonquake', '237', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-07-01 12:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-07-01 19:47:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1971-07-01 20:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-07-03 02:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-07-04 22:44:00',-13.70,-21.60, 764,3.90,4.50, 81, 'Deep Moonquake', '216', NULL);
INSERT INTO event VALUES ('1971-07-04 23:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-07-05 00:18:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', NULL);
INSERT INTO event VALUES ('1971-07-05 01:15:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1971-07-05 04:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-07-05 05:04:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-07-05 06:40:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-07-05 13:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-07-05 16:41:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-07-05 17:42:00',-46.50,38.90, 933,8.30,9.30, 109, 'Deep Moonquake', '251', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-07-05 19:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-07-05 19:37:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', NULL);
INSERT INTO event VALUES ('1971-07-05 22:33:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-07-06 00:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '227', NULL);
INSERT INTO event VALUES ('1971-07-06 04:54:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1971-07-06 05:20:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1971-07-06 06:30:00',6.30,22.10, 855,0.90,9.70, 188, 'Deep Moonquake', '230', NULL);
INSERT INTO event VALUES ('1971-07-06 07:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-07-06 10:55:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', NULL);
INSERT INTO event VALUES ('1971-07-06 16:52:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '12 T?');
INSERT INTO event VALUES ('1971-07-06 19:58:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1971-07-06 23:06:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1971-07-07 02:44:00',34.70,60.10, 1043,2.50,10.60, 30, 'Deep Moonquake', '74', NULL);
INSERT INTO event VALUES ('1971-07-07 07:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '340', NULL);
INSERT INTO event VALUES ('1971-07-07 10:41:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-07-07 11:00:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1971-07-07 12:57:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-07-07 13:10:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-07-07 16:18:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', NULL);
INSERT INTO event VALUES ('1971-07-07 18:53:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1971-07-07 19:02:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-07-08 02:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-07-08 05:27:00',19.40,24.30, 959,2.70,5.10, 68, 'Deep Moonquake', '246', NULL);
INSERT INTO event VALUES ('1971-07-08 06:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '334', NULL);
INSERT INTO event VALUES ('1971-07-08 07:22:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-07-08 10:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-07-08 11:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '380', NULL);
INSERT INTO event VALUES ('1971-07-08 12:18:00',34.60,56.10, 933,20.90,81.00, 109, 'Deep Moonquake', '244', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-07-08 22:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '370', NULL);
INSERT INTO event VALUES ('1971-07-09 00:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-07-09 00:30:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', NULL);
INSERT INTO event VALUES ('1971-07-09 03:30:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-07-09 04:24:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', NULL);
INSERT INTO event VALUES ('1971-07-09 08:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-07-09 08:28:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-07-09 16:18:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1971-07-09 20:07:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-07-09 20:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-07-09 23:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-07-10 05:22:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', '14 T?');
INSERT INTO event VALUES ('1971-07-10 17:04:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-07-10 17:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-07-10 18:22:00',30.10,53.20, 975,2.90,9.80, 24, 'Deep Moonquake', '64', NULL);
INSERT INTO event VALUES ('1971-07-10 22:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-07-10 23:49:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', NULL);
INSERT INTO event VALUES ('1971-07-11 05:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-07-11 11:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-07-11 13:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-07-11 13:27:00',49.40,-27.20, 220.80000000000001,2.50,8.70, 48.799999999999997, 'Shallow Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1971-07-11 15:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', NULL);
INSERT INTO event VALUES ('1971-07-11 23:20:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-07-12 16:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-07-14 03:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-07-14 23:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-07-18 02:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', NULL);
INSERT INTO event VALUES ('1971-07-19 02:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '341', NULL);
INSERT INTO event VALUES ('1971-07-19 04:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-07-19 17:53:00',1.40,15.00, 933,1.60,3.70, 109, 'Deep Moonquake', '255', NULL);
INSERT INTO event VALUES ('1971-07-19 19:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1971-07-19 20:52:00',-53.20,-54.40, 933,4.60,11.40, 109, 'Deep Moonquake', '281', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-07-20 01:30:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-07-20 04:52:00',7.10,22.50, 984,1.20,4.70, 76, 'Deep Moonquake', '283', NULL);
INSERT INTO event VALUES ('1971-07-20 05:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-07-20 08:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', NULL);
INSERT INTO event VALUES ('1971-07-20 12:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '335', '12 T?');
INSERT INTO event VALUES ('1971-07-20 15:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-07-20 16:18:00',53.40,60.90, 1077,15.20,66.10, 32, 'Deep Moonquake', '29', NULL);
INSERT INTO event VALUES ('1971-07-20 21:23:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1971-07-20 22:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '339', NULL);
INSERT INTO event VALUES ('1971-07-21 08:58:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '14 T?');
INSERT INTO event VALUES ('1971-07-21 12:40:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', '14 T?');
INSERT INTO event VALUES ('1971-07-21 14:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '69', NULL);
INSERT INTO event VALUES ('1971-07-21 16:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '371', NULL);
INSERT INTO event VALUES ('1971-07-21 20:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '364', NULL);
INSERT INTO event VALUES ('1971-07-21 20:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '319', NULL);
INSERT INTO event VALUES ('1971-07-21 23:20:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1971-07-22 00:32:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1971-07-22 04:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-07-22 09:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '362', NULL);
INSERT INTO event VALUES ('1971-07-22 09:19:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1971-07-22 14:12:00',24.10,26.10, 933,5.10,8.20, 109, 'Deep Moonquake', '233', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-07-22 15:48:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-07-22 18:43:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-07-22 18:55:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', NULL);
INSERT INTO event VALUES ('1971-07-23 03:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', NULL);
INSERT INTO event VALUES ('1971-07-23 17:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-07-23 22:54:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1971-07-24 01:00:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1971-07-25 02:27:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', NULL);
INSERT INTO event VALUES ('1971-07-25 10:50:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-07-26 04:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'MIN AMP,GAP 0458-0516');
INSERT INTO event VALUES ('1971-07-26 08:57:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-07-26 11:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-07-26 12:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-07-27 11:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-07-28 13:07:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-07-29 09:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1971-07-29 20:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-07-29 21:00:00',-1.51,-11.81, 0, NULL, NULL, NULL, 'S-IVB Impact', NULL, '15 S4B IMP');
INSERT INTO event VALUES ('1971-07-30 09:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-07-31 03:48:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', NULL);
INSERT INTO event VALUES ('1971-07-31 04:08:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1971-07-31 12:39:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-07-31 18:12:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-08-01 20:44:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-08-02 12:02:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-08-02 12:44:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-08-02 13:52:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-08-02 21:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-08-03 03:07:00',26.36,0.25, 0, NULL, NULL, NULL, 'LM Impact', NULL, '15 LM IMP');
INSERT INTO event VALUES ('1971-08-03 11:30:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1971-08-03 15:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-08-03 21:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-08-03 22:35:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', 'LPS ON 14X');
INSERT INTO event VALUES ('1971-08-04 03:27:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', NULL);
INSERT INTO event VALUES ('1971-08-04 06:11:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1971-08-04 07:15:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-08-04 13:28:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1971-08-04 14:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-08-04 15:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '219', NULL);
INSERT INTO event VALUES ('1971-08-04 16:43:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1971-08-05 01:28:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', NULL);
INSERT INTO event VALUES ('1971-08-05 03:02:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-08-05 15:39:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-08-06 03:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-08-06 07:20:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-08-06 09:17:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1971-08-06 13:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1971-08-06 15:20:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', '12,14 T?');
INSERT INTO event VALUES ('1971-08-07 07:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1971-08-07 13:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-08-07 14:49:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-08-08 05:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-08-08 06:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-08-08 07:38:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-08-08 10:40:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-08-08 11:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-08-08 21:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-08-09 18:02:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-08-10 10:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-08-11 07:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1971-08-13 17:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', NULL);
INSERT INTO event VALUES ('1971-08-15 05:11:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-08-15 22:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1971-08-16 04:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1971-08-16 06:13:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1971-08-16 13:30:00',53.40,60.90, 1077,15.20,66.10, 32, 'Deep Moonquake', '29', NULL);
INSERT INTO event VALUES ('1971-08-17 00:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '264', NULL);
INSERT INTO event VALUES ('1971-08-17 02:03:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-08-17 07:23:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1971-08-17 10:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '319', NULL);
INSERT INTO event VALUES ('1971-08-17 13:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-08-17 15:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-08-17 17:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', NULL);
INSERT INTO event VALUES ('1971-08-17 18:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-08-17 19:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-08-17 22:11:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', NULL);
INSERT INTO event VALUES ('1971-08-18 07:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '336', NULL);
INSERT INTO event VALUES ('1971-08-18 09:05:00',53.40,60.90, 1077,15.20,66.10, 32, 'Deep Moonquake', '29', NULL);
INSERT INTO event VALUES ('1971-08-18 09:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '12', NULL);
INSERT INTO event VALUES ('1971-08-18 11:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '319', NULL);
INSERT INTO event VALUES ('1971-08-18 11:20:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', NULL);
INSERT INTO event VALUES ('1971-08-18 14:14:00',15.50,55.60, 755,1.20,7.50, 44, 'Deep Moonquake', '114', NULL);
INSERT INTO event VALUES ('1971-08-18 15:12:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1971-08-18 18:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '226', NULL);
INSERT INTO event VALUES ('1971-08-18 20:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', NULL);
INSERT INTO event VALUES ('1971-08-18 22:22:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-08-18 22:31:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1971-08-18 23:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12 T?');
INSERT INTO event VALUES ('1971-08-19 00:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-08-19 01:40:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-08-19 10:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-08-19 12:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-08-19 12:33:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-08-19 13:28:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-08-19 15:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-08-19 16:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '360', NULL);
INSERT INTO event VALUES ('1971-08-19 21:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-08-20 00:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-08-20 07:34:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-08-20 12:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-08-20 20:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-08-20 21:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '226', NULL);
INSERT INTO event VALUES ('1971-08-21 00:34:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', NULL);
INSERT INTO event VALUES ('1971-08-21 01:42:00',23.00,20.40, 1085,3.30,4.70, 64, 'Deep Moonquake', '27', NULL);
INSERT INTO event VALUES ('1971-08-21 15:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C, DIST');
INSERT INTO event VALUES ('1971-08-21 22:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1971-08-22 00:16:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-08-22 16:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-08-22 17:15:00',12.20,3.50, 933,1.90,1.50, 109, 'Deep Moonquake', '237', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-11-18 05:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-08-22 22:39:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-08-24 03:12:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1971-08-25 10:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '?');
INSERT INTO event VALUES ('1971-08-25 15:24:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-08-26 20:56:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-08-27 06:07:00',9.20,17.50, 1187,1.50,4.90, 87, 'Deep Moonquake', '11', NULL);
INSERT INTO event VALUES ('1971-08-27 10:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '372', 'LAST 10 M GAP, TIME?');
INSERT INTO event VALUES ('1971-08-27 22:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-08-28 02:18:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1971-08-28 20:32:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-08-29 01:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '215', 'LPS ON 14Y');
INSERT INTO event VALUES ('1971-08-29 02:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '373', NULL);
INSERT INTO event VALUES ('1971-08-29 04:21:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1971-08-29 07:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', NULL);
INSERT INTO event VALUES ('1971-08-29 08:10:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', NULL);
INSERT INTO event VALUES ('1971-08-29 09:38:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', 'LPS ON 14Y');
INSERT INTO event VALUES ('1971-08-29 10:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '332', NULL);
INSERT INTO event VALUES ('1971-08-29 10:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '333', NULL);
INSERT INTO event VALUES ('1971-08-29 12:20:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', 'LOOKS LIKE A18/A24');
INSERT INTO event VALUES ('1971-08-29 12:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '374', NULL);
INSERT INTO event VALUES ('1971-08-29 14:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '289', NULL);
INSERT INTO event VALUES ('1971-08-29 15:25:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1971-08-29 16:27:00',8.60,-50.80, 952,4.60,5.60, 93, 'Deep Moonquake', '49', NULL);
INSERT INTO event VALUES ('1971-08-29 17:10:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-08-29 20:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '399', NULL);
INSERT INTO event VALUES ('1971-08-29 21:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '220', NULL);
INSERT INTO event VALUES ('1971-08-29 22:33:00',-3.70,-33.90, 933,3.60,12.40, 109, 'Deep Moonquake', '276', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-08-29 23:32:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-08-29 23:38:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1971-08-30 01:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-08-30 02:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-08-30 11:53:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', NULL);
INSERT INTO event VALUES ('1971-08-30 14:41:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', NULL);
INSERT INTO event VALUES ('1971-08-30 15:18:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1971-08-30 18:20:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-08-30 23:29:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', NULL);
INSERT INTO event VALUES ('1971-08-31 03:55:00',0.50,47.30, 1243,2.00,11.80, 50, 'Deep Moonquake', '203', NULL);
INSERT INTO event VALUES ('1971-08-31 12:18:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', '12, 15 T?');
INSERT INTO event VALUES ('1971-08-31 17:10:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1971-08-31 23:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-09-01 00:21:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', NULL);
INSERT INTO event VALUES ('1971-09-01 06:15:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-09-01 13:40:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', NULL);
INSERT INTO event VALUES ('1971-09-01 15:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-01 16:37:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1971-09-02 00:07:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '14 T?, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-09-02 05:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '325', NULL);
INSERT INTO event VALUES ('1971-09-02 06:40:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', NULL);
INSERT INTO event VALUES ('1971-09-02 07:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '397', NULL);
INSERT INTO event VALUES ('1971-09-02 09:25:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-09-02 10:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-02 11:11:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-09-02 15:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '219', NULL);
INSERT INTO event VALUES ('1971-09-02 18:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-02 19:42:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', NULL);
INSERT INTO event VALUES ('1971-09-02 20:19:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', NULL);
INSERT INTO event VALUES ('1971-09-02 21:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-02 23:12:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-09-03 05:48:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1971-09-03 09:20:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', NULL);
INSERT INTO event VALUES ('1971-09-03 12:43:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', NULL);
INSERT INTO event VALUES ('1971-09-03 21:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-03 22:57:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-09-06 19:12:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-09-07 09:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-07 11:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-09-07 16:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-08 01:12:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1971-09-08 20:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-09 00:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-09 06:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-09-10 01:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', NULL);
INSERT INTO event VALUES ('1971-09-11 11:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-09-11 16:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-12 12:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1971-09-13 07:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', NULL);
INSERT INTO event VALUES ('1971-09-13 16:15:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1971-09-13 23:36:00',53.40,60.90, 1077,15.20,66.10, 32, 'Deep Moonquake', '29', NULL);
INSERT INTO event VALUES ('1971-09-14 16:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', NULL);
INSERT INTO event VALUES ('1971-09-14 20:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-14 21:14:00',15.50,55.60, 755,1.20,7.50, 44, 'Deep Moonquake', '114', NULL);
INSERT INTO event VALUES ('1971-09-15 00:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-15 04:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '319', NULL);
INSERT INTO event VALUES ('1971-09-15 08:52:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1971-09-15 09:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '336', NULL);
INSERT INTO event VALUES ('1971-09-15 10:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-15 10:43:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', NULL);
INSERT INTO event VALUES ('1971-09-15 14:12:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', NULL);
INSERT INTO event VALUES ('1971-09-15 14:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', NULL);
INSERT INTO event VALUES ('1971-09-15 17:39:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-09-15 18:18:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1971-09-15 21:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-16 02:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-16 06:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '314', NULL);
INSERT INTO event VALUES ('1971-09-16 11:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1971-09-16 20:42:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-09-16 21:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1971-09-17 11:18:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', NULL);
INSERT INTO event VALUES ('1971-09-17 13:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '375', NULL);
INSERT INTO event VALUES ('1971-09-18 01:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '211', NULL);
INSERT INTO event VALUES ('1971-09-18 10:08:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-09-18 15:22:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-09-18 18:06:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-09-18 18:33:00',23.00,20.40, 1085,3.30,4.70, 64, 'Deep Moonquake', '27', NULL);
INSERT INTO event VALUES ('1971-09-19 08:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-09-19 13:52:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-09-19 16:08:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-09-20 01:21:00',12.20,3.50, 933,1.90,1.50, 109, 'Deep Moonquake', '237', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-09-20 04:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-20 05:48:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', NULL);
INSERT INTO event VALUES ('1971-09-20 13:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-09-20 19:52:00',7.00,8.30, 1019,1.30,4.10, 191, 'Deep Moonquake', '243', NULL);
INSERT INTO event VALUES ('1971-09-21 06:59:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1971-09-21 09:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-22 06:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SP L.T. LP  15 BAD');
INSERT INTO event VALUES ('1971-09-22 17:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-23 07:00:00',9.20,17.50, 1187,1.50,4.90, 87, 'Deep Moonquake', '11', NULL);
INSERT INTO event VALUES ('1971-09-24 06:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-24 09:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-24 12:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1971-09-24 23:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-25 00:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '372', NULL);
INSERT INTO event VALUES ('1971-09-25 02:37:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1971-09-25 08:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-25 08:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1971-09-25 11:44:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-09-25 12:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-25 13:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-25 13:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '215', NULL);
INSERT INTO event VALUES ('1971-09-25 14:27:00',-46.50,38.90, 933,8.30,9.30, 109, 'Deep Moonquake', '251', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-09-25 15:33:00',6.30,22.10, 855,0.90,9.70, 188, 'Deep Moonquake', '230', NULL);
INSERT INTO event VALUES ('1971-09-25 16:40:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-09-25 17:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1971-09-25 20:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '376', NULL);
INSERT INTO event VALUES ('1971-09-25 21:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-25 22:04:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1971-09-25 22:58:00',7.10,22.50, 984,1.20,4.70, 76, 'Deep Moonquake', '283', NULL);
INSERT INTO event VALUES ('1971-09-25 23:45:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1971-09-26 01:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-26 02:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', NULL);
INSERT INTO event VALUES ('1971-09-26 02:09:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1971-09-26 05:32:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-09-26 06:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-26 06:30:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-09-26 07:18:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-09-26 08:21:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-09-26 10:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '332', NULL);
INSERT INTO event VALUES ('1971-09-26 10:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '220', 'LPS ON 14Y');
INSERT INTO event VALUES ('1971-09-26 11:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '374', NULL);
INSERT INTO event VALUES ('1971-09-26 12:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-26 13:30:00',-53.20,-54.40, 933,4.60,11.40, 109, 'Deep Moonquake', '281', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-09-26 16:56:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1971-09-26 17:09:00',8.60,-50.80, 952,4.60,5.60, 93, 'Deep Moonquake', '49', NULL);
INSERT INTO event VALUES ('1971-09-26 18:04:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-09-26 18:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-26 20:02:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-09-26 20:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '366', NULL);
INSERT INTO event VALUES ('1971-09-26 20:58:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-09-26 21:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-26 22:02:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1971-09-26 23:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '377', NULL);
INSERT INTO event VALUES ('1971-09-27 01:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '31', NULL);
INSERT INTO event VALUES ('1971-09-27 02:58:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-09-27 03:08:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1971-09-27 04:00:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-09-27 04:12:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', NULL);
INSERT INTO event VALUES ('1971-09-27 05:29:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-27 07:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-27 08:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '337', NULL);
INSERT INTO event VALUES ('1971-09-27 10:42:00',-13.70,-21.60, 764,3.90,4.50, 81, 'Deep Moonquake', '216', NULL);
INSERT INTO event VALUES ('1971-09-27 11:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-27 13:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1971-09-27 15:18:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-09-27 15:48:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1971-09-27 16:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '80', NULL);
INSERT INTO event VALUES ('1971-09-27 19:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-27 20:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-27 21:30:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', NULL);
INSERT INTO event VALUES ('1971-09-27 23:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-27 23:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-18 06:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '379', NULL);
INSERT INTO event VALUES ('1971-09-28 00:15:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-09-28 03:10:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-09-28 15:56:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1971-09-28 20:32:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', NULL);
INSERT INTO event VALUES ('1971-09-29 00:50:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1971-09-29 14:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-09-29 14:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-09-29 20:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-09-30 02:11:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', NULL);
INSERT INTO event VALUES ('1971-09-30 02:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-09-30 04:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1971-09-30 06:42:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', NULL);
INSERT INTO event VALUES ('1971-09-30 08:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-09-30 15:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-09-30 16:02:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1971-09-30 16:42:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', NULL);
INSERT INTO event VALUES ('1971-09-30 18:19:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', NULL);
INSERT INTO event VALUES ('1971-09-30 19:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-09-30 20:33:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-09-30 23:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-10-01 03:17:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', NULL);
INSERT INTO event VALUES ('1971-10-01 08:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-10-01 14:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '405', NULL);
INSERT INTO event VALUES ('1971-10-01 19:18:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', NULL);
INSERT INTO event VALUES ('1971-10-02 00:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-02 01:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-02 03:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-02 05:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-02 06:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-10-02 09:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1971-10-02 09:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-02 10:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-02 13:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-10-02 21:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', NULL);
INSERT INTO event VALUES ('1971-10-03 01:08:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-10-03 06:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-03 10:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-10-03 14:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-10-03 17:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '331', NULL);
INSERT INTO event VALUES ('1971-10-03 20:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-03 23:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '89', NULL);
INSERT INTO event VALUES ('1971-10-04 07:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-10-04 12:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-04 15:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-10-04 20:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-10-04 23:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-10-05 07:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-10-06 03:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C, DIST');
INSERT INTO event VALUES ('1971-10-06 10:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C, DIST');
INSERT INTO event VALUES ('1971-10-06 17:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C, DIST');
INSERT INTO event VALUES ('1971-10-06 23:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '15 NOISY');
INSERT INTO event VALUES ('1971-10-07 05:30:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1971-10-07 11:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-07 15:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-07 16:38:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1971-10-07 17:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-07 18:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-07 22:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '289', NULL);
INSERT INTO event VALUES ('1971-10-08 03:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', NULL);
INSERT INTO event VALUES ('1971-10-09 01:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1971-10-09 02:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-09 09:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1971-10-09 10:28:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1971-10-09 23:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '335', NULL);
INSERT INTO event VALUES ('1971-10-10 00:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-10 03:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1971-10-10 17:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', NULL);
INSERT INTO event VALUES ('1971-10-10 19:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-10 21:11:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1971-10-11 01:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', NULL);
INSERT INTO event VALUES ('1971-10-11 07:55:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1971-10-11 11:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '-');
INSERT INTO event VALUES ('1971-10-12 00:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-10-12 20:15:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1971-10-13 04:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-13 06:00:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', NULL);
INSERT INTO event VALUES ('1971-10-13 11:14:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1971-10-13 14:10:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', NULL);
INSERT INTO event VALUES ('1971-10-13 17:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-14 07:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'Z?');
INSERT INTO event VALUES ('1971-10-14 18:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '369', NULL);
INSERT INTO event VALUES ('1971-10-14 19:00:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-10-15 04:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '314', NULL);
INSERT INTO event VALUES ('1971-10-15 05:20:00',7.00,8.30, 1019,1.30,4.10, 191, 'Deep Moonquake', '243', NULL);
INSERT INTO event VALUES ('1971-10-15 06:12:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-10-15 06:28:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-10-15 07:06:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', 'LPS ON 14Y');
INSERT INTO event VALUES ('1971-10-15 08:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-15 09:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-15 11:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-15 13:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '211', NULL);
INSERT INTO event VALUES ('1971-10-15 18:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-15 22:41:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', NULL);
INSERT INTO event VALUES ('1971-10-16 04:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '360', NULL);
INSERT INTO event VALUES ('1971-10-16 06:27:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-10-16 07:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-16 15:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '375', NULL);
INSERT INTO event VALUES ('1971-10-16 18:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-16 22:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-17 04:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '274', NULL);
INSERT INTO event VALUES ('1971-10-17 05:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-17 07:30:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-10-17 08:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-17 13:30:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-10-17 14:04:00',23.00,20.40, 1085,3.30,4.70, 64, 'Deep Moonquake', '27', NULL);
INSERT INTO event VALUES ('1971-10-17 14:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-17 15:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-17 19:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1971-10-18 02:10:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', NULL);
INSERT INTO event VALUES ('1971-10-18 03:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-10-18 08:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-18 09:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-18 10:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-18 14:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-18 16:33:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-10-18 18:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-18 19:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1971-10-18 21:15:00',12.20,3.50, 933,1.90,1.50, 109, 'Deep Moonquake', '237', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-10-19 08:39:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-10-19 11:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C OR Z');
INSERT INTO event VALUES ('1971-10-19 14:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-19 15:30:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', NULL);
INSERT INTO event VALUES ('1971-10-19 19:29:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-19 20:17:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1971-10-20 02:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-20 04:57:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-10-20 07:59:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', NULL);
INSERT INTO event VALUES ('1971-10-20 10:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-20 18:08:00',32.10,-36.40, 0,2.80,2.10, NULL, 'Meteoroid Impact', NULL, 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-10-20 22:18:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', NULL);
INSERT INTO event VALUES ('1971-10-21 00:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1971-10-21 05:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1971-10-21 09:10:00',9.20,17.50, 1187,1.50,4.90, 87, 'Deep Moonquake', '11', NULL);
INSERT INTO event VALUES ('1971-10-21 13:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-21 13:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '301', NULL);
INSERT INTO event VALUES ('1971-10-21 16:25:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-10-21 17:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-21 19:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-21 20:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '321', NULL);
INSERT INTO event VALUES ('1971-10-21 21:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-22 01:10:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-10-22 03:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1971-10-22 04:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-22 05:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-22 06:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '342', NULL);
INSERT INTO event VALUES ('1971-10-22 06:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-22 08:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '215', NULL);
INSERT INTO event VALUES ('1971-10-22 13:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-22 13:20:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-10-22 16:18:00',6.30,22.10, 855,0.90,9.70, 188, 'Deep Moonquake', '230', NULL);
INSERT INTO event VALUES ('1971-10-23 00:10:00',7.10,22.50, 984,1.20,4.70, 76, 'Deep Moonquake', '283', NULL);
INSERT INTO event VALUES ('1971-10-23 01:33:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '15 T?, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-10-23 02:52:00',-46.50,38.90, 933,8.30,9.30, 109, 'Deep Moonquake', '251', '15 T?, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-10-23 03:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', '15T?');
INSERT INTO event VALUES ('1971-10-23 04:05:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', '15 T');
INSERT INTO event VALUES ('1971-10-23 06:01:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', '15 T?');
INSERT INTO event VALUES ('1971-10-23 08:02:00',6.30,22.10, 855,0.90,9.70, 188, 'Deep Moonquake', '230', '15 T?');
INSERT INTO event VALUES ('1971-10-23 08:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '220', '15 T?');
INSERT INTO event VALUES ('1971-10-23 09:47:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '15 T?');
INSERT INTO event VALUES ('1971-10-23 10:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '15');
INSERT INTO event VALUES ('1971-10-23 11:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-23 13:41:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-10-23 14:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '376', NULL);
INSERT INTO event VALUES ('1971-10-23 18:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-23 19:06:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1971-10-23 20:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '333', NULL);
INSERT INTO event VALUES ('1971-10-23 22:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '378', NULL);
INSERT INTO event VALUES ('1971-10-23 23:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-24 00:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '289', NULL);
INSERT INTO event VALUES ('1971-10-24 00:39:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1971-10-24 01:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '374', NULL);
INSERT INTO event VALUES ('1971-10-24 02:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '332', NULL);
INSERT INTO event VALUES ('1971-10-24 05:48:00',8.60,-50.80, 952,4.60,5.60, 93, 'Deep Moonquake', '49', NULL);
INSERT INTO event VALUES ('1971-10-24 06:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-24 06:46:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-10-24 07:48:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', '14 T?');
INSERT INTO event VALUES ('1971-10-24 11:08:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', NULL);
INSERT INTO event VALUES ('1971-10-24 12:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-24 13:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-24 15:36:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-10-24 16:11:00',-13.70,-21.60, 764,3.90,4.50, 81, 'Deep Moonquake', '216', NULL);
INSERT INTO event VALUES ('1971-10-24 16:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '398', NULL);
INSERT INTO event VALUES ('1971-10-24 17:10:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1971-10-24 18:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-24 19:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-24 22:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-25 00:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-25 04:55:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1971-10-25 08:22:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1971-10-25 08:53:00',24.10,-52.20, 750,9.50,8.00, 109, 'Deep Moonquake', '60', '(*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1971-10-25 09:55:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-10-25 10:49:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-10-25 11:30:00',7.00,8.30, 1019,1.30,4.10, 191, 'Deep Moonquake', '243', NULL);
INSERT INTO event VALUES ('1971-10-25 12:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-25 12:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '365', NULL);
INSERT INTO event VALUES ('1971-10-25 13:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-25 13:58:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1971-10-25 14:33:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '15 FLAT RESP');
INSERT INTO event VALUES ('1971-10-25 17:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-18 02:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'CLOSE TO 14');
INSERT INTO event VALUES ('1971-10-25 17:25:00',19.40,24.30, 959,2.70,5.10, 68, 'Deep Moonquake', '246', NULL);
INSERT INTO event VALUES ('1971-10-25 17:50:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', NULL);
INSERT INTO event VALUES ('1971-10-25 18:30:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', NULL);
INSERT INTO event VALUES ('1971-10-25 19:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-25 22:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-26 00:08:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-10-26 00:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-26 01:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-26 02:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-26 04:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1971-10-26 06:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-10-26 08:36:00',19.40,24.30, 959,2.70,5.10, 68, 'Deep Moonquake', '246', '12 T?');
INSERT INTO event VALUES ('1971-10-26 11:19:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-10-26 11:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-26 14:33:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', '12 T?');
INSERT INTO event VALUES ('1971-10-26 22:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-26 23:13:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-10-27 01:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-10-27 02:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-10-27 03:07:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', NULL);
INSERT INTO event VALUES ('1971-10-27 05:13:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', NULL);
INSERT INTO event VALUES ('1971-10-27 07:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-27 08:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-27 12:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-10-27 13:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-27 15:47:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-10-27 16:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '347', NULL);
INSERT INTO event VALUES ('1971-10-27 18:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-27 22:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1971-10-28 00:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-28 01:37:00',34.60,56.10, 933,20.90,81.00, 109, 'Deep Moonquake', '244', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-10-28 03:11:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', NULL);
INSERT INTO event VALUES ('1971-10-28 03:23:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-10-28 04:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-10-28 08:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-10-28 10:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-28 11:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '219', '12 T?');
INSERT INTO event VALUES ('1971-10-28 13:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-28 17:55:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-10-28 21:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C');
INSERT INTO event VALUES ('1971-10-29 01:42:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-10-29 04:23:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1971-10-29 07:28:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1971-10-29 09:50:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-10-29 11:56:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', NULL);
INSERT INTO event VALUES ('1971-10-29 13:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-10-29 16:44:00',-13.70,-21.60, 764,3.90,4.50, 81, 'Deep Moonquake', '216', 'C?');
INSERT INTO event VALUES ('1971-10-29 19:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-10-29 21:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-30 01:13:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', 'COULD BE A01');
INSERT INTO event VALUES ('1971-10-30 02:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-10-30 02:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-10-30 04:27:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-10-30 06:48:00',30.10,53.20, 975,2.90,9.80, 24, 'Deep Moonquake', '64', NULL);
INSERT INTO event VALUES ('1971-10-30 09:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-10-30 11:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1971-10-30 13:10:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-10-30 14:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-30 17:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1971-10-30 18:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-10-31 01:40:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-10-31 03:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-10-31 05:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-10-31 13:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C, DIST');
INSERT INTO event VALUES ('1971-10-31 13:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-10-31 15:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'Z?');
INSERT INTO event VALUES ('1971-11-01 01:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-01 02:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1971-11-01 03:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-11-01 06:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-11-02 02:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-11-02 05:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-11-02 08:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-11-02 09:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-11-02 13:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-02 16:53:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1971-11-02 20:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-03 01:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-03 03:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-11-03 12:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-11-03 13:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-11-03 18:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-11-03 19:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-11-03 19:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-11-04 01:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-11-04 01:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-11-04 08:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-11-04 08:58:00',-3.70,-33.90, 933,3.60,12.40, 109, 'Deep Moonquake', '276', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-11-04 11:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-11-04 16:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-11-04 17:46:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', NULL);
INSERT INTO event VALUES ('1971-11-04 18:15:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-11-04 19:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-04 19:13:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-11-05 03:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-05 05:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-05 07:28:00',5.30,3.60, 933,1.10,1.50, 109, 'Deep Moonquake', '248', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-11-18 04:21:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-11-05 07:52:00',14.30,-12.40, 945,1.00,2.00, 26, 'Deep Moonquake', '71', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-11-05 09:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', NULL);
INSERT INTO event VALUES ('1971-11-05 11:04:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1971-11-05 13:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1971-11-05 16:15:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1971-11-05 23:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-05 23:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-06 01:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '317', NULL);
INSERT INTO event VALUES ('1971-11-06 02:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '264', NULL);
INSERT INTO event VALUES ('1971-11-06 03:52:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1971-11-06 19:18:00',53.40,60.90, 1077,15.20,66.10, 32, 'Deep Moonquake', '29', NULL);
INSERT INTO event VALUES ('1971-11-06 23:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-07 00:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1971-11-07 01:09:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-11-07 02:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-11-07 03:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-07 07:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', NULL);
INSERT INTO event VALUES ('1971-11-07 08:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12 T?');
INSERT INTO event VALUES ('1971-11-07 09:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1971-11-07 13:34:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1971-11-07 16:04:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', '15 NOISY');
INSERT INTO event VALUES ('1971-11-07 19:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '319', NULL);
INSERT INTO event VALUES ('1971-11-07 22:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-11-07 22:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', NULL);
INSERT INTO event VALUES ('1971-11-08 05:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '354', '15 T?');
INSERT INTO event VALUES ('1971-11-08 05:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '273', '15 T?');
INSERT INTO event VALUES ('1971-11-08 06:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '15 T?');
INSERT INTO event VALUES ('1971-11-08 08:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST, 15 T?');
INSERT INTO event VALUES ('1971-11-08 13:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'DIST, 15 T?');
INSERT INTO event VALUES ('1971-11-08 19:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-08 20:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-08 22:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-08 23:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-09 01:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-09 03:46:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1971-11-09 04:15:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1971-11-09 09:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-09 12:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-09 12:41:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1971-11-09 13:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1971-11-09 14:13:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1971-11-09 15:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-10 02:35:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', NULL);
INSERT INTO event VALUES ('1971-11-10 07:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1971-11-11 01:25:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1971-11-11 13:19:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1971-11-12 03:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '254', NULL);
INSERT INTO event VALUES ('1971-11-12 06:30:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', NULL);
INSERT INTO event VALUES ('1971-11-12 08:37:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-11-12 15:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '338', NULL);
INSERT INTO event VALUES ('1971-11-12 19:47:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-11-12 22:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-13 00:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-13 13:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '211', NULL);
INSERT INTO event VALUES ('1971-11-14 00:05:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-11-14 04:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1971-11-14 06:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-14 09:20:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-11-14 15:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-14 16:32:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-11-14 20:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-15 01:13:00',23.00,20.40, 1085,3.30,4.70, 64, 'Deep Moonquake', '27', NULL);
INSERT INTO event VALUES ('1971-11-15 05:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '314', NULL);
INSERT INTO event VALUES ('1971-11-15 06:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-15 06:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-15 08:15:00',8.60,-50.80, 952,4.60,5.60, 93, 'Deep Moonquake', '49', NULL);
INSERT INTO event VALUES ('1971-11-15 10:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-15 11:50:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', NULL);
INSERT INTO event VALUES ('1971-11-15 13:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-15 23:33:00',12.20,3.50, 933,1.90,1.50, 109, 'Deep Moonquake', '237', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-11-16 00:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SP L.T. LP');
INSERT INTO event VALUES ('1971-11-16 01:43:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', NULL);
INSERT INTO event VALUES ('1971-11-16 03:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-16 05:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1971-11-16 10:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-16 12:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-16 12:12:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1971-11-16 16:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-16 17:22:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1971-11-16 18:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-16 19:22:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1971-11-16 20:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-16 21:20:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', NULL);
INSERT INTO event VALUES ('1971-11-16 22:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-17 01:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-17 03:18:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-11-17 03:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-17 05:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-17 05:48:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-11-17 06:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-17 08:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-17 08:43:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', NULL);
INSERT INTO event VALUES ('1971-11-17 10:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-17 11:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-17 11:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-17 12:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '215', NULL);
INSERT INTO event VALUES ('1971-11-17 13:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-17 14:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-17 15:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', NULL);
INSERT INTO event VALUES ('1971-11-17 16:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-17 18:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-17 18:22:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-11-17 19:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-17 22:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '342', NULL);
INSERT INTO event VALUES ('1971-11-17 22:24:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-11-18 06:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-18 08:38:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-11-18 12:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-18 13:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-18 18:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '333', NULL);
INSERT INTO event VALUES ('1971-11-18 19:27:00',6.30,22.10, 855,0.90,9.70, 188, 'Deep Moonquake', '230', NULL);
INSERT INTO event VALUES ('1971-11-18 20:52:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-11-18 21:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-18 22:39:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-11-19 03:33:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1971-11-19 05:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-19 05:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '289', NULL);
INSERT INTO event VALUES ('1971-11-19 06:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '373', NULL);
INSERT INTO event VALUES ('1971-11-19 07:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '220', NULL);
INSERT INTO event VALUES ('1971-11-19 07:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1971-11-19 09:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-11-19 12:05:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', '15 T?');
INSERT INTO event VALUES ('1971-11-19 12:30:00',-53.20,-54.40, 933,4.60,11.40, 109, 'Deep Moonquake', '281', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-11-19 19:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-19 19:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-11-19 22:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '376', NULL);
INSERT INTO event VALUES ('1971-11-19 23:38:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1971-11-19 23:57:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1971-11-20 05:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-20 06:10:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1971-11-20 09:28:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', NULL);
INSERT INTO event VALUES ('1971-11-20 13:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14 T?');
INSERT INTO event VALUES ('1971-11-20 17:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-20 18:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-20 20:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-20 21:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-20 22:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-20 22:20:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-11-20 22:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '399', NULL);
INSERT INTO event VALUES ('1971-11-21 00:09:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-11-21 00:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-21 01:46:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1971-11-21 02:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-21 03:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-21 04:28:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1971-11-21 04:40:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', NULL);
INSERT INTO event VALUES ('1971-11-21 05:28:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-11-21 05:57:00',-3.70,-33.90, 933,3.60,12.40, 109, 'Deep Moonquake', '276', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-11-21 06:27:00',-13.70,-21.60, 764,3.90,4.50, 81, 'Deep Moonquake', '216', NULL);
INSERT INTO event VALUES ('1971-11-21 07:48:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-11-21 08:52:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-11-21 10:15:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-11-21 11:17:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1971-11-21 12:20:00',-26.50,-35.10, 933,12.00,7.20, 109, 'Deep Moonquake', '209', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-11-21 12:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-21 13:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-21 14:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-21 15:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '227', NULL);
INSERT INTO event VALUES ('1971-11-21 16:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-21 17:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-21 17:57:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1971-11-21 19:13:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '12 AMP ESTIMATED');
INSERT INTO event VALUES ('1971-11-21 20:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-22 00:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '337', NULL);
INSERT INTO event VALUES ('1971-11-22 04:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-11-22 07:53:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', NULL);
INSERT INTO event VALUES ('1971-11-22 10:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-22 16:13:00',19.40,24.30, 959,2.70,5.10, 68, 'Deep Moonquake', '246', NULL);
INSERT INTO event VALUES ('1971-11-22 16:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-22 18:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-22 21:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-22 21:53:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1971-11-22 22:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-22 23:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-23 01:11:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', NULL);
INSERT INTO event VALUES ('1971-11-23 05:20:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-11-23 09:25:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-11-23 14:37:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', NULL);
INSERT INTO event VALUES ('1971-11-23 15:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-23 17:45:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', NULL);
INSERT INTO event VALUES ('1971-11-23 23:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1971-11-24 02:28:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1971-11-24 02:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-11-24 04:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-11-24 05:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '235', NULL);
INSERT INTO event VALUES ('1971-11-24 06:05:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-11-24 06:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-24 12:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-24 14:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '289', NULL);
INSERT INTO event VALUES ('1971-11-24 21:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-24 22:57:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', NULL);
INSERT INTO event VALUES ('1971-11-24 23:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'Z?');
INSERT INTO event VALUES ('1971-11-25 00:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-11-25 04:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-25 04:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '219', NULL);
INSERT INTO event VALUES ('1971-11-25 06:34:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-11-25 09:18:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-11-25 10:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '263', NULL);
INSERT INTO event VALUES ('1971-11-25 16:42:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-11-25 16:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1971-11-26 04:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', NULL);
INSERT INTO event VALUES ('1971-11-26 04:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-26 04:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-15 14:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-26 06:45:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-11-26 07:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '320', NULL);
INSERT INTO event VALUES ('1971-11-26 08:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-26 12:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1971-11-26 14:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-26 15:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '310', NULL);
INSERT INTO event VALUES ('1971-11-26 16:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C, DIST');
INSERT INTO event VALUES ('1971-11-28 07:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-11-28 13:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-11-28 20:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1971-11-28 21:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-11-30 01:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-11-30 01:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=50');
INSERT INTO event VALUES ('1971-11-30 11:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '221', NULL);
INSERT INTO event VALUES ('1971-11-30 12:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-30 17:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-11-30 20:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1971-12-01 05:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-01 08:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-01 08:34:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', NULL);
INSERT INTO event VALUES ('1971-12-01 09:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-01 10:25:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', NULL);
INSERT INTO event VALUES ('1971-12-01 13:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-01 17:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-01 18:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-01 19:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-01 20:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-02 05:55:00',-3.40,12.50, 933,2.50,3.10, 109, 'Deep Moonquake', '249', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-12-02 08:48:00',-3.40,12.50, 933,2.50,3.10, 109, 'Deep Moonquake', '249', 'Z ON 15, (*) The source depth is assumed to be 933k');
INSERT INTO event VALUES ('1971-12-02 09:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1971-12-02 15:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-02 17:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-02 18:21:00',7.10,22.50, 984,1.20,4.70, 76, 'Deep Moonquake', '283', NULL);
INSERT INTO event VALUES ('1971-12-03 01:09:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1971-12-03 01:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '317', NULL);
INSERT INTO event VALUES ('1971-12-03 02:22:00',1.40,15.00, 933,1.60,3.70, 109, 'Deep Moonquake', '255', NULL);
INSERT INTO event VALUES ('1971-12-03 05:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', NULL);
INSERT INTO event VALUES ('1971-12-03 07:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-12-03 07:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-12-03 08:55:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-12-03 13:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1971-12-03 14:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '308', NULL);
INSERT INTO event VALUES ('1971-12-03 15:56:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-12-03 20:31:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1971-12-03 20:45:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-12-04 03:43:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1971-12-04 05:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-04 06:34:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-12-04 10:21:00',53.40,60.90, 1077,15.20,66.10, 32, 'Deep Moonquake', '29', NULL);
INSERT INTO event VALUES ('1971-12-04 15:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '362', NULL);
INSERT INTO event VALUES ('1971-12-04 17:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-04 22:32:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1971-12-04 23:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-05 07:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-05 07:37:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1971-12-05 13:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-05 14:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '15 T OFST');
INSERT INTO event VALUES ('1971-12-05 15:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-05 22:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '229', NULL);
INSERT INTO event VALUES ('1971-12-06 01:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-06 02:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1971-12-06 06:57:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1971-12-06 11:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-12-06 22:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '226', NULL);
INSERT INTO event VALUES ('1971-12-06 23:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', NULL);
INSERT INTO event VALUES ('1971-12-07 00:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '319', NULL);
INSERT INTO event VALUES ('1971-12-07 01:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-07 08:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-07 09:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '226', NULL);
INSERT INTO event VALUES ('1971-12-07 09:58:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1971-12-07 11:53:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', NULL);
INSERT INTO event VALUES ('1971-12-08 08:58:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', '12 T?');
INSERT INTO event VALUES ('1971-12-08 17:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-12-08 21:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '228', NULL);
INSERT INTO event VALUES ('1971-12-09 11:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-09 14:17:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', NULL);
INSERT INTO event VALUES ('1971-12-09 15:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, '12 T?');
INSERT INTO event VALUES ('1971-12-10 02:08:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-12-10 09:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-10 11:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-12 10:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C, DIST');
INSERT INTO event VALUES ('1971-12-12 19:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-13 05:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-13 08:10:00',23.00,20.40, 1085,3.30,4.70, 64, 'Deep Moonquake', '27', NULL);
INSERT INTO event VALUES ('1971-12-14 00:22:00',7.10,22.50, 984,1.20,4.70, 76, 'Deep Moonquake', '283', NULL);
INSERT INTO event VALUES ('1971-12-14 03:25:00',12.20,3.50, 933,1.90,1.50, 109, 'Deep Moonquake', '237', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-12-14 06:28:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-12-14 06:39:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1971-12-14 08:41:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1971-12-14 12:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '215', NULL);
INSERT INTO event VALUES ('1971-12-14 17:58:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1971-12-14 18:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-14 18:38:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-12-14 19:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-14 19:49:00',0.50,47.30, 1243,2.00,11.80, 50, 'Deep Moonquake', '203', NULL);
INSERT INTO event VALUES ('1971-12-15 02:29:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', NULL);
INSERT INTO event VALUES ('1971-12-15 07:27:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1971-12-15 09:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-15 10:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-15 11:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '342', NULL);
INSERT INTO event VALUES ('1971-12-15 11:16:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-12-15 11:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-15 14:50:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-12-15 15:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '402', NULL);
INSERT INTO event VALUES ('1971-12-15 20:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-15 20:20:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1971-12-15 22:30:00',-46.50,38.90, 933,8.30,9.30, 109, 'Deep Moonquake', '251', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-12-15 23:20:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1971-12-16 00:04:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1971-12-16 00:22:00',6.30,22.10, 855,0.90,9.70, 188, 'Deep Moonquake', '230', NULL);
INSERT INTO event VALUES ('1971-12-16 00:29:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-12-16 02:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '378', NULL);
INSERT INTO event VALUES ('1971-12-16 02:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '374', NULL);
INSERT INTO event VALUES ('1971-12-16 03:52:00',-53.20,-54.40, 933,4.60,11.40, 109, 'Deep Moonquake', '281', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-12-16 05:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '289', NULL);
INSERT INTO event VALUES ('1971-12-16 08:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-16 10:21:00',8.60,-50.80, 952,4.60,5.60, 93, 'Deep Moonquake', '49', NULL);
INSERT INTO event VALUES ('1971-12-16 11:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-16 12:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-16 14:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-16 15:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '15 T OFST');
INSERT INTO event VALUES ('1971-12-16 16:37:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1971-12-16 17:54:00',-3.70,-33.90, 933,3.60,12.40, 109, 'Deep Moonquake', '276', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-12-17 02:12:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1971-12-17 04:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-12-17 08:35:00',-26.50,-35.10, 933,12.00,7.20, 109, 'Deep Moonquake', '209', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-12-17 09:35:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', NULL);
INSERT INTO event VALUES ('1971-12-17 10:00:00',-13.70,-21.60, 764,3.90,4.50, 81, 'Deep Moonquake', '216', NULL);
INSERT INTO event VALUES ('1971-12-17 11:51:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-12-17 16:08:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '14,15 T OFST');
INSERT INTO event VALUES ('1971-12-17 16:51:00',7.00,8.30, 1019,1.30,4.10, 191, 'Deep Moonquake', '243', '14,15 T OFST');
INSERT INTO event VALUES ('1971-12-17 17:08:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '14,15 T OFST');
INSERT INTO event VALUES ('1971-12-17 17:35:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', '14,15 T OFST');
INSERT INTO event VALUES ('1971-12-17 17:51:00',-13.70,-21.60, 764,3.90,4.50, 81, 'Deep Moonquake', '216', '14,15 T OFST');
INSERT INTO event VALUES ('1971-12-17 20:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '337', NULL);
INSERT INTO event VALUES ('1971-12-17 23:32:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', NULL);
INSERT INTO event VALUES ('1971-12-18 01:36:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-12-18 06:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-18 07:02:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-12-18 08:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-12-18 09:55:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-12-18 11:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-18 12:51:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1971-12-18 13:41:00',19.40,24.30, 959,2.70,5.10, 68, 'Deep Moonquake', '246', NULL);
INSERT INTO event VALUES ('1971-12-18 14:15:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1971-12-18 19:39:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', NULL);
INSERT INTO event VALUES ('1971-12-18 20:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1971-12-18 20:41:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-12-18 21:45:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', NULL);
INSERT INTO event VALUES ('1971-12-19 02:12:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-12-19 04:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-19 07:55:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1971-12-19 09:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-19 11:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-19 11:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-19 12:16:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1971-12-19 12:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-19 13:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-19 13:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '380', NULL);
INSERT INTO event VALUES ('1971-12-19 14:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-19 14:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-19 15:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1971-12-19 16:10:00',19.40,24.30, 959,2.70,5.10, 68, 'Deep Moonquake', '246', NULL);
INSERT INTO event VALUES ('1971-12-19 16:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-19 17:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '219', NULL);
INSERT INTO event VALUES ('1971-12-19 20:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-19 21:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-19 22:01:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-12-19 23:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-20 04:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-20 04:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-20 06:23:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1971-12-20 07:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '207', NULL);
INSERT INTO event VALUES ('1971-12-20 09:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-20 09:49:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', NULL);
INSERT INTO event VALUES ('1971-12-20 13:16:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', NULL);
INSERT INTO event VALUES ('1971-12-20 22:01:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-12-21 00:53:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-12-21 09:03:00',34.60,56.10, 933,20.90,81.00, 109, 'Deep Moonquake', '244', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-12-21 13:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-21 14:52:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1971-12-21 15:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-21 16:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-21 18:58:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', NULL);
INSERT INTO event VALUES ('1971-12-21 23:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-22 00:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '219', NULL);
INSERT INTO event VALUES ('1971-12-22 01:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-22 02:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-22 05:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-22 09:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-22 14:45:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1971-12-22 15:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-23 00:21:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1971-12-23 07:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '263', NULL);
INSERT INTO event VALUES ('1971-12-23 07:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1971-12-23 18:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', NULL);
INSERT INTO event VALUES ('1971-12-23 22:18:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', '15 T?');
INSERT INTO event VALUES ('1971-12-24 01:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1971-12-24 11:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '405', '15 T?');
INSERT INTO event VALUES ('1971-12-24 14:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-12-26 05:42:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', NULL);
INSERT INTO event VALUES ('1971-12-27 08:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-12-27 18:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1971-12-27 19:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-12-28 23:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-29 01:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1971-12-29 01:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '221', NULL);
INSERT INTO event VALUES ('1971-12-29 03:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 15 SP=50');
INSERT INTO event VALUES ('1971-12-29 06:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-29 08:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-29 10:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-29 14:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-29 17:55:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1971-12-30 02:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-30 03:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1971-12-30 04:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-30 05:27:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', NULL);
INSERT INTO event VALUES ('1971-12-30 05:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '317', NULL);
INSERT INTO event VALUES ('1971-12-30 16:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', NULL);
INSERT INTO event VALUES ('1971-12-30 17:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '221', NULL);
INSERT INTO event VALUES ('1971-12-30 20:01:00',1.40,15.00, 933,1.60,3.70, 109, 'Deep Moonquake', '255', NULL);
INSERT INTO event VALUES ('1971-12-31 04:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1971-12-31 08:40:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1971-12-31 10:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1971-12-31 14:31:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1972-01-01 02:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-01-01 14:48:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1972-01-01 17:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '362', NULL);
INSERT INTO event VALUES ('1972-01-02 05:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', NULL);
INSERT INTO event VALUES ('1972-01-02 06:48:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1972-01-02 07:34:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1972-01-02 10:17:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-01-02 20:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '229', NULL);
INSERT INTO event VALUES ('1972-01-02 22:32:00',56.90,111.40, 172.5,4.20,5.50, 54.700000000000003, 'Shallow Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-01-02 23:34:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', NULL);
INSERT INTO event VALUES ('1972-01-03 03:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-01-03 10:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-01-03 11:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-01-03 17:13:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1972-01-04 00:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-01-04 04:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-01-04 06:35:00',70.76,2.71, 0, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-01-04 10:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'LARGE, 14SPZ');
INSERT INTO event VALUES ('1972-01-04 14:31:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1972-01-04 16:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-01-05 01:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1972-01-05 20:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-01-05 20:49:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-01-06 06:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-01-07 00:29:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-01-07 01:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-01-07 08:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-01-07 23:30:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', NULL);
INSERT INTO event VALUES ('1972-01-08 02:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SP SMALL 15 AMP L.T.2');
INSERT INTO event VALUES ('1972-01-08 05:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-01-08 06:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-01-08 14:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-01-10 05:10:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1972-01-11 08:52:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1972-01-11 16:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-01-11 18:40:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', NULL);
INSERT INTO event VALUES ('1972-01-11 20:45:00',6.30,22.10, 855,0.90,9.70, 188, 'Deep Moonquake', '230', NULL);
INSERT INTO event VALUES ('1972-01-11 22:56:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-01-12 02:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-01-12 03:08:00',-46.50,38.90, 933,8.30,9.30, 109, 'Deep Moonquake', '251', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-01-12 04:40:00',7.10,22.50, 984,1.20,4.70, 76, 'Deep Moonquake', '283', NULL);
INSERT INTO event VALUES ('1972-01-12 05:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-01-12 05:23:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-01-12 06:22:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1972-01-12 06:38:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-01-12 08:00:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1972-01-12 08:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '402', NULL);
INSERT INTO event VALUES ('1972-01-12 08:41:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-01-12 09:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '220', NULL);
INSERT INTO event VALUES ('1972-01-12 12:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-01-12 15:29:00',-53.20,-54.40, 933,4.60,11.40, 109, 'Deep Moonquake', '281', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-01-12 19:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-01-12 19:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-01-12 21:01:00',8.60,-50.80, 952,4.60,5.60, 93, 'Deep Moonquake', '49', NULL);
INSERT INTO event VALUES ('1972-01-13 00:05:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1972-01-13 02:35:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1972-01-13 04:30:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', NULL);
INSERT INTO event VALUES ('1972-01-13 05:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-01-13 05:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-01-13 08:43:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', NULL);
INSERT INTO event VALUES ('1972-01-13 09:10:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1972-01-13 12:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-01-13 12:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '80', NULL);
INSERT INTO event VALUES ('1972-01-13 13:44:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-01-13 16:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '398', NULL);
INSERT INTO event VALUES ('1972-01-13 19:13:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1972-01-13 20:48:00',7.00,8.30, 1019,1.30,4.10, 191, 'Deep Moonquake', '243', NULL);
INSERT INTO event VALUES ('1972-01-13 21:37:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-01-14 04:20:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-01-14 05:18:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-01-14 13:45:00',-3.70,-33.90, 933,3.60,12.40, 109, 'Deep Moonquake', '276', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-01-14 14:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '227', NULL);
INSERT INTO event VALUES ('1972-01-14 17:09:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', NULL);
INSERT INTO event VALUES ('1972-01-14 18:48:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-01-15 01:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-01-15 02:48:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1972-01-15 04:30:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-01-15 10:53:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1972-01-15 12:45:00',19.40,24.30, 959,2.70,5.10, 68, 'Deep Moonquake', '246', NULL);
INSERT INTO event VALUES ('1972-01-15 18:55:00',8.70,-53.40, 828,1.00,5.00, 27, 'Deep Moonquake', '50', NULL);
INSERT INTO event VALUES ('1972-01-16 02:05:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', NULL);
INSERT INTO event VALUES ('1972-01-16 02:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-01-16 03:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-01-16 04:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '325', NULL);
INSERT INTO event VALUES ('1972-01-16 12:45:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', '15 T?');
INSERT INTO event VALUES ('1972-01-17 01:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '219', NULL);
INSERT INTO event VALUES ('1972-01-17 04:12:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-01-17 05:48:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-01-17 06:21:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', NULL);
INSERT INTO event VALUES ('1972-01-18 14:03:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-01-18 14:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-01-18 19:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-01-18 20:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-01-18 21:56:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-01-19 06:46:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', NULL);
INSERT INTO event VALUES ('1972-01-20 07:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'LARGE 15 SPZ');
INSERT INTO event VALUES ('1972-01-20 08:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-01-20 18:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14 BEG. LOST.  NEAR 15');
INSERT INTO event VALUES ('1972-01-21 07:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '405', NULL);
INSERT INTO event VALUES ('1972-01-21 16:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-01-22 09:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14 SP = 28');
INSERT INTO event VALUES ('1972-01-22 12:35:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', NULL);
INSERT INTO event VALUES ('1972-01-23 13:37:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1972-01-25 00:44:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', NULL);
INSERT INTO event VALUES ('1972-01-25 13:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '221', NULL);
INSERT INTO event VALUES ('1972-01-25 14:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST, 14 NOISY');
INSERT INTO event VALUES ('1972-01-26 05:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-01-26 16:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-01-26 16:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', NULL);
INSERT INTO event VALUES ('1972-01-27 07:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-01-27 10:33:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1972-01-27 16:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-01-27 19:12:00',-53.20,-54.40, 933,4.60,11.40, 109, 'Deep Moonquake', '281', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-01-27 19:57:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-01-28 02:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-01-28 06:37:00',53.40,60.90, 1077,15.20,66.10, 32, 'Deep Moonquake', '29', NULL);
INSERT INTO event VALUES ('1972-01-28 17:40:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1972-01-29 01:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-01-29 04:18:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1972-01-29 13:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-01-29 17:47:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', NULL);
INSERT INTO event VALUES ('1972-01-30 00:24:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-01-30 02:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-01-30 23:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'Z?');
INSERT INTO event VALUES ('1972-01-31 05:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-01-31 11:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-01-31 14:30:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1972-01-31 16:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-01-31 17:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '406', NULL);
INSERT INTO event VALUES ('1972-01-31 17:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-01-31 19:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-02-01 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '228', NULL);
INSERT INTO event VALUES ('1972-02-01 00:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-02-01 10:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '226', NULL);
INSERT INTO event VALUES ('1972-02-01 14:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-02-01 18:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-02-01 19:08:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-02-02 05:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-02-02 11:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-02-03 04:27:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-02-03 06:50:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1972-02-03 21:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-02-04 01:15:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', NULL);
INSERT INTO event VALUES ('1972-02-04 10:05:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', 'EVENT?');
INSERT INTO event VALUES ('1972-02-05 17:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C ?');
INSERT INTO event VALUES ('1972-02-05 22:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-02-06 07:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'EVENT ?');
INSERT INTO event VALUES ('1972-02-06 22:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'EVENT ?');
INSERT INTO event VALUES ('1972-02-08 20:05:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-02-08 22:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1972-02-08 22:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-02-08 23:50:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-02-09 00:52:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-02-09 02:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-02-09 04:10:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-02-09 10:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-02-09 11:27:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1972-04-17 21:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '308', NULL);
INSERT INTO event VALUES ('1972-02-09 14:45:00',-53.20,-54.40, 933,4.60,11.40, 109, 'Deep Moonquake', '281', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-02-09 17:50:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1972-02-09 18:27:00',8.60,-50.80, 952,4.60,5.60, 93, 'Deep Moonquake', '49', NULL);
INSERT INTO event VALUES ('1972-02-10 00:10:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-02-10 00:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '398', NULL);
INSERT INTO event VALUES ('1972-02-10 00:50:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', NULL);
INSERT INTO event VALUES ('1972-02-10 01:29:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', NULL);
INSERT INTO event VALUES ('1972-02-10 09:28:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1972-02-10 10:20:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', NULL);
INSERT INTO event VALUES ('1972-02-10 11:35:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1972-02-10 13:42:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', NULL);
INSERT INTO event VALUES ('1972-02-10 16:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-02-10 17:00:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-02-10 20:30:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', '15 T?');
INSERT INTO event VALUES ('1972-02-10 22:29:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-02-11 04:02:00',-3.70,-33.90, 933,3.60,12.40, 109, 'Deep Moonquake', '276', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-02-11 05:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-02-11 05:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '227', NULL);
INSERT INTO event VALUES ('1972-02-11 23:30:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1972-02-12 05:50:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-02-12 15:30:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1972-02-12 16:15:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', NULL);
INSERT INTO event VALUES ('1972-02-12 17:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '325', NULL);
INSERT INTO event VALUES ('1972-02-12 18:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '207', NULL);
INSERT INTO event VALUES ('1972-02-13 04:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-02-13 10:18:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-02-13 21:24:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-02-14 15:25:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-02-14 18:26:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', NULL);
INSERT INTO event VALUES ('1972-02-14 22:33:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', NULL);
INSERT INTO event VALUES ('1972-02-15 03:11:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-02-15 20:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-02-15 22:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '320', NULL);
INSERT INTO event VALUES ('1972-02-16 04:59:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-02-16 15:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', NULL);
INSERT INTO event VALUES ('1972-02-16 16:16:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', NULL);
INSERT INTO event VALUES ('1972-02-18 14:33:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', NULL);
INSERT INTO event VALUES ('1972-02-18 15:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-02-18 16:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-02-21 09:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-02-21 11:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-02-21 17:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '221', NULL);
INSERT INTO event VALUES ('1972-02-21 20:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-02-21 21:50:00',5.30,3.60, 933,1.10,1.50, 109, 'Deep Moonquake', '248', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-02-21 22:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-02-22 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-02-22 06:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', NULL);
INSERT INTO event VALUES ('1972-02-22 08:29:00',14.30,-12.40, 945,1.00,2.00, 26, 'Deep Moonquake', '71', '15 NOISY, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-02-22 09:55:00',-53.20,-54.40, 933,4.60,11.40, 109, 'Deep Moonquake', '281', '15 NOISY, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-02-22 13:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '317', NULL);
INSERT INTO event VALUES ('1972-02-22 13:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-02-22 20:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1972-02-22 23:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-02-23 01:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-02-23 04:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-02-23 11:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', NULL);
INSERT INTO event VALUES ('1972-02-23 15:57:00',53.40,60.90, 1077,15.20,66.10, 32, 'Deep Moonquake', '29', NULL);
INSERT INTO event VALUES ('1972-02-23 16:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-02-23 16:56:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-02-23 17:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-02-23 19:08:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1972-02-24 17:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-02-24 19:32:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1972-02-25 05:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-02-25 12:28:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1972-02-25 19:57:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1972-02-25 23:29:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-02-26 04:58:00',-3.70,-33.90, 933,3.60,12.40, 109, 'Deep Moonquake', '276', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-02-26 05:08:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', NULL);
INSERT INTO event VALUES ('1972-02-26 05:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-02-26 16:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-02-27 05:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '319', NULL);
INSERT INTO event VALUES ('1972-02-28 00:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '228', NULL);
INSERT INTO event VALUES ('1972-02-28 01:08:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1972-02-28 12:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-02-28 13:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-02-29 00:00:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-02-29 09:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '226', NULL);
INSERT INTO event VALUES ('1972-02-29 20:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'EVENT ?');
INSERT INTO event VALUES ('1972-03-01 09:02:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-03-03 02:57:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', '12A ESTIMATED');
INSERT INTO event VALUES ('1972-03-03 17:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-03-04 22:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'EVENT ?');
INSERT INTO event VALUES ('1972-03-06 00:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-03-06 06:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-03-06 17:45:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1972-03-06 18:08:00',6.30,22.10, 855,0.90,9.70, 188, 'Deep Moonquake', '230', NULL);
INSERT INTO event VALUES ('1972-03-07 06:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-03-07 13:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-03-07 23:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-03-08 01:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-03-08 02:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-03-08 03:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '31', NULL);
INSERT INTO event VALUES ('1972-03-08 10:18:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1972-03-08 10:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-03-08 11:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-03-08 12:43:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1972-03-09 05:23:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', '14 NOISY, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-03-09 06:04:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', '14 NOISY');
INSERT INTO event VALUES ('1972-03-09 06:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '289', '14 NOISY');
INSERT INTO event VALUES ('1972-03-09 07:30:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', '14 NOISY');
INSERT INTO event VALUES ('1972-03-09 09:52:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-03-09 11:41:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-03-09 19:22:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-03-09 21:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-03-09 21:55:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-03-10 05:37:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', NULL);
INSERT INTO event VALUES ('1972-03-10 14:18:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-03-10 17:15:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-03-10 21:02:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1972-03-11 03:15:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', NULL);
INSERT INTO event VALUES ('1972-03-11 06:50:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', NULL);
INSERT INTO event VALUES ('1972-03-11 07:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-03-11 10:14:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1972-03-11 12:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-03-11 21:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C ? 15 SPZ CLIPPED');
INSERT INTO event VALUES ('1972-03-11 21:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-03-12 02:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '347', NULL);
INSERT INTO event VALUES ('1972-03-12 12:49:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', NULL);
INSERT INTO event VALUES ('1972-03-12 18:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-03-12 19:22:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-03-12 23:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-03-13 04:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-03-13 08:33:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', NULL);
INSERT INTO event VALUES ('1972-03-13 11:01:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-03-13 13:07:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', NULL);
INSERT INTO event VALUES ('1972-03-13 21:21:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', NULL);
INSERT INTO event VALUES ('1972-03-14 02:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-03-14 05:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '315', NULL);
INSERT INTO event VALUES ('1972-03-14 23:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '90', NULL);
INSERT INTO event VALUES ('1972-03-15 01:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '320', NULL);
INSERT INTO event VALUES ('1972-03-15 01:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C OR Z');
INSERT INTO event VALUES ('1972-03-15 02:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-03-16 12:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-03-17 23:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C, DIST');
INSERT INTO event VALUES ('1972-03-18 02:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, '15 SPZ CLIPPED');
INSERT INTO event VALUES ('1972-03-18 07:34:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-03-18 13:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-03-18 17:24:00',-3.40,12.50, 933,2.50,3.10, 109, 'Deep Moonquake', '249', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-03-19 02:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-03-19 04:45:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1972-03-19 07:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-03-19 08:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-03-19 22:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '221', NULL);
INSERT INTO event VALUES ('1972-03-20 00:57:00',5.30,3.60, 933,1.10,1.50, 109, 'Deep Moonquake', '248', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-03-20 02:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-03-20 05:24:00',-53.20,-54.40, 933,4.60,11.40, 109, 'Deep Moonquake', '281', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-03-20 06:21:00',-3.40,12.50, 933,2.50,3.10, 109, 'Deep Moonquake', '249', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-03-20 07:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'LPX AMPLITUDE');
INSERT INTO event VALUES ('1972-03-20 09:24:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-03-20 12:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', NULL);
INSERT INTO event VALUES ('1972-03-20 15:30:00',1.40,15.00, 933,1.60,3.70, 109, 'Deep Moonquake', '255', NULL);
INSERT INTO event VALUES ('1972-03-20 15:57:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1972-03-20 17:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-03-20 18:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-03-20 18:47:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1972-03-20 19:58:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-03-21 01:21:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', NULL);
INSERT INTO event VALUES ('1972-03-21 02:00:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1972-03-21 04:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1972-03-21 08:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-03-21 10:18:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-03-21 11:01:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-03-21 14:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1972-03-21 14:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-03-22 00:17:00',53.40,60.90, 1077,15.20,66.10, 32, 'Deep Moonquake', '29', NULL);
INSERT INTO event VALUES ('1972-03-22 09:57:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1972-03-22 22:07:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', '15 NOISY');
INSERT INTO event VALUES ('1972-03-22 23:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '15 NOISY');
INSERT INTO event VALUES ('1972-03-23 03:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-03-23 05:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '312', NULL);
INSERT INTO event VALUES ('1972-03-23 21:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '336', NULL);
INSERT INTO event VALUES ('1972-03-24 05:46:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1972-03-24 12:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-03-25 17:45:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', NULL);
INSERT INTO event VALUES ('1972-03-26 18:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-03-27 18:51:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-03-27 21:20:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', NULL);
INSERT INTO event VALUES ('1972-03-28 09:40:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1972-03-29 04:31:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', '14, 15 T?, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-03-29 11:36:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', NULL);
INSERT INTO event VALUES ('1972-03-29 12:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'Z?');
INSERT INTO event VALUES ('1972-03-30 03:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'NOISE');
INSERT INTO event VALUES ('1972-03-30 20:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, '15, SPZ= 29');
INSERT INTO event VALUES ('1972-04-01 02:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-01 11:18:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1972-04-01 12:37:00',23.00,20.40, 1085,3.30,4.70, 64, 'Deep Moonquake', '27', NULL);
INSERT INTO event VALUES ('1972-04-02 07:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14, SPZ CLIPPED');
INSERT INTO event VALUES ('1972-04-02 09:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'NOISE ?');
INSERT INTO event VALUES ('1972-04-02 11:50:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1972-04-02 23:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-03 08:53:00',7.10,22.50, 984,1.20,4.70, 76, 'Deep Moonquake', '283', NULL);
INSERT INTO event VALUES ('1972-04-03 11:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'NOISE OR CLOSE TO 15,NO SPZ');
INSERT INTO event VALUES ('1972-04-03 23:52:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-04-04 01:03:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1972-04-04 02:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '307', NULL);
INSERT INTO event VALUES ('1972-04-04 02:47:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', NULL);
INSERT INTO event VALUES ('1972-04-04 05:05:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1972-04-04 05:47:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-04-04 06:58:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1972-04-04 07:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-04 13:01:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-04-04 18:56:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-04-04 22:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-05 03:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-05 06:40:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1972-04-05 08:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '377', NULL);
INSERT INTO event VALUES ('1972-04-05 09:48:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1972-04-05 21:26:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-04-06 11:43:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-04-06 18:12:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-04-06 19:47:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', NULL);
INSERT INTO event VALUES ('1972-04-07 14:40:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1972-04-08 00:01:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', NULL);
INSERT INTO event VALUES ('1972-04-08 01:55:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', NULL);
INSERT INTO event VALUES ('1972-04-08 03:29:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-04-08 19:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-09 08:47:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-04-09 11:01:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', NULL);
INSERT INTO event VALUES ('1972-04-09 13:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '347', NULL);
INSERT INTO event VALUES ('1972-04-10 00:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-10 02:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-04-10 04:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '348', NULL);
INSERT INTO event VALUES ('1972-04-10 06:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '219', NULL);
INSERT INTO event VALUES ('1972-04-10 06:40:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', NULL);
INSERT INTO event VALUES ('1972-04-10 07:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-04-10 14:28:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-04-10 17:59:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', NULL);
INSERT INTO event VALUES ('1972-04-10 21:28:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', NULL);
INSERT INTO event VALUES ('1972-04-11 05:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '277', NULL);
INSERT INTO event VALUES ('1972-04-11 05:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-11 11:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-11 12:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', NULL);
INSERT INTO event VALUES ('1972-04-11 16:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '310', NULL);
INSERT INTO event VALUES ('1972-04-11 18:08:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', NULL);
INSERT INTO event VALUES ('1972-04-11 22:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-11 22:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '324', NULL);
INSERT INTO event VALUES ('1972-04-12 05:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-12 07:21:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-04-12 08:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '90', NULL);
INSERT INTO event VALUES ('1972-04-12 10:15:00',-7.80,5.40, 933,3.50,1.70, 109, 'Deep Moonquake', '236', NULL);
INSERT INTO event VALUES ('1972-04-12 10:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '381', NULL);
INSERT INTO event VALUES ('1972-04-12 11:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'LPX AMPLITUDE');
INSERT INTO event VALUES ('1972-04-12 17:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14 SPZ= 10.5');
INSERT INTO event VALUES ('1972-04-12 22:09:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', NULL);
INSERT INTO event VALUES ('1972-04-13 03:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'LPX AMPLITUDE');
INSERT INTO event VALUES ('1972-04-14 07:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '221', NULL);
INSERT INTO event VALUES ('1972-04-14 07:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1972-04-14 10:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '310', NULL);
INSERT INTO event VALUES ('1972-04-14 11:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST, 14 SPZ= 2.5');
INSERT INTO event VALUES ('1972-04-14 17:34:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', NULL);
INSERT INTO event VALUES ('1972-04-15 07:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-15 09:37:00',12.80,-36.20, 963,1.40,5.60, 45, 'Deep Moonquake', '212', NULL);
INSERT INTO event VALUES ('1972-04-15 16:15:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', NULL);
INSERT INTO event VALUES ('1972-04-15 17:50:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', NULL);
INSERT INTO event VALUES ('1972-04-15 18:01:00',5.30,3.60, 933,1.10,1.50, 109, 'Deep Moonquake', '248', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-04-15 20:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-15 21:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-15 22:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-04-16 04:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-16 05:04:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-04-16 07:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '353', NULL);
INSERT INTO event VALUES ('1972-04-16 22:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '317', NULL);
INSERT INTO event VALUES ('1972-04-16 22:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-17 00:23:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1972-04-17 09:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', NULL);
INSERT INTO event VALUES ('1972-04-17 23:43:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-04-18 00:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '12T? 14 BEHEADED');
INSERT INTO event VALUES ('1972-04-18 02:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-04-18 04:09:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1972-04-18 12:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-18 13:07:00',53.40,60.90, 1077,15.20,66.10, 32, 'Deep Moonquake', '29', NULL);
INSERT INTO event VALUES ('1972-04-18 13:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-18 14:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', NULL);
INSERT INTO event VALUES ('1972-04-18 14:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-18 16:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14 T?');
INSERT INTO event VALUES ('1972-04-18 19:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-19 03:30:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', 'EVENT ?');
INSERT INTO event VALUES ('1972-04-19 04:27:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1972-04-19 10:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'EVENT ?');
INSERT INTO event VALUES ('1972-04-19 13:46:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1972-04-19 18:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-19 20:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-19 20:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-19 21:03:00',1.00,-23.80, 0,0.70,0.20, NULL, 'S-IVB Impact', NULL, '16 S4B IMP');
INSERT INTO event VALUES ('1972-04-20 01:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', NULL);
INSERT INTO event VALUES ('1972-04-20 01:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '323', NULL);
INSERT INTO event VALUES ('1972-04-20 03:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-20 03:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-20 03:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '265', NULL);
INSERT INTO event VALUES ('1972-04-20 04:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-20 08:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', NULL);
INSERT INTO event VALUES ('1972-04-20 08:27:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1972-04-20 09:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-20 10:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-20 11:22:00',15.50,55.60, 755,1.20,7.50, 44, 'Deep Moonquake', '114', NULL);
INSERT INTO event VALUES ('1972-04-20 11:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '352', NULL);
INSERT INTO event VALUES ('1972-04-20 17:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', NULL);
INSERT INTO event VALUES ('1972-04-20 19:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-20 20:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', NULL);
INSERT INTO event VALUES ('1972-04-21 01:00:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1972-04-21 02:23:35',-8.97,15.50, 0, NULL, NULL, NULL, 'LM Landing', NULL, '16LM Landing');
INSERT INTO event VALUES ('1972-04-21 02:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-21 03:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-21 03:36:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', NULL);
INSERT INTO event VALUES ('1972-04-21 05:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-21 06:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', NULL);
INSERT INTO event VALUES ('1972-04-21 07:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '336', NULL);
INSERT INTO event VALUES ('1972-04-21 08:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-21 08:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '360', NULL);
INSERT INTO event VALUES ('1972-04-21 10:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-21 11:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '354', NULL);
INSERT INTO event VALUES ('1972-04-21 12:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-21 13:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-21 15:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-21 16:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-21 20:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-21 21:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-21 23:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-04-22 00:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-22 01:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-22 02:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-22 02:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '228', NULL);
INSERT INTO event VALUES ('1972-04-22 09:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '226', NULL);
INSERT INTO event VALUES ('1972-04-22 10:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-04-22 11:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-22 15:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '226', NULL);
INSERT INTO event VALUES ('1972-04-22 20:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-24 15:22:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-04-24 19:05:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', NULL);
INSERT INTO event VALUES ('1972-04-25 09:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, '15 SPZ= 9.0');
INSERT INTO event VALUES ('1972-04-25 17:56:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-25 18:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-04-25 19:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-04-25 20:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-04-26 00:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', 'M OR C CLOSE TO 16');
INSERT INTO event VALUES ('1972-04-26 02:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-04-26 03:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-26 04:10:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-04-26 05:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-26 07:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-26 07:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-04-26 09:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-26 10:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-26 12:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-26 12:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-26 13:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-26 13:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '432', NULL);
INSERT INTO event VALUES ('1972-04-26 14:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-26 16:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-26 17:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-26 19:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-26 21:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-26 22:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-26 22:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-26 23:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-27 01:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-27 02:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-27 04:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-27 04:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-27 08:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-27 11:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1972-04-27 13:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-27 15:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-27 16:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-27 17:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '415', NULL);
INSERT INTO event VALUES ('1972-04-27 17:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '433', NULL);
INSERT INTO event VALUES ('1972-04-27 18:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-27 19:48:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-04-27 20:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '16 T OFST');
INSERT INTO event VALUES ('1972-04-27 20:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-27 22:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-27 22:55:00',23.00,20.40, 1085,3.30,4.70, 64, 'Deep Moonquake', '27', NULL);
INSERT INTO event VALUES ('1972-04-27 23:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-28 01:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-28 01:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-28 02:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '434', NULL);
INSERT INTO event VALUES ('1972-04-28 02:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-28 05:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-28 09:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-28 10:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-28 11:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '432', NULL);
INSERT INTO event VALUES ('1972-04-28 11:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-28 13:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-28 13:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '419', NULL);
INSERT INTO event VALUES ('1972-04-28 15:28:00',-3.40,12.50, 933,2.50,3.10, 109, 'Deep Moonquake', '249', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-04-28 17:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-28 17:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '211', NULL);
INSERT INTO event VALUES ('1972-04-28 19:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-28 21:10:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', NULL);
INSERT INTO event VALUES ('1972-04-28 21:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '98', NULL);
INSERT INTO event VALUES ('1972-04-28 22:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-28 23:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-29 01:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-29 02:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1972-04-29 03:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-29 03:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-29 04:31:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', NULL);
INSERT INTO event VALUES ('1972-04-29 06:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-29 06:20:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', NULL);
INSERT INTO event VALUES ('1972-04-29 08:25:00',12.20,3.50, 933,1.90,1.50, 109, 'Deep Moonquake', '237', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-04-29 09:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-04-29 09:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-29 10:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-04-29 11:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-29 13:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-29 16:27:00',7.10,22.50, 984,1.20,4.70, 76, 'Deep Moonquake', '283', NULL);
INSERT INTO event VALUES ('1972-04-29 17:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-29 18:10:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1972-04-29 18:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-29 19:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-29 21:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'Z?');
INSERT INTO event VALUES ('1972-04-29 22:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-30 01:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-04-30 04:45:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1972-04-30 07:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-30 07:50:00',19.40,24.30, 959,2.70,5.10, 68, 'Deep Moonquake', '246', '12 T?');
INSERT INTO event VALUES ('1972-04-30 08:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12 T?');
INSERT INTO event VALUES ('1972-04-30 14:07:00',-46.50,38.90, 933,8.30,9.30, 109, 'Deep Moonquake', '251', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-04-30 14:57:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-04-30 15:24:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-04-30 16:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-04-30 17:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '307', NULL);
INSERT INTO event VALUES ('1972-04-30 18:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '215', NULL);
INSERT INTO event VALUES ('1972-04-30 20:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '31', NULL);
INSERT INTO event VALUES ('1972-04-30 20:53:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', NULL);
INSERT INTO event VALUES ('1972-04-30 22:18:00',-3.70,-33.90, 933,3.60,12.40, 109, 'Deep Moonquake', '276', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-04-30 23:40:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1972-05-01 06:02:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-05-01 08:44:00',9.20,17.50, 1187,1.50,4.90, 87, 'Deep Moonquake', '11', NULL);
INSERT INTO event VALUES ('1972-05-01 10:26:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-05-01 11:02:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-05-01 11:48:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-05-01 15:08:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-05-01 18:08:00',19.40,24.30, 959,2.70,5.10, 68, 'Deep Moonquake', '246', NULL);
INSERT INTO event VALUES ('1972-05-01 21:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-02 03:30:00',-27.90,-31.00, 932,3.60,2.10, 12, 'Deep Moonquake', '53', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-05-02 03:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-02 10:54:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-05-02 12:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-05-02 17:42:00',8.60,-50.80, 952,4.60,5.60, 93, 'Deep Moonquake', '49', NULL);
INSERT INTO event VALUES ('1972-05-02 19:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1972-05-02 21:42:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', NULL);
INSERT INTO event VALUES ('1972-05-02 22:16:00',-53.20,-54.40, 933,4.60,11.40, 109, 'Deep Moonquake', '281', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-05-02 23:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-05-03 02:52:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-05-03 06:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-03 07:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '15 T?');
INSERT INTO event VALUES ('1972-05-03 09:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '12,15 T?');
INSERT INTO event VALUES ('1972-05-03 11:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '374', NULL);
INSERT INTO event VALUES ('1972-05-03 15:44:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1972-05-03 22:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-03 22:21:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-05-04 10:40:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', NULL);
INSERT INTO event VALUES ('1972-05-04 11:16:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-05-04 14:16:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-05-04 17:22:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-05-04 17:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-04 23:47:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-05-05 01:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '227', NULL);
INSERT INTO event VALUES ('1972-05-05 07:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-05 08:09:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1972-05-05 08:32:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-05-05 11:02:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-05-05 11:29:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', NULL);
INSERT INTO event VALUES ('1972-05-05 12:37:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-05-05 12:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '432', 'L');
INSERT INTO event VALUES ('1972-05-05 14:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-05 16:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'L');
INSERT INTO event VALUES ('1972-05-05 18:43:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-05-05 21:36:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-05-06 02:48:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-05-06 03:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-06 05:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-05-06 07:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C, DIST');
INSERT INTO event VALUES ('1972-05-06 08:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C, DIST');
INSERT INTO event VALUES ('1972-05-06 08:56:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-05-06 09:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-06 12:05:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1972-05-06 15:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '89', NULL);
INSERT INTO event VALUES ('1972-05-06 19:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-06 20:26:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', NULL);
INSERT INTO event VALUES ('1972-05-07 03:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-07 04:11:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1972-05-07 05:05:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-05-30 05:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '374', NULL);
INSERT INTO event VALUES ('1972-05-07 08:51:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-05-07 09:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-07 10:18:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-05-07 11:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-07 12:29:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1972-05-07 13:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '235', NULL);
INSERT INTO event VALUES ('1972-05-07 13:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '347', NULL);
INSERT INTO event VALUES ('1972-05-07 15:13:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', NULL);
INSERT INTO event VALUES ('1972-05-07 18:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-07 21:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-07 21:50:00',15.50,97.00, 1141,2.40,12.30, 74, 'Deep Moonquake', '282', NULL);
INSERT INTO event VALUES ('1972-05-08 00:08:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-05-08 00:36:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-05-08 04:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '435', NULL);
INSERT INTO event VALUES ('1972-05-08 07:30:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-05-08 09:02:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-05-08 09:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-05-08 11:47:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', NULL);
INSERT INTO event VALUES ('1972-05-08 12:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-08 13:31:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-05-08 16:24:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', NULL);
INSERT INTO event VALUES ('1972-05-08 18:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-08 21:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-08 22:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '348', NULL);
INSERT INTO event VALUES ('1972-05-09 00:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '325', NULL);
INSERT INTO event VALUES ('1972-05-09 02:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-09 03:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-09 03:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-09 04:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-09 06:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-09 11:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '425', NULL);
INSERT INTO event VALUES ('1972-05-09 12:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '277', NULL);
INSERT INTO event VALUES ('1972-05-09 12:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-09 13:44:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1972-05-09 14:11:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', NULL);
INSERT INTO event VALUES ('1972-05-09 16:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', NULL);
INSERT INTO event VALUES ('1972-05-09 18:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-09 21:08:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', NULL);
INSERT INTO event VALUES ('1972-05-09 21:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-09 22:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '310', NULL);
INSERT INTO event VALUES ('1972-05-09 23:30:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1972-05-10 00:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '419', NULL);
INSERT INTO event VALUES ('1972-05-10 06:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '90', NULL);
INSERT INTO event VALUES ('1972-05-10 07:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-05-10 08:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '324', NULL);
INSERT INTO event VALUES ('1972-05-10 12:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '72', NULL);
INSERT INTO event VALUES ('1972-05-10 14:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1972-05-10 17:19:00',-3.60,21.50, 933,2.80,5.70, 109, 'Deep Moonquake', '250', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-05-10 19:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '90', NULL);
INSERT INTO event VALUES ('1972-05-10 21:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '90', NULL);
INSERT INTO event VALUES ('1972-05-10 22:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '422', NULL);
INSERT INTO event VALUES ('1972-05-10 23:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '381', NULL);
INSERT INTO event VALUES ('1972-05-11 01:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-05-11 05:20:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', '15 T OFST 48S');
INSERT INTO event VALUES ('1972-05-11 06:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '15 T OFST 48S');
INSERT INTO event VALUES ('1972-05-11 07:15:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', '15 T OFST 48S');
INSERT INTO event VALUES ('1972-05-11 07:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '15 T OFST 48S');
INSERT INTO event VALUES ('1972-05-11 10:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C,15 SPZ=45,15T OFST 48S');
INSERT INTO event VALUES ('1972-05-11 11:20:00',-7.80,5.40, 933,3.50,1.70, 109, 'Deep Moonquake', '236', '15 T OFST 48S');
INSERT INTO event VALUES ('1972-05-11 11:51:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', '15 T OFST 48S,24S AFTER 11 57');
INSERT INTO event VALUES ('1972-05-11 13:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-05-11 13:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-05-11 16:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '254', NULL);
INSERT INTO event VALUES ('1972-05-11 21:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-12 01:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-12 02:20:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-05-12 05:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-12 06:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-12 06:41:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1972-05-12 07:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, 'TWO EVENTS ?');
INSERT INTO event VALUES ('1972-05-12 07:27:00',12.80,-36.20, 963,1.40,5.60, 45, 'Deep Moonquake', '212', NULL);
INSERT INTO event VALUES ('1972-05-12 08:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-05-12 09:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-05-12 10:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1972-05-12 12:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '221', NULL);
INSERT INTO event VALUES ('1972-05-12 14:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-12 15:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-12 16:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1972-05-12 17:42:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1972-05-12 18:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '418', NULL);
INSERT INTO event VALUES ('1972-05-12 20:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-12 21:41:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-05-12 22:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-12 23:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-13 00:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-13 03:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1972-05-13 04:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-13 05:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1972-05-13 06:46:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-05-13 07:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-05-13 07:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '288', NULL);
INSERT INTO event VALUES ('1972-05-13 08:46:00',-0.20,-14.60, 0,2.10,1.30, NULL, 'Meteoroid Impact', NULL, 'WHOPPER, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-05-13 12:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-13 15:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-13 16:52:00',-3.40,12.50, 933,2.50,3.10, 109, 'Deep Moonquake', '249', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-05-13 17:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '361', NULL);
INSERT INTO event VALUES ('1972-05-13 18:02:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', NULL);
INSERT INTO event VALUES ('1972-05-13 22:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-14 01:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-14 01:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '353', NULL);
INSERT INTO event VALUES ('1972-05-14 03:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '317', NULL);
INSERT INTO event VALUES ('1972-05-14 09:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16 FLAT RESPONSE');
INSERT INTO event VALUES ('1972-05-14 10:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-14 10:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14 SPZ=18.');
INSERT INTO event VALUES ('1972-05-14 12:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-14 14:07:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1972-05-14 15:52:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', NULL);
INSERT INTO event VALUES ('1972-05-14 16:42:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-05-14 17:59:00',-53.20,-54.40, 933,4.60,11.40, 109, 'Deep Moonquake', '281', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-05-14 19:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-14 21:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-14 21:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '427', NULL);
INSERT INTO event VALUES ('1972-05-14 23:26:00',1.40,15.00, 933,1.60,3.70, 109, 'Deep Moonquake', '255', NULL);
INSERT INTO event VALUES ('1972-05-15 00:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1972-05-15 08:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', NULL);
INSERT INTO event VALUES ('1972-05-15 09:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-15 11:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-15 11:35:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-05-15 12:34:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-05-15 15:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1972-05-15 17:21:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-05-15 18:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-05-15 18:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-15 18:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1972-05-15 20:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-16 00:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-16 00:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-16 01:20:00',1.40,15.00, 933,1.60,3.70, 109, 'Deep Moonquake', '255', NULL);
INSERT INTO event VALUES ('1972-05-16 02:24:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-05-16 03:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-16 07:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-16 08:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '253', NULL);
INSERT INTO event VALUES ('1972-05-16 08:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', NULL);
INSERT INTO event VALUES ('1972-05-16 09:03:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1972-05-16 09:12:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1972-05-16 10:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-16 10:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1972-05-16 11:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1972-05-16 11:58:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1972-05-16 14:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', NULL);
INSERT INTO event VALUES ('1972-05-16 16:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-16 16:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', NULL);
INSERT INTO event VALUES ('1972-05-16 18:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-16 20:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', NULL);
INSERT INTO event VALUES ('1972-05-16 22:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '323', NULL);
INSERT INTO event VALUES ('1972-05-16 23:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-17 00:42:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1972-05-17 01:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-17 03:50:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1972-05-17 15:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-17 15:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '229', NULL);
INSERT INTO event VALUES ('1972-05-17 17:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '?');
INSERT INTO event VALUES ('1972-05-17 19:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '265', NULL);
INSERT INTO event VALUES ('1972-05-17 23:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '336', NULL);
INSERT INTO event VALUES ('1972-05-17 23:32:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', '15 T OFST');
INSERT INTO event VALUES ('1972-05-18 01:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', NULL);
INSERT INTO event VALUES ('1972-05-18 01:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-05-18 02:42:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1972-05-18 03:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-18 05:17:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1972-05-18 05:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '273', NULL);
INSERT INTO event VALUES ('1972-05-18 07:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-18 11:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-18 20:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-05-18 20:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-18 20:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', NULL);
INSERT INTO event VALUES ('1972-05-18 23:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST, 16 T OFST');
INSERT INTO event VALUES ('1972-05-19 01:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '226', NULL);
INSERT INTO event VALUES ('1972-05-19 02:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '352', NULL);
INSERT INTO event VALUES ('1972-05-19 02:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '273', NULL);
INSERT INTO event VALUES ('1972-05-19 04:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', NULL);
INSERT INTO event VALUES ('1972-05-19 05:37:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1972-05-19 07:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '354', 'M');
INSERT INTO event VALUES ('1972-05-19 08:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-19 12:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', NULL);
INSERT INTO event VALUES ('1972-05-19 16:10:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1972-05-19 18:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SP=12');
INSERT INTO event VALUES ('1972-05-19 21:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-19 21:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-20 06:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '226', NULL);
INSERT INTO event VALUES ('1972-05-20 09:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-05-20 13:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '319', NULL);
INSERT INTO event VALUES ('1972-05-20 18:30:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1972-05-21 05:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-05-21 16:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-21 17:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '228', NULL);
INSERT INTO event VALUES ('1972-05-21 23:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-22 03:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-22 08:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-22 14:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-05-22 16:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, '15 SPZ=22.');
INSERT INTO event VALUES ('1972-05-22 18:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-22 20:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-22 21:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-22 23:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-23 01:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-23 09:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-23 11:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-23 11:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-23 12:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-05-23 14:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-23 16:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-23 17:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-23 17:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-23 18:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'M?');
INSERT INTO event VALUES ('1972-05-23 20:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-23 21:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-05-23 21:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-05-23 23:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1972-05-23 23:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-24 01:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-24 02:02:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-05-24 02:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-24 03:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-24 05:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, '14 NOISY');
INSERT INTO event VALUES ('1972-05-24 05:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1972-05-24 08:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-05-24 09:22:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', NULL);
INSERT INTO event VALUES ('1972-06-09 00:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '430', NULL);
INSERT INTO event VALUES ('1972-05-24 09:26:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', NULL);
INSERT INTO event VALUES ('1972-05-24 13:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-24 14:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-24 17:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1972-05-24 18:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-24 22:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1972-05-24 22:30:00',-3.40,12.50, 933,2.50,3.10, 109, 'Deep Moonquake', '249', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-05-25 00:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-25 02:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-05-25 04:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '431', NULL);
INSERT INTO event VALUES ('1972-05-25 05:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-25 07:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-25 08:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-05-25 13:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-05-25 14:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-05-25 16:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-05-25 16:35:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-05-25 17:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C,16 SPZ=16.');
INSERT INTO event VALUES ('1972-05-25 18:29:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-25 20:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-05-25 20:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-05-25 23:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-26 01:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-05-26 03:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-05-26 04:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-26 04:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-26 06:08:00',23.00,20.40, 1085,3.30,4.70, 64, 'Deep Moonquake', '27', NULL);
INSERT INTO event VALUES ('1972-05-26 06:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-26 08:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-26 09:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-26 10:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-05-26 11:17:00',7.10,22.50, 984,1.20,4.70, 76, 'Deep Moonquake', '283', NULL);
INSERT INTO event VALUES ('1972-05-26 11:42:00',54.20,56.50, 933,6.50,14.00, 109, 'Deep Moonquake', '286', NULL);
INSERT INTO event VALUES ('1972-05-26 12:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '433', NULL);
INSERT INTO event VALUES ('1972-05-26 12:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', 'M?');
INSERT INTO event VALUES ('1972-05-26 13:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-26 13:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-26 14:05:00',-3.40,12.50, 933,2.50,3.10, 109, 'Deep Moonquake', '249', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-05-26 15:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '16 BEHEADED');
INSERT INTO event VALUES ('1972-05-26 16:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '98', NULL);
INSERT INTO event VALUES ('1972-05-26 16:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-26 16:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-26 17:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-05-26 18:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-26 18:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-05-26 22:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-26 22:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-05-26 23:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-05-27 00:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-27 00:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-05-27 01:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-05-27 03:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-05-27 04:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-05-27 05:33:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1972-05-27 05:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-27 05:55:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', NULL);
INSERT INTO event VALUES ('1972-05-27 06:35:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-05-27 08:51:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1972-05-27 10:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'EVENT ?');
INSERT INTO event VALUES ('1972-05-27 10:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '398', NULL);
INSERT INTO event VALUES ('1972-05-27 12:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-05-27 12:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '235', NULL);
INSERT INTO event VALUES ('1972-05-27 18:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '211', NULL);
INSERT INTO event VALUES ('1972-05-27 18:57:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1972-05-27 19:17:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1972-05-27 20:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-27 21:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '432', NULL);
INSERT INTO event VALUES ('1972-05-27 22:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '402', NULL);
INSERT INTO event VALUES ('1972-05-28 00:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '307', NULL);
INSERT INTO event VALUES ('1972-05-28 02:08:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-05-28 03:20:00',30.10,53.20, 975,2.90,9.80, 24, 'Deep Moonquake', '64', NULL);
INSERT INTO event VALUES ('1972-05-28 08:28:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-05-28 09:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-28 16:03:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', NULL);
INSERT INTO event VALUES ('1972-05-28 16:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-28 18:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-28 18:58:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-05-28 21:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-28 22:21:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1972-05-28 22:49:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1972-05-28 23:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-05-28 23:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-05-29 00:22:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-05-29 01:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '342', NULL);
INSERT INTO event VALUES ('1972-05-29 03:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1972-05-29 05:18:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-05-29 05:41:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1972-05-29 09:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-05-29 10:04:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '14 T?');
INSERT INTO event VALUES ('1972-05-29 10:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14 T?');
INSERT INTO event VALUES ('1972-05-29 11:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '226', '14 T?');
INSERT INTO event VALUES ('1972-05-29 12:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-05-29 13:17:00',8.60,-50.80, 952,4.60,5.60, 93, 'Deep Moonquake', '49', NULL);
INSERT INTO event VALUES ('1972-05-29 13:38:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-05-29 14:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-29 17:32:00',-53.20,-54.40, 933,4.60,11.40, 109, 'Deep Moonquake', '281', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-05-29 18:50:00',-46.50,38.90, 933,8.30,9.30, 109, 'Deep Moonquake', '251', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-05-29 20:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', NULL);
INSERT INTO event VALUES ('1972-05-29 21:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1972-05-29 22:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '437', NULL);
INSERT INTO event VALUES ('1972-05-30 00:08:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-05-30 01:48:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-05-30 02:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-30 05:20:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1972-05-30 05:54:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', 'INVERTED?');
INSERT INTO event VALUES ('1972-05-30 08:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-30 09:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-30 12:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-05-30 13:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-30 14:10:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1972-05-30 15:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '346', NULL);
INSERT INTO event VALUES ('1972-05-31 03:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '425', NULL);
INSERT INTO event VALUES ('1972-05-31 03:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-31 04:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-31 08:54:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-05-31 09:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-31 09:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-05-31 11:28:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', NULL);
INSERT INTO event VALUES ('1972-05-31 20:20:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-05-31 20:50:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-05-31 23:29:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-01 09:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-01 09:27:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-06-01 10:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '16 T OFST');
INSERT INTO event VALUES ('1972-06-01 10:36:00',-26.50,-35.10, 933,12.00,7.20, 109, 'Deep Moonquake', '209', '16 T OFST, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-06-01 10:53:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', '16 T OFST');
INSERT INTO event VALUES ('1972-06-01 17:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '227', '16 T OFST');
INSERT INTO event VALUES ('1972-06-01 22:20:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', NULL);
INSERT INTO event VALUES ('1972-06-02 03:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '207', NULL);
INSERT INTO event VALUES ('1972-06-02 04:54:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-06-02 08:14:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '16 NOISY');
INSERT INTO event VALUES ('1972-06-02 12:07:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '16 NOISY');
INSERT INTO event VALUES ('1972-06-02 14:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-02 21:37:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1972-06-03 06:19:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'OLD A48');
INSERT INTO event VALUES ('1972-06-03 07:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '219', NULL);
INSERT INTO event VALUES ('1972-06-03 10:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '435', '14 NOISY');
INSERT INTO event VALUES ('1972-06-03 11:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14 NOISY');
INSERT INTO event VALUES ('1972-06-03 11:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14 NOISY');
INSERT INTO event VALUES ('1972-06-03 13:23:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', '14 NOISY');
INSERT INTO event VALUES ('1972-06-03 18:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1972-06-03 18:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-03 22:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-03 22:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-04 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-04 00:45:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-06-04 02:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-04 03:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-04 06:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-06-04 08:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-06-04 09:15:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-06-04 09:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-04 11:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-04 16:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-04 17:53:00',27.50,34.30, 919,9.90,20.60, 160, 'Deep Moonquake', '82', NULL);
INSERT INTO event VALUES ('1972-06-04 19:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-04 20:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-04 23:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-05 05:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14 NOISY');
INSERT INTO event VALUES ('1972-06-05 05:43:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '14 NOISY, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-06-05 06:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14 NOISY');
INSERT INTO event VALUES ('1972-06-05 14:44:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', NULL);
INSERT INTO event VALUES ('1972-06-05 16:17:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', '14 AMP ESTIMATED, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-06-05 20:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-05 20:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-05 22:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-06 01:58:00',27.50,34.30, 919,9.90,20.60, 160, 'Deep Moonquake', '82', NULL);
INSERT INTO event VALUES ('1972-06-06 04:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '277', NULL);
INSERT INTO event VALUES ('1972-06-06 05:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-06 06:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1972-06-06 07:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-06-06 07:40:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1972-06-06 13:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-06 13:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', NULL);
INSERT INTO event VALUES ('1972-06-06 15:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-06 16:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '348', '15 T?');
INSERT INTO event VALUES ('1972-06-06 17:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '310', NULL);
INSERT INTO event VALUES ('1972-06-06 18:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-06 20:20:00',34.80,63.00, 1014,2.10,11.30, 26, 'Deep Moonquake', '70', NULL);
INSERT INTO event VALUES ('1972-06-06 20:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-06-06 21:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-06 22:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-06-06 23:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-06-07 01:15:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-06-07 02:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-07 06:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-06-07 06:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-06-07 08:32:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', NULL);
INSERT INTO event VALUES ('1972-06-07 09:51:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-06-07 13:02:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', NULL);
INSERT INTO event VALUES ('1972-06-07 14:13:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', NULL);
INSERT INTO event VALUES ('1972-06-07 20:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '419', NULL);
INSERT INTO event VALUES ('1972-06-07 22:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-06-08 06:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-06-08 07:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-08 11:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '90', NULL);
INSERT INTO event VALUES ('1972-06-08 11:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '320', NULL);
INSERT INTO event VALUES ('1972-06-08 11:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '409', NULL);
INSERT INTO event VALUES ('1972-06-08 12:24:00',-7.80,5.40, 933,3.50,1.70, 109, 'Deep Moonquake', '236', NULL);
INSERT INTO event VALUES ('1972-06-08 13:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-06-08 16:19:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1972-06-08 16:43:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1972-06-08 17:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-08 20:19:00',5.30,3.60, 933,1.10,1.50, 109, 'Deep Moonquake', '248', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-06-08 21:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-08 22:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-09 00:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-09 02:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1972-06-09 03:30:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-06-09 04:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-09 04:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '414', NULL);
INSERT INTO event VALUES ('1972-06-09 05:23:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-06-09 05:43:00',12.80,-36.20, 963,1.40,5.60, 45, 'Deep Moonquake', '212', NULL);
INSERT INTO event VALUES ('1972-06-09 07:52:00',10.60,6.40, 933,1.60,1.90, 109, 'Deep Moonquake', '290', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-06-09 08:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '431', NULL);
INSERT INTO event VALUES ('1972-06-09 09:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '90', NULL);
INSERT INTO event VALUES ('1972-06-09 09:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-09 10:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-09 10:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-09 10:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-06-09 11:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-06-09 11:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '424', NULL);
INSERT INTO event VALUES ('1972-06-09 12:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '221', NULL);
INSERT INTO event VALUES ('1972-06-09 13:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-09 13:37:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-06-09 14:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1972-06-09 14:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '411', NULL);
INSERT INTO event VALUES ('1972-06-09 15:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1972-06-09 15:30:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-06-09 16:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-06-09 16:52:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', NULL);
INSERT INTO event VALUES ('1972-06-09 17:40:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1972-06-09 19:54:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', '12 T?');
INSERT INTO event VALUES ('1972-06-09 20:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '434', '12 T?');
INSERT INTO event VALUES ('1972-06-09 20:45:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', '12 T');
INSERT INTO event VALUES ('1972-06-09 22:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1972-06-09 23:23:00',0.50,47.30, 1243,2.00,11.80, 50, 'Deep Moonquake', '203', NULL);
INSERT INTO event VALUES ('1972-06-09 23:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-10 02:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1972-06-10 02:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-10 03:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', NULL);
INSERT INTO event VALUES ('1972-06-10 04:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1972-06-10 04:57:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-06-10 05:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-10 05:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-10 06:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1972-06-10 07:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '310', NULL);
INSERT INTO event VALUES ('1972-06-10 07:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1972-06-10 07:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1972-06-10 08:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '353', NULL);
INSERT INTO event VALUES ('1972-06-10 09:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', NULL);
INSERT INTO event VALUES ('1972-06-10 10:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-10 13:04:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', NULL);
INSERT INTO event VALUES ('1972-06-10 13:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-10 14:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '317', NULL);
INSERT INTO event VALUES ('1972-06-10 15:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-10 16:27:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1972-06-10 17:20:00',-3.40,12.50, 933,2.50,3.10, 109, 'Deep Moonquake', '249', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-06-10 23:32:00',-53.20,-54.40, 933,4.60,11.40, 109, 'Deep Moonquake', '281', '15 NOISY, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-06-11 02:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-11 03:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'EVENT ?');
INSERT INTO event VALUES ('1972-06-11 04:33:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1972-06-11 05:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-11 07:40:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', 'M OR DIST C');
INSERT INTO event VALUES ('1972-06-11 12:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '433', NULL);
INSERT INTO event VALUES ('1972-06-11 12:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '98', NULL);
INSERT INTO event VALUES ('1972-06-12 00:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-12 02:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-06-12 06:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', NULL);
INSERT INTO event VALUES ('1972-06-12 08:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-12 08:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-12 09:10:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1972-06-12 09:55:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-06-12 14:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-12 19:39:00',53.40,60.90, 1077,15.20,66.10, 32, 'Deep Moonquake', '29', NULL);
INSERT INTO event VALUES ('1972-06-12 23:48:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'INVERTED');
INSERT INTO event VALUES ('1972-06-13 02:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', NULL);
INSERT INTO event VALUES ('1972-06-13 05:31:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-06-13 06:27:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1972-06-13 07:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-13 07:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', NULL);
INSERT INTO event VALUES ('1972-06-13 08:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', NULL);
INSERT INTO event VALUES ('1972-06-13 10:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-13 12:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-13 12:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-13 14:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '16 T?');
INSERT INTO event VALUES ('1972-06-13 15:09:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1972-06-13 17:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '323', NULL);
INSERT INTO event VALUES ('1972-06-13 17:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-13 21:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', NULL);
INSERT INTO event VALUES ('1972-06-13 21:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '323', NULL);
INSERT INTO event VALUES ('1972-06-13 22:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1972-06-14 00:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '434', NULL);
INSERT INTO event VALUES ('1972-06-14 05:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-14 06:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', NULL);
INSERT INTO event VALUES ('1972-06-14 06:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-06-14 15:50:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1972-06-14 18:36:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', NULL);
INSERT INTO event VALUES ('1972-06-14 20:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '438', NULL);
INSERT INTO event VALUES ('1972-06-14 22:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '273', NULL);
INSERT INTO event VALUES ('1972-06-15 00:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-06-15 04:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-15 04:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '229', NULL);
INSERT INTO event VALUES ('1972-06-15 17:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', '16 NOISY');
INSERT INTO event VALUES ('1972-06-15 18:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '16 NOISY');
INSERT INTO event VALUES ('1972-06-16 04:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '354', NULL);
INSERT INTO event VALUES ('1972-06-16 07:38:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1972-06-16 12:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-16 13:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', NULL);
INSERT INTO event VALUES ('1972-06-16 16:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST (FARSIDE?), 12 T?');
INSERT INTO event VALUES ('1972-06-16 18:21:00',1.40,15.00, 933,1.60,3.70, 109, 'Deep Moonquake', '255', NULL);
INSERT INTO event VALUES ('1972-06-16 20:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '226', NULL);
INSERT INTO event VALUES ('1972-06-17 08:07:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1972-06-17 11:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '228', NULL);
INSERT INTO event VALUES ('1972-06-17 16:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '319', NULL);
INSERT INTO event VALUES ('1972-06-18 09:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-06-18 19:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1972-06-19 21:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1972-06-20 03:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1972-06-20 16:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ CLIPPED, C OR Z');
INSERT INTO event VALUES ('1972-06-20 18:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-21 02:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-21 05:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SP=7');
INSERT INTO event VALUES ('1972-06-21 10:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-21 10:59:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', NULL);
INSERT INTO event VALUES ('1972-06-21 13:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-21 15:32:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-06-21 18:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-06-21 20:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-21 21:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-06-21 23:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-06-22 01:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-22 02:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1972-06-22 04:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-06-22 05:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-22 06:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-22 08:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-06-22 08:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-22 09:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-22 10:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-06-22 11:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', '15 COULD BE Z');
INSERT INTO event VALUES ('1972-06-22 14:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-06-22 16:05:00',34.80,63.00, 1014,2.10,11.30, 26, 'Deep Moonquake', '70', '14 NOISY');
INSERT INTO event VALUES ('1972-06-22 16:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14 NOISY');
INSERT INTO event VALUES ('1972-06-22 17:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1972-06-22 18:09:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1972-06-22 19:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '432', '15 COULD BE Z');
INSERT INTO event VALUES ('1972-06-22 19:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '415', NULL);
INSERT INTO event VALUES ('1972-06-22 20:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '98', NULL);
INSERT INTO event VALUES ('1972-06-22 21:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1972-06-22 22:58:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-06-23 00:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1972-06-23 00:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1972-06-23 01:39:00',6.30,22.10, 855,0.90,9.70, 188, 'Deep Moonquake', '230', NULL);
INSERT INTO event VALUES ('1972-06-23 02:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '235', NULL);
INSERT INTO event VALUES ('1972-06-23 03:59:00',23.00,20.40, 1085,3.30,4.70, 64, 'Deep Moonquake', '27', NULL);
INSERT INTO event VALUES ('1972-06-23 05:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-06-23 06:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-06-23 07:18:00',19.40,24.30, 959,2.70,5.10, 68, 'Deep Moonquake', '246', NULL);
INSERT INTO event VALUES ('1972-06-23 10:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-23 10:27:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1972-06-23 11:55:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1972-06-23 14:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-06-23 14:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '398', NULL);
INSERT INTO event VALUES ('1972-06-23 15:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-06-23 21:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-06-23 21:49:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', NULL);
INSERT INTO event VALUES ('1972-06-24 01:47:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1972-06-24 02:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-06-24 03:51:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-06-24 05:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-06-24 05:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-06-24 07:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-06-24 08:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-06-24 08:18:00',-46.50,38.90, 933,8.30,9.30, 109, 'Deep Moonquake', '251', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-06-24 09:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-24 09:25:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1972-06-24 14:56:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-06-24 15:50:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1972-06-24 16:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-06-24 17:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-24 17:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-24 21:10:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-06-24 22:19:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-06-24 23:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-06-25 02:43:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1972-06-25 03:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-25 05:11:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1972-06-25 05:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1972-06-25 09:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-06-25 10:09:00',8.60,-50.80, 952,4.60,5.60, 93, 'Deep Moonquake', '49', NULL);
INSERT INTO event VALUES ('1972-06-25 11:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-25 13:05:00',-53.20,-54.40, 933,4.60,11.40, 109, 'Deep Moonquake', '281', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-06-25 14:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-25 15:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-25 16:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-25 17:03:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-06-25 19:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-25 19:51:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-06-25 21:01:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-06-26 02:25:00',-46.50,38.90, 933,8.30,9.30, 109, 'Deep Moonquake', '251', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-06-26 03:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-26 03:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-26 03:59:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-06-26 05:30:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1972-06-26 06:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-06-26 07:38:00',8.40,-64.00, 968,1.80,4.70, 18, 'Deep Moonquake', '54', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-06-26 09:21:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1972-06-26 13:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-26 14:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-06-26 16:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-26 18:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-06-26 19:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-26 19:36:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-06-26 21:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-26 21:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1972-06-26 22:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '346', NULL);
INSERT INTO event VALUES ('1972-06-26 22:33:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-06-26 23:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-26 23:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-06-27 00:15:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', NULL);
INSERT INTO event VALUES ('1972-06-27 00:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-06-27 01:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-27 04:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-06-27 05:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-06-27 05:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-27 06:17:00',-26.50,-35.10, 933,12.00,7.20, 109, 'Deep Moonquake', '209', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-06-27 06:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-06-27 08:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-06-27 09:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-06-27 10:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1972-06-27 12:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-27 13:25:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-06-27 13:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-06-27 14:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-27 15:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-06-27 15:56:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-06-27 17:39:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1972-06-27 17:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-27 20:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '380', NULL);
INSERT INTO event VALUES ('1972-06-27 20:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-06-27 23:04:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1972-06-27 23:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-28 00:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '504', NULL);
INSERT INTO event VALUES ('1972-06-28 01:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-28 02:57:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-06-28 03:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-28 03:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-06-28 08:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '325', NULL);
INSERT INTO event VALUES ('1972-06-28 12:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-06-28 12:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-28 13:03:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', NULL);
INSERT INTO event VALUES ('1972-06-28 13:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-28 14:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-06-28 15:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '207', NULL);
INSERT INTO event VALUES ('1972-06-28 16:30:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', NULL);
INSERT INTO event VALUES ('1972-06-28 17:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-28 17:53:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'OLD A48');
INSERT INTO event VALUES ('1972-06-28 18:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-06-29 05:20:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-06-29 06:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-29 07:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-06-29 09:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-06-29 10:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-06-29 12:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-06-29 13:34:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-06-29 15:43:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1972-06-29 19:49:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'OLD A48');
INSERT INTO event VALUES ('1972-06-29 22:23:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-06-30 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-06-30 05:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SP=5');
INSERT INTO event VALUES ('1972-06-30 15:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '207', NULL);
INSERT INTO event VALUES ('1972-06-30 16:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-06-30 19:48:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-06-30 20:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '263', NULL);
INSERT INTO event VALUES ('1972-06-30 22:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-07-01 05:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '?');
INSERT INTO event VALUES ('1972-07-01 20:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-07-02 02:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '219', NULL);
INSERT INTO event VALUES ('1972-07-02 09:12:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', '16 NOISY, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-07-02 15:40:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-07-02 20:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1972-07-03 00:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '15 NOISY');
INSERT INTO event VALUES ('1972-07-03 02:25:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', '15 NOISY');
INSERT INTO event VALUES ('1972-07-03 04:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '15 NOISY');
INSERT INTO event VALUES ('1972-07-03 11:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-03 18:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-04 01:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-04 02:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-07-04 03:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-07-04 05:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-04 07:33:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-07-04 07:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-04 08:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-07-04 14:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-04 15:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-04 18:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-04 18:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-04 20:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-07-04 22:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-05 00:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-07-05 04:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-05 06:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-05 07:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-05 10:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '348', NULL);
INSERT INTO event VALUES ('1972-07-05 12:45:00',-7.80,5.40, 933,3.50,1.70, 109, 'Deep Moonquake', '236', NULL);
INSERT INTO event VALUES ('1972-07-05 14:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-07-05 16:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1972-07-05 17:45:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', '15 T?');
INSERT INTO event VALUES ('1972-07-05 23:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '90', NULL);
INSERT INTO event VALUES ('1972-07-06 02:42:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', NULL);
INSERT INTO event VALUES ('1972-07-06 06:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-06 09:16:00',12.80,-36.20, 963,1.40,5.60, 45, 'Deep Moonquake', '212', NULL);
INSERT INTO event VALUES ('1972-07-06 11:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '409', NULL);
INSERT INTO event VALUES ('1972-07-06 14:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '320', NULL);
INSERT INTO event VALUES ('1972-07-06 15:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-06 15:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '324', NULL);
INSERT INTO event VALUES ('1972-07-06 17:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-06 19:55:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1972-07-06 20:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1972-07-20 09:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-20 11:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-06 21:03:00',10.60,6.40, 933,1.60,1.90, 109, 'Deep Moonquake', '290', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-07-06 21:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '90', NULL);
INSERT INTO event VALUES ('1972-07-06 22:07:00',0.50,47.30, 1243,2.00,11.80, 50, 'Deep Moonquake', '203', NULL);
INSERT INTO event VALUES ('1972-07-06 23:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '431', NULL);
INSERT INTO event VALUES ('1972-07-07 01:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '326', NULL);
INSERT INTO event VALUES ('1972-07-07 01:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1972-07-07 02:57:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1972-07-07 03:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', NULL);
INSERT INTO event VALUES ('1972-07-07 04:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1972-07-07 07:26:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1972-07-07 11:06:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1972-07-07 14:19:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1972-07-07 14:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1972-07-07 15:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-07 16:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-07 17:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-07-07 18:33:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1972-07-07 19:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1972-07-07 21:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-07-07 23:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1972-07-08 00:20:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', 'C');
INSERT INTO event VALUES ('1972-07-08 00:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '409', NULL);
INSERT INTO event VALUES ('1972-07-08 02:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1972-07-08 03:55:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-07-08 06:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-07-08 06:37:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', NULL);
INSERT INTO event VALUES ('1972-07-08 07:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-08 08:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '221', NULL);
INSERT INTO event VALUES ('1972-07-08 09:00:00',-3.40,12.50, 933,2.50,3.10, 109, 'Deep Moonquake', '249', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-07-08 09:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '221', NULL);
INSERT INTO event VALUES ('1972-07-08 09:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '221', NULL);
INSERT INTO event VALUES ('1972-07-08 13:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-07-08 14:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1972-07-08 15:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-07-08 16:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-07-08 18:12:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', NULL);
INSERT INTO event VALUES ('1972-07-08 22:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1972-07-08 22:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-07-09 00:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1972-07-09 01:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-09 04:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-09 05:36:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1972-07-09 06:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-07-09 08:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-09 08:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-09 09:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16 SPZ=13,');
INSERT INTO event VALUES ('1972-07-09 11:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-09 13:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-09 17:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', NULL);
INSERT INTO event VALUES ('1972-07-09 18:02:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-07-09 19:44:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-07-09 22:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1972-07-09 22:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-10 05:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-07-10 13:10:00',-50.00,53.20, 933,7.50,12.20, 109, 'Deep Moonquake', '272', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-07-10 15:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-07-10 16:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-07-10 17:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', NULL);
INSERT INTO event VALUES ('1972-07-10 18:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-10 21:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14 T OFST, SYNC');
INSERT INTO event VALUES ('1972-07-10 21:37:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', '14 T OFST, SYNC');
INSERT INTO event VALUES ('1972-07-11 03:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-07-11 06:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-11 07:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-07-11 10:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-07-11 14:15:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', NULL);
INSERT INTO event VALUES ('1972-07-11 14:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-07-11 18:32:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1972-07-11 20:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', NULL);
INSERT INTO event VALUES ('1972-07-11 22:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-12 03:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-07-12 10:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-07-12 13:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', NULL);
INSERT INTO event VALUES ('1972-07-12 14:13:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1972-07-12 15:02:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-07-12 16:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-12 19:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '273', 'C?');
INSERT INTO event VALUES ('1972-07-13 00:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-07-13 00:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'EVENT ?');
INSERT INTO event VALUES ('1972-07-13 05:06:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'INVERTED');
INSERT INTO event VALUES ('1972-07-13 11:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '229', NULL);
INSERT INTO event VALUES ('1972-07-13 13:29:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1972-07-13 15:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-13 17:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-07-13 21:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-13 23:11:00',19.40,24.30, 959,2.70,5.10, 68, 'Deep Moonquake', '246', 'M?');
INSERT INTO event VALUES ('1972-07-14 02:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '273', NULL);
INSERT INTO event VALUES ('1972-07-14 03:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C, CLOSE TO 16');
INSERT INTO event VALUES ('1972-07-14 15:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-14 16:12:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1972-07-14 21:05:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1972-07-15 05:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '226', NULL);
INSERT INTO event VALUES ('1972-07-15 22:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-16 03:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'CLOSE TO 16');
INSERT INTO event VALUES ('1972-07-16 11:02:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-07-17 03:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-17 05:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C, CLOSE TO 16');
INSERT INTO event VALUES ('1972-07-17 07:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-07-17 12:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-07-17 21:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'FARSIDE');
INSERT INTO event VALUES ('1972-07-18 06:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-18 12:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-07-19 02:57:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', '15,16 NOISY,15A ESTIMATED');
INSERT INTO event VALUES ('1972-07-19 08:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '228', NULL);
INSERT INTO event VALUES ('1972-07-20 02:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-07-20 04:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-20 06:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-20 07:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-20 12:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-20 12:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-20 14:20:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1972-07-20 16:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-20 17:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-07-20 20:40:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1972-07-20 21:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '398', 'M?');
INSERT INTO event VALUES ('1972-07-20 22:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-20 23:29:00',-26.50,-35.10, 933,12.00,7.20, 109, 'Deep Moonquake', '209', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-07-20 23:51:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1972-07-21 00:13:00',0.50,47.30, 1243,2.00,11.80, 50, 'Deep Moonquake', '203', NULL);
INSERT INTO event VALUES ('1972-07-21 00:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '415', NULL);
INSERT INTO event VALUES ('1972-07-21 02:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-21 03:15:00',54.20,56.50, 933,6.50,14.00, 109, 'Deep Moonquake', '286', NULL);
INSERT INTO event VALUES ('1972-07-21 05:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-21 08:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SP=4');
INSERT INTO event VALUES ('1972-07-21 08:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-07-21 10:10:00',34.80,63.00, 1014,2.10,11.30, 26, 'Deep Moonquake', '70', NULL);
INSERT INTO event VALUES ('1972-07-21 10:45:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', NULL);
INSERT INTO event VALUES ('1972-07-21 11:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-21 11:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-07-21 12:44:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1972-07-21 13:22:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1972-07-21 14:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '402', NULL);
INSERT INTO event VALUES ('1972-07-21 14:46:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1972-07-21 15:21:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1972-07-21 16:18:00',19.40,24.30, 959,2.70,5.10, 68, 'Deep Moonquake', '246', NULL);
INSERT INTO event VALUES ('1972-07-21 16:49:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-07-21 18:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-07-21 18:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-21 18:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-07-21 18:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-21 19:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-21 21:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-07-21 23:25:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-07-22 01:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-07-22 04:12:00',19.40,24.30, 959,2.70,5.10, 68, 'Deep Moonquake', '246', NULL);
INSERT INTO event VALUES ('1972-07-22 05:11:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-07-22 07:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-22 09:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-07-22 10:45:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-07-22 12:12:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1972-07-22 14:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1972-07-22 15:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-22 16:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1972-07-22 18:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-07-22 18:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '211', NULL);
INSERT INTO event VALUES ('1972-07-22 18:42:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-07-22 20:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-07-22 22:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', NULL);
INSERT INTO event VALUES ('1972-07-22 23:07:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-07-23 01:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-07-23 01:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-23 04:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '264', NULL);
INSERT INTO event VALUES ('1972-07-23 07:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-23 08:55:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1972-07-23 09:09:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1972-07-23 12:28:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-07-23 12:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '399', NULL);
INSERT INTO event VALUES ('1972-07-23 14:58:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-07-23 17:14:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-07-23 19:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-07-23 19:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-23 20:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-23 20:20:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', NULL);
INSERT INTO event VALUES ('1972-07-23 20:56:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1972-07-23 22:15:00',-26.50,-35.10, 933,12.00,7.20, 109, 'Deep Moonquake', '209', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-07-24 00:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-24 02:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-07-24 03:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1972-07-24 04:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '425', NULL);
INSERT INTO event VALUES ('1972-07-24 05:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-07-24 08:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-24 09:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-24 09:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-24 13:16:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-07-24 14:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-24 14:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-07-24 15:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-24 15:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-07-24 16:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-07-24 17:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-24 18:15:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1972-07-24 20:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-07-24 21:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-07-24 21:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-07-25 00:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-25 01:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-07-25 01:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-07-25 04:30:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-07-25 05:25:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1972-07-25 05:54:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-07-25 09:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-07-25 11:10:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-07-25 11:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-25 13:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '227', NULL);
INSERT INTO event VALUES ('1972-07-25 14:40:00',-26.50,-35.10, 933,12.00,7.20, 109, 'Deep Moonquake', '209', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-10-20 11:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-07-25 15:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-07-25 16:26:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', NULL);
INSERT INTO event VALUES ('1972-07-25 21:39:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', NULL);
INSERT INTO event VALUES ('1972-07-25 22:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-25 23:45:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-07-26 00:02:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', 'C?');
INSERT INTO event VALUES ('1972-07-26 01:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-07-26 03:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-07-26 03:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-26 10:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'ECLIPSE 0505-0755');
INSERT INTO event VALUES ('1972-07-26 14:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, 'X=THML EVNT DUE TO ECLPS');
INSERT INTO event VALUES ('1972-07-26 14:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, NULL);
INSERT INTO event VALUES ('1972-07-26 15:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, NULL);
INSERT INTO event VALUES ('1972-07-26 16:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-07-26 16:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-26 18:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, NULL);
INSERT INTO event VALUES ('1972-07-26 19:28:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-07-26 20:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, NULL);
INSERT INTO event VALUES ('1972-07-26 20:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-07-26 21:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-26 22:05:00',0.50,47.30, 1243,2.00,11.80, 50, 'Deep Moonquake', '203', 'C?');
INSERT INTO event VALUES ('1972-07-26 22:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, NULL);
INSERT INTO event VALUES ('1972-07-26 23:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-27 00:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-07-27 00:13:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-07-27 00:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-27 01:08:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-07-27 02:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, NULL);
INSERT INTO event VALUES ('1972-07-27 03:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, NULL);
INSERT INTO event VALUES ('1972-07-27 05:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, NULL);
INSERT INTO event VALUES ('1972-07-27 08:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-07-27 10:54:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-07-27 11:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, NULL);
INSERT INTO event VALUES ('1972-07-27 14:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-07-27 16:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-07-27 16:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-07-27 18:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, NULL);
INSERT INTO event VALUES ('1972-07-28 02:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-07-28 11:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C');
INSERT INTO event VALUES ('1972-07-28 13:14:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'SIM TO A14, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-07-28 13:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-07-28 14:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-29 13:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-29 15:05:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', 'S@ 14,15,16');
INSERT INTO event VALUES ('1972-07-30 01:51:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-07-30 02:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-07-30 03:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ CLIPPED');
INSERT INTO event VALUES ('1972-07-30 15:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-07-31 18:08:00',29.00,-6.30, 0,1.50,1.50, NULL, 'Meteoroid Impact', NULL, '15 AMP ESTIMATED');
INSERT INTO event VALUES ('1972-07-31 23:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-01 06:16:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1972-08-01 15:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-01 16:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '90', 'T04L');
INSERT INTO event VALUES ('1972-08-01 19:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '430', NULL);
INSERT INTO event VALUES ('1972-08-01 22:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-08-02 01:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1972-08-02 03:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '409', NULL);
INSERT INTO event VALUES ('1972-08-02 05:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'M ?');
INSERT INTO event VALUES ('1972-08-02 06:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '15SS @ 215/0800');
INSERT INTO event VALUES ('1972-08-02 13:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-02 14:16:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', 'S-P=2M@16,S@12,14');
INSERT INTO event VALUES ('1972-08-02 19:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '424', NULL);
INSERT INTO event VALUES ('1972-08-02 19:31:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-08-02 19:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-03 03:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, '14SS @216/2000');
INSERT INTO event VALUES ('1972-08-03 21:17:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', 'L');
INSERT INTO event VALUES ('1972-08-03 22:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, 'S@14');
INSERT INTO event VALUES ('1972-08-03 23:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', 'L');
INSERT INTO event VALUES ('1972-08-04 00:02:00',9.20,17.50, 1187,1.50,4.90, 87, 'Deep Moonquake', '11', 'L');
INSERT INTO event VALUES ('1972-08-04 02:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', 'L 12SS @ 217/0230');
INSERT INTO event VALUES ('1972-08-04 04:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', 'L');
INSERT INTO event VALUES ('1972-08-04 04:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '434', NULL);
INSERT INTO event VALUES ('1972-08-04 08:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', 'L');
INSERT INTO event VALUES ('1972-08-04 12:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, 'L');
INSERT INTO event VALUES ('1972-08-04 13:31:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', 'L');
INSERT INTO event VALUES ('1972-08-04 13:40:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', 'S@12?,14,16');
INSERT INTO event VALUES ('1972-08-04 14:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '348', 'SIM TO A15 ,S@14');
INSERT INTO event VALUES ('1972-08-04 16:23:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-08-04 17:38:00',-3.40,12.50, 933,2.50,3.10, 109, 'Deep Moonquake', '249', 'S@14,15?,16, (*) The source depth is assumed to be 933k');
INSERT INTO event VALUES ('1972-08-04 20:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '221', NULL);
INSERT INTO event VALUES ('1972-08-05 01:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1972-08-05 05:20:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-08-05 06:47:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', NULL);
INSERT INTO event VALUES ('1972-08-05 07:49:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', 'S@12,14,15,16');
INSERT INTO event VALUES ('1972-08-05 09:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-08-05 09:57:00',1.40,15.00, 933,1.60,3.70, 109, 'Deep Moonquake', '255', 'S@16');
INSERT INTO event VALUES ('1972-08-05 10:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '289', 'REAL?');
INSERT INTO event VALUES ('1972-08-05 11:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-05 12:57:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', 'S@14,15,16,(SMALL MQ)');
INSERT INTO event VALUES ('1972-08-05 14:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', 'S@16');
INSERT INTO event VALUES ('1972-08-05 16:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '425', NULL);
INSERT INTO event VALUES ('1972-08-05 17:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-05 18:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-05 19:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-05 21:30:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', NULL);
INSERT INTO event VALUES ('1972-08-05 22:35:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', 'S@12,14,16,P@14?');
INSERT INTO event VALUES ('1972-08-06 10:00:00',-50.00,53.20, 933,7.50,12.20, 109, 'Deep Moonquake', '272', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-08-06 14:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '431', NULL);
INSERT INTO event VALUES ('1972-08-06 15:20:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1972-08-06 16:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1972-08-06 18:40:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', 'S@12,14,16,S-P=2M@14');
INSERT INTO event VALUES ('1972-08-06 22:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-07 01:57:00',53.40,60.90, 1077,15.20,66.10, 32, 'Deep Moonquake', '29', 'S@14');
INSERT INTO event VALUES ('1972-08-07 03:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '339', NULL);
INSERT INTO event VALUES ('1972-08-07 05:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-08-07 06:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-07 11:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, 'S@14');
INSERT INTO event VALUES ('1972-08-07 11:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1972-08-07 18:39:00',15.50,55.60, 755,1.20,7.50, 44, 'Deep Moonquake', '114', NULL);
INSERT INTO event VALUES ('1972-08-07 19:23:00',24.10,26.10, 933,5.10,8.20, 109, 'Deep Moonquake', '233', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-08-07 19:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-07 21:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-07 22:26:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', 'S@12,14,16;S-P=2M@14');
INSERT INTO event VALUES ('1972-08-07 23:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-08 04:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-08 11:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '438', NULL);
INSERT INTO event VALUES ('1972-08-08 12:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-08 14:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-08 18:07:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', 'S@12,14,16');
INSERT INTO event VALUES ('1972-08-08 19:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-08 19:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-08 21:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-08 22:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-09 02:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-09 06:30:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1972-08-09 08:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-09 10:48:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1972-08-09 12:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-09 16:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-09 20:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST  (LONG R.T.)');
INSERT INTO event VALUES ('1972-08-10 02:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '229', NULL);
INSERT INTO event VALUES ('1972-08-10 05:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', NULL);
INSERT INTO event VALUES ('1972-08-10 07:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '273', NULL);
INSERT INTO event VALUES ('1972-08-10 11:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'EVENT ?');
INSERT INTO event VALUES ('1972-08-10 11:47:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1972-08-10 18:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'EVENT ?');
INSERT INTO event VALUES ('1972-08-10 22:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-10 23:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-11 00:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-11 02:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C,SPZ CLIPPED');
INSERT INTO event VALUES ('1972-08-11 03:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C ?');
INSERT INTO event VALUES ('1972-08-11 04:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-11 04:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'M ?');
INSERT INTO event VALUES ('1972-08-11 09:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-08-11 10:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-11 13:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-08-11 17:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-11 20:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C ?');
INSERT INTO event VALUES ('1972-08-12 07:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '226', NULL);
INSERT INTO event VALUES ('1972-08-12 19:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-13 03:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-13 16:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-13 21:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-14 01:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-08-14 01:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C,CLOSE TO STA16,16SPZ=24MM');
INSERT INTO event VALUES ('1972-08-14 04:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-14 15:17:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-08-14 22:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-15 00:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-15 00:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '349', NULL);
INSERT INTO event VALUES ('1972-08-15 03:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-15 03:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-08-15 07:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '289', 'C ?');
INSERT INTO event VALUES ('1972-08-15 08:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-08-15 09:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C ?');
INSERT INTO event VALUES ('1972-08-15 15:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C,16SP=6');
INSERT INTO event VALUES ('1972-08-15 15:41:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', 'S-P=2M@15');
INSERT INTO event VALUES ('1972-08-15 23:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '15SR@ 228/1846');
INSERT INTO event VALUES ('1972-08-16 06:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '327', 'M?');
INSERT INTO event VALUES ('1972-08-16 07:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-16 12:29:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-16 13:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-16 17:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-16 18:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-16 20:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-16 20:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-16 21:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-16 22:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-16 23:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-08-17 00:07:00',6.30,22.10, 855,0.90,9.70, 188, 'Deep Moonquake', '230', NULL);
INSERT INTO event VALUES ('1972-08-17 00:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-17 01:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-17 02:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-17 02:58:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', 'S@14,15');
INSERT INTO event VALUES ('1972-08-17 03:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', 'S@16');
INSERT INTO event VALUES ('1972-08-17 03:35:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1972-08-17 04:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-08-17 04:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, 'S@14,16');
INSERT INTO event VALUES ('1972-08-17 04:28:00',6.30,22.10, 855,0.90,9.70, 188, 'Deep Moonquake', '230', NULL);
INSERT INTO event VALUES ('1972-08-17 04:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-17 05:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '425', 'S@ 14,16');
INSERT INTO event VALUES ('1972-08-17 06:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '398', 'S@ 14,15');
INSERT INTO event VALUES ('1972-08-17 07:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-17 07:55:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', 'S@12,14,15,16');
INSERT INTO event VALUES ('1972-08-17 10:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '15 SR@230/0915');
INSERT INTO event VALUES ('1972-08-17 11:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-17 11:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-17 12:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-17 13:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-17 13:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-17 14:26:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-08-17 14:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-17 15:16:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1972-08-17 15:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, 'S@ 14');
INSERT INTO event VALUES ('1972-08-17 15:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, 'S@12,14');
INSERT INTO event VALUES ('1972-08-17 19:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-17 23:45:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', 'S@12,14,15,16;P?@14');
INSERT INTO event VALUES ('1972-08-18 01:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '307', NULL);
INSERT INTO event VALUES ('1972-08-18 01:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-18 03:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-18 03:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '57', NULL);
INSERT INTO event VALUES ('1972-08-18 04:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-18 05:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-18 05:19:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1972-08-18 12:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '382', NULL);
INSERT INTO event VALUES ('1972-08-18 13:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-18 14:08:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-08-18 16:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14SR@ 231/1510');
INSERT INTO event VALUES ('1972-08-18 16:30:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-08-18 22:05:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', '12SR@ 231/2210');
INSERT INTO event VALUES ('1972-08-19 07:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'M ?');
INSERT INTO event VALUES ('1972-08-19 17:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-19 18:12:00',-46.50,38.90, 933,8.30,9.30, 109, 'Deep Moonquake', '251', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-08-19 20:04:00',54.20,56.50, 933,6.50,14.00, 109, 'Deep Moonquake', '286', NULL);
INSERT INTO event VALUES ('1972-08-19 21:58:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1972-08-19 22:30:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-08-20 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16SPZ=20,C');
INSERT INTO event VALUES ('1972-08-20 01:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-20 03:15:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', 'S@ 16,15,12,14?');
INSERT INTO event VALUES ('1972-08-20 04:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-08-20 05:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '269', NULL);
INSERT INTO event VALUES ('1972-08-20 05:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-08-20 05:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-20 06:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-20 06:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-20 07:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-08-20 07:57:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-08-20 08:29:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-08-20 10:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-08-20 12:17:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', NULL);
INSERT INTO event VALUES ('1972-08-20 12:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-08-20 13:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1972-08-20 15:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '425', NULL);
INSERT INTO event VALUES ('1972-08-20 16:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1972-08-20 16:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1972-08-20 19:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-08-20 21:03:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', 'S@12,14,15,16;S-P>3M@15');
INSERT INTO event VALUES ('1972-08-20 23:27:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', NULL);
INSERT INTO event VALUES ('1972-08-21 01:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1972-08-21 01:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-21 02:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-21 03:22:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1972-08-21 05:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-21 05:12:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', 'S@16');
INSERT INTO event VALUES ('1972-08-21 05:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, 'S@16;SPZ=13(UNUSUAL)');
INSERT INTO event VALUES ('1972-08-21 05:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-08-21 07:00:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-08-21 08:09:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-08-21 09:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-08-21 10:17:00',9.20,17.50, 1187,1.50,4.90, 87, 'Deep Moonquake', '11', NULL);
INSERT INTO event VALUES ('1972-08-21 11:03:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-08-21 15:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-21 15:23:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1972-08-21 15:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-21 16:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-08-21 16:56:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-08-21 18:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '289', NULL);
INSERT INTO event VALUES ('1972-08-21 20:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-08-21 20:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-08-21 22:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-21 22:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-22 00:41:00',1.40,15.00, 933,1.60,3.70, 109, 'Deep Moonquake', '255', NULL);
INSERT INTO event VALUES ('1972-08-22 01:47:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', NULL);
INSERT INTO event VALUES ('1972-08-22 02:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-08-22 04:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '98', NULL);
INSERT INTO event VALUES ('1972-08-22 05:49:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', 'S@15,16');
INSERT INTO event VALUES ('1972-08-22 08:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-22 09:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-08-22 09:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-22 10:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-22 10:50:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1972-08-22 11:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-22 11:47:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1972-08-22 13:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-22 15:09:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-08-22 15:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-08-22 16:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-08-22 17:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-22 17:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-22 17:47:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-08-22 18:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-22 20:15:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-08-22 21:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-08-22 21:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-22 22:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-08-23 00:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-23 01:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-23 01:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-23 03:24:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', NULL);
INSERT INTO event VALUES ('1972-08-23 03:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-23 04:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1972-08-23 05:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-08-23 07:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-23 08:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '207', NULL);
INSERT INTO event VALUES ('1972-08-23 08:37:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-08-23 09:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-23 10:29:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-23 12:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1972-08-23 14:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-23 14:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-23 15:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '263', NULL);
INSERT INTO event VALUES ('1972-08-23 15:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-23 17:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-08-23 17:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '219', NULL);
INSERT INTO event VALUES ('1972-08-23 18:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-23 19:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-23 19:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-23 19:56:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-23 20:05:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-08-23 23:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-08-24 01:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-24 02:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-24 02:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-24 04:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'EVENT ?');
INSERT INTO event VALUES ('1972-08-24 05:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-08-24 05:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-09-20 20:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-08-24 06:10:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-08-24 06:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-24 08:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-24 08:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-24 10:00:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-08-24 12:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-08-24 13:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-08-24 15:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-08-24 17:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-08-24 20:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-08-24 22:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-08-25 00:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-08-25 03:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-25 03:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-25 03:55:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', 'S@14,15,16');
INSERT INTO event VALUES ('1972-08-25 04:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-08-25 06:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-25 06:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-25 06:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-25 08:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-08-25 08:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-25 08:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-08-25 09:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-25 11:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '504', NULL);
INSERT INTO event VALUES ('1972-08-25 18:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '504', NULL);
INSERT INTO event VALUES ('1972-08-25 21:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '504', NULL);
INSERT INTO event VALUES ('1972-08-26 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-08-26 01:23:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-08-26 01:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '504', NULL);
INSERT INTO event VALUES ('1972-08-26 05:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-26 05:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-26 06:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '504', NULL);
INSERT INTO event VALUES ('1972-08-26 07:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'EVENT ?');
INSERT INTO event VALUES ('1972-08-26 11:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-26 22:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', NULL);
INSERT INTO event VALUES ('1972-08-26 22:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-27 13:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '315', NULL);
INSERT INTO event VALUES ('1972-08-28 04:02:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', NULL);
INSERT INTO event VALUES ('1972-08-28 06:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-28 11:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-28 16:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '383', NULL);
INSERT INTO event VALUES ('1972-08-28 17:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-08-28 18:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, 'L');
INSERT INTO event VALUES ('1972-08-29 05:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'Z?');
INSERT INTO event VALUES ('1972-08-29 08:46:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', 'S@12,14,16');
INSERT INTO event VALUES ('1972-08-29 12:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '72', NULL);
INSERT INTO event VALUES ('1972-08-29 13:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-29 18:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NO SPZS');
INSERT INTO event VALUES ('1972-08-29 22:59:00',15.19,20.57, 0, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NO SPZS');
INSERT INTO event VALUES ('1972-08-30 07:48:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', 'S@16');
INSERT INTO event VALUES ('1972-08-30 07:57:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', 'S@12,14,15');
INSERT INTO event VALUES ('1972-08-30 10:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-30 19:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1972-08-30 22:49:00',9.20,17.50, 1187,1.50,4.90, 87, 'Deep Moonquake', '11', 'L');
INSERT INTO event VALUES ('1972-08-31 00:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-31 03:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-08-31 11:16:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1972-08-31 12:28:00',-50.00,53.20, 933,7.50,12.20, 109, 'Deep Moonquake', '272', 'L, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-08-31 14:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', 'L');
INSERT INTO event VALUES ('1972-08-31 15:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'L');
INSERT INTO event VALUES ('1972-08-31 16:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'L');
INSERT INTO event VALUES ('1972-08-31 16:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'L');
INSERT INTO event VALUES ('1972-08-31 17:11:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', 'L, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-08-31 17:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '12 ONLY');
INSERT INTO event VALUES ('1972-08-31 18:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '226', 'L');
INSERT INTO event VALUES ('1972-08-31 19:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-08-31 23:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'L');
INSERT INTO event VALUES ('1972-09-01 00:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'L');
INSERT INTO event VALUES ('1972-09-01 06:05:00',1.40,15.00, 933,1.60,3.70, 109, 'Deep Moonquake', '255', 'L');
INSERT INTO event VALUES ('1972-09-01 12:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'L');
INSERT INTO event VALUES ('1972-09-01 14:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', 'T04L');
INSERT INTO event VALUES ('1972-09-01 23:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14SS@ 246/0110');
INSERT INTO event VALUES ('1972-09-02 02:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-09-02 10:51:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1972-09-02 16:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'L,12SS@246/1400');
INSERT INTO event VALUES ('1972-09-02 21:00:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1972-09-02 23:56:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', 'L');
INSERT INTO event VALUES ('1972-09-03 02:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-09-03 04:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-03 09:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-04 00:20:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', '16 A ESTIMATED');
INSERT INTO event VALUES ('1972-09-04 05:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-04 09:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '438', NULL);
INSERT INTO event VALUES ('1972-09-04 10:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-04 13:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1972-09-04 21:46:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1972-09-04 23:10:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', '14 NOISE ?');
INSERT INTO event VALUES ('1972-09-05 04:32:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', 'P? AND S @16');
INSERT INTO event VALUES ('1972-09-05 05:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-05 13:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-05 14:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-05 20:56:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-06 00:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '229', NULL);
INSERT INTO event VALUES ('1972-09-06 01:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-06 12:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-06 13:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1972-09-06 16:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-09-06 22:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-06 22:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C ?');
INSERT INTO event VALUES ('1972-09-07 11:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-09-07 12:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-09-08 03:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-09-08 07:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-08 12:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-08 12:56:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-08 14:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-08 14:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-09-08 17:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-09-08 21:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-08 23:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '226', NULL);
INSERT INTO event VALUES ('1972-09-09 02:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-09 07:24:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-09-09 13:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-10 02:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '?  DIST');
INSERT INTO event VALUES ('1972-09-10 07:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-10 10:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-10 13:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'CLOSE TO 16');
INSERT INTO event VALUES ('1972-09-10 23:22:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-09-11 11:21:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', 'S@14');
INSERT INTO event VALUES ('1972-09-12 02:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '431', NULL);
INSERT INTO event VALUES ('1972-09-12 05:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1972-09-12 06:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-12 11:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '434', NULL);
INSERT INTO event VALUES ('1972-09-12 12:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'CLOSE TO 14');
INSERT INTO event VALUES ('1972-09-12 13:07:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-09-12 19:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1972-09-13 01:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'EVENT ?');
INSERT INTO event VALUES ('1972-09-13 02:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '432', 'EVENT ?');
INSERT INTO event VALUES ('1972-09-13 03:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'NOISE ? , 2 EVENTS ?');
INSERT INTO event VALUES ('1972-09-13 06:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1972-09-13 07:40:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-09-13 09:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '262', NULL);
INSERT INTO event VALUES ('1972-09-13 10:48:00',6.30,22.10, 855,0.90,9.70, 188, 'Deep Moonquake', '230', NULL);
INSERT INTO event VALUES ('1972-09-13 11:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1972-09-13 11:40:00',-1.70,18.00, 933,2.30,4.50, 109, 'Deep Moonquake', '260', NULL);
INSERT INTO event VALUES ('1972-09-13 13:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-14 01:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1972-09-14 01:40:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1972-09-14 04:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '307', 'NOISE ?');
INSERT INTO event VALUES ('1972-09-14 12:41:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', 'P@14,16SR@ 258/0612');
INSERT INTO event VALUES ('1972-09-14 18:03:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1972-09-14 21:49:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', 'POSSIBLE NOISE ONLY @14, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-09-14 23:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '398', NULL);
INSERT INTO event VALUES ('1972-09-15 00:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-09-15 04:56:00',-27.90,-31.00, 932,3.60,2.10, 12, 'Deep Moonquake', '53', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-09-15 11:47:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-09-15 20:51:00',8.60,-50.80, 952,4.60,5.60, 93, 'Deep Moonquake', '49', NULL);
INSERT INTO event VALUES ('1972-09-16 02:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-09-16 07:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', '16LPX AMP');
INSERT INTO event VALUES ('1972-09-16 07:55:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', '16LPX AMP;INVERTED?');
INSERT INTO event VALUES ('1972-09-16 13:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-16 16:57:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1972-09-17 06:15:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-09-17 07:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1972-09-17 12:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '16LPX AMP');
INSERT INTO event VALUES ('1972-09-17 14:13:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '14A EST.,16LPX AMP');
INSERT INTO event VALUES ('1972-09-17 14:38:00',11.99,49.33, 10, NULL, NULL, 109, 'Shallow Moonquake', NULL, 'SPZ ONLY @14,15,16, The source position is decided by (Jeannine et al., 2006)');
INSERT INTO event VALUES ('1972-09-17 17:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C    DIST');
INSERT INTO event VALUES ('1972-09-17 21:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-09-17 22:57:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-09-17 23:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-09-18 01:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-18 02:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'NOISE ?');
INSERT INTO event VALUES ('1972-09-18 02:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-18 02:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-18 02:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-09-18 04:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-09-18 05:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-18 05:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-18 07:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-09-18 09:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-09-18 10:25:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1972-09-18 11:13:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1972-09-18 12:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-09-18 15:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-18 15:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-18 18:09:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-09-18 18:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-09-18 19:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-09-18 19:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C CLOSE TO 15');
INSERT INTO event VALUES ('1972-09-18 21:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-09-18 23:19:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1972-09-18 23:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SP=11;12LPX,Y>LPZ');
INSERT INTO event VALUES ('1972-09-19 00:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-19 00:55:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', 'SEPARATE EVENTS?');
INSERT INTO event VALUES ('1972-09-19 01:06:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-09-19 03:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1972-09-19 05:22:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-09-19 07:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1972-09-19 10:00:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-09-19 11:50:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1972-09-19 16:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-09-19 17:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-19 17:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-09-19 18:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-19 20:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-09-19 21:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '411', NULL);
INSERT INTO event VALUES ('1972-09-19 22:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-09-20 01:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '15LPZ=5MM');
INSERT INTO event VALUES ('1972-09-20 02:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '15LPZ=4.5MM');
INSERT INTO event VALUES ('1972-09-20 03:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-20 04:34:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-09-20 07:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-09-20 08:03:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-09-20 09:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-20 09:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-20 10:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-20 11:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-20 12:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-20 13:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-09-20 15:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1972-09-20 15:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-09-20 16:43:00',30.10,53.20, 975,2.90,9.80, 24, 'Deep Moonquake', '64', NULL);
INSERT INTO event VALUES ('1972-10-20 08:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-20 21:29:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-09-20 22:40:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-09-21 00:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SE OF 16? 16R.T.=15 MIN');
INSERT INTO event VALUES ('1972-09-21 02:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-21 09:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-21 10:10:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', 'CLEAR S @14,15');
INSERT INTO event VALUES ('1972-09-21 14:26:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'P&S@16, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-09-21 15:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-21 16:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-21 18:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-21 20:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-21 20:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-21 22:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-22 01:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-22 01:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-22 02:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-22 05:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-22 06:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-22 10:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-22 22:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-23 00:27:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', 'LOOKS LIKE A 07');
INSERT INTO event VALUES ('1972-09-23 02:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-23 04:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-23 04:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-23 06:11:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-09-23 06:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-23 08:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-23 09:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-23 11:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '406', NULL);
INSERT INTO event VALUES ('1972-09-23 11:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-23 12:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-09-23 14:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-23 14:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-23 16:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '504', NULL);
INSERT INTO event VALUES ('1972-09-23 18:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-09-23 18:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-09-23 19:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '504', NULL);
INSERT INTO event VALUES ('1972-09-23 21:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-23 21:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-09-23 22:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '221', NULL);
INSERT INTO event VALUES ('1972-09-23 23:50:00',-7.80,5.40, 933,3.50,1.70, 109, 'Deep Moonquake', '236', NULL);
INSERT INTO event VALUES ('1972-09-24 01:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-24 05:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '504', NULL);
INSERT INTO event VALUES ('1972-09-24 07:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-24 14:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '504', NULL);
INSERT INTO event VALUES ('1972-09-24 17:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '90', NULL);
INSERT INTO event VALUES ('1972-09-24 18:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-24 23:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-25 01:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-25 10:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-09-25 16:43:00',5.30,3.60, 933,1.10,1.50, 109, 'Deep Moonquake', '248', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-09-26 01:01:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', NULL);
INSERT INTO event VALUES ('1972-09-26 01:48:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-09-26 03:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1972-09-26 09:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-26 16:04:00',-3.40,12.50, 933,2.50,3.10, 109, 'Deep Moonquake', '249', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-09-26 21:54:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1972-09-26 23:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '217', NULL);
INSERT INTO event VALUES ('1972-09-27 01:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-27 02:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-27 06:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '311', NULL);
INSERT INTO event VALUES ('1972-09-27 06:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1972-09-27 08:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '317', NULL);
INSERT INTO event VALUES ('1972-09-27 11:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1972-09-27 12:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-09-27 14:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-28 05:00:00',1.40,15.00, 933,1.60,3.70, 109, 'Deep Moonquake', '255', NULL);
INSERT INTO event VALUES ('1972-09-28 08:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', NULL);
INSERT INTO event VALUES ('1972-09-28 14:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-28 17:39:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1972-09-28 18:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-28 21:20:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-09-29 06:40:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1972-09-29 12:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-09-29 14:56:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'H');
INSERT INTO event VALUES ('1972-09-30 01:56:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1972-09-30 03:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'H');
INSERT INTO event VALUES ('1972-09-30 04:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'H');
INSERT INTO event VALUES ('1972-09-30 10:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'T01H');
INSERT INTO event VALUES ('1972-09-30 11:49:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', 'L');
INSERT INTO event VALUES ('1972-09-30 17:30:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1972-09-30 18:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'T01H');
INSERT INTO event VALUES ('1972-10-01 01:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'H');
INSERT INTO event VALUES ('1972-10-01 08:56:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'T02H');
INSERT INTO event VALUES ('1972-10-01 09:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'T03L');
INSERT INTO event VALUES ('1972-10-01 12:55:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', NULL);
INSERT INTO event VALUES ('1972-10-01 13:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-01 17:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-01 20:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-01 22:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-02 17:05:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', NULL);
INSERT INTO event VALUES ('1972-10-03 00:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-03 06:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-03 07:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '226', NULL);
INSERT INTO event VALUES ('1972-10-03 11:07:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1972-10-03 17:11:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1972-10-04 09:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-10-04 12:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1972-10-04 13:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-10-04 21:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-05 11:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-10-05 17:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-05 21:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-10-06 03:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-06 16:32:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-10-06 22:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'GOOD SP@16');
INSERT INTO event VALUES ('1972-10-07 15:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-07 17:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-07 20:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP@14');
INSERT INTO event VALUES ('1972-10-07 21:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-10-08 04:15:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-10-08 09:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-08 12:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-20 10:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-10-20 11:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-08 14:22:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-10-08 15:25:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', NULL);
INSERT INTO event VALUES ('1972-10-08 18:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '319', NULL);
INSERT INTO event VALUES ('1972-10-08 19:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-08 22:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '434', NULL);
INSERT INTO event VALUES ('1972-10-08 23:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '431', NULL);
INSERT INTO event VALUES ('1972-10-09 04:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '415', NULL);
INSERT INTO event VALUES ('1972-10-09 07:38:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-10-09 14:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '253', NULL);
INSERT INTO event VALUES ('1972-10-09 15:28:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1972-10-09 15:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-09 23:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-10 02:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '98', NULL);
INSERT INTO event VALUES ('1972-10-10 04:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-10 07:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-10 11:30:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1972-10-10 13:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1972-10-10 16:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '398', NULL);
INSERT INTO event VALUES ('1972-10-10 17:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-10-10 21:22:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1972-10-10 22:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-10 23:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '429', NULL);
INSERT INTO event VALUES ('1972-10-11 00:08:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-10-11 08:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-11 09:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '433', NULL);
INSERT INTO event VALUES ('1972-10-11 19:39:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1972-10-12 01:07:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-10-12 05:05:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1972-10-12 06:06:00',-27.90,-31.00, 932,3.60,2.10, 12, 'Deep Moonquake', '53', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-10-12 07:02:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-10-12 09:48:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-10-12 12:38:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-10-12 13:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '57', NULL);
INSERT INTO event VALUES ('1972-10-12 21:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '358', NULL);
INSERT INTO event VALUES ('1972-10-13 00:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-13 01:30:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-10-13 09:53:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-10-13 10:05:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-10-13 11:25:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-10-13 12:35:00',8.60,-50.80, 952,4.60,5.60, 93, 'Deep Moonquake', '49', NULL);
INSERT INTO event VALUES ('1972-10-13 15:46:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-10-13 16:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1972-10-13 17:13:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1972-10-14 02:50:00',-53.20,-54.40, 933,4.60,11.40, 109, 'Deep Moonquake', '281', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-10-14 14:33:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1972-10-14 15:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '43', NULL);
INSERT INTO event VALUES ('1972-10-15 07:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP@14');
INSERT INTO event VALUES ('1972-10-15 10:37:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'OLD A48');
INSERT INTO event VALUES ('1972-10-15 12:07:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1972-10-15 13:28:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-10-15 18:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-10-15 20:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-10-15 21:59:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-10-15 22:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-16 03:47:00',-26.50,-35.10, 933,12.00,7.20, 109, 'Deep Moonquake', '209', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-10-16 05:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP@14');
INSERT INTO event VALUES ('1972-10-16 06:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '79', NULL);
INSERT INTO event VALUES ('1972-10-16 07:28:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-10-16 09:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-16 10:28:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', NULL);
INSERT INTO event VALUES ('1972-10-16 11:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '227', NULL);
INSERT INTO event VALUES ('1972-10-16 13:33:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', NULL);
INSERT INTO event VALUES ('1972-10-16 14:58:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-10-16 16:03:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1972-10-16 22:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-17 04:00:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-10-17 13:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-17 23:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1972-10-18 01:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-18 02:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1972-10-18 05:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-18 08:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-18 08:42:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-10-18 10:10:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1972-10-18 11:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-18 14:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-18 15:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-18 20:30:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-10-19 02:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '347', NULL);
INSERT INTO event VALUES ('1972-10-19 04:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-10-19 06:42:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', 'M? S-P>90S@15');
INSERT INTO event VALUES ('1972-10-19 09:54:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', '16 AMP ESTIMATED');
INSERT INTO event VALUES ('1972-10-19 14:13:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-10-19 14:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-10-19 22:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-19 22:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-19 22:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-10-20 00:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-20 00:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-20 04:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-20 05:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-10-20 12:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', 'TH');
INSERT INTO event VALUES ('1972-10-20 12:52:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', 'L');
INSERT INTO event VALUES ('1972-10-20 13:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-20 14:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-20 15:32:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', NULL);
INSERT INTO event VALUES ('1972-10-20 16:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'H');
INSERT INTO event VALUES ('1972-10-20 18:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '348', 'M?');
INSERT INTO event VALUES ('1972-10-20 18:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-20 19:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', 'TH');
INSERT INTO event VALUES ('1972-10-20 20:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-20 20:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-20 21:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-20 23:55:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1972-10-21 00:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-21 01:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-21 01:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-21 03:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-21 05:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-10-21 05:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-21 07:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-21 08:10:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', 'S@12,14,16');
INSERT INTO event VALUES ('1972-10-21 09:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-21 09:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-21 10:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', NULL);
INSERT INTO event VALUES ('1972-10-21 11:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-21 11:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-21 12:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-21 12:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-21 12:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-21 13:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-21 14:13:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-10-21 16:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-21 18:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-21 19:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-21 21:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-22 02:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-22 04:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-22 05:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C CLOSE TO 15,SPZ=23');
INSERT INTO event VALUES ('1972-10-22 06:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C CLOSE TO 15');
INSERT INTO event VALUES ('1972-10-22 07:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-22 08:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'L');
INSERT INTO event VALUES ('1972-10-22 10:59:00',-7.80,5.40, 933,3.50,1.70, 109, 'Deep Moonquake', '236', 'S@14,15,16;S-P=100S@14');
INSERT INTO event VALUES ('1972-10-22 13:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '90', 'L');
INSERT INTO event VALUES ('1972-10-22 13:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-22 14:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, 'S@14');
INSERT INTO event VALUES ('1972-10-22 15:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-22 17:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-22 18:41:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', 'S@12,14,15,16');
INSERT INTO event VALUES ('1972-10-22 19:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-22 21:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-10-22 21:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-10-22 21:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-22 22:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-22 23:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, 'S@16;WEAK S@15,14');
INSERT INTO event VALUES ('1972-10-23 00:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-23 00:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'L');
INSERT INTO event VALUES ('1972-10-23 01:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'L');
INSERT INTO event VALUES ('1972-10-23 02:10:00',12.80,-36.20, 963,1.40,5.60, 45, 'Deep Moonquake', '212', 'S@12,14,16;S-P>2M@14');
INSERT INTO event VALUES ('1972-10-23 02:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'L');
INSERT INTO event VALUES ('1972-10-23 02:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-23 03:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-10-23 04:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-10-23 05:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '504', 'TH');
INSERT INTO event VALUES ('1972-10-23 06:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'L');
INSERT INTO event VALUES ('1972-10-23 07:40:00',-13.70,-21.60, 764,3.90,4.50, 81, 'Deep Moonquake', '216', 'L');
INSERT INTO event VALUES ('1972-10-23 08:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '504', 'TH');
INSERT INTO event VALUES ('1972-10-23 08:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-23 10:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-23 11:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-23 11:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-23 11:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', 'L');
INSERT INTO event VALUES ('1972-10-23 12:08:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', 'S@12,14;WEAK S@15,16');
INSERT INTO event VALUES ('1972-10-23 12:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '221', NULL);
INSERT INTO event VALUES ('1972-10-23 14:30:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', 'L, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-10-23 15:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '504', 'TH');
INSERT INTO event VALUES ('1972-10-23 17:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-23 18:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, 'L');
INSERT INTO event VALUES ('1972-10-23 19:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'L');
INSERT INTO event VALUES ('1972-10-23 19:43:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', 'S@12,14,15');
INSERT INTO event VALUES ('1972-10-23 20:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '221', NULL);
INSERT INTO event VALUES ('1972-10-23 20:58:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-10-23 21:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '288', 'S@14');
INSERT INTO event VALUES ('1972-10-23 21:44:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', 'S@14,16,12?');
INSERT INTO event VALUES ('1972-10-23 23:30:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-10-24 00:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '326', NULL);
INSERT INTO event VALUES ('1972-10-24 03:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-24 03:22:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1972-10-24 04:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '434', 'L');
INSERT INTO event VALUES ('1972-10-24 05:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '361', NULL);
INSERT INTO event VALUES ('1972-10-24 08:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '353', NULL);
INSERT INTO event VALUES ('1972-10-24 08:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '414', 'L');
INSERT INTO event VALUES ('1972-10-24 09:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-24 13:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-25 02:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'L');
INSERT INTO event VALUES ('1972-10-25 06:15:00',-53.20,-54.40, 933,4.60,11.40, 109, 'Deep Moonquake', '281', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-10-25 13:44:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1972-10-25 15:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'L');
INSERT INTO event VALUES ('1972-10-26 01:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', 'S@12,14');
INSERT INTO event VALUES ('1972-10-26 03:51:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'S@14, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-10-26 10:27:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-10-26 20:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1972-10-26 22:25:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', 'FARSIDE?');
INSERT INTO event VALUES ('1972-10-26 23:10:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-10-27 00:00:00',53.40,60.90, 1077,15.20,66.10, 32, 'Deep Moonquake', '29', 'M ?');
INSERT INTO event VALUES ('1972-10-27 05:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'EVENT ?');
INSERT INTO event VALUES ('1972-10-27 05:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', NULL);
INSERT INTO event VALUES ('1972-10-27 08:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1972-10-27 10:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'EVENT ?');
INSERT INTO event VALUES ('1972-10-27 11:13:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', 'S@12,14;S-P>90S@14');
INSERT INTO event VALUES ('1972-10-27 17:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-27 19:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-13 09:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-28 01:53:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', 'S@12,14');
INSERT INTO event VALUES ('1972-10-28 06:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', NULL);
INSERT INTO event VALUES ('1972-10-28 13:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', NULL);
INSERT INTO event VALUES ('1972-10-29 02:26:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1972-10-29 04:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-29 06:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '273', 'L');
INSERT INTO event VALUES ('1972-10-29 06:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-29 08:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-10-29 11:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-29 16:39:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', '15 A EST.;S@12,14,16');
INSERT INTO event VALUES ('1972-10-29 17:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'L');
INSERT INTO event VALUES ('1972-10-29 18:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-30 02:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-10-30 03:15:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', 'L');
INSERT INTO event VALUES ('1972-10-30 05:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'L');
INSERT INTO event VALUES ('1972-10-30 07:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '229', 'S@14,16');
INSERT INTO event VALUES ('1972-10-30 09:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'H');
INSERT INTO event VALUES ('1972-10-30 12:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, 'L');
INSERT INTO event VALUES ('1972-10-30 14:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'T03L');
INSERT INTO event VALUES ('1972-10-30 16:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'T02H');
INSERT INTO event VALUES ('1972-10-30 22:57:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', 'L');
INSERT INTO event VALUES ('1972-10-31 00:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', 'TH');
INSERT INTO event VALUES ('1972-10-31 02:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'L');
INSERT INTO event VALUES ('1972-10-31 07:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'H,REAL?');
INSERT INTO event VALUES ('1972-10-31 11:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '213', 'L');
INSERT INTO event VALUES ('1972-10-31 12:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', 'S@14,16');
INSERT INTO event VALUES ('1972-10-31 15:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'H');
INSERT INTO event VALUES ('1972-11-01 00:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-11-01 02:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-01 02:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-11-01 03:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-01 04:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-01 08:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-01 13:56:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-01 14:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-02 01:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-02 02:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '273', NULL);
INSERT INTO event VALUES ('1972-11-02 09:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-02 14:09:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-11-02 16:37:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '15 MAY BE NOISE');
INSERT INTO event VALUES ('1972-11-02 18:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-03 00:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-03 03:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '235', NULL);
INSERT INTO event VALUES ('1972-11-03 03:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-03 08:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-03 13:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '415', NULL);
INSERT INTO event VALUES ('1972-11-03 13:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-03 15:09:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'S@14,16, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-11-03 18:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '226', NULL);
INSERT INTO event VALUES ('1972-11-03 22:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-04 01:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-11-04 07:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-04 09:56:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-04 14:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-11-04 15:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '431', NULL);
INSERT INTO event VALUES ('1972-11-04 16:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-04 20:10:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-11-04 22:10:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1972-11-04 22:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-05 00:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1972-11-05 00:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-05 07:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '398', NULL);
INSERT INTO event VALUES ('1972-11-05 09:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1972-11-05 10:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-11-05 10:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '432', NULL);
INSERT INTO event VALUES ('1972-11-05 11:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1972-11-05 14:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-05 15:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1972-11-05 19:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '319', '16?');
INSERT INTO event VALUES ('1972-11-05 20:20:00',23.00,20.40, 1085,3.30,4.70, 64, 'Deep Moonquake', '27', NULL);
INSERT INTO event VALUES ('1972-11-05 20:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-05 22:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '415', NULL);
INSERT INTO event VALUES ('1972-11-05 22:12:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', NULL);
INSERT INTO event VALUES ('1972-11-05 22:36:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1972-11-05 23:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-06 00:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '350', NULL);
INSERT INTO event VALUES ('1972-11-06 01:22:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-11-06 01:40:00',3.40,2.00, 559,0.60,0.70, 97, 'Deep Moonquake', '259', NULL);
INSERT INTO event VALUES ('1972-11-06 01:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-06 02:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '402', NULL);
INSERT INTO event VALUES ('1972-11-06 04:10:00',19.40,24.30, 959,2.70,5.10, 68, 'Deep Moonquake', '246', NULL);
INSERT INTO event VALUES ('1972-11-06 04:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'CLOSE TO 16');
INSERT INTO event VALUES ('1972-11-06 06:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '327', NULL);
INSERT INTO event VALUES ('1972-11-06 06:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '431', NULL);
INSERT INTO event VALUES ('1972-11-06 08:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '434', NULL);
INSERT INTO event VALUES ('1972-11-06 09:20:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', 'S@15,14');
INSERT INTO event VALUES ('1972-11-06 12:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-06 12:52:00',6.30,22.10, 855,0.90,9.70, 188, 'Deep Moonquake', '230', NULL);
INSERT INTO event VALUES ('1972-11-06 13:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-06 14:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-06 15:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-06 16:20:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1972-11-06 16:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '384', NULL);
INSERT INTO event VALUES ('1972-11-06 18:10:00',7.10,22.50, 984,1.20,4.70, 76, 'Deep Moonquake', '283', NULL);
INSERT INTO event VALUES ('1972-11-06 19:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-06 21:06:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', 'NOISE ?');
INSERT INTO event VALUES ('1972-11-06 22:10:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', '2 EVENTS ?');
INSERT INTO event VALUES ('1972-11-06 23:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '307', NULL);
INSERT INTO event VALUES ('1972-11-06 23:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '432', NULL);
INSERT INTO event VALUES ('1972-11-07 01:20:00',-3.70,-33.90, 933,3.60,12.40, 109, 'Deep Moonquake', '276', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-11-07 01:35:00',1.10,-20.60, 933,1.60,5.00, 109, 'Deep Moonquake', '56', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-11-07 03:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '415', 'LPX AMP @14');
INSERT INTO event VALUES ('1972-11-07 05:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-07 08:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-07 08:54:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', 'S@ ALL STA;P@15');
INSERT INTO event VALUES ('1972-11-07 13:36:00',19.40,24.30, 959,2.70,5.10, 68, 'Deep Moonquake', '246', NULL);
INSERT INTO event VALUES ('1972-11-07 14:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '57', NULL);
INSERT INTO event VALUES ('1972-11-07 16:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '214', NULL);
INSERT INTO event VALUES ('1972-11-07 16:47:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-11-07 18:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '382', NULL);
INSERT INTO event VALUES ('1972-11-07 19:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-11-07 20:54:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', 'S@16');
INSERT INTO event VALUES ('1972-11-07 21:38:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-11-08 05:53:00',-27.90,-31.00, 932,3.60,2.10, 12, 'Deep Moonquake', '53', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-11-08 09:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-08 09:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-08 14:02:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', NULL);
INSERT INTO event VALUES ('1972-11-08 15:13:00',-46.50,38.90, 933,8.30,9.30, 109, 'Deep Moonquake', '251', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-11-08 15:48:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-11-08 17:55:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', 'P,S@16');
INSERT INTO event VALUES ('1972-11-08 18:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'LP>SP; CLOSE TO 16');
INSERT INTO event VALUES ('1972-11-08 19:46:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-11-08 20:16:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1972-11-08 21:46:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-11-08 23:30:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-11-09 01:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '358', NULL);
INSERT INTO event VALUES ('1972-11-09 02:04:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-11-09 02:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-09 04:20:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1972-11-09 04:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '445', NULL);
INSERT INTO event VALUES ('1972-11-09 05:49:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-11-09 06:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-09 06:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-09 07:05:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-11-09 07:48:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-11-09 08:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '443', NULL);
INSERT INTO event VALUES ('1972-11-09 09:02:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1972-11-09 11:14:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-11-09 16:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1972-11-09 18:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-09 18:40:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1972-11-09 19:30:00',8.60,-50.80, 952,4.60,5.60, 93, 'Deep Moonquake', '49', NULL);
INSERT INTO event VALUES ('1972-11-09 19:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '399', NULL);
INSERT INTO event VALUES ('1972-11-09 21:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '342', NULL);
INSERT INTO event VALUES ('1972-11-09 22:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'CLOSE TO 14; SP=LP AMP');
INSERT INTO event VALUES ('1972-11-10 04:11:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1972-11-10 05:44:00',24.10,26.10, 933,5.10,8.20, 109, 'Deep Moonquake', '233', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-11-10 07:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-10 07:20:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1972-11-10 08:36:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1972-11-10 09:36:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1972-11-10 09:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1972-11-10 10:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'CLOSE TO 14; SP>>LP');
INSERT INTO event VALUES ('1972-11-10 10:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '443', NULL);
INSERT INTO event VALUES ('1972-11-10 11:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-10 12:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '377', NULL);
INSERT INTO event VALUES ('1972-11-10 13:10:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-11-10 16:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1972-11-10 17:28:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-11-10 18:12:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', NULL);
INSERT INTO event VALUES ('1972-11-10 18:34:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1972-11-10 21:48:00',-53.20,-54.40, 933,4.60,11.40, 109, 'Deep Moonquake', '281', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-11-10 23:12:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-11-11 01:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-11 02:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '445', NULL);
INSERT INTO event VALUES ('1972-11-11 04:28:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1972-11-11 06:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '43', NULL);
INSERT INTO event VALUES ('1972-11-11 07:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-11 07:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '264', NULL);
INSERT INTO event VALUES ('1972-11-11 09:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1972-11-11 09:50:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-11-11 10:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '425', NULL);
INSERT INTO event VALUES ('1972-11-11 11:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1972-11-11 12:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1972-11-11 15:45:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '2 EVENTS?');
INSERT INTO event VALUES ('1972-11-11 20:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-11 21:04:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1972-11-12 01:38:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', NULL);
INSERT INTO event VALUES ('1972-11-12 02:26:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '2 EVENTS?');
INSERT INTO event VALUES ('1972-11-12 04:10:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-11-12 07:14:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', 'C?');
INSERT INTO event VALUES ('1972-11-12 08:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'CLOSE TO 14; SP>LP');
INSERT INTO event VALUES ('1972-11-12 09:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '16SR@317/0815');
INSERT INTO event VALUES ('1972-11-12 11:04:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', 'S@12,14');
INSERT INTO event VALUES ('1972-11-12 14:54:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', 'P? @14; S@12,14,15');
INSERT INTO event VALUES ('1972-11-12 19:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C CLOSE TO 15; SP>LP');
INSERT INTO event VALUES ('1972-11-12 20:12:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'OLD A48');
INSERT INTO event VALUES ('1972-11-12 21:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-12 21:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-12 23:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '269', 'C ?');
INSERT INTO event VALUES ('1972-11-12 23:55:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', NULL);
INSERT INTO event VALUES ('1972-11-13 02:25:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-11-13 02:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'S@14,15');
INSERT INTO event VALUES ('1972-11-13 03:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-13 04:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-13 05:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-13 05:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '385', NULL);
INSERT INTO event VALUES ('1972-11-13 08:31:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-11-13 10:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-13 13:25:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-11-13 15:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '227', NULL);
INSERT INTO event VALUES ('1972-11-13 16:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-13 17:26:00',-26.50,-35.10, 933,12.00,7.20, 109, 'Deep Moonquake', '209', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-11-13 20:07:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1972-11-14 02:12:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', '15SR @ 318/2355');
INSERT INTO event VALUES ('1972-11-14 02:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '207', 'S@12,14');
INSERT INTO event VALUES ('1972-11-14 03:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-14 04:30:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', NULL);
INSERT INTO event VALUES ('1972-11-14 05:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-14 07:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'CLOSE TO 16; LP>SP');
INSERT INTO event VALUES ('1972-11-14 11:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-14 19:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1972-11-14 21:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-14 23:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-15 02:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-15 10:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '343', '14 SR @ 320/0504');
INSERT INTO event VALUES ('1972-11-15 15:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14LP>SP; 12SR @ 320/1210');
INSERT INTO event VALUES ('1972-11-15 16:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-15 16:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-15 20:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-15 20:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1972-11-15 21:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-11-15 23:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-16 01:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-11-16 03:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-11-16 05:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-16 07:28:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-11-16 08:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-16 09:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1972-11-16 09:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'CLOSE TO 14; SP>>LP');
INSERT INTO event VALUES ('1972-11-16 09:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-16 11:49:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', NULL);
INSERT INTO event VALUES ('1972-11-16 12:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1972-11-16 13:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C CLOSE TO 16; SP>LP');
INSERT INTO event VALUES ('1972-11-16 14:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '434', 'TH');
INSERT INTO event VALUES ('1972-11-16 15:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-16 16:48:00',15.50,55.60, 755,1.20,7.50, 44, 'Deep Moonquake', '114', 'L');
INSERT INTO event VALUES ('1972-11-16 18:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', 'TH');
INSERT INTO event VALUES ('1972-11-16 20:06:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', 'L, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-11-16 21:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, 'TH S@16');
INSERT INTO event VALUES ('1972-11-16 21:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C CLOSE TO 15; SP>>LP');
INSERT INTO event VALUES ('1972-11-16 22:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-17 00:23:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'S@12,16, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-11-17 01:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1972-11-17 02:04:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-11-17 04:08:00',15.50,97.00, 1141,2.40,12.30, 74, 'Deep Moonquake', '282', '15?');
INSERT INTO event VALUES ('1972-11-17 05:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'Z ?');
INSERT INTO event VALUES ('1972-11-17 06:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-11-17 07:00:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', '2 EVENTS ?');
INSERT INTO event VALUES ('1972-11-17 07:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', 'TH');
INSERT INTO event VALUES ('1972-11-17 07:50:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1972-11-17 11:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', 'TH');
INSERT INTO event VALUES ('1972-11-17 13:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-11-17 14:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-17 15:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', 'TH');
INSERT INTO event VALUES ('1972-11-17 16:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH NOISE?');
INSERT INTO event VALUES ('1972-11-17 17:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-17 18:28:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', 'TH');
INSERT INTO event VALUES ('1972-11-17 20:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', 'TH');
INSERT INTO event VALUES ('1972-11-17 22:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-11-17 23:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C CLOSE TO 15; SP>LP');
INSERT INTO event VALUES ('1972-11-18 00:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', 'TH');
INSERT INTO event VALUES ('1972-11-18 01:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-11-18 03:27:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', 'S@15,16');
INSERT INTO event VALUES ('1972-11-18 04:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-11-18 06:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', 'TH');
INSERT INTO event VALUES ('1972-11-18 10:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-11-18 11:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-11-18 12:04:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-11-18 12:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-11-18 13:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-11-18 14:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-11-18 14:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-18 16:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-11-18 18:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-11-18 19:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-11-18 20:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '326', NULL);
INSERT INTO event VALUES ('1972-11-18 21:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-18 22:18:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', NULL);
INSERT INTO event VALUES ('1972-11-18 23:00:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', NULL);
INSERT INTO event VALUES ('1972-11-18 23:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-18 23:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1972-11-19 00:40:00',8.40,-64.00, 968,1.80,4.70, 18, 'Deep Moonquake', '54', 'S@14, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-11-19 01:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', 'TH');
INSERT INTO event VALUES ('1972-11-19 01:56:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-11-19 02:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-11-19 04:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1972-11-19 04:43:00',1.40,15.00, 933,1.60,3.70, 109, 'Deep Moonquake', '255', 'MULT EVENTS?');
INSERT INTO event VALUES ('1972-11-19 05:07:00',12.80,-36.20, 963,1.40,5.60, 45, 'Deep Moonquake', '212', 'C?');
INSERT INTO event VALUES ('1972-11-19 06:49:00',9.20,17.50, 1187,1.50,4.90, 87, 'Deep Moonquake', '11', NULL);
INSERT INTO event VALUES ('1972-11-19 07:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-11-19 08:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2 EVENTS?');
INSERT INTO event VALUES ('1972-11-19 09:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-11-19 09:39:00',34.30,45.00, 933,12.00,29.90, 109, 'Deep Moonquake', '231', 'L, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-11-19 10:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-11-19 13:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-11-19 15:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '288', NULL);
INSERT INTO event VALUES ('1972-11-19 16:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TH');
INSERT INTO event VALUES ('1972-11-19 17:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-11-19 18:24:00',65.40,-21.50, 0, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-11-19 21:03:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1972-11-20 01:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-20 07:54:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', '12 DROPOUTS');
INSERT INTO event VALUES ('1972-11-20 08:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', '12 DROPOUTS');
INSERT INTO event VALUES ('1972-11-20 09:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12 DROPOUTS');
INSERT INTO event VALUES ('1972-11-20 15:23:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1972-11-20 20:18:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', '16A,EST.,15 DROPOUTS');
INSERT INTO event VALUES ('1972-11-20 23:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TL,15 DROPOUTS');
INSERT INTO event VALUES ('1972-11-21 03:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '353', '15 DROPOUTS');
INSERT INTO event VALUES ('1972-11-21 05:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C,DIST');
INSERT INTO event VALUES ('1972-11-21 05:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '427', NULL);
INSERT INTO event VALUES ('1972-11-21 18:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-22 20:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16SP=11');
INSERT INTO event VALUES ('1972-11-23 00:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', NULL);
INSERT INTO event VALUES ('1972-11-23 04:32:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-11-23 14:40:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-11-23 20:50:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-11-24 00:32:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1972-11-24 06:33:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1972-11-24 11:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'LONG RISE TIME');
INSERT INTO event VALUES ('1972-11-24 20:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', NULL);
INSERT INTO event VALUES ('1972-11-24 21:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16SP=20');
INSERT INTO event VALUES ('1972-11-24 23:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-25 01:45:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-11-25 02:37:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1972-11-25 16:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', NULL);
INSERT INTO event VALUES ('1972-11-26 00:26:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', NULL);
INSERT INTO event VALUES ('1972-11-26 13:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-26 21:42:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1972-11-26 23:18:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', NULL);
INSERT INTO event VALUES ('1972-11-27 22:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-27 23:14:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1972-11-28 00:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TL');
INSERT INTO event VALUES ('1972-11-28 17:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-11-28 21:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '273', NULL);
INSERT INTO event VALUES ('1972-11-29 00:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-11-29 01:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-29 22:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '226', NULL);
INSERT INTO event VALUES ('1972-11-29 22:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-30 15:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-11-30 16:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-01 05:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16 HAS GAPS');
INSERT INTO event VALUES ('1972-12-01 09:39:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-12-02 07:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-12-02 21:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-12-03 01:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-03 02:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-12-03 04:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-03 05:58:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-12-03 06:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1972-12-03 07:16:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-12-03 10:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-03 10:37:00',34.80,63.00, 1014,2.10,11.30, 26, 'Deep Moonquake', '70', NULL);
INSERT INTO event VALUES ('1972-12-03 11:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-03 15:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '89', NULL);
INSERT INTO event VALUES ('1972-12-03 18:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '415', NULL);
INSERT INTO event VALUES ('1972-12-04 00:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-04 02:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1972-12-04 03:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '327', NULL);
INSERT INTO event VALUES ('1972-12-04 03:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '434', NULL);
INSERT INTO event VALUES ('1972-12-04 05:28:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1972-12-04 06:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '307', NULL);
INSERT INTO event VALUES ('1972-12-04 07:18:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-12-04 07:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-04 08:21:00',6.30,22.10, 855,0.90,9.70, 188, 'Deep Moonquake', '230', NULL);
INSERT INTO event VALUES ('1972-12-04 09:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-04 14:55:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1972-12-04 16:56:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-04 18:31:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', NULL);
INSERT INTO event VALUES ('1972-12-04 21:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '57', NULL);
INSERT INTO event VALUES ('1972-12-04 22:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '382', NULL);
INSERT INTO event VALUES ('1972-12-04 23:49:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-12-05 04:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-05 05:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1972-12-05 06:12:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-12-05 09:29:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1972-12-05 10:39:00',-27.90,-31.00, 932,3.60,2.10, 12, 'Deep Moonquake', '53', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-12-05 16:43:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-12-05 20:07:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1972-12-06 02:00:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1972-12-06 03:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-06 07:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1972-12-06 08:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-06 09:28:00',6.30,22.10, 855,0.90,9.70, 188, 'Deep Moonquake', '230', NULL);
INSERT INTO event VALUES ('1972-12-06 11:50:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-12-06 13:29:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1972-12-06 14:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-12-06 15:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1972-12-06 16:02:00',8.60,-50.80, 952,4.60,5.60, 93, 'Deep Moonquake', '49', NULL);
INSERT INTO event VALUES ('1972-12-06 23:10:00',45.84,36.81, 2, NULL, NULL, 110, 'Shallow Moonquake', NULL, 'The source position is decided by (Jeannine et al., 2006)');
INSERT INTO event VALUES ('1972-12-06 23:43:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1972-12-07 09:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-07 15:41:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1972-12-07 17:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', NULL);
INSERT INTO event VALUES ('1972-12-07 19:16:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-12-21 00:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', NULL);
INSERT INTO event VALUES ('1972-12-07 20:00:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-12-07 20:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-07 21:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-08 03:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-08 04:45:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1972-12-08 05:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '445', NULL);
INSERT INTO event VALUES ('1972-12-08 05:13:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-12-08 06:29:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-08 06:37:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-12-08 11:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-12-08 13:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, 'UNUSUAL; I @ ALL STA');
INSERT INTO event VALUES ('1972-12-08 14:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-12-08 20:00:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1972-12-08 22:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-12-09 01:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-12-09 01:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '16LPX AMP');
INSERT INTO event VALUES ('1972-12-09 02:29:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1972-12-09 03:52:00',-20.00,-80.00, 100, NULL, NULL, NULL, 'Shallow Moonquake', NULL, '16LPX AMP, The source position is decided by (Nakamura et al., 1979)');
INSERT INTO event VALUES ('1972-12-09 05:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-09 07:05:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', '16LPX AMP');
INSERT INTO event VALUES ('1972-12-09 13:49:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', '16LPX AMP');
INSERT INTO event VALUES ('1972-12-09 15:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-09 20:03:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', '16LPX AMP');
INSERT INTO event VALUES ('1972-12-10 05:10:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1972-12-10 06:00:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '16LPX AMP');
INSERT INTO event VALUES ('1972-12-10 11:02:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', NULL);
INSERT INTO event VALUES ('1972-12-10 12:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '16LPX AMP');
INSERT INTO event VALUES ('1972-12-10 17:48:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '16LPX AMP');
INSERT INTO event VALUES ('1972-12-10 18:00:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'OLD A48, 16LPX AMP');
INSERT INTO event VALUES ('1972-12-10 20:32:00',-4.21,-12.31, 0, NULL, NULL, NULL, 'S-IVB Impact', NULL, '17 S4B IMP');
INSERT INTO event VALUES ('1972-12-10 23:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '325', '16LPX AMP');
INSERT INTO event VALUES ('1972-12-11 00:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-11 01:08:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-12-11 06:51:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', '16LPX AMP');
INSERT INTO event VALUES ('1972-12-11 09:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-12-11 12:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '227', NULL);
INSERT INTO event VALUES ('1972-12-11 16:22:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '16LPX AMP');
INSERT INTO event VALUES ('1972-12-11 19:54:57',20.19,30.77, 0, NULL, NULL, NULL, 'LM Landing', NULL, '17 LM Landing');
INSERT INTO event VALUES ('1972-12-12 00:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '207', '16SR');
INSERT INTO event VALUES ('1972-12-12 02:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-12 14:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16LPX AMP');
INSERT INTO event VALUES ('1972-12-12 17:07:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-12-13 04:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-13 10:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-13 12:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-12-13 17:50:00',24.10,26.10, 933,5.10,8.20, 109, 'Deep Moonquake', '233', '15SR@ 348/1322, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-12-13 23:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-13 23:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '343', NULL);
INSERT INTO event VALUES ('1972-12-14 07:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '357', NULL);
INSERT INTO event VALUES ('1972-12-14 08:00:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-12-14 08:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-12-14 16:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '219', NULL);
INSERT INTO event VALUES ('1972-12-14 19:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14SR@ 349/1928');
INSERT INTO event VALUES ('1972-12-14 20:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-14 21:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '254', '12SR@ 350/0220');
INSERT INTO event VALUES ('1972-12-15 06:52:00',19.96,30.50, 0, NULL, NULL, NULL, 'LM Impact', NULL, '17 LM IMP');
INSERT INTO event VALUES ('1972-12-15 07:48:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-12-15 15:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-15 15:29:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-15 15:59:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1972-12-15 17:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1972-12-15 19:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-15 22:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1972-12-16 04:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-16 05:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1972-12-16 07:39:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1972-12-16 11:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1972-12-16 13:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1972-12-16 17:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1972-12-16 20:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-12-16 21:58:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1972-12-16 23:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-17 00:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-12-17 00:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-12-17 02:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '326', NULL);
INSERT INTO event VALUES ('1972-12-17 03:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-17 04:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-12-17 05:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-12-17 05:35:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', NULL);
INSERT INTO event VALUES ('1972-12-17 08:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-17 08:32:00',12.80,-36.20, 963,1.40,5.60, 45, 'Deep Moonquake', '212', NULL);
INSERT INTO event VALUES ('1972-12-17 10:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-17 11:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-17 13:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-17 16:24:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1972-12-17 19:36:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', NULL);
INSERT INTO event VALUES ('1972-12-18 00:23:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1972-12-18 10:38:00',-7.80,5.40, 933,3.50,1.70, 109, 'Deep Moonquake', '236', NULL);
INSERT INTO event VALUES ('1972-12-18 13:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1972-12-19 21:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-12-19 21:49:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', 'GOOD S @12,14,15');
INSERT INTO event VALUES ('1972-12-20 10:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '434', NULL);
INSERT INTO event VALUES ('1972-12-20 20:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '451', NULL);
INSERT INTO event VALUES ('1972-12-20 20:23:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1972-12-20 22:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '439', NULL);
INSERT INTO event VALUES ('1972-12-21 02:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '451', NULL);
INSERT INTO event VALUES ('1972-12-21 04:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-21 07:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-21 08:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-21 09:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '501', NULL);
INSERT INTO event VALUES ('1972-12-21 10:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-21 13:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-21 13:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '501', NULL);
INSERT INTO event VALUES ('1972-12-21 16:30:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', 'P&S @14');
INSERT INTO event VALUES ('1972-12-21 18:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '501', NULL);
INSERT INTO event VALUES ('1972-12-21 19:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-21 21:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-22 02:10:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-12-22 04:50:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-12-22 07:25:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1972-12-22 14:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-12-22 19:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-22 22:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '323', NULL);
INSERT INTO event VALUES ('1972-12-23 03:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', NULL);
INSERT INTO event VALUES ('1972-12-23 10:40:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', 'INVERTED');
INSERT INTO event VALUES ('1972-12-23 14:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-12-24 05:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', NULL);
INSERT INTO event VALUES ('1972-12-24 06:11:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1972-12-24 10:39:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1972-12-24 15:30:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', NULL);
INSERT INTO event VALUES ('1972-12-24 16:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-24 18:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', NULL);
INSERT INTO event VALUES ('1972-12-25 13:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '229', NULL);
INSERT INTO event VALUES ('1972-12-25 15:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '425', NULL);
INSERT INTO event VALUES ('1972-12-25 16:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1972-12-27 02:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-28 07:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '411', NULL);
INSERT INTO event VALUES ('1972-12-28 14:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-29 06:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-29 07:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '235', NULL);
INSERT INTO event VALUES ('1972-12-29 10:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-29 11:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-29 12:57:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', NULL);
INSERT INTO event VALUES ('1972-12-29 13:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-12-29 16:37:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-12-29 19:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-29 20:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-29 23:41:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1972-12-30 04:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-30 08:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-30 11:48:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1972-12-30 14:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '350', NULL);
INSERT INTO event VALUES ('1972-12-30 16:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-12-30 18:06:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-12-30 18:46:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-12-30 19:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1972-12-30 20:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-12-30 22:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '415', NULL);
INSERT INTO event VALUES ('1972-12-30 23:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-31 00:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-12-31 07:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-31 08:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1972-12-31 09:12:00',-13.70,-21.60, 764,3.90,4.50, 81, 'Deep Moonquake', '216', NULL);
INSERT INTO event VALUES ('1972-12-31 10:20:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1972-12-31 12:22:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1972-12-31 13:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1972-12-31 15:08:00',1.10,-20.60, 933,1.60,5.00, 109, 'Deep Moonquake', '56', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1972-12-31 16:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1972-12-31 16:40:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1972-12-31 18:37:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1972-12-31 19:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-31 20:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1972-12-31 22:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-01 02:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1973-01-01 05:15:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1973-01-01 06:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '57', NULL);
INSERT INTO event VALUES ('1973-01-01 10:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '415', NULL);
INSERT INTO event VALUES ('1973-01-01 11:32:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', '15A ESTIMATED');
INSERT INTO event VALUES ('1973-01-01 12:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1973-01-01 16:55:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1973-01-01 19:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-01 20:22:00',-27.90,-31.00, 932,3.60,2.10, 12, 'Deep Moonquake', '53', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-01-01 22:42:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1973-01-02 03:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '386', NULL);
INSERT INTO event VALUES ('1973-01-02 04:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-02 05:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-02 07:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-02 08:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-02 11:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-02 12:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-02 14:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-02 16:32:00',8.60,-50.80, 952,4.60,5.60, 93, 'Deep Moonquake', '49', NULL);
INSERT INTO event VALUES ('1973-01-02 17:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '43', NULL);
INSERT INTO event VALUES ('1973-01-02 21:56:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1973-01-02 23:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-02 23:42:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1973-01-03 01:00:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-01-03 02:44:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1973-01-03 07:07:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1973-01-03 10:38:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1973-01-03 12:03:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1973-01-03 15:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1973-01-03 16:47:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1973-01-03 18:16:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1973-01-03 19:05:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1973-01-03 21:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP=6');
INSERT INTO event VALUES ('1973-01-03 23:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-01-04 00:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '424', NULL);
INSERT INTO event VALUES ('1973-01-04 01:44:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-01-04 03:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-04 04:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '425', NULL);
INSERT INTO event VALUES ('1973-01-04 06:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '445', NULL);
INSERT INTO event VALUES ('1973-01-04 07:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-04 08:58:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1973-01-04 10:55:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', NULL);
INSERT INTO event VALUES ('1973-01-04 15:10:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1973-01-04 21:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', NULL);
INSERT INTO event VALUES ('1973-01-04 23:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1973-01-04 23:55:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1973-01-05 02:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1973-01-05 07:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '410', NULL);
INSERT INTO event VALUES ('1973-01-05 08:56:00',24.10,-52.20, 750,9.50,8.00, 109, 'Deep Moonquake', '60', '(*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1973-01-05 09:47:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', NULL);
INSERT INTO event VALUES ('1973-01-05 10:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '417', NULL);
INSERT INTO event VALUES ('1973-01-05 11:48:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1973-01-05 21:45:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1973-01-05 22:13:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1973-01-05 22:52:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1973-01-06 05:37:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'OLD A 47');
INSERT INTO event VALUES ('1973-01-06 06:33:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', NULL);
INSERT INTO event VALUES ('1973-01-06 08:16:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-01-06 14:05:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', NULL);
INSERT INTO event VALUES ('1973-01-06 15:02:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-01-06 16:21:00',-26.50,-35.10, 933,12.00,7.20, 109, 'Deep Moonquake', '209', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-01-06 18:45:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-01-06 19:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'GOOD SP @16');
INSERT INTO event VALUES ('1973-01-06 21:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-07 02:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-01-07 05:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-07 09:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '227', NULL);
INSERT INTO event VALUES ('1973-01-07 12:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '207', NULL);
INSERT INTO event VALUES ('1973-01-07 17:13:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-01-08 00:30:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-01-08 02:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-08 06:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-08 09:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, 'OLD A48');
INSERT INTO event VALUES ('1973-01-08 11:30:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-01-09 04:29:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'STRONG SP @15');
INSERT INTO event VALUES ('1973-01-10 00:22:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1973-01-10 01:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '79', NULL);
INSERT INTO event VALUES ('1973-01-10 05:37:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-01-10 08:40:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-01-11 08:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP=2');
INSERT INTO event VALUES ('1973-01-11 11:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-11 15:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '343', NULL);
INSERT INTO event VALUES ('1973-01-11 18:15:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-01-11 21:08:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', NULL);
INSERT INTO event VALUES ('1973-01-11 23:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-12 07:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '219', NULL);
INSERT INTO event VALUES ('1973-01-12 07:46:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-01-12 08:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-12 09:51:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1973-01-12 11:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-12 12:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '355', NULL);
INSERT INTO event VALUES ('1973-01-12 16:42:00',12.80,-36.20, 963,1.40,5.60, 45, 'Deep Moonquake', '212', NULL);
INSERT INTO event VALUES ('1973-01-12 20:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-13 00:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-13 01:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '418', NULL);
INSERT INTO event VALUES ('1973-01-13 03:46:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1973-01-13 05:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1973-01-13 11:06:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1973-01-13 20:14:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-01-13 21:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-14 01:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-14 03:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1973-01-14 05:44:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1973-01-14 08:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1973-01-14 10:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-14 13:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-14 14:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-14 17:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-14 18:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-14 19:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-14 22:29:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', NULL);
INSERT INTO event VALUES ('1973-01-15 01:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1973-01-15 04:41:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1973-01-15 07:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-15 08:17:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1973-01-15 10:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-01-15 14:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-01-15 15:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1973-01-15 17:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-01-15 18:48:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1973-01-15 21:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1973-01-15 22:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-01-16 01:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '416', NULL);
INSERT INTO event VALUES ('1973-01-16 02:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-16 03:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-16 09:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-16 11:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1973-01-16 19:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-01-17 01:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-17 02:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-17 02:29:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', NULL);
INSERT INTO event VALUES ('1973-01-17 06:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-17 07:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-17 08:05:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-01-17 09:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-17 09:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-17 10:49:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', NULL);
INSERT INTO event VALUES ('1973-01-17 11:22:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1973-01-17 13:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-17 16:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-18 18:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-18 23:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 14SP=14');
INSERT INTO event VALUES ('1973-01-18 23:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-01-19 10:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-19 15:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '504', NULL);
INSERT INTO event VALUES ('1973-01-19 16:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '501', NULL);
INSERT INTO event VALUES ('1973-01-19 19:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '501', NULL);
INSERT INTO event VALUES ('1973-01-19 20:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '504', NULL);
INSERT INTO event VALUES ('1973-01-19 22:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '501', NULL);
INSERT INTO event VALUES ('1973-01-20 00:04:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'INVERTED');
INSERT INTO event VALUES ('1973-01-20 01:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '504', NULL);
INSERT INTO event VALUES ('1973-01-20 02:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '501', NULL);
INSERT INTO event VALUES ('1973-01-20 06:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-20 06:37:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-01-20 07:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', NULL);
INSERT INTO event VALUES ('1973-01-20 07:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-20 10:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-20 11:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-20 14:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-20 15:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-20 17:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-20 22:41:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1973-01-21 00:53:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1973-01-21 04:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-21 14:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', NULL);
INSERT INTO event VALUES ('1973-01-22 05:15:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1973-01-22 11:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-22 14:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-22 15:23:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1973-01-23 03:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '229', NULL);
INSERT INTO event VALUES ('1973-01-23 06:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-23 17:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-23 17:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'NO SP');
INSERT INTO event VALUES ('1973-01-24 23:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1973-01-25 16:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1973-01-25 23:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1973-01-26 01:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-01-26 03:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-01-26 04:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-26 07:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-26 10:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-26 22:00:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1973-01-27 04:28:00',8.40,-64.00, 968,1.80,4.70, 18, 'Deep Moonquake', '54', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-01-27 05:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-27 11:39:00',3.40,2.00, 559,0.60,0.70, 97, 'Deep Moonquake', '259', NULL);
INSERT INTO event VALUES ('1973-01-27 14:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-27 21:47:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', '14 SS');
INSERT INTO event VALUES ('1973-01-27 22:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1973-01-28 03:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1973-01-28 04:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-01-28 13:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '57', NULL);
INSERT INTO event VALUES ('1973-01-28 14:33:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1973-01-29 07:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1973-01-29 09:28:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1973-01-29 11:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST NO SP');
INSERT INTO event VALUES ('1973-01-29 13:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '386', NULL);
INSERT INTO event VALUES ('1973-01-29 17:57:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-01-30 02:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '43', NULL);
INSERT INTO event VALUES ('1973-01-30 03:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '387', NULL);
INSERT INTO event VALUES ('1973-01-30 04:15:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-01-30 10:10:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', '16A=2*LPX TO 40/1620');
INSERT INTO event VALUES ('1973-01-30 16:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1973-01-30 20:46:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1973-01-31 00:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-01-31 03:33:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1973-01-31 05:13:00',-9.50,-53.60, 750,17.60,5.90, 109, 'Deep Moonquake', '59', '(*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1973-01-31 07:53:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1973-01-31 11:28:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1973-01-31 16:27:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', NULL);
INSERT INTO event VALUES ('1973-01-31 18:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1973-01-31 21:48:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1973-02-01 00:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1973-02-01 03:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1973-02-01 13:51:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1973-02-01 14:57:00',-26.50,-35.10, 933,12.00,7.20, 109, 'Deep Moonquake', '209', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-02-01 18:59:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'OLD A47');
INSERT INTO event VALUES ('1973-02-01 20:37:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1973-02-02 02:36:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', NULL);
INSERT INTO event VALUES ('1973-02-02 10:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1973-02-02 13:49:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-02-02 16:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '207', NULL);
INSERT INTO event VALUES ('1973-02-02 17:29:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1973-02-02 18:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-02 21:00:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', NULL);
INSERT INTO event VALUES ('1973-02-03 00:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '69', NULL);
INSERT INTO event VALUES ('1973-02-03 10:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-03 12:44:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-02-03 13:10:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1973-02-03 15:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-03 18:06:00',-26.50,-35.10, 933,12.00,7.20, 109, 'Deep Moonquake', '209', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-02-04 00:11:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-02-04 00:58:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1973-02-05 03:51:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-02-05 05:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-05 07:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '263', NULL);
INSERT INTO event VALUES ('1973-02-05 12:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-05 15:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1973-02-05 16:12:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1973-02-05 20:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1973-02-06 03:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '219', NULL);
INSERT INTO event VALUES ('1973-02-06 06:29:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1973-02-06 08:05:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1973-02-06 08:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-06 13:05:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-02-06 13:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', NULL);
INSERT INTO event VALUES ('1973-02-07 11:18:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', NULL);
INSERT INTO event VALUES ('1973-02-08 22:53:00',33.00,35.00, 100, NULL, NULL, NULL, 'Shallow Moonquake', NULL, 'SPZ ONLY 3,7,4 @14,15,16, The source position is decided by (Nakamura et al., 1979)');
INSERT INTO event VALUES ('1973-02-09 02:24:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1973-02-09 12:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP=2');
INSERT INTO event VALUES ('1973-02-09 13:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '383', NULL);
INSERT INTO event VALUES ('1973-02-09 15:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-09 16:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-09 18:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-02-09 18:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '309', NULL);
INSERT INTO event VALUES ('1973-02-09 20:52:00',12.80,-36.20, 963,1.40,5.60, 45, 'Deep Moonquake', '212', NULL);
INSERT INTO event VALUES ('1973-02-09 22:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-10 00:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-10 01:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '318', NULL);
INSERT INTO event VALUES ('1973-02-10 03:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '343', NULL);
INSERT INTO event VALUES ('1973-02-10 05:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1973-02-10 09:02:00',-7.80,5.40, 933,3.50,1.70, 109, 'Deep Moonquake', '236', NULL);
INSERT INTO event VALUES ('1973-02-10 09:56:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', NULL);
INSERT INTO event VALUES ('1973-02-10 10:57:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-02-10 11:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-10 13:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-02-10 16:21:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', 'SR@ 15 1636 DAY 041');
INSERT INTO event VALUES ('1973-02-10 19:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-10 21:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '350', NULL);
INSERT INTO event VALUES ('1973-02-10 21:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-10 22:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '326', NULL);
INSERT INTO event VALUES ('1973-02-11 08:12:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', NULL);
INSERT INTO event VALUES ('1973-02-11 10:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '72', NULL);
INSERT INTO event VALUES ('1973-02-11 12:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-11 16:47:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', 'P@14SP');
INSERT INTO event VALUES ('1973-02-11 18:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1973-02-11 21:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-11 22:47:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', '043 0056 SR @14, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-02-12 07:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '043 0748 SR @12');
INSERT INTO event VALUES ('1973-02-12 10:20:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1973-02-12 10:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1973-02-12 13:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-12 13:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-12 14:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NEAR 14 SP>LP');
INSERT INTO event VALUES ('1973-02-12 14:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-12 15:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14?');
INSERT INTO event VALUES ('1973-02-12 18:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-12 20:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-12 21:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '439', NULL);
INSERT INTO event VALUES ('1973-02-12 22:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-13 00:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-02-13 00:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-13 03:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Shallow Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-02-13 05:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NEAR 16,SP>>LP');
INSERT INTO event VALUES ('1973-02-13 05:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'Z @15');
INSERT INTO event VALUES ('1973-02-13 08:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12X,Y NOISY TO 45 0200');
INSERT INTO event VALUES ('1973-02-13 09:00:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1973-02-13 10:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1973-02-13 12:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-02-13 13:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1973-02-13 15:26:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-02-13 15:48:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1973-02-13 21:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1973-02-14 00:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1973-02-14 02:26:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', NULL);
INSERT INTO event VALUES ('1973-02-14 03:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'NO SP');
INSERT INTO event VALUES ('1973-02-14 04:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-02-14 06:36:00',58.60,54.20, 1025,4.60,15.50, 31, 'Deep Moonquake', '242', NULL);
INSERT INTO event VALUES ('1973-02-14 08:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-02-14 12:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-02-14 16:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', 'NO SP');
INSERT INTO event VALUES ('1973-02-14 16:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-02-14 17:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 15 SP=LP');
INSERT INTO event VALUES ('1973-02-14 21:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-02-14 21:56:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-15 02:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-15 03:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-02-15 04:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-15 05:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-15 06:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-15 07:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C 15?');
INSERT INTO event VALUES ('1973-02-15 08:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-15 09:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-02-15 10:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-02-15 12:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-15 13:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-15 14:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-15 15:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-15 16:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-02-15 16:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-15 17:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-15 22:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-15 22:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-15 23:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-15 23:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-15 23:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST  14 LOOKS STRANGE');
INSERT INTO event VALUES ('1973-02-16 02:27:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', '14?');
INSERT INTO event VALUES ('1973-02-16 04:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-16 06:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-16 06:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NEAR 14,LP>SP');
INSERT INTO event VALUES ('1973-02-16 07:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-16 10:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-16 13:45:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-02-16 14:02:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-02-16 17:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '89', NULL);
INSERT INTO event VALUES ('1973-02-16 17:45:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1973-02-16 19:37:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-02-16 20:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-02-16 20:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-16 22:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-17 10:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-02-17 16:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-17 23:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=1.5');
INSERT INTO event VALUES ('1973-02-18 03:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-18 04:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-18 04:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NEAR 16,SP>LP');
INSERT INTO event VALUES ('1973-02-18 05:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-18 06:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-02-18 06:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-18 07:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '504', NULL);
INSERT INTO event VALUES ('1973-02-18 08:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-02-18 09:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '504', NULL);
INSERT INTO event VALUES ('1973-02-18 12:02:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', '15?');
INSERT INTO event VALUES ('1973-02-18 12:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-02-18 13:27:00',8.60,73.00, 933,4.90,69.50, 109, 'Deep Moonquake', '245', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-02-18 14:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '504', NULL);
INSERT INTO event VALUES ('1973-02-18 17:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-18 20:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-18 22:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-02-18 23:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-18 23:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-19 04:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NEAR 15,SP>LP');
INSERT INTO event VALUES ('1973-02-19 06:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-19 09:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-19 10:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '273', 'C?');
INSERT INTO event VALUES ('1973-02-19 12:54:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'INVERTED');
INSERT INTO event VALUES ('1973-02-19 13:09:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1973-02-21 09:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST NO SP');
INSERT INTO event VALUES ('1973-02-21 12:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-22 02:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NEAR 15,SP>LP');
INSERT INTO event VALUES ('1973-02-22 06:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C? UNUSUAL  NO SP');
INSERT INTO event VALUES ('1973-02-22 07:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14 15 16 BAD NOISE SPIKES');
INSERT INTO event VALUES ('1973-02-23 06:46:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', 'C DIST 14A=2*LPX');
INSERT INTO event VALUES ('1973-02-23 21:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C?  14A=2*LPX SP=2');
INSERT INTO event VALUES ('1973-02-24 02:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '307', NULL);
INSERT INTO event VALUES ('1973-02-24 04:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-24 06:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1973-02-24 07:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '421', NULL);
INSERT INTO event VALUES ('1973-02-24 08:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-24 12:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-25 04:22:00',-27.90,-31.00, 932,3.60,2.10, 12, 'Deep Moonquake', '53', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-02-25 08:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '57', NULL);
INSERT INTO event VALUES ('1973-02-25 09:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1973-02-25 20:10:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1973-02-25 22:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-26 00:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-26 06:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14 LPY SICK NOISE LEVEL HIGH');
INSERT INTO event VALUES ('1973-02-26 13:10:00',19.40,24.30, 959,2.70,5.10, 68, 'Deep Moonquake', '246', '14 SUNSET 057 11 10');
INSERT INTO event VALUES ('1973-02-26 13:31:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-02-27 03:16:00',0.50,47.30, 1243,2.00,11.80, 50, 'Deep Moonquake', '203', '14 LPY SICK 14 LPX INTERMIT.');
INSERT INTO event VALUES ('1973-02-27 06:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '443', '14,16A=2*LPX TO 68/1910');
INSERT INTO event VALUES ('1973-02-27 06:35:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1973-02-27 09:06:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1973-02-27 09:58:00',34.80,63.00, 1014,2.10,11.30, 26, 'Deep Moonquake', '70', NULL);
INSERT INTO event VALUES ('1973-02-27 14:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '445', NULL);
INSERT INTO event VALUES ('1973-02-27 16:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1973-02-27 22:48:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-02-28 01:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-02-28 03:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1973-02-28 04:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '425', NULL);
INSERT INTO event VALUES ('1973-02-28 11:53:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1973-02-28 17:51:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1973-03-01 05:24:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-03-01 07:15:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '14 EARLIEST,OLD A46');
INSERT INTO event VALUES ('1973-03-02 06:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '207', NULL);
INSERT INTO event VALUES ('1973-03-02 10:30:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', NULL);
INSERT INTO event VALUES ('1973-03-02 20:53:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1973-03-03 02:04:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-03-05 14:59:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', NULL);
INSERT INTO event VALUES ('1973-03-07 08:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1973-03-08 18:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-03-08 19:09:00',12.80,-36.20, 963,1.40,5.60, 45, 'Deep Moonquake', '212', NULL);
INSERT INTO event VALUES ('1973-03-08 20:39:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-03-09 12:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '409', NULL);
INSERT INTO event VALUES ('1973-03-09 13:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-03-09 18:38:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', NULL);
INSERT INTO event VALUES ('1973-03-09 20:18:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1973-03-11 13:45:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1973-03-11 21:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-03-11 23:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-03-12 04:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', NULL);
INSERT INTO event VALUES ('1973-03-12 05:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'NO SP');
INSERT INTO event VALUES ('1973-03-12 08:38:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1973-03-12 16:03:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-03-12 20:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-03-12 21:56:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-03-13 01:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-03-13 08:01:00',-81.90,-130.70, 48.899999999999999,2.90,3.40, 34.899999999999999, 'Shallow Moonquake', NULL, 'SPZ=100,70,100@14,15,16');
INSERT INTO event VALUES ('1973-03-13 22:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 15');
INSERT INTO event VALUES ('1973-03-14 00:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-14 02:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-14 04:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-14 06:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-14 08:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-14 09:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-14 10:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=10');
INSERT INTO event VALUES ('1973-03-14 11:32:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1973-03-14 13:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-14 16:04:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', NULL);
INSERT INTO event VALUES ('1973-03-14 18:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-14 21:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-15 00:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-15 02:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-15 02:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-15 04:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-15 08:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-15 09:52:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1973-03-15 11:04:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1973-03-15 13:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NEAR 16');
INSERT INTO event VALUES ('1973-03-15 16:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-03-15 17:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1973-03-15 18:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-15 19:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-03-15 21:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-15 23:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '425', NULL);
INSERT INTO event VALUES ('1973-03-16 01:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-03-16 02:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-16 03:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-16 06:21:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1973-03-16 07:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-16 11:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-03-16 14:53:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1973-03-16 16:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-03-16 16:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-16 16:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=6');
INSERT INTO event VALUES ('1973-03-16 17:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP=3');
INSERT INTO event VALUES ('1973-03-16 18:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-03-16 18:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-03-16 20:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-16 22:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-16 22:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-03-17 00:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-17 02:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-17 04:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-03-17 06:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-03-17 07:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-17 08:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-03-17 12:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-03-17 14:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-17 15:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-17 17:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-03-17 19:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-17 19:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-03-17 21:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-17 23:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-18 03:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-03-18 08:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-18 09:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-03-18 13:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-18 15:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-03-19 03:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-03-19 10:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-19 11:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=5');
INSERT INTO event VALUES ('1973-03-19 12:53:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', NULL);
INSERT INTO event VALUES ('1973-03-19 20:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-19 22:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-20 06:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1973-03-20 08:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '504', NULL);
INSERT INTO event VALUES ('1973-03-20 09:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SP=6');
INSERT INTO event VALUES ('1973-03-20 11:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '504', NULL);
INSERT INTO event VALUES ('1973-03-20 18:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-03-21 10:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-03-22 08:22:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1973-03-22 09:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-03-22 12:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-22 15:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-03-22 17:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-03-22 19:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-03-22 20:32:00',3.40,2.00, 559,0.60,0.70, 97, 'Deep Moonquake', '259', NULL);
INSERT INTO event VALUES ('1973-03-23 03:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-03-23 04:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '307', NULL);
INSERT INTO event VALUES ('1973-03-23 09:52:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1973-03-23 13:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-03-23 17:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-03-23 22:57:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', NULL);
INSERT INTO event VALUES ('1973-03-24 06:22:00',-27.90,-31.00, 932,3.60,2.10, 12, 'Deep Moonquake', '53', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-03-24 06:45:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-03-24 07:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1973-03-24 19:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'STA 15,16 TIMING ERRORS');
INSERT INTO event VALUES ('1973-03-25 04:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '43', NULL);
INSERT INTO event VALUES ('1973-03-25 09:00:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', 'EVENT?');
INSERT INTO event VALUES ('1973-03-26 02:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-03-26 04:24:00',0.50,47.30, 1243,2.00,11.80, 50, 'Deep Moonquake', '203', NULL);
INSERT INTO event VALUES ('1973-03-26 05:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-26 05:58:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1973-03-26 10:50:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1973-03-26 11:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-26 12:43:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1973-03-26 14:20:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1973-03-26 16:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-03-26 17:50:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1973-03-26 19:08:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1973-03-26 20:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-03-26 21:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=2');
INSERT INTO event VALUES ('1973-03-26 21:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '253', NULL);
INSERT INTO event VALUES ('1973-03-26 22:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-03-26 23:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-03-27 01:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-27 02:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '443', NULL);
INSERT INTO event VALUES ('1973-03-27 05:01:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1973-03-27 06:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-03-27 10:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1973-03-27 11:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-03-27 13:07:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1973-03-27 15:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-03-27 21:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1973-03-27 23:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1973-03-28 04:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-03-28 05:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-03-28 07:05:00',-7.10,15.30, 933,3.50,4.00, 109, 'Deep Moonquake', '258', NULL);
INSERT INTO event VALUES ('1973-03-28 08:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '410', NULL);
INSERT INTO event VALUES ('1973-03-28 10:41:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1973-03-28 13:43:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1973-03-28 15:20:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1973-03-28 17:01:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-03-28 23:40:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', NULL);
INSERT INTO event VALUES ('1973-03-29 01:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-03-29 06:39:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'S-P 120 S @14,OLD A46');
INSERT INTO event VALUES ('1973-03-29 08:45:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1973-03-29 10:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '227', NULL);
INSERT INTO event VALUES ('1973-03-29 10:12:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', NULL);
INSERT INTO event VALUES ('1973-03-29 11:08:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-03-29 11:22:00',-26.50,-35.10, 933,12.00,7.20, 109, 'Deep Moonquake', '209', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-03-30 00:21:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1973-03-30 00:46:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', NULL);
INSERT INTO event VALUES ('1973-03-30 01:06:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', NULL);
INSERT INTO event VALUES ('1973-03-30 03:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '385', NULL);
INSERT INTO event VALUES ('1973-03-30 04:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '207', NULL);
INSERT INTO event VALUES ('1973-03-30 12:53:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', NULL);
INSERT INTO event VALUES ('1973-03-30 20:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-03-30 23:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-03-31 15:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'NO SP');
INSERT INTO event VALUES ('1973-04-01 13:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-04-01 13:34:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-04-01 15:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '219', NULL);
INSERT INTO event VALUES ('1973-04-01 18:50:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', NULL);
INSERT INTO event VALUES ('1973-04-01 19:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-04-02 00:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'Z?');
INSERT INTO event VALUES ('1973-04-02 06:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-04-02 14:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT');
INSERT INTO event VALUES ('1973-04-03 05:12:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1973-04-03 09:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-04-03 14:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'CLOSE C OR Z');
INSERT INTO event VALUES ('1973-04-03 17:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '316', NULL);
INSERT INTO event VALUES ('1973-04-03 20:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-04-03 20:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '309', 'M?');
INSERT INTO event VALUES ('1973-04-03 22:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-04-04 08:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-04-04 12:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '383', NULL);
INSERT INTO event VALUES ('1973-04-04 12:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-04-04 12:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '221', NULL);
INSERT INTO event VALUES ('1973-04-04 15:03:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', NULL);
INSERT INTO event VALUES ('1973-04-04 18:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '318', NULL);
INSERT INTO event VALUES ('1973-04-04 19:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'CLOSE C OR Z, SPZ CLIPPED');
INSERT INTO event VALUES ('1973-04-04 20:34:00',12.80,-36.20, 963,1.40,5.60, 45, 'Deep Moonquake', '212', NULL);
INSERT INTO event VALUES ('1973-04-05 00:00:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', NULL);
INSERT INTO event VALUES ('1973-04-05 02:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1973-04-05 03:32:00',-7.80,5.40, 933,3.50,1.70, 109, 'Deep Moonquake', '236', NULL);
INSERT INTO event VALUES ('1973-04-05 03:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-04-05 04:48:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', NULL);
INSERT INTO event VALUES ('1973-04-05 05:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-04-05 06:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '348', NULL);
INSERT INTO event VALUES ('1973-04-05 07:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1973-04-05 09:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '288', NULL);
INSERT INTO event VALUES ('1973-04-05 12:05:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1973-04-05 18:33:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-04-06 03:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', NULL);
INSERT INTO event VALUES ('1973-04-06 20:40:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1973-04-07 04:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C/15SPZ=6.0');
INSERT INTO event VALUES ('1973-04-07 17:40:00',1.40,15.00, 933,1.60,3.70, 109, 'Deep Moonquake', '255', NULL);
INSERT INTO event VALUES ('1973-04-07 20:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-04-08 01:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1973-04-08 07:31:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', NULL);
INSERT INTO event VALUES ('1973-04-08 10:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-04-08 10:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', NULL);
INSERT INTO event VALUES ('1973-04-08 13:31:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-04-08 13:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1973-04-08 19:02:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1973-04-09 03:18:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1973-04-09 06:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C ?');
INSERT INTO event VALUES ('1973-04-09 12:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '16SR@0755');
INSERT INTO event VALUES ('1973-04-11 17:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-04-13 16:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1973-04-13 18:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1973-04-13 22:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-04-13 22:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, 'MANY SIM. AT 3TO 6 HR. INTER.');
INSERT INTO event VALUES ('1973-04-15 03:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, 'GOOD EX. OF ABOVE');
INSERT INTO event VALUES ('1973-04-18 02:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'CLOSE STRONG SP');
INSERT INTO event VALUES ('1973-04-18 03:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C CLOSE TO 15 STRONG SP');
INSERT INTO event VALUES ('1973-04-19 12:50:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1973-04-19 14:41:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1973-04-19 15:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-04-20 03:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-04-20 06:24:00',-27.90,-31.00, 932,3.60,2.10, 12, 'Deep Moonquake', '53', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-04-20 10:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '57', NULL);
INSERT INTO event VALUES ('1973-04-21 14:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-04-21 18:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-04-21 20:28:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', 'USED 14X,14Y SICK;INVERTED?');
INSERT INTO event VALUES ('1973-04-22 09:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SEISMIC?');
INSERT INTO event VALUES ('1973-04-23 13:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16 CLIPPED');
INSERT INTO event VALUES ('1973-04-23 21:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'LARGE SP');
INSERT INTO event VALUES ('1973-04-24 04:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '264', NULL);
INSERT INTO event VALUES ('1973-04-24 08:42:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', NULL);
INSERT INTO event VALUES ('1973-04-24 09:07:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1973-04-24 12:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1973-04-24 12:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1973-04-24 14:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1973-04-24 21:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', 'C?');
INSERT INTO event VALUES ('1973-04-25 03:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-04-25 06:18:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', 'C?');
INSERT INTO event VALUES ('1973-04-25 07:12:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', NULL);
INSERT INTO event VALUES ('1973-04-25 07:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-04-25 15:48:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', NULL);
INSERT INTO event VALUES ('1973-04-25 16:30:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1973-04-26 03:14:00',-7.10,15.30, 933,3.50,4.00, 109, 'Deep Moonquake', '258', NULL);
INSERT INTO event VALUES ('1973-04-26 04:50:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1973-04-26 05:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-04-26 05:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-04-26 07:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1973-04-26 08:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-04-26 10:57:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'OLD A46');
INSERT INTO event VALUES ('1973-04-26 12:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'S SET @14 1300 DAY 116');
INSERT INTO event VALUES ('1973-04-26 14:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-04-26 14:48:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', NULL);
INSERT INTO event VALUES ('1973-04-26 20:40:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-04-26 21:30:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-04-26 23:40:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', 'S.SET @12 0210 DAY117');
INSERT INTO event VALUES ('1973-04-27 02:40:00',-26.50,-35.10, 933,12.00,7.20, 109, 'Deep Moonquake', '209', 'P,S @ 16 VERY GOOD, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-04-27 12:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-04-27 14:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '385', NULL);
INSERT INTO event VALUES ('1973-04-27 14:32:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-04-27 15:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '207', NULL);
INSERT INTO event VALUES ('1973-04-27 23:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-04-28 05:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C  CLOSE TO 15  SP=14');
INSERT INTO event VALUES ('1973-04-28 05:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-04-28 07:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '263', NULL);
INSERT INTO event VALUES ('1973-04-28 07:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-04-28 11:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-04-28 15:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-04-28 17:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-04-28 22:36:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-04-28 23:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-04-29 02:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-04-29 05:17:00',15.50,97.00, 1141,2.40,12.30, 74, 'Deep Moonquake', '282', NULL);
INSERT INTO event VALUES ('1973-04-29 06:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-04-29 07:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '343', NULL);
INSERT INTO event VALUES ('1973-04-29 13:55:00',2.40,46.10, 933,2.70,20.20, 109, 'Deep Moonquake', '280', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-04-29 14:28:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', NULL);
INSERT INTO event VALUES ('1973-04-29 16:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '435', NULL);
INSERT INTO event VALUES ('1973-04-29 17:09:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-04-29 19:32:00',15.50,97.00, 1141,2.40,12.30, 74, 'Deep Moonquake', '282', NULL);
INSERT INTO event VALUES ('1973-04-29 21:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-04-29 22:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1973-04-30 01:07:00',8.70,-53.40, 828,1.00,5.00, 27, 'Deep Moonquake', '50', 'P,S @14');
INSERT INTO event VALUES ('1973-04-30 08:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-04-30 13:46:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1973-04-30 15:20:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-04-30 16:33:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-04-30 23:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-05-01 04:36:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1973-05-01 07:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-01 12:04:00',8.40,-64.00, 968,1.80,4.70, 18, 'Deep Moonquake', '54', 'P,S@14, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-05-01 16:04:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', NULL);
INSERT INTO event VALUES ('1973-05-01 20:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '288', NULL);
INSERT INTO event VALUES ('1973-05-01 22:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '309', NULL);
INSERT INTO event VALUES ('1973-05-02 08:35:00',12.80,-36.20, 963,1.40,5.60, 45, 'Deep Moonquake', '212', 'STARTS IN MIDDLE OF GAP');
INSERT INTO event VALUES ('1973-05-02 10:27:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', 'S@14');
INSERT INTO event VALUES ('1973-05-02 13:28:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1973-05-02 15:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1973-05-02 21:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '72', NULL);
INSERT INTO event VALUES ('1973-05-02 23:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-03 00:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-03 01:54:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1973-05-03 04:06:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-05-03 04:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-05-03 07:13:00',-7.80,5.40, 933,3.50,1.70, 109, 'Deep Moonquake', '236', NULL);
INSERT INTO event VALUES ('1973-05-03 09:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '353', NULL);
INSERT INTO event VALUES ('1973-05-03 12:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', NULL);
INSERT INTO event VALUES ('1973-05-03 14:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '409', NULL);
INSERT INTO event VALUES ('1973-05-03 15:44:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1973-05-03 19:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-03 20:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '409', NULL);
INSERT INTO event VALUES ('1973-05-03 21:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-04 00:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-04 01:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-04 02:08:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1973-05-04 02:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '436', NULL);
INSERT INTO event VALUES ('1973-05-04 03:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '446', NULL);
INSERT INTO event VALUES ('1973-05-04 09:16:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-05-05 06:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1973-05-05 08:59:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', 'P,S@14  GOOD SP');
INSERT INTO event VALUES ('1973-05-05 19:34:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-05-05 21:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', NULL);
INSERT INTO event VALUES ('1973-05-06 02:54:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', 'P,S@14  SP');
INSERT INTO event VALUES ('1973-05-07 02:26:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1973-05-07 19:07:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'S@12,14,16,INVERTED');
INSERT INTO event VALUES ('1973-05-08 10:20:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '16 X AXIS AMP, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-05-08 15:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '16 X AXIS AMP');
INSERT INTO event VALUES ('1973-05-08 21:23:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1973-05-09 11:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SR @16 128 1948');
INSERT INTO event VALUES ('1973-05-09 18:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP=5');
INSERT INTO event VALUES ('1973-05-10 07:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP=2');
INSERT INTO event VALUES ('1973-05-10 08:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-05-10 12:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-05-11 05:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-05-11 09:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-05-11 20:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SR @1548,12SR@2230');
INSERT INTO event VALUES ('1973-05-12 21:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=4.5');
INSERT INTO event VALUES ('1973-05-13 01:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-13 04:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1973-05-13 08:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-13 09:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1973-05-13 13:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-13 16:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1973-05-13 16:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-13 18:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-13 20:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1973-05-14 00:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1973-05-14 00:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C CLOSE TO 12');
INSERT INTO event VALUES ('1973-05-14 04:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1973-05-14 09:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-05-14 14:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-05-14 18:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-14 19:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '235', NULL);
INSERT INTO event VALUES ('1973-05-14 20:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-05-14 21:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-14 22:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-15 00:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-15 01:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-15 02:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-15 05:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-15 07:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-15 07:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-15 08:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-15 09:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-15 10:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '415', NULL);
INSERT INTO event VALUES ('1973-05-15 12:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-15 14:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-15 15:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-05-15 21:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-15 22:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-05-15 23:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-16 02:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1973-05-16 05:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-16 09:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-16 10:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-05-16 14:18:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1973-05-16 15:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-16 16:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1973-05-16 19:00:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-05-16 22:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '415', NULL);
INSERT INTO event VALUES ('1973-05-17 03:09:00',-3.40,12.50, 933,2.50,3.10, 109, 'Deep Moonquake', '249', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-05-17 04:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-17 11:42:00',-27.90,-31.00, 932,3.60,2.10, 12, 'Deep Moonquake', '53', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-05-17 21:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1973-05-17 23:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-18 05:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-18 06:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-18 08:04:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-05-18 12:40:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1973-05-18 13:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '43', NULL);
INSERT INTO event VALUES ('1973-05-18 19:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-19 06:11:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', 'INVERTED?');
INSERT INTO event VALUES ('1973-05-19 15:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-19 22:00:00',0.50,47.30, 1243,2.00,11.80, 50, 'Deep Moonquake', '203', NULL);
INSERT INTO event VALUES ('1973-05-19 22:52:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1973-05-20 00:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-20 08:24:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1973-05-20 15:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-21 22:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'NO SP');
INSERT INTO event VALUES ('1973-05-23 09:05:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1973-05-23 11:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-05-23 18:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-05-23 23:00:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1973-05-24 04:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-24 09:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', '14A=2*LPX');
INSERT INTO event VALUES ('1973-05-24 13:12:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1973-05-24 13:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '328', NULL);
INSERT INTO event VALUES ('1973-05-24 15:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-24 17:33:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'OLD A46');
INSERT INTO event VALUES ('1973-05-24 19:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '430', NULL);
INSERT INTO event VALUES ('1973-05-25 00:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-05-25 02:00:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-05-25 05:30:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-05-25 10:30:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-05-25 15:18:00',-26.50,-35.10, 933,12.00,7.20, 109, 'Deep Moonquake', '209', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-05-25 17:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST NO SP');
INSERT INTO event VALUES ('1973-05-26 01:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-05-26 02:16:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-05-26 04:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '207', NULL);
INSERT INTO event VALUES ('1973-05-26 07:07:00',-7.10,15.30, 933,3.50,4.00, 109, 'Deep Moonquake', '258', NULL);
INSERT INTO event VALUES ('1973-05-26 22:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12 SR @146.1355');
INSERT INTO event VALUES ('1973-05-27 10:03:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-05-27 16:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-27 16:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-27 17:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-05-27 17:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-05-27 18:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-05-27 21:04:00',15.50,97.00, 1141,2.40,12.30, 74, 'Deep Moonquake', '282', NULL);
INSERT INTO event VALUES ('1973-05-27 21:33:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1973-05-28 00:12:00',15.50,97.00, 1141,2.40,12.30, 74, 'Deep Moonquake', '282', NULL);
INSERT INTO event VALUES ('1973-05-28 01:41:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-05-28 02:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '435', NULL);
INSERT INTO event VALUES ('1973-05-28 05:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-28 09:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1973-05-28 10:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-05-28 11:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-05-28 13:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1973-05-28 16:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-05-28 17:36:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1973-05-28 18:56:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-05-28 20:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1973-05-28 23:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1973-05-29 01:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST NO SP');
INSERT INTO event VALUES ('1973-05-29 02:56:00',8.40,-64.00, 968,1.80,4.70, 18, 'Deep Moonquake', '54', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-05-29 03:35:00',8.70,-53.40, 828,1.00,5.00, 27, 'Deep Moonquake', '50', NULL);
INSERT INTO event VALUES ('1973-05-29 04:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-29 05:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '447', NULL);
INSERT INTO event VALUES ('1973-05-29 05:12:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1973-05-29 05:50:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1973-05-29 08:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-05-29 10:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP=2.5 LONG RISE TIME');
INSERT INTO event VALUES ('1973-05-29 12:13:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1973-05-29 12:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '355', NULL);
INSERT INTO event VALUES ('1973-05-29 13:13:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', NULL);
INSERT INTO event VALUES ('1973-05-29 16:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1973-05-29 17:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '356', NULL);
INSERT INTO event VALUES ('1973-05-29 18:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-05-29 18:57:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1973-05-30 00:30:00',7.00,8.30, 1019,1.30,4.10, 191, 'Deep Moonquake', '243', NULL);
INSERT INTO event VALUES ('1973-05-30 01:55:00',12.80,-36.20, 963,1.40,5.60, 45, 'Deep Moonquake', '212', NULL);
INSERT INTO event VALUES ('1973-05-30 03:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '321', NULL);
INSERT INTO event VALUES ('1973-05-30 10:20:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', NULL);
INSERT INTO event VALUES ('1973-05-30 14:19:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1973-05-30 20:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-05-30 21:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-05-31 05:02:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1973-05-31 07:50:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-05-31 10:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '388', NULL);
INSERT INTO event VALUES ('1973-05-31 23:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '436', NULL);
INSERT INTO event VALUES ('1973-06-01 00:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '211', NULL);
INSERT INTO event VALUES ('1973-06-01 06:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-06-01 11:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '416', NULL);
INSERT INTO event VALUES ('1973-06-01 22:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-06-02 01:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C');
INSERT INTO event VALUES ('1973-06-02 03:13:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', NULL);
INSERT INTO event VALUES ('1973-06-02 04:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-06-02 05:11:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', NULL);
INSERT INTO event VALUES ('1973-06-02 11:38:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-06-02 19:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-06-02 23:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-06-03 01:25:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1973-06-03 12:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP=0.7');
INSERT INTO event VALUES ('1973-06-04 04:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-06-04 06:48:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1973-06-04 08:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-06-04 14:49:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-06-04 20:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-06-05 02:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SP=2');
INSERT INTO event VALUES ('1973-06-05 05:20:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-06-05 11:10:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'INVERTED');
INSERT INTO event VALUES ('1973-06-06 07:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-06-06 20:50:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', 'C?');
INSERT INTO event VALUES ('1973-06-06 22:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-06-07 00:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SP=0.5');
INSERT INTO event VALUES ('1973-06-07 03:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NO SP');
INSERT INTO event VALUES ('1973-06-07 05:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SR @ 16 158 0655');
INSERT INTO event VALUES ('1973-06-07 18:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', 'NO SP');
INSERT INTO event VALUES ('1973-06-08 02:30:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1973-06-08 04:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-06-09 07:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-06-09 12:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '229', NULL);
INSERT INTO event VALUES ('1973-06-09 16:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-06-09 23:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-06-10 05:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR STA 12');
INSERT INTO event VALUES ('1973-06-12 00:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-06-12 21:18:00',1.10,-20.60, 933,1.60,5.00, 109, 'Deep Moonquake', '56', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-06-13 04:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-06-13 06:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '213', NULL);
INSERT INTO event VALUES ('1973-06-13 22:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1973-06-14 02:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-06-14 05:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR STA 12');
INSERT INTO event VALUES ('1973-06-14 12:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-06-15 04:19:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-06-15 07:48:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-06-15 20:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST NO SP');
INSERT INTO event VALUES ('1973-06-15 21:08:00',0.50,47.30, 1243,2.00,11.80, 50, 'Deep Moonquake', '203', NULL);
INSERT INTO event VALUES ('1973-06-16 03:40:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1973-06-16 05:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-06-16 08:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1973-06-16 13:27:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1973-06-16 16:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-06-16 18:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-06-17 01:56:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', NULL);
INSERT INTO event VALUES ('1973-06-17 23:55:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1973-06-18 01:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NEAR STA 14 SP=3');
INSERT INTO event VALUES ('1973-06-18 11:22:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1973-06-18 21:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1973-06-19 15:15:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', NULL);
INSERT INTO event VALUES ('1973-06-19 21:53:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1973-06-20 00:11:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1973-06-20 00:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-06-20 16:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST NO SP');
INSERT INTO event VALUES ('1973-06-20 20:25:00',-5.40,-68.10, 114.8,2.70,2.80, 22.699999999999999, 'Shallow Moonquake', NULL, 'SPZ=100,35,25@14,15,16');
INSERT INTO event VALUES ('1973-06-21 10:46:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1973-06-22 06:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-06-22 12:24:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-06-22 14:16:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-06-22 18:10:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'OLD A47');
INSERT INTO event VALUES ('1973-06-22 20:04:00',-26.50,-35.10, 933,12.00,7.20, 109, 'Deep Moonquake', '209', 'OLD A48, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-06-22 23:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-06-23 03:19:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-06-23 08:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-06-23 12:20:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1973-06-24 01:43:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1973-06-24 09:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '427', NULL);
INSERT INTO event VALUES ('1973-06-24 22:23:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', NULL);
INSERT INTO event VALUES ('1973-06-24 22:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=4');
INSERT INTO event VALUES ('1973-06-24 23:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '357', NULL);
INSERT INTO event VALUES ('1973-06-25 01:54:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', 'STA 12  SS @ 176/0200');
INSERT INTO event VALUES ('1973-06-25 02:02:00',15.50,97.00, 1141,2.40,12.30, 74, 'Deep Moonquake', '282', NULL);
INSERT INTO event VALUES ('1973-06-25 03:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '219', NULL);
INSERT INTO event VALUES ('1973-06-25 04:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '343', NULL);
INSERT INTO event VALUES ('1973-06-25 06:03:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-06-25 06:32:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-06-25 09:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '383', NULL);
INSERT INTO event VALUES ('1973-06-25 10:59:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1973-06-25 14:50:00',15.50,97.00, 1141,2.40,12.30, 74, 'Deep Moonquake', '282', NULL);
INSERT INTO event VALUES ('1973-06-25 17:35:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', '176/1635-188/2100,16A=2*LPX');
INSERT INTO event VALUES ('1973-06-25 20:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1973-06-25 22:01:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-06-25 22:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '444', NULL);
INSERT INTO event VALUES ('1973-06-25 22:48:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1973-06-25 23:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-06-25 23:57:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-06-26 01:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-06-26 01:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-06-26 01:55:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-06-26 02:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-06-26 05:12:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1973-06-26 10:00:00',12.80,-36.20, 963,1.40,5.60, 45, 'Deep Moonquake', '212', NULL);
INSERT INTO event VALUES ('1973-06-26 10:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-06-26 11:45:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', NULL);
INSERT INTO event VALUES ('1973-06-26 13:18:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', NULL);
INSERT INTO event VALUES ('1973-06-26 15:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-06-26 16:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '447', NULL);
INSERT INTO event VALUES ('1973-06-26 16:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '355', NULL);
INSERT INTO event VALUES ('1973-06-26 17:41:00',8.70,-53.40, 828,1.00,5.00, 27, 'Deep Moonquake', '50', NULL);
INSERT INTO event VALUES ('1973-06-26 20:51:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', 'P AND S @ 14,S@12,15,16');
INSERT INTO event VALUES ('1973-06-26 22:24:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', NULL);
INSERT INTO event VALUES ('1973-06-26 23:10:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1973-06-26 23:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-06-27 05:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-06-27 07:22:00',-3.60,21.50, 933,2.80,5.70, 109, 'Deep Moonquake', '250', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-06-27 07:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-06-27 11:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1973-06-27 18:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1973-06-27 20:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-06-27 21:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-06-27 23:51:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', NULL);
INSERT INTO event VALUES ('1973-06-28 00:18:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1973-06-28 01:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '326', NULL);
INSERT INTO event VALUES ('1973-06-28 02:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '446', NULL);
INSERT INTO event VALUES ('1973-06-28 02:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '436', NULL);
INSERT INTO event VALUES ('1973-06-28 04:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '420', NULL);
INSERT INTO event VALUES ('1973-06-28 05:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '72', NULL);
INSERT INTO event VALUES ('1973-10-09 17:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-09 19:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-06-28 05:45:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-06-28 08:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-06-28 12:32:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1973-06-28 22:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '416', NULL);
INSERT INTO event VALUES ('1973-06-29 02:31:00',54.20,56.50, 933,6.50,14.00, 109, 'Deep Moonquake', '286', NULL);
INSERT INTO event VALUES ('1973-06-29 02:41:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1973-06-29 15:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '439', NULL);
INSERT INTO event VALUES ('1973-06-29 21:00:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-06-29 22:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1973-06-30 01:30:00',58.60,54.20, 1025,4.60,15.50, 31, 'Deep Moonquake', '242', NULL);
INSERT INTO event VALUES ('1973-06-30 01:56:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1973-06-30 03:49:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', NULL);
INSERT INTO event VALUES ('1973-06-30 15:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', NULL);
INSERT INTO event VALUES ('1973-07-01 00:56:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-07-01 01:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-07-01 02:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-07-01 02:50:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1973-07-01 04:20:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1973-07-01 10:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-07-01 11:38:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1973-07-01 16:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-07-02 02:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-07-02 06:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT');
INSERT INTO event VALUES ('1973-07-02 08:00:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1973-07-02 08:38:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1973-07-02 09:59:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-07-02 13:50:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1973-07-02 15:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '339', NULL);
INSERT INTO event VALUES ('1973-07-03 03:07:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'INVERTED');
INSERT INTO event VALUES ('1973-07-03 03:56:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-07-03 05:08:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-07-03 06:10:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-07-03 18:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT');
INSERT INTO event VALUES ('1973-07-03 23:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', NULL);
INSERT INTO event VALUES ('1973-07-04 02:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-07-04 05:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-07-04 13:49:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1973-07-05 03:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1973-07-05 07:35:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1973-07-05 15:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '273', NULL);
INSERT INTO event VALUES ('1973-07-06 05:20:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1973-07-06 06:10:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1973-07-06 07:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-07-06 12:42:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1973-07-06 16:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '213', NULL);
INSERT INTO event VALUES ('1973-07-08 05:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '187/1725 SR AT 16');
INSERT INTO event VALUES ('1973-07-08 05:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '189/0658 SR AT 15 14SP=2');
INSERT INTO event VALUES ('1973-07-09 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '350', NULL);
INSERT INTO event VALUES ('1973-07-09 01:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-07-09 02:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '425', NULL);
INSERT INTO event VALUES ('1973-07-09 10:45:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', '190/1340 SR@14');
INSERT INTO event VALUES ('1973-07-09 17:30:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', 'C');
INSERT INTO event VALUES ('1973-07-10 03:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', '190/2023 SR@12');
INSERT INTO event VALUES ('1973-07-10 06:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1973-07-10 11:01:00',1.10,-20.60, 933,1.60,5.00, 109, 'Deep Moonquake', '56', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-07-10 13:32:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-07-10 16:27:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1973-07-10 18:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-07-10 20:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '57', NULL);
INSERT INTO event VALUES ('1973-07-10 22:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-07-10 23:44:00',-27.90,-31.00, 932,3.60,2.10, 12, 'Deep Moonquake', '53', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-07-11 02:23:00',3.40,2.00, 559,0.60,0.70, 97, 'Deep Moonquake', '259', NULL);
INSERT INTO event VALUES ('1973-07-11 07:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-07-11 08:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-07-11 09:30:00',-69.40,75.40, 933,4.40,24.60, 109, 'Deep Moonquake', '241', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-07-11 09:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '415', NULL);
INSERT INTO event VALUES ('1973-07-11 17:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-07-11 21:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1973-07-12 00:32:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-07-12 02:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-07-12 04:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-07-12 06:28:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', NULL);
INSERT INTO event VALUES ('1973-07-12 07:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-07-12 08:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-07-12 11:34:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1973-07-12 12:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-07-12 16:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-07-12 18:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1973-07-12 21:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '43', NULL);
INSERT INTO event VALUES ('1973-07-12 21:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-07-12 23:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-07-13 03:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1973-07-13 05:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-07-13 06:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-07-13 07:43:00',0.50,47.30, 1243,2.00,11.80, 50, 'Deep Moonquake', '203', NULL);
INSERT INTO event VALUES ('1973-07-13 09:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-07-13 11:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-07-13 12:20:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1973-07-13 13:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-07-13 14:36:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-07-13 18:08:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-07-14 06:55:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1973-07-14 10:05:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1973-07-14 15:44:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1973-07-15 04:09:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1973-07-15 18:16:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1973-07-15 19:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C SP=14');
INSERT INTO event VALUES ('1973-07-15 21:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=16');
INSERT INTO event VALUES ('1973-07-16 07:09:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', NULL);
INSERT INTO event VALUES ('1973-07-16 11:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST NO SP');
INSERT INTO event VALUES ('1973-07-16 12:55:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', NULL);
INSERT INTO event VALUES ('1973-07-16 21:57:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1973-07-17 01:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-07-17 03:55:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', 'C');
INSERT INTO event VALUES ('1973-07-17 08:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-07-17 09:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'Z, OR C,15SPZ =35');
INSERT INTO event VALUES ('1973-07-17 22:40:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1973-07-18 11:30:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1973-07-18 12:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '328', NULL);
INSERT INTO event VALUES ('1973-07-18 14:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '79', NULL);
INSERT INTO event VALUES ('1973-07-19 05:02:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', 'OLD A48');
INSERT INTO event VALUES ('1973-07-19 14:00:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-07-20 07:45:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'C DIST NO SP, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-07-20 08:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-07-20 09:51:00',-26.50,-35.10, 933,12.00,7.20, 109, 'Deep Moonquake', '209', 'C SP=1, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-07-20 19:02:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '16SS @202/0600, OLD A48');
INSERT INTO event VALUES ('1973-07-21 12:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '207', NULL);
INSERT INTO event VALUES ('1973-07-21 18:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-07-21 18:34:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1973-07-21 21:17:00',-26.50,-35.10, 933,12.00,7.20, 109, 'Deep Moonquake', '209', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-07-22 01:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-07-22 09:14:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-07-22 10:08:00',-7.10,15.30, 933,3.50,4.00, 109, 'Deep Moonquake', '258', NULL);
INSERT INTO event VALUES ('1973-07-22 14:17:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-07-22 14:30:00',15.50,97.00, 1141,2.40,12.30, 74, 'Deep Moonquake', '282', NULL);
INSERT INTO event VALUES ('1973-07-22 20:47:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1973-07-22 23:04:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', 'C');
INSERT INTO event VALUES ('1973-07-22 23:48:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', NULL);
INSERT INTO event VALUES ('1973-07-23 01:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C,16SPZ=20');
INSERT INTO event VALUES ('1973-07-23 05:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-07-23 05:20:00',8.40,-64.00, 968,1.80,4.70, 18, 'Deep Moonquake', '54', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-07-23 05:31:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-07-23 07:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', NULL);
INSERT INTO event VALUES ('1973-07-23 08:23:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1973-07-23 08:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-07-23 09:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1973-07-23 12:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-07-23 18:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1973-07-23 19:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1973-07-23 21:50:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1973-07-24 02:30:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-07-24 04:04:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', 'S@12,14,15,16, P@14,16,(15)');
INSERT INTO event VALUES ('1973-07-24 08:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST.');
INSERT INTO event VALUES ('1973-07-24 14:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-07-24 14:58:00',8.70,-53.40, 828,1.00,5.00, 27, 'Deep Moonquake', '50', NULL);
INSERT INTO event VALUES ('1973-07-24 16:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-07-24 21:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '321', '205/2155-218/0400,16A=2*LPX');
INSERT INTO event VALUES ('1973-07-25 04:12:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', NULL);
INSERT INTO event VALUES ('1973-07-25 07:56:00',-7.80,5.40, 933,3.50,1.70, 109, 'Deep Moonquake', '236', NULL);
INSERT INTO event VALUES ('1973-07-25 15:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '425', NULL);
INSERT INTO event VALUES ('1973-07-25 17:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C,15SPZ=25');
INSERT INTO event VALUES ('1973-07-26 00:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '416', NULL);
INSERT INTO event VALUES ('1973-07-26 00:32:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1973-07-26 01:22:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1973-07-26 02:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '72', NULL);
INSERT INTO event VALUES ('1973-07-26 06:45:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', NULL);
INSERT INTO event VALUES ('1973-07-26 07:47:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-07-26 15:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-07-27 07:38:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1973-07-27 08:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '439', NULL);
INSERT INTO event VALUES ('1973-07-27 10:13:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', NULL);
INSERT INTO event VALUES ('1973-07-27 14:08:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-07-27 21:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '308', NULL);
INSERT INTO event VALUES ('1973-07-28 00:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 12 14SP=5');
INSERT INTO event VALUES ('1973-07-28 03:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', NULL);
INSERT INTO event VALUES ('1973-07-28 09:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-07-28 11:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C,16SPZ=21');
INSERT INTO event VALUES ('1973-07-29 00:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15 SPZ=14,C');
INSERT INTO event VALUES ('1973-07-29 15:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C DIST NO SP');
INSERT INTO event VALUES ('1973-07-29 15:20:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1973-07-29 18:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-07-29 20:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST NO SP');
INSERT INTO event VALUES ('1973-07-29 23:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SP=5');
INSERT INTO event VALUES ('1973-07-30 05:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15 SPZ=60. Z OR C');
INSERT INTO event VALUES ('1973-07-31 01:19:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1973-10-09 15:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-07-31 05:05:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-07-31 05:10:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'INVERTED');
INSERT INTO event VALUES ('1973-07-31 06:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-07-31 09:13:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-07-31 09:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1973-07-31 10:18:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-07-31 11:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-07-31 13:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-07-31 22:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-07-31 22:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C');
INSERT INTO event VALUES ('1973-08-01 04:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-08-01 06:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-08-01 07:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-08-01 08:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-08-01 11:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SP=2.2');
INSERT INTO event VALUES ('1973-08-01 12:41:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1973-08-01 15:42:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1973-08-01 16:30:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1973-08-02 03:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-08-02 04:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-08-02 06:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-08-02 06:35:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-08-02 07:15:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1973-08-02 07:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-08-02 11:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-08-02 13:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '273', NULL);
INSERT INTO event VALUES ('1973-08-02 14:48:00',8.60,73.00, 933,4.90,69.50, 109, 'Deep Moonquake', '245', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-08-02 21:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C SP=1.5');
INSERT INTO event VALUES ('1973-08-03 03:15:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1973-08-03 19:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=4');
INSERT INTO event VALUES ('1973-08-05 00:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '205', NULL);
INSERT INTO event VALUES ('1973-08-05 01:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '322', NULL);
INSERT INTO event VALUES ('1973-08-05 01:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '229', 'STA16 SR@ 217/0402');
INSERT INTO event VALUES ('1973-08-05 09:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '57', NULL);
INSERT INTO event VALUES ('1973-08-05 10:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-08-05 22:54:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', NULL);
INSERT INTO event VALUES ('1973-08-06 03:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '307', NULL);
INSERT INTO event VALUES ('1973-08-06 05:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-08-06 07:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1973-08-06 09:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '387', NULL);
INSERT INTO event VALUES ('1973-08-06 13:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '384', 'STA15 SR AT 218/1900');
INSERT INTO event VALUES ('1973-08-06 18:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '382', NULL);
INSERT INTO event VALUES ('1973-08-06 19:05:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1973-08-06 19:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-08-06 21:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '211', NULL);
INSERT INTO event VALUES ('1973-08-06 23:57:00',-27.90,-31.00, 932,3.60,2.10, 12, 'Deep Moonquake', '53', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-08-07 14:53:00',3.40,2.00, 559,0.60,0.70, 97, 'Deep Moonquake', '259', NULL);
INSERT INTO event VALUES ('1973-08-07 16:45:00',-69.40,75.40, 933,4.40,24.60, 109, 'Deep Moonquake', '241', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-08-07 20:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-08-07 21:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '386', NULL);
INSERT INTO event VALUES ('1973-08-07 22:41:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-08-08 00:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '389', '14,12SR@220/0030,0732');
INSERT INTO event VALUES ('1973-08-08 05:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ CLIPPED');
INSERT INTO event VALUES ('1973-08-08 17:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-08-08 22:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-08-08 23:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-08-09 01:23:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-08-09 04:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NEAR 14 SP=60');
INSERT INTO event VALUES ('1973-08-09 05:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '43', NULL);
INSERT INTO event VALUES ('1973-08-09 12:43:00',0.50,47.30, 1243,2.00,11.80, 50, 'Deep Moonquake', '203', NULL);
INSERT INTO event VALUES ('1973-08-09 16:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C OR Z, 15SPZ=20');
INSERT INTO event VALUES ('1973-08-09 18:30:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1973-08-10 07:08:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-08-10 11:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP=33');
INSERT INTO event VALUES ('1973-08-10 18:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C OR Z AT 15');
INSERT INTO event VALUES ('1973-08-10 19:27:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1973-08-10 22:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1973-08-10 22:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-08-11 00:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1973-08-11 01:12:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', NULL);
INSERT INTO event VALUES ('1973-08-11 12:08:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1973-08-11 17:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-08-11 23:43:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1973-08-12 12:07:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', NULL);
INSERT INTO event VALUES ('1973-08-12 12:45:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1973-08-12 16:21:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1973-08-12 23:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=3');
INSERT INTO event VALUES ('1973-08-13 05:20:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', NULL);
INSERT INTO event VALUES ('1973-08-13 10:55:00',24.10,26.10, 933,5.10,8.20, 109, 'Deep Moonquake', '233', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-08-13 11:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-08-13 15:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-08-14 04:28:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', NULL);
INSERT INTO event VALUES ('1973-08-14 06:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1973-08-14 19:40:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'OLD A48');
INSERT INTO event VALUES ('1973-08-15 07:39:00',24.10,-52.20, 750,9.50,8.00, 109, 'Deep Moonquake', '60', '15 GAP 227 300-227 1900, (*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1973-08-15 13:47:00',-26.50,-35.10, 933,12.00,7.20, 109, 'Deep Moonquake', '209', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-08-15 20:28:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-08-16 01:53:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1973-08-16 04:48:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-08-16 08:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '263', NULL);
INSERT INTO event VALUES ('1973-08-17 06:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-08-17 11:30:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-08-17 17:11:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'OLD A47');
INSERT INTO event VALUES ('1973-08-17 19:58:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-08-18 02:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '79', '16SS 230/00,15SS230/1600');
INSERT INTO event VALUES ('1973-08-19 00:28:00',-7.10,15.30, 933,3.50,4.00, 109, 'Deep Moonquake', '258', NULL);
INSERT INTO event VALUES ('1973-08-19 04:48:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', NULL);
INSERT INTO event VALUES ('1973-08-19 07:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-08-19 20:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1973-08-20 02:18:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-08-20 04:38:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1973-08-20 05:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '219', NULL);
INSERT INTO event VALUES ('1973-08-20 07:32:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1973-08-20 10:04:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1973-08-20 22:10:00',8.70,-53.40, 828,1.00,5.00, 27, 'Deep Moonquake', '50', NULL);
INSERT INTO event VALUES ('1973-08-21 12:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SP=3');
INSERT INTO event VALUES ('1973-08-22 18:50:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', '14SS 234/1100,12SS 234/2300');
INSERT INTO event VALUES ('1973-08-23 07:52:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1973-08-23 22:29:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-08-24 04:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-08-24 12:18:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', NULL);
INSERT INTO event VALUES ('1973-08-24 12:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '308', NULL);
INSERT INTO event VALUES ('1973-08-24 13:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-08-25 02:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16A=2*(16LPX)  SP=2');
INSERT INTO event VALUES ('1973-08-27 00:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-08-27 18:13:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-08-29 00:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'NO SP');
INSERT INTO event VALUES ('1973-08-29 06:10:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'INVERTED 16A=2*LPX');
INSERT INTO event VALUES ('1973-08-29 15:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16A=2*LPX TO 247/1000');
INSERT INTO event VALUES ('1973-08-30 01:10:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1973-08-30 17:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '213', NULL);
INSERT INTO event VALUES ('1973-08-30 21:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-08-31 00:02:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'OLD A46, INVERTED');
INSERT INTO event VALUES ('1973-08-31 14:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, 'C SP=2');
INSERT INTO event VALUES ('1973-08-31 23:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '240', NULL);
INSERT INTO event VALUES ('1973-09-01 01:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SP=55');
INSERT INTO event VALUES ('1973-09-01 03:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '311', NULL);
INSERT INTO event VALUES ('1973-09-01 06:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-01 06:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1973-09-01 08:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-01 09:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1973-09-01 10:40:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1973-09-01 12:25:00',1.10,-20.60, 933,1.60,5.00, 109, 'Deep Moonquake', '56', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-09-01 12:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SP=5');
INSERT INTO event VALUES ('1973-09-01 18:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-02 00:38:00',-27.90,-31.00, 932,3.60,2.10, 12, 'Deep Moonquake', '53', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-09-02 01:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-02 01:52:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', NULL);
INSERT INTO event VALUES ('1973-09-02 03:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '266', NULL);
INSERT INTO event VALUES ('1973-09-02 04:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '307', NULL);
INSERT INTO event VALUES ('1973-09-02 07:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-02 08:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-02 08:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '57', NULL);
INSERT INTO event VALUES ('1973-09-02 10:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '387', NULL);
INSERT INTO event VALUES ('1973-09-02 16:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-09-02 18:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '252', NULL);
INSERT INTO event VALUES ('1973-09-02 23:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '322', NULL);
INSERT INTO event VALUES ('1973-09-03 08:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=4');
INSERT INTO event VALUES ('1973-09-03 15:35:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', '16SR 246/1520');
INSERT INTO event VALUES ('1973-09-03 16:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '389', NULL);
INSERT INTO event VALUES ('1973-09-04 01:57:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-09-04 04:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C,NEAR 12');
INSERT INTO event VALUES ('1973-09-04 06:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '43', NULL);
INSERT INTO event VALUES ('1973-09-04 07:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '43', NULL);
INSERT INTO event VALUES ('1973-09-04 09:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-04 20:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-04 21:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '358', NULL);
INSERT INTO event VALUES ('1973-09-04 21:58:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', 'INVERTED?');
INSERT INTO event VALUES ('1973-09-05 10:37:00',0.50,47.30, 1243,2.00,11.80, 50, 'Deep Moonquake', '203', '15SR 248/0703');
INSERT INTO event VALUES ('1973-09-05 11:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-09-05 15:55:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1973-09-05 21:48:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1973-09-05 23:03:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1973-09-06 02:27:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', '14SR 249/1154');
INSERT INTO event VALUES ('1973-09-07 02:00:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', '12SR 249/1900');
INSERT INTO event VALUES ('1973-09-07 09:42:00',-3.40,12.50, 933,2.50,3.10, 109, 'Deep Moonquake', '249', 'C?, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-09-07 22:04:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1973-09-08 00:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-09-08 00:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1973-09-08 00:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-08 02:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1973-09-08 02:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C,SP<LP');
INSERT INTO event VALUES ('1973-09-08 03:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-08 03:39:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1973-09-08 06:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1973-09-08 07:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-09-08 10:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1973-09-08 11:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-08 12:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '289', NULL);
INSERT INTO event VALUES ('1973-09-08 13:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1973-09-08 14:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-09-08 17:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-10-09 16:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-08 19:50:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1973-09-08 21:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-09-08 23:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-09-09 01:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-09-09 02:56:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1973-09-09 06:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-09-09 09:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-09-09 11:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-09-09 11:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-09-09 17:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-09 19:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14 Y SICK');
INSERT INTO event VALUES ('1973-09-09 20:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-09-09 20:49:00',-9.50,-53.60, 750,17.60,5.90, 109, 'Deep Moonquake', '59', '14A=2*LPX TO 275/400, (*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1973-09-09 21:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-09 23:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-09-10 02:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-09-10 02:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', NULL);
INSERT INTO event VALUES ('1973-09-10 04:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP=2');
INSERT INTO event VALUES ('1973-09-10 05:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-10 06:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-10 08:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '328', NULL);
INSERT INTO event VALUES ('1973-09-10 09:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-10 09:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-09-10 10:59:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'OLD A48');
INSERT INTO event VALUES ('1973-09-10 12:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-09-10 12:52:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', NULL);
INSERT INTO event VALUES ('1973-09-10 19:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-09-10 21:13:00',-26.50,-35.10, 933,12.00,7.20, 109, 'Deep Moonquake', '209', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-09-10 22:59:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1973-09-10 23:40:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-09-11 01:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-09-11 01:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-11 02:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-11 05:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-11 06:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-11 11:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 15 SP>LP');
INSERT INTO event VALUES ('1973-09-11 20:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-11 23:10:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-09-12 03:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-09-12 06:59:00',24.10,-52.20, 750,9.50,8.00, 109, 'Deep Moonquake', '60', '(*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1973-09-12 09:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-09-12 11:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-12 12:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-09-12 15:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-12 16:58:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-09-12 17:48:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-09-12 19:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-12 23:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-13 02:53:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-09-13 04:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-13 10:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '504', NULL);
INSERT INTO event VALUES ('1973-09-13 13:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '504', NULL);
INSERT INTO event VALUES ('1973-09-13 17:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '504', NULL);
INSERT INTO event VALUES ('1973-09-13 17:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-09-13 21:19:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-09-14 02:05:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', '16  MAY BE 2 EVENTS');
INSERT INTO event VALUES ('1973-09-14 05:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SP=3');
INSERT INTO event VALUES ('1973-09-14 09:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-14 13:20:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1973-09-14 17:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-09-14 19:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-15 01:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-15 10:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-15 11:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-09-15 12:16:00',-7.10,15.30, 933,3.50,4.00, 109, 'Deep Moonquake', '258', NULL);
INSERT INTO event VALUES ('1973-09-15 12:25:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1973-09-15 15:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '343', NULL);
INSERT INTO event VALUES ('1973-09-15 16:11:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-09-15 21:44:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-09-16 02:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-09-16 02:48:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1973-09-16 12:50:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1973-09-16 13:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-09-16 15:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-16 18:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-16 20:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SP=2');
INSERT INTO event VALUES ('1973-09-16 21:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-09-17 00:50:00',8.70,-53.40, 828,1.00,5.00, 27, 'Deep Moonquake', '50', NULL);
INSERT INTO event VALUES ('1973-09-17 01:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'Z?');
INSERT INTO event VALUES ('1973-09-17 22:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-09-18 00:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-18 10:42:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', NULL);
INSERT INTO event VALUES ('1973-09-18 21:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '90', NULL);
INSERT INTO event VALUES ('1973-09-18 22:22:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1973-09-18 22:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-19 05:36:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1973-09-19 09:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'FARSIDE');
INSERT INTO event VALUES ('1973-09-19 14:03:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', NULL);
INSERT INTO event VALUES ('1973-09-19 23:48:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-09-20 03:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-20 03:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP MASKED - NEARBY');
INSERT INTO event VALUES ('1973-09-20 07:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '440', NULL);
INSERT INTO event VALUES ('1973-09-21 02:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14 SS@263/2220');
INSERT INTO event VALUES ('1973-09-21 11:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '12 SS@264/1110');
INSERT INTO event VALUES ('1973-09-21 14:06:00',58.60,54.20, 1025,4.60,15.50, 31, 'Deep Moonquake', '242', NULL);
INSERT INTO event VALUES ('1973-09-23 04:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16A=2*LPZ TO 276/2300');
INSERT INTO event VALUES ('1973-09-23 05:18:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', '16 Y NOISE =3.5MM');
INSERT INTO event VALUES ('1973-09-23 17:44:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-09-26 15:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-09-26 20:48:00',28.16,37.94, 0, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-09-26 23:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-09-27 17:45:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'INVERTED');
INSERT INTO event VALUES ('1973-09-29 13:02:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-09-29 14:27:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', NULL);
INSERT INTO event VALUES ('1973-09-29 14:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '240', NULL);
INSERT INTO event VALUES ('1973-09-29 19:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '311', '16 Y NOISE=5MM');
INSERT INTO event VALUES ('1973-09-29 20:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-09-29 22:58:00',-27.90,-31.00, 932,3.60,2.10, 12, 'Deep Moonquake', '53', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-09-30 04:12:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'OLD A46, INVERTED');
INSERT INTO event VALUES ('1973-09-30 11:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '43', NULL);
INSERT INTO event VALUES ('1973-09-30 12:57:00',3.40,2.00, 559,0.60,0.70, 97, 'Deep Moonquake', '259', NULL);
INSERT INTO event VALUES ('1973-10-01 04:00:00',-37.00,-29.00, 100, NULL, NULL, NULL, 'Shallow Moonquake', NULL, 'SPZ=5,11@15,16, The source position is decided by (Nakamura et al., 1979)');
INSERT INTO event VALUES ('1973-10-01 10:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '311', NULL);
INSERT INTO event VALUES ('1973-10-01 12:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '252', NULL);
INSERT INTO event VALUES ('1973-10-01 14:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '421', NULL);
INSERT INTO event VALUES ('1973-10-01 14:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '274', NULL);
INSERT INTO event VALUES ('1973-10-01 18:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '43', NULL);
INSERT INTO event VALUES ('1973-10-01 19:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-01 19:27:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-10-01 20:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '434', NULL);
INSERT INTO event VALUES ('1973-10-01 22:31:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1973-10-02 03:45:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-10-02 11:35:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '16 Y NOISE=6MM');
INSERT INTO event VALUES ('1973-10-02 16:08:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', NULL);
INSERT INTO event VALUES ('1973-10-02 22:31:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', '14-DEAD,15-IC, 16Y-SICK,X USED');
INSERT INTO event VALUES ('1973-10-02 22:53:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1973-10-02 23:46:00',0.50,47.30, 1243,2.00,11.80, 50, 'Deep Moonquake', '203', NULL);
INSERT INTO event VALUES ('1973-10-03 01:34:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '16 S.R. @276 032');
INSERT INTO event VALUES ('1973-10-03 08:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14-DEAD');
INSERT INTO event VALUES ('1973-10-03 13:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-03 20:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'FAR-SIDE');
INSERT INTO event VALUES ('1973-10-03 22:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-04 00:32:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1973-10-05 10:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '43', '15 SR@278/1928');
INSERT INTO event VALUES ('1973-10-05 10:56:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1973-10-05 13:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-10-05 17:38:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1973-10-06 02:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14 SR@279/0010');
INSERT INTO event VALUES ('1973-10-06 06:31:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1973-10-06 08:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12 SR@279/0710');
INSERT INTO event VALUES ('1973-10-06 08:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'Z?');
INSERT INTO event VALUES ('1973-10-06 09:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-06 10:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-06 11:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-06 12:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1973-10-06 13:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-06 15:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-06 17:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-06 19:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-06 19:57:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1973-10-06 20:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-06 21:03:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1973-10-07 01:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '503', NULL);
INSERT INTO event VALUES ('1973-10-07 02:48:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', NULL);
INSERT INTO event VALUES ('1973-10-07 03:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-07 05:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-07 08:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-07 09:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-07 11:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-07 11:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1973-10-07 12:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT C');
INSERT INTO event VALUES ('1973-10-07 14:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1973-10-07 15:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-10-07 16:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1973-10-07 17:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1973-10-07 19:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-07 20:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1973-10-07 21:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1973-10-07 22:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-10-07 23:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1973-10-08 03:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-08 06:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-10-08 06:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-08 07:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-10-08 09:08:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'OLD A48');
INSERT INTO event VALUES ('1973-10-08 11:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-08 12:40:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-10-08 13:57:00',-26.50,-35.10, 933,12.00,7.20, 109, 'Deep Moonquake', '209', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-10-08 14:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-10-08 16:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-10-08 21:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-09 00:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-10-09 02:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-09 03:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-10-09 04:17:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-10-09 06:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-09 07:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-09 08:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-09 08:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-10-09 09:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '207', NULL);
INSERT INTO event VALUES ('1973-10-09 11:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-10-09 12:36:00',24.10,-52.20, 750,9.50,8.00, 109, 'Deep Moonquake', '60', '(*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1973-10-09 13:10:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1973-10-09 21:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-09 22:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-10-10 00:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-10 03:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-10-10 05:00:00',-26.50,-35.10, 933,12.00,7.20, 109, 'Deep Moonquake', '209', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-10-10 05:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-10 08:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-10 11:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-10 11:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-10 14:46:00',-7.10,15.30, 933,3.50,4.00, 109, 'Deep Moonquake', '258', NULL);
INSERT INTO event VALUES ('1973-10-10 15:25:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-10-10 17:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-10 18:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-10 19:41:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', NULL);
INSERT INTO event VALUES ('1973-10-10 22:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-11 02:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'NO SP');
INSERT INTO event VALUES ('1973-10-11 10:38:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1973-10-11 11:16:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-10-11 12:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-11 15:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-11 17:14:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-10-11 17:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-11 17:53:00',27.50,34.30, 919,9.90,20.60, 160, 'Deep Moonquake', '82', NULL);
INSERT INTO event VALUES ('1973-10-11 18:24:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'P AND S AT 14 AND 16, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-10-11 19:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-11 20:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-11 21:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-11 21:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '219', NULL);
INSERT INTO event VALUES ('1973-10-11 22:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-11 22:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-11 23:13:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1973-10-12 00:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-12 01:05:00',8.40,-64.00, 968,1.80,4.70, 18, 'Deep Moonquake', '54', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-10-12 03:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-12 03:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '428', NULL);
INSERT INTO event VALUES ('1973-10-12 04:55:00',15.50,55.60, 755,1.20,7.50, 44, 'Deep Moonquake', '114', NULL);
INSERT INTO event VALUES ('1973-10-12 05:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-12 06:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-10-12 08:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-12 08:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-10-12 10:21:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', 'P AND S AT 16');
INSERT INTO event VALUES ('1973-10-12 12:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '343', NULL);
INSERT INTO event VALUES ('1973-10-12 13:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-12 15:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '504', NULL);
INSERT INTO event VALUES ('1973-10-12 19:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '504', NULL);
INSERT INTO event VALUES ('1973-10-12 21:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-10-12 23:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-12 23:52:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1973-10-13 00:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-13 01:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '504', NULL);
INSERT INTO event VALUES ('1973-10-13 03:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-10-13 07:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '288', NULL);
INSERT INTO event VALUES ('1973-10-13 09:24:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', 'P AND S AT 16');
INSERT INTO event VALUES ('1973-10-13 10:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-14 09:20:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', NULL);
INSERT INTO event VALUES ('1973-10-14 15:55:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', 'CLEAR S AT 14');
INSERT INTO event VALUES ('1973-10-15 12:08:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1973-10-16 09:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-16 11:42:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', 'P AND S AT 14');
INSERT INTO event VALUES ('1973-10-16 12:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'M?');
INSERT INTO event VALUES ('1973-10-16 19:08:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-10-17 00:26:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', NULL);
INSERT INTO event VALUES ('1973-10-17 14:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '308', '16 S.S. AT 290,2000');
INSERT INTO event VALUES ('1973-10-17 16:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-18 03:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-18 11:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1973-10-18 13:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT C,15 SS@292,0100');
INSERT INTO event VALUES ('1973-10-19 02:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-19 10:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT    SYNC ERRORS AT 16');
INSERT INTO event VALUES ('1973-10-19 23:02:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-10-19 23:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-20 00:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-20 08:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, '14 SS@293.1200');
INSERT INTO event VALUES ('1973-10-21 05:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '12 SS@294.0100');
INSERT INTO event VALUES ('1973-10-21 16:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', '16A=2*LPX TO 305/0900');
INSERT INTO event VALUES ('1973-10-22 08:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 16');
INSERT INTO event VALUES ('1973-10-22 23:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-23 02:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-23 06:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-24 06:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-24 10:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-10-24 22:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-25 17:18:00',34.80,63.00, 1014,2.10,11.30, 26, 'Deep Moonquake', '70', NULL);
INSERT INTO event VALUES ('1973-10-26 02:38:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1973-10-26 04:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1973-10-26 20:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '57', NULL);
INSERT INTO event VALUES ('1973-10-27 02:55:00',-27.90,-31.00, 932,3.60,2.10, 12, 'Deep Moonquake', '53', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-10-27 05:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '240', NULL);
INSERT INTO event VALUES ('1973-10-27 11:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 15');
INSERT INTO event VALUES ('1973-10-27 14:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-10-27 18:39:00',3.40,2.00, 559,0.60,0.70, 97, 'Deep Moonquake', '259', NULL);
INSERT INTO event VALUES ('1973-10-27 20:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '311', NULL);
INSERT INTO event VALUES ('1973-10-29 07:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-10-29 08:08:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', 'INVERTED?');
INSERT INTO event VALUES ('1973-10-29 19:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-10-30 01:00:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'OLD A46, INVERTED');
INSERT INTO event VALUES ('1973-10-30 05:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-10-30 07:39:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1973-10-30 22:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-10-30 23:42:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-10-31 00:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '427', NULL);
INSERT INTO event VALUES ('1973-12-21 11:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '386', NULL);
INSERT INTO event VALUES ('1973-10-31 03:22:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1973-10-31 19:00:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', NULL);
INSERT INTO event VALUES ('1973-11-01 08:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-11-03 03:04:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1973-11-03 10:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-11-03 16:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-11-04 07:38:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1973-11-04 10:57:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1973-11-04 11:33:00',-9.50,-53.60, 750,17.60,5.90, 109, 'Deep Moonquake', '59', '(*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1973-11-05 05:03:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1973-11-05 11:49:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-11-05 17:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1973-11-05 22:51:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-11-06 03:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SP=4');
INSERT INTO event VALUES ('1973-11-06 10:09:00',-7.10,15.30, 933,3.50,4.00, 109, 'Deep Moonquake', '258', NULL);
INSERT INTO event VALUES ('1973-11-07 14:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-11-07 19:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NEAR 14');
INSERT INTO event VALUES ('1973-11-07 22:38:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-11-08 01:13:00',12.80,-36.20, 963,1.40,5.60, 45, 'Deep Moonquake', '212', NULL);
INSERT INTO event VALUES ('1973-11-08 03:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-11-08 06:15:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1973-11-08 06:58:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1973-11-08 10:51:00',8.70,-53.40, 828,1.00,5.00, 27, 'Deep Moonquake', '50', NULL);
INSERT INTO event VALUES ('1973-11-08 15:30:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-11-08 16:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1973-11-08 19:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '343', NULL);
INSERT INTO event VALUES ('1973-11-08 21:20:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1973-11-08 22:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-11-09 03:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '356', NULL);
INSERT INTO event VALUES ('1973-11-09 04:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1973-11-09 13:08:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1973-11-09 14:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-11-09 16:40:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1973-11-09 17:05:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1973-11-09 20:18:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1973-11-10 01:28:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', NULL);
INSERT INTO event VALUES ('1973-11-10 02:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-11-10 21:17:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', NULL);
INSERT INTO event VALUES ('1973-11-10 22:55:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1973-11-10 23:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '72', NULL);
INSERT INTO event VALUES ('1973-11-12 11:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1973-11-12 12:48:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1973-11-12 21:50:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-11-12 21:57:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-11-13 03:27:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', NULL);
INSERT INTO event VALUES ('1973-11-13 04:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '308', NULL);
INSERT INTO event VALUES ('1973-11-13 15:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-11-14 02:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST NO SP');
INSERT INTO event VALUES ('1973-11-17 01:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-11-17 07:30:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'INVERTED');
INSERT INTO event VALUES ('1973-11-18 14:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-11-20 21:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16A=2*LPX TO 334/2300');
INSERT INTO event VALUES ('1973-11-21 15:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'IMPACT NEAR 14 SP=4.5');
INSERT INTO event VALUES ('1973-11-22 13:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SP=4');
INSERT INTO event VALUES ('1973-11-22 15:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'NO SP');
INSERT INTO event VALUES ('1973-11-22 19:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '235', '16 A=2*LPX TO 334/2300');
INSERT INTO event VALUES ('1973-11-23 00:10:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', NULL);
INSERT INTO event VALUES ('1973-11-23 07:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '57', NULL);
INSERT INTO event VALUES ('1973-11-23 08:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '266', NULL);
INSERT INTO event VALUES ('1973-11-24 05:01:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-11-24 07:13:00',3.40,2.00, 559,0.60,0.70, 97, 'Deep Moonquake', '259', '2MM SPZ,SYNC E. ALL STA');
INSERT INTO event VALUES ('1973-11-24 14:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '43', NULL);
INSERT INTO event VALUES ('1973-11-24 16:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '311', NULL);
INSERT INTO event VALUES ('1973-11-25 03:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 15');
INSERT INTO event VALUES ('1973-11-25 13:00:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1973-11-25 16:21:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', 'INVERTED?');
INSERT INTO event VALUES ('1973-11-26 02:34:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'OLD A46, INVERTED');
INSERT INTO event VALUES ('1973-11-26 04:48:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-11-26 05:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '252', NULL);
INSERT INTO event VALUES ('1973-11-26 06:36:00',0.50,47.30, 1243,2.00,11.80, 50, 'Deep Moonquake', '203', NULL);
INSERT INTO event VALUES ('1973-11-26 14:38:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1973-11-27 06:35:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-11-27 10:59:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', 'SYNC ERRORS');
INSERT INTO event VALUES ('1973-11-27 14:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT');
INSERT INTO event VALUES ('1973-11-27 19:05:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1973-11-29 17:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14 LP=SP');
INSERT INTO event VALUES ('1973-11-29 22:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-11-30 11:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-11-30 22:05:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1973-11-30 23:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ CLIPPED');
INSERT INTO event VALUES ('1973-12-01 11:34:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', 'SR STA 16 335 0702');
INSERT INTO event VALUES ('1973-12-01 14:01:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', NULL);
INSERT INTO event VALUES ('1973-12-01 14:26:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', NULL);
INSERT INTO event VALUES ('1973-12-01 16:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ CLIPPED');
INSERT INTO event VALUES ('1973-12-02 01:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '43', 'SR STA 15 336 2113');
INSERT INTO event VALUES ('1973-12-02 21:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-12-02 22:36:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1973-12-02 23:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-12-03 00:35:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1973-12-03 05:50:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-12-03 10:59:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1973-12-03 12:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '328', NULL);
INSERT INTO event VALUES ('1973-12-03 13:40:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-12-03 17:48:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '16 X AMP, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-12-04 01:32:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1973-12-04 01:49:00',-7.10,15.30, 933,3.50,4.00, 109, 'Deep Moonquake', '258', 'SR 14 338 0342, 12 338 1040');
INSERT INTO event VALUES ('1973-12-04 10:52:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1973-12-04 20:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-12-05 02:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-12-05 03:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-12-05 07:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-12-05 07:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-12-05 10:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1973-12-05 11:44:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1973-12-05 12:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1973-12-05 12:56:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-12-05 13:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-12-05 13:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-12-05 15:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-12-05 17:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-12-05 21:02:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', NULL);
INSERT INTO event VALUES ('1973-12-05 21:37:00',15.50,97.00, 1141,2.40,12.30, 74, 'Deep Moonquake', '282', NULL);
INSERT INTO event VALUES ('1973-12-06 01:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '235', NULL);
INSERT INTO event VALUES ('1973-12-06 03:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-12-06 10:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-12-06 11:12:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1973-12-06 11:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1973-12-06 12:07:00',8.70,-53.40, 828,1.00,5.00, 27, 'Deep Moonquake', '50', NULL);
INSERT INTO event VALUES ('1973-12-06 15:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '435', 'SYNC ERRORS FOR 14');
INSERT INTO event VALUES ('1973-12-06 16:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1973-12-06 18:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '356', NULL);
INSERT INTO event VALUES ('1973-12-06 19:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-12-06 19:59:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1973-12-06 22:32:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-12-07 02:13:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1973-12-07 03:01:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1973-12-07 05:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-12-07 05:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-12-07 06:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-12-07 08:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-12-08 19:41:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1973-12-08 20:29:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'NEAR 14');
INSERT INTO event VALUES ('1973-12-08 23:08:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', NULL);
INSERT INTO event VALUES ('1973-12-09 11:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '416', NULL);
INSERT INTO event VALUES ('1973-12-10 03:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, 'SYNC ERRORS AT ALL STATIONS');
INSERT INTO event VALUES ('1973-12-10 09:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'ECLIPSE 344/0007-0330');
INSERT INTO event VALUES ('1973-12-10 11:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '439', NULL);
INSERT INTO event VALUES ('1973-12-10 11:45:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', NULL);
INSERT INTO event VALUES ('1973-12-10 12:03:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-12-10 12:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-12-10 13:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-12-10 14:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1973-12-10 16:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '308', NULL);
INSERT INTO event VALUES ('1973-12-10 20:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-12-10 22:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-12-10 23:44:00',58.60,54.20, 1025,4.60,15.50, 31, 'Deep Moonquake', '242', NULL);
INSERT INTO event VALUES ('1973-12-13 01:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=3? NEARBY');
INSERT INTO event VALUES ('1973-12-13 06:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-12-14 01:39:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'INVERTED');
INSERT INTO event VALUES ('1973-12-14 06:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP=1.2');
INSERT INTO event VALUES ('1973-12-14 21:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP=1.5');
INSERT INTO event VALUES ('1973-12-16 05:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C?SP=3? SP NOISY');
INSERT INTO event VALUES ('1973-12-16 06:02:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1973-12-16 07:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-12-17 08:51:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1973-12-17 11:28:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1973-12-17 18:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'CLOSE TO STA 14 GOOD SP');
INSERT INTO event VALUES ('1973-12-18 16:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '213', NULL);
INSERT INTO event VALUES ('1973-12-18 21:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'CLOSE TO STA 16 GOOD SP');
INSERT INTO event VALUES ('1973-12-19 05:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-12-19 11:37:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-12-19 13:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-12-20 00:56:00',1.10,-20.60, 933,1.60,5.00, 109, 'Deep Moonquake', '56', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-12-20 01:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '307', NULL);
INSERT INTO event VALUES ('1973-12-20 02:52:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-12-20 03:06:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', NULL);
INSERT INTO event VALUES ('1973-12-20 05:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1973-12-20 07:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-12-20 07:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '235', NULL);
INSERT INTO event VALUES ('1973-12-20 10:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '211', NULL);
INSERT INTO event VALUES ('1973-12-20 17:05:00',-27.90,-31.00, 932,3.60,2.10, 12, 'Deep Moonquake', '53', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-12-20 18:48:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1973-12-20 21:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '57', NULL);
INSERT INTO event VALUES ('1973-12-21 02:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '266', NULL);
INSERT INTO event VALUES ('1973-12-21 08:03:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', NULL);
INSERT INTO event VALUES ('1973-12-21 10:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '389', NULL);
INSERT INTO event VALUES ('1973-12-21 19:35:00',-69.40,75.40, 933,4.40,24.60, 109, 'Deep Moonquake', '241', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-12-21 21:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1973-12-21 22:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '211', NULL);
INSERT INTO event VALUES ('1973-12-22 00:00:00',3.40,2.00, 559,0.60,0.70, 97, 'Deep Moonquake', '259', NULL);
INSERT INTO event VALUES ('1973-12-22 04:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '304', NULL);
INSERT INTO event VALUES ('1973-12-22 10:23:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', NULL);
INSERT INTO event VALUES ('1973-12-22 11:03:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1973-12-22 18:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '43', NULL);
INSERT INTO event VALUES ('1973-12-22 19:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-12-23 01:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '425', NULL);
INSERT INTO event VALUES ('1973-12-23 04:08:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1973-12-23 04:38:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1973-12-23 09:55:00',0.50,47.30, 1243,2.00,11.80, 50, 'Deep Moonquake', '203', NULL);
INSERT INTO event VALUES ('1973-12-23 15:40:00',-3.70,-33.90, 933,3.60,12.40, 109, 'Deep Moonquake', '276', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-12-23 15:53:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1973-12-23 18:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1973-12-23 19:50:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-12-23 20:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-12-23 21:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-12-24 02:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '253', NULL);
INSERT INTO event VALUES ('1973-12-24 06:42:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1973-12-24 08:03:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-12-24 10:05:00',-17.94,-20.74, 0, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1973-12-24 11:38:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1973-12-25 04:41:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1973-12-25 15:16:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1973-12-26 23:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1973-12-27 07:37:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '16?');
INSERT INTO event VALUES ('1973-12-27 23:30:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1973-12-28 00:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '264', '12 Z APPEARS DEAD');
INSERT INTO event VALUES ('1973-12-28 08:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1973-12-28 16:12:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1973-12-28 16:23:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1973-12-28 16:28:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1973-12-28 23:15:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', NULL);
INSERT INTO event VALUES ('1973-12-29 04:11:00',-9.50,-53.60, 750,17.60,5.90, 109, 'Deep Moonquake', '59', '(*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1973-12-29 14:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-12-29 15:08:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1973-12-29 21:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1973-12-30 01:40:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1973-12-30 15:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '16? SR@16 2156 DAY 364');
INSERT INTO event VALUES ('1973-12-31 06:16:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-12-31 11:32:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1973-12-31 11:41:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1973-12-31 18:11:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1973-12-31 19:08:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1973-12-31 21:29:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-12-31 22:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1973-12-31 22:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '328', NULL);
INSERT INTO event VALUES ('1974-01-01 03:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12YAMP');
INSERT INTO event VALUES ('1974-01-01 09:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-01-01 09:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SR AT 15 1053 DAY001');
INSERT INTO event VALUES ('1974-01-01 14:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '344', NULL);
INSERT INTO event VALUES ('1974-01-02 03:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1974-01-02 06:56:00',-9.50,-53.60, 750,17.60,5.90, 109, 'Deep Moonquake', '59', '(*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1974-01-02 11:54:00',8.40,-64.00, 968,1.80,4.70, 18, 'Deep Moonquake', '54', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1974-01-02 15:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SR AT 14 1825 DAY002');
INSERT INTO event VALUES ('1974-01-02 19:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-01-03 02:05:00',15.50,97.00, 1141,2.40,12.30, 74, 'Deep Moonquake', '282', 'SR AT 12 0120 DAY003');
INSERT INTO event VALUES ('1974-01-03 11:24:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1974-01-03 12:48:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1974-01-03 14:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1974-01-03 16:44:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', 'P AT 14 S AT 14,15,16');
INSERT INTO event VALUES ('1974-01-03 20:04:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1974-01-03 22:01:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1974-01-03 22:15:00',8.70,-53.40, 828,1.00,5.00, 27, 'Deep Moonquake', '50', NULL);
INSERT INTO event VALUES ('1974-01-03 22:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-01-04 00:12:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1974-01-04 01:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '444', NULL);
INSERT INTO event VALUES ('1974-01-04 03:32:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1974-01-04 03:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C  SPZ CLIPPED');
INSERT INTO event VALUES ('1974-01-04 04:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-01-04 04:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1974-01-04 05:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP>LP');
INSERT INTO event VALUES ('1974-01-04 06:11:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1974-01-04 11:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1974-01-04 11:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1974-01-04 12:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '422', NULL);
INSERT INTO event VALUES ('1974-01-04 14:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1974-01-04 17:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-01-04 18:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1974-01-04 20:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-01-04 21:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-01-05 02:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '426', NULL);
INSERT INTO event VALUES ('1974-01-05 03:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NEAREST 16 NO SP');
INSERT INTO event VALUES ('1974-02-01 00:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '444', NULL);
INSERT INTO event VALUES ('1974-01-05 05:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1974-01-05 09:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1974-01-05 13:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '419', NULL);
INSERT INTO event VALUES ('1974-01-05 13:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '420', '14?');
INSERT INTO event VALUES ('1974-01-05 14:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1974-01-05 20:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1974-01-06 00:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-01-06 02:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1974-01-06 05:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '416', NULL);
INSERT INTO event VALUES ('1974-01-06 07:41:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', NULL);
INSERT INTO event VALUES ('1974-01-06 08:37:00',7.00,8.30, 1019,1.30,4.10, 191, 'Deep Moonquake', '243', 'M?');
INSERT INTO event VALUES ('1974-01-06 10:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-01-06 11:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-01-06 15:48:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1974-01-06 16:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-01-07 05:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NEAR 15');
INSERT INTO event VALUES ('1974-01-07 08:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '211', NULL);
INSERT INTO event VALUES ('1974-01-07 08:20:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1974-01-07 10:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', NULL);
INSERT INTO event VALUES ('1974-01-07 15:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '308', NULL);
INSERT INTO event VALUES ('1974-01-07 20:32:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', NULL);
INSERT INTO event VALUES ('1974-01-07 22:04:00',58.60,54.20, 1025,4.60,15.50, 31, 'Deep Moonquake', '242', NULL);
INSERT INTO event VALUES ('1974-01-07 23:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '268', NULL);
INSERT INTO event VALUES ('1974-01-08 07:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 15');
INSERT INTO event VALUES ('1974-01-09 19:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-01-10 15:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-01-10 16:13:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1974-01-10 17:50:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1974-01-10 23:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'WEST OF ARRAY S-P@14=2.5MIN');
INSERT INTO event VALUES ('1974-01-11 05:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-01-11 06:42:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-01-11 19:21:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1974-01-11 23:25:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1974-01-12 06:29:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1974-01-13 12:33:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'INVERTED');
INSERT INTO event VALUES ('1974-01-13 19:46:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1974-01-14 13:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-01-14 13:10:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '16 SS@014 1800');
INSERT INTO event VALUES ('1974-01-14 19:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'S-P@14=2.5MIN');
INSERT INTO event VALUES ('1974-01-15 18:48:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', 'NO SP');
INSERT INTO event VALUES ('1974-01-16 00:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=4');
INSERT INTO event VALUES ('1974-01-18 09:48:00',-69.40,75.40, 933,4.40,24.60, 109, 'Deep Moonquake', '241', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-01-18 12:10:00',3.40,2.00, 559,0.60,0.70, 97, 'Deep Moonquake', '259', NULL);
INSERT INTO event VALUES ('1974-01-19 00:09:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', NULL);
INSERT INTO event VALUES ('1974-01-19 11:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '43', NULL);
INSERT INTO event VALUES ('1974-01-19 13:32:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1974-01-19 19:03:00',0.50,47.30, 1243,2.00,11.80, 50, 'Deep Moonquake', '203', NULL);
INSERT INTO event VALUES ('1974-01-19 20:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'IMPACT CLOSE TO STA 16');
INSERT INTO event VALUES ('1974-01-20 06:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1974-01-20 15:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1974-01-20 17:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-01-20 22:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-01-21 10:56:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1974-01-22 07:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '16 AMP=2*LPX AMP TO 030/2100');
INSERT INTO event VALUES ('1974-01-22 08:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1974-01-22 08:55:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', NULL);
INSERT INTO event VALUES ('1974-01-22 10:30:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1974-01-22 11:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-01-23 13:25:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1974-01-23 22:42:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1974-01-24 13:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-01-25 03:30:00',-7.10,15.30, 933,3.50,4.00, 109, 'Deep Moonquake', '258', NULL);
INSERT INTO event VALUES ('1974-01-25 10:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-01-25 23:55:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', NULL);
INSERT INTO event VALUES ('1974-01-26 02:37:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1974-01-27 14:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-01-27 23:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '325', NULL);
INSERT INTO event VALUES ('1974-01-28 12:07:00',-9.50,-53.60, 750,17.60,5.90, 109, 'Deep Moonquake', '59', '(*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1974-01-28 14:04:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1974-01-28 14:30:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1974-01-29 00:57:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-01-29 09:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', '16 SR@1250');
INSERT INTO event VALUES ('1974-01-29 15:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP=1');
INSERT INTO event VALUES ('1974-01-29 16:47:00',-7.60,36.70, 933,5.00,13.20, 109, 'Deep Moonquake', '267', NULL);
INSERT INTO event VALUES ('1974-01-29 23:55:00',-53.20,-54.40, 933,4.60,11.40, 109, 'Deep Moonquake', '281', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-01-30 20:25:00',15.50,97.00, 1141,2.40,12.30, 74, 'Deep Moonquake', '282', NULL);
INSERT INTO event VALUES ('1974-01-31 00:07:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', '15 SR@0038');
INSERT INTO event VALUES ('1974-01-31 03:45:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1974-01-31 06:56:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1974-01-31 08:27:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1974-01-31 09:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-01-31 11:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1974-01-31 12:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-01-31 13:25:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1974-01-31 14:08:00',15.50,97.00, 1141,2.40,12.30, 74, 'Deep Moonquake', '282', NULL);
INSERT INTO event VALUES ('1974-01-31 16:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1974-01-31 20:12:00',24.10,-52.20, 750,9.50,8.00, 109, 'Deep Moonquake', '60', '(*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1974-02-01 06:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '313', '14 SR@0910,12 SR@1600');
INSERT INTO event VALUES ('1974-02-02 00:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '268', NULL);
INSERT INTO event VALUES ('1974-02-02 20:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=6');
INSERT INTO event VALUES ('1974-02-02 23:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-02-03 01:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14 SPZ=30');
INSERT INTO event VALUES ('1974-02-03 04:15:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1974-02-03 08:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '4', NULL);
INSERT INTO event VALUES ('1974-02-03 15:47:00',7.00,8.30, 1019,1.30,4.10, 191, 'Deep Moonquake', '243', NULL);
INSERT INTO event VALUES ('1974-02-04 03:36:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1974-02-05 01:28:00',58.60,54.20, 1025,4.60,15.50, 31, 'Deep Moonquake', '242', NULL);
INSERT INTO event VALUES ('1974-02-05 11:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-02-05 20:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP=3.5');
INSERT INTO event VALUES ('1974-02-05 21:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'VERY DISTANT');
INSERT INTO event VALUES ('1974-02-06 00:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=11');
INSERT INTO event VALUES ('1974-02-06 08:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=5');
INSERT INTO event VALUES ('1974-02-06 09:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-02-06 15:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-02-07 06:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SP=4');
INSERT INTO event VALUES ('1974-02-07 07:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-02-07 14:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-02-07 21:32:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', NULL);
INSERT INTO event VALUES ('1974-02-08 11:10:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-02-09 00:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NO SP DIST');
INSERT INTO event VALUES ('1974-02-09 14:50:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1974-02-10 02:18:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1974-02-10 17:09:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1974-02-10 18:13:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1974-02-11 03:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '213', NULL);
INSERT INTO event VALUES ('1974-02-11 05:40:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1974-02-11 07:40:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', NULL);
INSERT INTO event VALUES ('1974-02-11 16:35:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1974-02-11 21:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-02-12 01:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '387', NULL);
INSERT INTO event VALUES ('1974-02-12 03:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '57', NULL);
INSERT INTO event VALUES ('1974-02-12 08:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', NULL);
INSERT INTO event VALUES ('1974-02-12 14:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-02-12 16:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-02-12 22:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NEAR 12 SP=4  AT 14');
INSERT INTO event VALUES ('1974-02-13 07:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1974-02-13 09:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1974-02-13 09:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1974-02-13 20:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NO SP');
INSERT INTO event VALUES ('1974-02-13 22:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16?');
INSERT INTO event VALUES ('1974-02-14 01:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '254', NULL);
INSERT INTO event VALUES ('1974-02-14 03:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '211', NULL);
INSERT INTO event VALUES ('1974-02-14 08:37:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1974-02-14 09:01:00',-69.40,75.40, 933,4.40,24.60, 109, 'Deep Moonquake', '241', 'S @ 14,16, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-02-14 09:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '89', NULL);
INSERT INTO event VALUES ('1974-02-14 13:15:00',3.40,2.00, 559,0.60,0.70, 97, 'Deep Moonquake', '259', NULL);
INSERT INTO event VALUES ('1974-02-14 15:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '410', NULL);
INSERT INTO event VALUES ('1974-02-14 16:18:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1974-02-14 17:40:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', NULL);
INSERT INTO event VALUES ('1974-02-14 18:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '410', NULL);
INSERT INTO event VALUES ('1974-02-15 01:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '421', NULL);
INSERT INTO event VALUES ('1974-02-15 02:29:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-02-15 07:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '268', NULL);
INSERT INTO event VALUES ('1974-02-15 10:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1974-02-15 12:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1974-02-15 14:06:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1974-02-15 18:41:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1974-02-15 20:26:00',0.50,47.30, 1243,2.00,11.80, 50, 'Deep Moonquake', '203', 'S@ 16  SS@14 1930 DAY 046');
INSERT INTO event VALUES ('1974-02-15 21:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '211', NULL);
INSERT INTO event VALUES ('1974-02-15 23:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SP=12');
INSERT INTO event VALUES ('1974-02-16 00:30:00',34.30,45.00, 933,12.00,29.90, 109, 'Deep Moonquake', '231', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-02-16 02:47:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-02-16 04:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '411', NULL);
INSERT INTO event VALUES ('1974-02-16 04:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '411', NULL);
INSERT INTO event VALUES ('1974-02-16 05:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '435', 'SS@12 0850 DAY 047');
INSERT INTO event VALUES ('1974-02-16 10:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-02-16 15:49:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', NULL);
INSERT INTO event VALUES ('1974-02-16 17:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '434', NULL);
INSERT INTO event VALUES ('1974-02-16 21:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-02-16 23:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-02-17 00:52:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1974-02-17 01:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1974-02-17 02:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '90', NULL);
INSERT INTO event VALUES ('1974-02-17 03:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '370', 'DATA GAP 0400-0550 DAY 048');
INSERT INTO event VALUES ('1974-02-17 07:50:00',6.30,22.10, 855,0.90,9.70, 188, 'Deep Moonquake', '230', NULL);
INSERT INTO event VALUES ('1974-02-17 08:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '432', NULL);
INSERT INTO event VALUES ('1974-02-17 09:41:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1974-02-17 11:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1974-02-17 13:14:00',6.30,22.10, 855,0.90,9.70, 188, 'Deep Moonquake', '230', NULL);
INSERT INTO event VALUES ('1974-02-17 16:35:00',19.40,24.30, 959,2.70,5.10, 68, 'Deep Moonquake', '246', NULL);
INSERT INTO event VALUES ('1974-02-17 19:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '418', NULL);
INSERT INTO event VALUES ('1974-02-17 20:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-02-17 23:01:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-02-18 00:03:00',-3.40,12.50, 933,2.50,3.10, 109, 'Deep Moonquake', '249', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-02-18 01:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', '15 MAY BE Z');
INSERT INTO event VALUES ('1974-02-18 05:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NO SP DIST');
INSERT INTO event VALUES ('1974-02-18 05:49:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', 'P,S @ 16');
INSERT INTO event VALUES ('1974-02-18 08:38:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1974-02-18 12:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-02-18 16:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-02-18 17:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1974-02-19 01:01:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1974-02-19 06:39:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1974-02-19 07:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '43', NULL);
INSERT INTO event VALUES ('1974-02-19 15:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-02-19 16:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-02-19 22:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 15 GOOD SP');
INSERT INTO event VALUES ('1974-02-19 23:43:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1974-02-20 05:57:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', NULL);
INSERT INTO event VALUES ('1974-02-20 10:33:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1974-02-21 02:38:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1974-02-21 05:36:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1974-02-21 13:41:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1974-02-21 20:23:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', NULL);
INSERT INTO event VALUES ('1974-02-21 22:18:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1974-02-22 03:17:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1974-02-22 06:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'LPZ OUT AT STA 12');
INSERT INTO event VALUES ('1974-02-22 13:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'LPZ OUT AT STA 12');
INSERT INTO event VALUES ('1974-02-23 21:17:00',36.00,-16.00, 100, NULL, NULL, NULL, 'Shallow Moonquake', NULL, 'SPZ14=5,15=9,16=2MM, The source position is decided by (Nakamura et al., 1979)');
INSERT INTO event VALUES ('1974-02-24 05:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'CLOSE TO STA 14 SPZ CLIPPED');
INSERT INTO event VALUES ('1974-02-24 11:58:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1974-02-24 13:24:00',-9.50,-53.60, 750,17.60,5.90, 109, 'Deep Moonquake', '59', '(*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1974-02-24 22:16:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-02-25 02:15:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-02-25 07:36:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1974-02-26 01:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-02-26 02:42:00',-7.60,36.70, 933,5.00,13.20, 109, 'Deep Moonquake', '267', NULL);
INSERT INTO event VALUES ('1974-02-26 06:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '43', NULL);
INSERT INTO event VALUES ('1974-02-26 11:55:00',-53.20,-54.40, 933,4.60,11.40, 109, 'Deep Moonquake', '281', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-02-26 12:55:00',15.50,97.00, 1141,2.40,12.30, 74, 'Deep Moonquake', '282', NULL);
INSERT INTO event VALUES ('1974-02-26 14:05:00',7.10,22.50, 984,1.20,4.70, 76, 'Deep Moonquake', '283', NULL);
INSERT INTO event VALUES ('1974-02-27 02:56:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1974-02-27 03:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '252', NULL);
INSERT INTO event VALUES ('1974-02-27 06:27:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1974-02-27 07:25:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1974-02-27 08:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1974-02-27 12:15:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1974-02-27 12:55:00',15.50,97.00, 1141,2.40,12.30, 74, 'Deep Moonquake', '282', NULL);
INSERT INTO event VALUES ('1974-02-27 16:09:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1974-02-27 16:30:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1974-02-27 17:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT 14SP=2.2');
INSERT INTO event VALUES ('1974-02-27 23:23:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', NULL);
INSERT INTO event VALUES ('1974-02-28 01:44:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', '16 SR 059.0320');
INSERT INTO event VALUES ('1974-02-28 11:47:00',24.10,-52.20, 750,9.50,8.00, 109, 'Deep Moonquake', '60', '(*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1974-02-28 16:08:00',-7.80,5.40, 933,3.50,1.70, 109, 'Deep Moonquake', '236', NULL);
INSERT INTO event VALUES ('1974-02-28 17:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '313', NULL);
INSERT INTO event VALUES ('1974-03-01 01:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '15 SR 060/1430');
INSERT INTO event VALUES ('1974-03-01 19:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '217', NULL);
INSERT INTO event VALUES ('1974-03-01 19:55:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', NULL);
INSERT INTO event VALUES ('1974-03-02 02:35:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1974-03-02 04:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-02 06:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '390', NULL);
INSERT INTO event VALUES ('1974-03-02 07:28:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-03-02 10:20:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1974-03-02 16:40:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', NULL);
INSERT INTO event VALUES ('1974-03-02 18:15:00',14.30,-12.40, 945,1.00,2.00, 26, 'Deep Moonquake', '71', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1974-03-02 19:05:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', '14 SR 061/2325');
INSERT INTO event VALUES ('1974-03-03 11:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=6');
INSERT INTO event VALUES ('1974-03-03 15:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-03-03 18:25:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1974-03-04 20:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1974-03-04 21:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '268', NULL);
INSERT INTO event VALUES ('1974-03-04 23:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP=3.5');
INSERT INTO event VALUES ('1974-03-05 03:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-03-05 07:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-05 09:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-05 11:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-05 16:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1974-03-05 18:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SP=7');
INSERT INTO event VALUES ('1974-03-05 21:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1974-03-06 01:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-06 02:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-06 03:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-06 05:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-06 07:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C  SP=26');
INSERT INTO event VALUES ('1974-03-06 08:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1974-03-06 13:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-06 15:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1974-03-06 21:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-06 22:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1974-03-06 23:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-07 02:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-07 05:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-07 06:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1974-03-07 07:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C  SP=25');
INSERT INTO event VALUES ('1974-03-07 08:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-07 11:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-07 13:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C  NO SP');
INSERT INTO event VALUES ('1974-03-07 13:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1974-03-07 15:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-07 16:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-07 23:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-08 04:30:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '16?, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-03-09 02:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SP=7');
INSERT INTO event VALUES ('1974-03-09 04:29:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-09 04:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'VERY LONG RISE UNUSUAL');
INSERT INTO event VALUES ('1974-03-09 06:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'VERY LONG RISE');
INSERT INTO event VALUES ('1974-03-09 11:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-09 11:59:00',-1.70,18.00, 933,2.30,4.50, 109, 'Deep Moonquake', '260', NULL);
INSERT INTO event VALUES ('1974-03-09 13:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-10 00:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP=30');
INSERT INTO event VALUES ('1974-03-10 01:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '391', NULL);
INSERT INTO event VALUES ('1974-03-10 02:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-10 03:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-10 08:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-10 10:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '359', NULL);
INSERT INTO event VALUES ('1974-03-10 11:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-03-10 17:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14?');
INSERT INTO event VALUES ('1974-03-10 18:24:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', 'M?');
INSERT INTO event VALUES ('1974-03-10 19:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'VERY LONG RISE TIME');
INSERT INTO event VALUES ('1974-03-10 21:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'VERY LONG RISE TIME');
INSERT INTO event VALUES ('1974-03-11 01:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SP=15');
INSERT INTO event VALUES ('1974-03-11 04:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '213', NULL);
INSERT INTO event VALUES ('1974-03-11 16:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-11 17:25:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1974-03-11 21:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '43', 'P,S @14');
INSERT INTO event VALUES ('1974-03-11 23:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP>LP');
INSERT INTO event VALUES ('1974-03-12 02:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-03-12 03:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-03-12 12:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-03-12 15:01:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', 'M?');
INSERT INTO event VALUES ('1974-03-13 01:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '254', '16?');
INSERT INTO event VALUES ('1974-03-13 04:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 15  SMALL SP');
INSERT INTO event VALUES ('1974-03-13 04:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-13 06:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-13 08:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '57', NULL);
INSERT INTO event VALUES ('1974-03-13 08:26:00',3.40,2.00, 559,0.60,0.70, 97, 'Deep Moonquake', '259', NULL);
INSERT INTO event VALUES ('1974-03-13 11:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1974-03-14 03:16:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', NULL);
INSERT INTO event VALUES ('1974-03-14 07:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NO SP S@14');
INSERT INTO event VALUES ('1974-03-14 23:22:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1974-03-14 23:27:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1974-03-15 04:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-03-15 05:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-15 11:45:00',34.30,45.00, 933,12.00,29.90, 109, 'Deep Moonquake', '231', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-03-15 14:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '228', NULL);
INSERT INTO event VALUES ('1974-03-15 18:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-03-15 19:56:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1974-03-15 21:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '434', NULL);
INSERT INTO event VALUES ('1974-03-16 07:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-16 09:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '411', NULL);
INSERT INTO event VALUES ('1974-03-16 10:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '427', NULL);
INSERT INTO event VALUES ('1974-03-16 14:26:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1974-03-16 16:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-16 18:42:00',-69.40,75.40, 933,4.40,24.60, 109, 'Deep Moonquake', '241', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-03-16 22:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NEAR 14 SPZ CLIPPED');
INSERT INTO event VALUES ('1974-03-16 22:10:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', 'SS@14 DAY 76 0916, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-03-17 00:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-03-17 09:28:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1974-03-17 09:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '211', NULL);
INSERT INTO event VALUES ('1974-03-17 13:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-17 16:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-17 18:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SS@12 DAY 76 2230');
INSERT INTO event VALUES ('1974-03-17 22:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '418', NULL);
INSERT INTO event VALUES ('1974-03-18 00:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1974-03-18 02:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-03-18 04:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-18 05:43:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', 'P&S@16');
INSERT INTO event VALUES ('1974-03-18 06:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', 'S@16');
INSERT INTO event VALUES ('1974-03-18 13:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-03-18 14:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1974-03-18 17:37:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1974-03-19 00:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-03-19 20:56:00',-9.50,-53.60, 750,17.60,5.90, 109, 'Deep Moonquake', '59', '(*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1974-03-20 00:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '43', NULL);
INSERT INTO event VALUES ('1974-03-20 04:04:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-03-20 21:27:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', NULL);
INSERT INTO event VALUES ('1974-03-20 22:36:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1974-03-21 00:00:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1974-03-21 14:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '373', NULL);
INSERT INTO event VALUES ('1974-03-21 17:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-03-22 17:58:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1974-03-22 21:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-03-23 06:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1974-03-24 01:00:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-03-24 03:32:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1974-03-25 09:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '12 OUT OF SYNC 14SP=6');
INSERT INTO event VALUES ('1974-03-25 12:00:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', '14 OUT OF SYNC');
INSERT INTO event VALUES ('1974-03-25 14:29:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1974-03-25 16:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'S-P=5MIN @ 16');
INSERT INTO event VALUES ('1974-03-25 18:40:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1974-03-26 03:16:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', 'S-P=2MIN @ 14');
INSERT INTO event VALUES ('1974-03-26 05:37:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1974-03-26 09:51:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1974-03-27 06:43:00',24.10,-52.20, 750,9.50,8.00, 109, 'Deep Moonquake', '60', '(*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1974-03-27 09:11:00',-48.00,-106.00, 100, NULL, NULL, NULL, 'Shallow Moonquake', NULL, 'SPZ=7,2,4@14,15,16, The source position is decided by (Nakamura et al., 1979)');
INSERT INTO event VALUES ('1974-03-27 10:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '313', NULL);
INSERT INTO event VALUES ('1974-03-28 08:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-03-28 09:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-03-28 10:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-03-29 04:22:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1974-03-29 08:50:00',14.30,-12.40, 945,1.00,2.00, 26, 'Deep Moonquake', '71', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1974-03-29 09:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-03-30 00:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-03-30 19:47:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1974-04-01 03:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15 SR@090 2345');
INSERT INTO event VALUES ('1974-04-01 06:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '312', '14 SR@092 1240');
INSERT INTO event VALUES ('1974-04-01 19:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-04-01 20:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-04-02 21:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-04-06 04:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-04-06 13:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=2.5');
INSERT INTO event VALUES ('1974-04-06 17:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-04-06 22:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'NO SP');
INSERT INTO event VALUES ('1974-04-07 02:51:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1974-04-07 21:18:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1974-04-07 21:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-04-08 08:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SP=3.5');
INSERT INTO event VALUES ('1974-04-08 14:31:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1974-04-08 20:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '235', NULL);
INSERT INTO event VALUES ('1974-04-08 22:25:00',3.40,2.00, 559,0.60,0.70, 97, 'Deep Moonquake', '259', NULL);
INSERT INTO event VALUES ('1974-04-09 00:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'STRONG SP-CLOSE TO 14');
INSERT INTO event VALUES ('1974-04-09 02:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-04-09 03:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-04-09 04:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-04-09 15:26:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', NULL);
INSERT INTO event VALUES ('1974-04-09 21:50:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'OLD A45,INVERTED');
INSERT INTO event VALUES ('1974-04-10 00:05:00',0.50,47.30, 1243,2.00,11.80, 50, 'Deep Moonquake', '203', NULL);
INSERT INTO event VALUES ('1974-04-11 03:57:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', 'INVERTED?');
INSERT INTO event VALUES ('1974-04-11 17:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'NO SP');
INSERT INTO event VALUES ('1974-04-11 17:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '228', NULL);
INSERT INTO event VALUES ('1974-04-11 21:16:00',34.30,45.00, 933,12.00,29.90, 109, 'Deep Moonquake', '231', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-04-13 04:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-04-13 09:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '253', NULL);
INSERT INTO event VALUES ('1974-04-13 13:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '418', NULL);
INSERT INTO event VALUES ('1974-04-13 16:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-04-13 20:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-04-13 23:49:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1974-04-14 09:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '228', NULL);
INSERT INTO event VALUES ('1974-04-14 11:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-04-14 12:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-04-14 17:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-04-14 20:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-04-15 01:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-04-15 06:37:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1974-04-15 08:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1974-04-15 15:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-04-16 11:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SP=6');
INSERT INTO event VALUES ('1974-04-16 14:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-04-16 16:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-04-16 17:13:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-04-16 17:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-04-16 20:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-04-16 20:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1974-04-16 22:21:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', NULL);
INSERT INTO event VALUES ('1974-04-17 01:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '43', NULL);
INSERT INTO event VALUES ('1974-04-17 03:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '211', NULL);
INSERT INTO event VALUES ('1974-04-18 05:52:00',-7.10,15.30, 933,3.50,4.00, 109, 'Deep Moonquake', '258', NULL);
INSERT INTO event VALUES ('1974-04-18 07:19:00',-9.50,-53.60, 750,17.60,5.90, 109, 'Deep Moonquake', '59', '(*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1974-04-18 16:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', NULL);
INSERT INTO event VALUES ('1974-04-18 20:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-04-19 00:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-04-19 13:39:00',-37.00,42.00, 100, NULL, NULL, NULL, 'Shallow Moonquake', NULL, 'SPZ=4,6@14,16, The source position is decided by (Nakamura et al., 1979)');
INSERT INTO event VALUES ('1974-04-19 15:40:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-04-19 18:34:00',7.64,-34.55, 0, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SP=5');
INSERT INTO event VALUES ('1974-04-19 22:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '417', NULL);
INSERT INTO event VALUES ('1974-04-19 23:44:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-04-20 00:32:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1974-04-20 05:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-04-20 08:54:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1974-04-20 09:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP=6');
INSERT INTO event VALUES ('1974-04-20 09:58:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', NULL);
INSERT INTO event VALUES ('1974-04-20 16:49:00',8.40,-64.00, 968,1.80,4.70, 18, 'Deep Moonquake', '54', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1974-04-20 18:45:00',8.40,-64.00, 968,1.80,4.70, 18, 'Deep Moonquake', '54', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1974-04-20 19:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1974-04-20 21:28:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1974-04-20 23:44:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1974-04-21 01:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '278', NULL);
INSERT INTO event VALUES ('1974-04-21 06:30:00',15.50,97.00, 1141,2.40,12.30, 74, 'Deep Moonquake', '282', NULL);
INSERT INTO event VALUES ('1974-04-21 11:56:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1974-04-21 13:10:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1974-04-21 20:31:00',-53.20,-54.40, 933,4.60,11.40, 109, 'Deep Moonquake', '281', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-04-21 21:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-04-22 02:07:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1974-04-22 03:16:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1974-04-22 06:20:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1974-04-22 09:18:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1974-04-22 14:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1974-04-22 15:43:00',8.70,-53.40, 828,1.00,5.00, 27, 'Deep Moonquake', '50', NULL);
INSERT INTO event VALUES ('1974-04-22 19:19:00',24.10,-52.20, 750,9.50,8.00, 109, 'Deep Moonquake', '60', '(*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1974-04-23 01:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT');
INSERT INTO event VALUES ('1974-04-25 00:36:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', NULL);
INSERT INTO event VALUES ('1974-04-25 04:09:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1974-04-25 04:30:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', NULL);
INSERT INTO event VALUES ('1974-04-25 13:20:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1974-04-25 18:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-04-26 00:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST N OF 15');
INSERT INTO event VALUES ('1974-04-26 06:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', NULL);
INSERT INTO event VALUES ('1974-04-26 09:18:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1974-04-27 11:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '308', NULL);
INSERT INTO event VALUES ('1974-04-27 12:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-04-27 14:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-04-27 19:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C VERY CLOSE TO 16,');
INSERT INTO event VALUES ('1974-04-27 22:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NEAR 14');
INSERT INTO event VALUES ('1974-04-28 07:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SP=1,16SR@118 0452');
INSERT INTO event VALUES ('1974-04-29 20:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-05-02 14:50:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1974-05-04 22:12:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'OLD A45,INVERTED');
INSERT INTO event VALUES ('1974-05-05 21:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-05-06 00:51:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', NULL);
INSERT INTO event VALUES ('1974-05-06 03:31:00',3.40,2.00, 559,0.60,0.70, 97, 'Deep Moonquake', '259', NULL);
INSERT INTO event VALUES ('1974-05-06 11:30:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-05-06 14:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-05-07 00:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '211', NULL);
INSERT INTO event VALUES ('1974-05-07 03:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '311', NULL);
INSERT INTO event VALUES ('1974-05-07 11:41:00',0.50,47.30, 1243,2.00,11.80, 50, 'Deep Moonquake', '203', NULL);
INSERT INTO event VALUES ('1974-05-07 19:49:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'OLD A46,INVERTED');
INSERT INTO event VALUES ('1974-05-08 01:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '43', NULL);
INSERT INTO event VALUES ('1974-05-08 02:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-05-08 09:49:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1974-05-08 10:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '369', NULL);
INSERT INTO event VALUES ('1974-05-08 19:58:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1974-05-09 06:08:00',34.30,45.00, 933,12.00,29.90, 109, 'Deep Moonquake', '231', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-05-09 06:52:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', NULL);
INSERT INTO event VALUES ('1974-05-09 13:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-05-10 06:44:00',0.50,47.30, 1243,2.00,11.80, 50, 'Deep Moonquake', '203', NULL);
INSERT INTO event VALUES ('1974-05-10 10:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '270', NULL);
INSERT INTO event VALUES ('1974-05-10 13:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '31', NULL);
INSERT INTO event VALUES ('1974-05-10 17:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-05-10 18:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-05-11 05:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-05-11 06:55:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', NULL);
INSERT INTO event VALUES ('1974-05-13 06:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-05-13 09:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-05-13 13:27:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1974-05-13 21:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-05-14 02:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-05-14 03:35:00',0.50,47.30, 1243,2.00,11.80, 50, 'Deep Moonquake', '203', NULL);
INSERT INTO event VALUES ('1974-05-14 03:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-05-14 09:38:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', NULL);
INSERT INTO event VALUES ('1974-05-14 10:53:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1974-05-14 11:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-05-14 18:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-05-14 18:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-05-15 01:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-05-15 08:52:00',0.50,47.30, 1243,2.00,11.80, 50, 'Deep Moonquake', '203', NULL);
INSERT INTO event VALUES ('1974-05-15 12:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '445', NULL);
INSERT INTO event VALUES ('1974-05-15 17:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-05-15 20:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1974-05-16 01:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-05-16 02:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-05-16 13:13:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1974-05-16 20:23:00',-9.50,-53.60, 750,17.60,5.90, 109, 'Deep Moonquake', '59', '(*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1974-05-16 22:04:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1974-05-17 00:08:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-05-17 01:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-05-17 01:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-05-17 05:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1974-05-17 05:29:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-05-17 06:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-05-17 08:26:00',-7.10,15.30, 933,3.50,4.00, 109, 'Deep Moonquake', '258', NULL);
INSERT INTO event VALUES ('1974-05-17 11:38:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-05-17 14:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-05-17 14:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1974-05-17 18:38:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', NULL);
INSERT INTO event VALUES ('1974-05-17 20:27:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1974-05-18 06:35:00',8.40,-64.00, 968,1.80,4.70, 18, 'Deep Moonquake', '54', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1974-05-18 10:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1974-05-18 11:34:00',8.40,-64.00, 968,1.80,4.70, 18, 'Deep Moonquake', '54', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1974-05-18 13:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '344', NULL);
INSERT INTO event VALUES ('1974-05-18 13:21:00',15.50,97.00, 1141,2.40,12.30, 74, 'Deep Moonquake', '282', NULL);
INSERT INTO event VALUES ('1974-05-18 15:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '278', NULL);
INSERT INTO event VALUES ('1974-05-18 15:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-05-18 21:35:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1974-05-18 22:43:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1974-05-19 03:15:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1974-05-19 05:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1974-05-19 15:04:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1974-05-19 15:22:00',24.10,-52.20, 750,9.50,8.00, 109, 'Deep Moonquake', '60', '(*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1974-05-19 16:53:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1974-05-19 19:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-05-19 20:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '444', NULL);
INSERT INTO event VALUES ('1974-07-14 18:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '444', NULL);
INSERT INTO event VALUES ('1974-05-19 23:17:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1974-05-20 05:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '426', NULL);
INSERT INTO event VALUES ('1974-05-20 06:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '420', NULL);
INSERT INTO event VALUES ('1974-05-20 13:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-05-20 13:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '422', NULL);
INSERT INTO event VALUES ('1974-05-20 22:44:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1974-05-20 23:25:00',-7.80,5.40, 933,3.50,1.70, 109, 'Deep Moonquake', '236', NULL);
INSERT INTO event VALUES ('1974-05-21 01:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '436', NULL);
INSERT INTO event VALUES ('1974-05-21 07:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-05-21 08:13:00',54.20,56.50, 933,6.50,14.00, 109, 'Deep Moonquake', '286', NULL);
INSERT INTO event VALUES ('1974-05-21 09:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '417', NULL);
INSERT INTO event VALUES ('1974-05-21 09:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'GOOD SPZ - CLOSE');
INSERT INTO event VALUES ('1974-05-21 11:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'GOOD SPZ - CLOSE');
INSERT INTO event VALUES ('1974-05-22 03:15:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1974-05-22 05:59:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', NULL);
INSERT INTO event VALUES ('1974-05-22 08:07:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', NULL);
INSERT INTO event VALUES ('1974-05-22 09:25:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1974-05-22 11:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'GOOD SP');
INSERT INTO event VALUES ('1974-05-22 14:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-05-22 15:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '416', NULL);
INSERT INTO event VALUES ('1974-05-22 16:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '439', NULL);
INSERT INTO event VALUES ('1974-05-22 20:17:00',7.00,8.30, 1019,1.30,4.10, 191, 'Deep Moonquake', '243', NULL);
INSERT INTO event VALUES ('1974-05-22 21:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '440', NULL);
INSERT INTO event VALUES ('1974-05-23 00:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-05-23 02:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', NULL);
INSERT INTO event VALUES ('1974-05-23 06:08:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1974-05-23 07:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '427', NULL);
INSERT INTO event VALUES ('1974-05-23 08:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-05-23 09:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-05-23 15:28:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', NULL);
INSERT INTO event VALUES ('1974-05-24 01:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '308', NULL);
INSERT INTO event VALUES ('1974-05-24 18:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-05-25 00:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SP=5');
INSERT INTO event VALUES ('1974-05-25 01:29:00',58.60,54.20, 1025,4.60,15.50, 31, 'Deep Moonquake', '242', NULL);
INSERT INTO event VALUES ('1974-05-25 04:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'LARGE SPZ');
INSERT INTO event VALUES ('1974-05-25 06:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'LARGE SPZ');
INSERT INTO event VALUES ('1974-05-26 04:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '261', NULL);
INSERT INTO event VALUES ('1974-05-26 22:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-05-27 09:00:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', 'S.R. @16 147 1602, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-05-29 10:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'S.R. @15 149 0453,14SP=4');
INSERT INTO event VALUES ('1974-05-29 20:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Shallow Moonquake', NULL, 'SPZ=2,5@14,16');
INSERT INTO event VALUES ('1974-05-30 05:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'S.R. @14 150 1210');
INSERT INTO event VALUES ('1974-05-30 16:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'S.R. @12 150 1913');
INSERT INTO event VALUES ('1974-05-31 11:48:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'INVERTED');
INSERT INTO event VALUES ('1974-05-31 14:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1974-05-31 17:49:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1974-06-01 05:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1974-06-01 06:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=5');
INSERT INTO event VALUES ('1974-06-01 23:10:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', 'LIKE A 45');
INSERT INTO event VALUES ('1974-06-02 01:08:00',-69.40,75.40, 933,4.40,24.60, 109, 'Deep Moonquake', '241', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-06-02 08:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1974-06-02 15:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 16');
INSERT INTO event VALUES ('1974-06-02 20:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1974-06-03 22:57:00',0.50,47.30, 1243,2.00,11.80, 50, 'Deep Moonquake', '203', NULL);
INSERT INTO event VALUES ('1974-06-04 01:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-06-04 06:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-06-04 09:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-06-04 15:24:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1974-06-05 13:47:00',34.30,45.00, 933,12.00,29.90, 109, 'Deep Moonquake', '231', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-06-05 17:30:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1974-06-06 11:54:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', 'M?');
INSERT INTO event VALUES ('1974-06-06 14:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '270', 'C');
INSERT INTO event VALUES ('1974-06-07 03:53:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1974-06-07 17:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'GOOD SPZ,C');
INSERT INTO event VALUES ('1974-06-08 10:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-06-09 16:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=2');
INSERT INTO event VALUES ('1974-06-09 18:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST NO SP');
INSERT INTO event VALUES ('1974-06-10 03:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'CLOSE TO 14, V STRONG SP');
INSERT INTO event VALUES ('1974-06-11 16:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-06-12 15:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-06-13 07:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1974-06-13 22:33:00',-7.10,15.30, 933,3.50,4.00, 109, 'Deep Moonquake', '258', 'SUNSET AT 14');
INSERT INTO event VALUES ('1974-06-14 08:05:00',-7.60,36.70, 933,5.00,13.20, 109, 'Deep Moonquake', '267', NULL);
INSERT INTO event VALUES ('1974-06-14 17:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1974-06-15 13:21:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1974-06-15 18:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '425', NULL);
INSERT INTO event VALUES ('1974-06-15 22:37:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1974-06-15 23:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-06-16 00:21:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1974-06-16 02:59:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1974-06-16 07:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15 SP= 19MM');
INSERT INTO event VALUES ('1974-06-16 09:38:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1974-06-16 11:38:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1974-06-16 12:58:00',8.70,-53.40, 828,1.00,5.00, 27, 'Deep Moonquake', '50', NULL);
INSERT INTO event VALUES ('1974-06-16 13:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '426', NULL);
INSERT INTO event VALUES ('1974-06-16 14:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-06-16 16:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-06-16 19:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15 SP = 21.0MM');
INSERT INTO event VALUES ('1974-06-17 02:38:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', NULL);
INSERT INTO event VALUES ('1974-06-17 06:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '422', NULL);
INSERT INTO event VALUES ('1974-06-17 14:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-06-17 20:28:00',54.20,56.50, 933,6.50,14.00, 109, 'Deep Moonquake', '286', NULL);
INSERT INTO event VALUES ('1974-06-18 00:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-06-18 03:12:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', NULL);
INSERT INTO event VALUES ('1974-07-15 03:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST,C');
INSERT INTO event VALUES ('1974-06-18 21:09:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1974-06-19 02:43:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', NULL);
INSERT INTO event VALUES ('1974-06-19 16:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SP=23');
INSERT INTO event VALUES ('1974-06-19 17:00:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', '14 AMP EST');
INSERT INTO event VALUES ('1974-06-19 18:12:00',-13.70,-21.60, 764,3.90,4.50, 81, 'Deep Moonquake', '216', NULL);
INSERT INTO event VALUES ('1974-06-19 18:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15 SP = 11.0MM');
INSERT INTO event VALUES ('1974-06-19 20:18:00',7.00,8.30, 1019,1.30,4.10, 191, 'Deep Moonquake', '243', NULL);
INSERT INTO event VALUES ('1974-06-20 11:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '268', NULL);
INSERT INTO event VALUES ('1974-06-20 12:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '308', NULL);
INSERT INTO event VALUES ('1974-06-21 03:36:00',58.60,54.20, 1025,4.60,15.50, 31, 'Deep Moonquake', '242', NULL);
INSERT INTO event VALUES ('1974-06-23 15:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14 SP = 29.0MM');
INSERT INTO event VALUES ('1974-06-24 05:58:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-06-25 00:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-06-25 15:07:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1974-06-26 01:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C   SR @16 177 0250');
INSERT INTO event VALUES ('1974-06-26 08:36:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', NULL);
INSERT INTO event VALUES ('1974-06-26 11:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=30');
INSERT INTO event VALUES ('1974-06-26 15:08:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1974-06-27 07:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-06-27 12:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-06-27 15:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SR@15 178  1645');
INSERT INTO event VALUES ('1974-06-27 17:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-06-27 18:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-06-27 20:08:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'INVERTED');
INSERT INTO event VALUES ('1974-06-27 22:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '213', NULL);
INSERT INTO event VALUES ('1974-06-28 00:56:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-06-28 01:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-06-28 02:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-06-28 02:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '359', NULL);
INSERT INTO event VALUES ('1974-06-28 04:35:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1974-06-28 04:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-06-28 05:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '240', NULL);
INSERT INTO event VALUES ('1974-06-28 07:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1974-06-28 08:47:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-06-28 09:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '252', NULL);
INSERT INTO event VALUES ('1974-06-28 11:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C  SP=LP');
INSERT INTO event VALUES ('1974-06-28 12:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1974-06-28 13:28:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1974-06-28 13:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1974-06-28 17:35:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', NULL);
INSERT INTO event VALUES ('1974-06-28 18:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C?');
INSERT INTO event VALUES ('1974-06-28 18:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '331', NULL);
INSERT INTO event VALUES ('1974-06-28 19:45:00',-27.90,-31.00, 932,3.60,2.10, 12, 'Deep Moonquake', '53', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1974-06-28 20:12:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', 'SR@14 179 2308');
INSERT INTO event VALUES ('1974-06-29 16:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C  SR@12 180 0610');
INSERT INTO event VALUES ('1974-06-29 19:16:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', NULL);
INSERT INTO event VALUES ('1974-06-29 21:08:00',-69.40,75.40, 933,4.40,24.60, 109, 'Deep Moonquake', '241', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-06-29 22:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-06-30 07:50:00',3.40,2.00, 559,0.60,0.70, 97, 'Deep Moonquake', '259', NULL);
INSERT INTO event VALUES ('1974-06-30 08:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C  SP=LP');
INSERT INTO event VALUES ('1974-06-30 09:57:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1974-06-30 17:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C  SP@14=20');
INSERT INTO event VALUES ('1974-07-01 02:38:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', 'CLEAR S');
INSERT INTO event VALUES ('1974-07-01 05:53:00',0.50,47.30, 1243,2.00,11.80, 50, 'Deep Moonquake', '203', NULL);
INSERT INTO event VALUES ('1974-07-01 16:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-07-01 17:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1974-07-01 21:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SP=3.5');
INSERT INTO event VALUES ('1974-07-02 01:33:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1974-07-02 22:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-07-03 04:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'CLOSEST TO 15');
INSERT INTO event VALUES ('1974-07-03 11:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NEAR 14');
INSERT INTO event VALUES ('1974-07-03 11:35:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', NULL);
INSERT INTO event VALUES ('1974-07-03 11:53:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1974-07-03 14:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NEAR 15');
INSERT INTO event VALUES ('1974-07-04 07:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-07-04 16:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NEAR 15');
INSERT INTO event VALUES ('1974-07-04 20:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '253', NULL);
INSERT INTO event VALUES ('1974-07-05 06:56:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1974-07-06 02:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'CLOSEST TO 14');
INSERT INTO event VALUES ('1974-07-06 14:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'CLOSEST TO 15 SP=13');
INSERT INTO event VALUES ('1974-07-08 02:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1974-07-08 03:09:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', 'C?');
INSERT INTO event VALUES ('1974-07-09 09:52:00',-7.10,15.30, 933,3.50,4.00, 109, 'Deep Moonquake', '258', 'C?');
INSERT INTO event VALUES ('1974-07-09 14:43:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1974-07-10 21:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NEAR 14. GOOG SP,C');
INSERT INTO event VALUES ('1974-07-11 00:52:00',26.10,85.10, 132.59999999999999,4.90,2.30, 40.700000000000003, 'Shallow Moonquake', NULL, 'SPZ=80,140,130@14,15,16');
INSERT INTO event VALUES ('1974-07-11 12:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'M?');
INSERT INTO event VALUES ('1974-07-11 15:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'M?');
INSERT INTO event VALUES ('1974-07-11 17:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'M?');
INSERT INTO event VALUES ('1974-07-12 02:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-07-12 20:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1974-07-13 05:43:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1974-07-13 16:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-07-13 19:20:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1974-07-13 20:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NEAR 16. GOOD SP,C');
INSERT INTO event VALUES ('1974-07-14 05:10:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1974-07-14 05:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1974-07-14 06:12:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1974-07-14 07:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1974-07-14 07:48:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1974-07-14 15:28:00',24.10,-52.20, 750,9.50,8.00, 109, 'Deep Moonquake', '60', '(*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1974-07-15 11:52:00',54.20,56.50, 933,6.50,14.00, 109, 'Deep Moonquake', '286', '2 EVENTS AT 16');
INSERT INTO event VALUES ('1974-07-15 12:35:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1974-07-15 17:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '392', NULL);
INSERT INTO event VALUES ('1974-07-15 19:58:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'C?');
INSERT INTO event VALUES ('1974-07-16 07:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-07-16 13:34:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', NULL);
INSERT INTO event VALUES ('1974-07-16 22:22:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1974-07-17 00:37:00',14.30,-12.40, 945,1.00,2.00, 26, 'Deep Moonquake', '71', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1974-07-17 05:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-07-17 12:05:00',-8.88,21.73, 0, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 14SP=2');
INSERT INTO event VALUES ('1974-07-17 13:17:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1974-07-17 21:47:00',7.00,8.30, 1019,1.30,4.10, 191, 'Deep Moonquake', '243', NULL);
INSERT INTO event VALUES ('1974-07-18 03:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1974-07-18 07:10:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', NULL);
INSERT INTO event VALUES ('1974-07-18 14:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '308', NULL);
INSERT INTO event VALUES ('1974-07-18 18:40:00',58.60,54.20, 1025,4.60,15.50, 31, 'Deep Moonquake', '242', NULL);
INSERT INTO event VALUES ('1974-07-19 07:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '268', NULL);
INSERT INTO event VALUES ('1974-07-19 18:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST,C');
INSERT INTO event VALUES ('1974-07-20 04:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP=3,C');
INSERT INTO event VALUES ('1974-07-20 06:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP=7,C');
INSERT INTO event VALUES ('1974-07-20 08:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '422', NULL);
INSERT INTO event VALUES ('1974-07-20 10:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '89', NULL);
INSERT INTO event VALUES ('1974-07-20 10:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '431', NULL);
INSERT INTO event VALUES ('1974-07-21 09:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-07-22 19:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '269', NULL);
INSERT INTO event VALUES ('1974-07-23 17:22:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1974-07-24 05:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '428', NULL);
INSERT INTO event VALUES ('1974-07-24 07:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '428', NULL);
INSERT INTO event VALUES ('1974-07-24 08:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1974-07-24 09:09:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-07-24 10:16:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1974-07-24 18:45:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1974-07-24 21:26:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', NULL);
INSERT INTO event VALUES ('1974-07-25 03:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '211', NULL);
INSERT INTO event VALUES ('1974-07-25 05:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '426', NULL);
INSERT INTO event VALUES ('1974-07-25 07:56:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1974-07-25 14:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16 SUNRISE');
INSERT INTO event VALUES ('1974-07-26 06:23:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', NULL);
INSERT INTO event VALUES ('1974-07-26 08:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14 SP = 1.6MM');
INSERT INTO event VALUES ('1974-07-26 20:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-07-27 05:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1974-07-27 07:35:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', NULL);
INSERT INTO event VALUES ('1974-07-27 12:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '254', NULL);
INSERT INTO event VALUES ('1974-07-27 19:25:00',3.40,2.00, 559,0.60,0.70, 97, 'Deep Moonquake', '259', NULL);
INSERT INTO event VALUES ('1974-07-29 03:15:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', NULL);
INSERT INTO event VALUES ('1974-07-29 14:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=LP');
INSERT INTO event VALUES ('1974-07-29 18:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-07-29 22:52:00',34.30,45.00, 933,12.00,29.90, 109, 'Deep Moonquake', '231', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-07-30 05:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '228', NULL);
INSERT INTO event VALUES ('1974-07-30 06:07:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-07-31 02:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1974-07-31 09:27:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1974-08-01 04:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '262', NULL);
INSERT INTO event VALUES ('1974-08-02 02:33:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', NULL);
INSERT INTO event VALUES ('1974-08-02 07:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=30');
INSERT INTO event VALUES ('1974-08-02 13:11:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1974-08-02 18:33:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1974-08-03 09:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', 'P,S@16');
INSERT INTO event VALUES ('1974-08-03 13:06:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1974-08-04 04:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=13');
INSERT INTO event VALUES ('1974-08-04 12:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1974-08-04 16:06:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1974-08-04 23:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=10');
INSERT INTO event VALUES ('1974-08-05 23:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-08-05 23:47:00',-7.10,15.30, 933,3.50,4.00, 109, 'Deep Moonquake', '258', NULL);
INSERT INTO event VALUES ('1974-08-06 09:15:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1974-08-06 10:35:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', NULL);
INSERT INTO event VALUES ('1974-08-06 17:01:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', 'C');
INSERT INTO event VALUES ('1974-08-07 11:32:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1974-08-07 16:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '337', NULL);
INSERT INTO event VALUES ('1974-08-07 23:52:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', NULL);
INSERT INTO event VALUES ('1974-08-08 03:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-08-08 04:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C');
INSERT INTO event VALUES ('1974-08-08 06:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-08-08 08:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-08-08 14:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C');
INSERT INTO event VALUES ('1974-08-08 17:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-08-08 21:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-08-09 02:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-08-09 05:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-08-09 06:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '80', 'S.S.@16 221 0400');
INSERT INTO event VALUES ('1974-08-09 16:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1974-08-09 16:50:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1974-08-09 17:08:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1974-08-09 19:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1974-08-09 21:34:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', 'S.S.@15 222 0100');
INSERT INTO event VALUES ('1974-08-10 07:27:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1974-08-10 10:30:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1974-08-10 12:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1974-08-10 13:51:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1974-08-10 20:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '417', NULL);
INSERT INTO event VALUES ('1974-08-10 22:20:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1974-08-10 22:46:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1974-08-11 05:12:00',15.50,97.00, 1141,2.40,12.30, 74, 'Deep Moonquake', '282', NULL);
INSERT INTO event VALUES ('1974-08-11 12:25:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1974-08-11 13:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '444', 'S.S.@14 223 2100');
INSERT INTO event VALUES ('1974-08-12 02:52:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1974-08-12 22:08:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-08-13 08:30:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', NULL);
INSERT INTO event VALUES ('1974-08-13 14:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', NULL);
INSERT INTO event VALUES ('1974-08-13 19:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '4', NULL);
INSERT INTO event VALUES ('1974-08-13 23:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '390', 'C?');
INSERT INTO event VALUES ('1974-08-14 10:03:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1974-08-14 17:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NEAR 16 GOOD SP 16 CLIPPED,C');
INSERT INTO event VALUES ('1974-08-15 06:08:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', NULL);
INSERT INTO event VALUES ('1974-08-15 07:10:00',7.00,8.30, 1019,1.30,4.10, 191, 'Deep Moonquake', '243', NULL);
INSERT INTO event VALUES ('1974-08-15 08:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1974-08-15 15:48:00',58.60,54.20, 1025,4.60,15.50, 31, 'Deep Moonquake', '242', NULL);
INSERT INTO event VALUES ('1974-08-16 10:20:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-08-17 00:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1974-08-17 14:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=1');
INSERT INTO event VALUES ('1974-08-19 06:45:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1974-08-19 08:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP=30.,C');
INSERT INTO event VALUES ('1974-08-19 12:30:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1974-08-19 14:42:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1974-08-19 16:54:00',-1.70,18.00, 933,2.30,4.50, 109, 'Deep Moonquake', '260', NULL);
INSERT INTO event VALUES ('1974-08-19 19:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '269', NULL);
INSERT INTO event VALUES ('1974-08-20 02:17:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1974-08-20 09:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ=20.,C');
INSERT INTO event VALUES ('1974-08-20 12:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '428', NULL);
INSERT INTO event VALUES ('1974-08-20 16:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-08-21 15:19:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', NULL);
INSERT INTO event VALUES ('1974-08-22 03:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '90', NULL);
INSERT INTO event VALUES ('1974-08-22 12:35:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', NULL);
INSERT INTO event VALUES ('1974-08-22 14:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '214', NULL);
INSERT INTO event VALUES ('1974-08-22 15:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '211', NULL);
INSERT INTO event VALUES ('1974-08-22 20:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '419', NULL);
INSERT INTO event VALUES ('1974-08-22 22:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '449', NULL);
INSERT INTO event VALUES ('1974-08-23 04:30:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', NULL);
INSERT INTO event VALUES ('1974-08-23 10:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-08-23 11:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '349', NULL);
INSERT INTO event VALUES ('1974-08-23 12:35:00',30.10,53.20, 975,2.90,9.80, 24, 'Deep Moonquake', '64', NULL);
INSERT INTO event VALUES ('1974-08-23 14:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C?');
INSERT INTO event VALUES ('1974-08-23 14:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST NO SP');
INSERT INTO event VALUES ('1974-08-23 16:18:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', NULL);
INSERT INTO event VALUES ('1974-08-23 18:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1974-08-23 18:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '254', NULL);
INSERT INTO event VALUES ('1974-08-24 04:14:00',3.40,2.00, 559,0.60,0.70, 97, 'Deep Moonquake', '259', '16 SR@236:0030');
INSERT INTO event VALUES ('1974-08-24 15:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-08-24 16:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-08-25 08:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ=23.,C, 15SR@237/1613');
INSERT INTO event VALUES ('1974-08-25 19:20:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1974-08-26 16:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-08-26 17:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '369', NULL);
INSERT INTO event VALUES ('1974-08-26 17:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '253', '2');
INSERT INTO event VALUES ('1974-08-27 05:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '431', 'STA 12 SUNRISE');
INSERT INTO event VALUES ('1974-08-27 12:47:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-08-27 13:31:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1974-08-27 17:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ 8.OMM,C');
INSERT INTO event VALUES ('1974-08-27 18:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 14SP=50');
INSERT INTO event VALUES ('1974-08-27 19:50:00',24.10,-52.20, 750,9.50,8.00, 109, 'Deep Moonquake', '60', '(*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1974-08-27 22:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-08-28 02:42:00',23.00,20.40, 1085,3.30,4.70, 64, 'Deep Moonquake', '27', NULL);
INSERT INTO event VALUES ('1974-08-28 03:40:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1974-08-28 06:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '427', NULL);
INSERT INTO event VALUES ('1974-08-28 07:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1974-08-28 09:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-08-28 10:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'NO SP');
INSERT INTO event VALUES ('1974-08-28 18:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '423', 'NO SP');
INSERT INTO event VALUES ('1974-08-28 20:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-08-29 08:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '418', NULL);
INSERT INTO event VALUES ('1974-08-29 11:54:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', 'MAGNETIC?');
INSERT INTO event VALUES ('1974-08-29 18:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-08-30 00:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'STRONG SP,Z?');
INSERT INTO event VALUES ('1974-08-30 09:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'STRONG SP,Z?');
INSERT INTO event VALUES ('1974-08-30 14:12:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1974-08-31 02:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-08-31 03:34:00',-3.40,12.50, 933,2.50,3.10, 109, 'Deep Moonquake', '249', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-08-31 03:45:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1974-08-31 07:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '410', NULL);
INSERT INTO event VALUES ('1974-08-31 07:32:00',-3.40,12.50, 933,2.50,3.10, 109, 'Deep Moonquake', '249', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-08-31 14:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1974-09-01 03:47:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1974-09-01 15:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-09-02 04:21:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1974-09-02 10:37:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', NULL);
INSERT INTO event VALUES ('1974-09-02 14:41:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1974-09-02 18:56:00',-7.10,15.30, 933,3.50,4.00, 109, 'Deep Moonquake', '258', NULL);
INSERT INTO event VALUES ('1974-09-03 19:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-09-03 23:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-09-04 06:37:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1974-09-04 08:46:00',-9.50,-53.60, 750,17.60,5.90, 109, 'Deep Moonquake', '59', '(*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1974-09-04 22:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-09-05 00:05:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1974-09-05 09:32:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-09-05 11:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-09-05 15:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '80', NULL);
INSERT INTO event VALUES ('1974-09-05 16:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1974-09-05 17:37:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-09-05 17:56:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1974-09-06 02:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '316', NULL);
INSERT INTO event VALUES ('1974-09-06 04:31:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1974-09-06 06:32:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1974-09-06 14:12:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', 'A44?');
INSERT INTO event VALUES ('1974-09-06 17:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-09-06 21:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-09-06 21:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1974-09-07 00:59:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1974-09-07 05:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-09-07 07:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '288', NULL);
INSERT INTO event VALUES ('1974-09-08 03:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-09-08 05:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '351', NULL);
INSERT INTO event VALUES ('1974-09-08 22:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C?');
INSERT INTO event VALUES ('1974-09-08 23:29:00',-50.00,53.20, 933,7.50,12.20, 109, 'Deep Moonquake', '272', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-09-09 03:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SIGNALS MAY NOT BE RELATED');
INSERT INTO event VALUES ('1974-09-09 07:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-09-09 14:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-09-09 19:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', NULL);
INSERT INTO event VALUES ('1974-09-10 01:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-09-10 03:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '4', '14 S.S. @ 253 0840');
INSERT INTO event VALUES ('1974-09-10 15:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-09-10 17:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-09-10 18:22:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', NULL);
INSERT INTO event VALUES ('1974-09-10 19:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '72', NULL);
INSERT INTO event VALUES ('1974-09-11 04:15:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1974-09-11 14:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '390', NULL);
INSERT INTO event VALUES ('1974-09-11 22:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', NULL);
INSERT INTO event VALUES ('1974-09-12 01:29:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', NULL);
INSERT INTO event VALUES ('1974-09-12 09:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '308', NULL);
INSERT INTO event VALUES ('1974-09-12 14:19:00',58.60,54.20, 1025,4.60,15.50, 31, 'Deep Moonquake', '242', NULL);
INSERT INTO event VALUES ('1974-09-13 17:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C LARGE SPZ');
INSERT INTO event VALUES ('1974-09-15 05:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '253', 'STEADY NOISE @15 FROM 257 0212');
INSERT INTO event VALUES ('1974-09-16 08:02:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1974-09-16 13:42:00',-1.70,18.00, 933,2.30,4.50, 109, 'Deep Moonquake', '260', NULL);
INSERT INTO event VALUES ('1974-09-16 16:13:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1974-09-16 19:10:00',-3.40,12.50, 933,2.50,3.10, 109, 'Deep Moonquake', '249', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-09-16 19:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1974-09-17 01:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '428', NULL);
INSERT INTO event VALUES ('1974-09-17 02:07:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1974-09-17 02:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '428', NULL);
INSERT INTO event VALUES ('1974-09-17 03:12:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-09-17 04:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, 'TWO EVENTS ?');
INSERT INTO event VALUES ('1974-09-17 07:08:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1974-09-17 10:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '391', 'M?');
INSERT INTO event VALUES ('1974-09-17 11:38:00',8.70,-53.40, 828,1.00,5.00, 27, 'Deep Moonquake', '50', 'M?');
INSERT INTO event VALUES ('1974-09-17 12:55:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', NULL);
INSERT INTO event VALUES ('1974-09-17 17:58:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1974-09-17 18:45:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-09-18 00:48:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'M?');
INSERT INTO event VALUES ('1974-09-18 07:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'IMPACT NEAR 16 GOOD SPZ,C');
INSERT INTO event VALUES ('1974-09-18 08:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-09-18 18:28:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', 'M?');
INSERT INTO event VALUES ('1974-09-18 20:34:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1974-09-19 03:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '214', NULL);
INSERT INTO event VALUES ('1974-09-19 11:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '213', NULL);
INSERT INTO event VALUES ('1974-09-19 14:30:00',34.70,60.10, 1043,2.50,10.60, 30, 'Deep Moonquake', '74', NULL);
INSERT INTO event VALUES ('1974-09-19 16:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '254', NULL);
INSERT INTO event VALUES ('1974-09-19 18:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-09-19 19:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=1');
INSERT INTO event VALUES ('1974-09-19 20:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'STA 16 AMPL.=2*LPX,C');
INSERT INTO event VALUES ('1974-09-20 04:18:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', NULL);
INSERT INTO event VALUES ('1974-09-20 09:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-09-20 12:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '235', 'C?');
INSERT INTO event VALUES ('1974-09-21 06:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=3');
INSERT INTO event VALUES ('1974-09-21 12:48:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', NULL);
INSERT INTO event VALUES ('1974-09-21 22:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '228', NULL);
INSERT INTO event VALUES ('1974-09-21 23:47:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1974-09-22 14:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SUNRISE AT 16,C');
INSERT INTO event VALUES ('1974-09-23 11:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SR@15 267/417');
INSERT INTO event VALUES ('1974-09-24 09:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST NO SP');
INSERT INTO event VALUES ('1974-09-24 18:32:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', 'C?, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1974-09-24 22:40:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-09-25 05:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SR@14 268/905 SR@12 268/1615');
INSERT INTO event VALUES ('1974-09-26 22:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '418', NULL);
INSERT INTO event VALUES ('1974-09-27 04:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1974-09-27 11:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1974-09-28 01:12:00',-46.50,38.90, 933,8.30,9.30, 109, 'Deep Moonquake', '251', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-09-28 09:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1974-09-28 13:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=6');
INSERT INTO event VALUES ('1974-09-29 05:30:00',-3.40,12.50, 933,2.50,3.10, 109, 'Deep Moonquake', '249', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-09-29 14:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST NO SP');
INSERT INTO event VALUES ('1974-09-29 15:11:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1974-09-30 00:38:00',-3.40,12.50, 933,2.50,3.10, 109, 'Deep Moonquake', '249', 'NO SP, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-09-30 01:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP=6');
INSERT INTO event VALUES ('1974-09-30 19:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-09-30 21:18:00',-9.50,-53.60, 750,17.60,5.90, 109, 'Deep Moonquake', '59', '(*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1974-10-01 14:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, 'STRONG AT A16');
INSERT INTO event VALUES ('1974-10-01 16:18:00',-7.10,15.30, 933,3.50,4.00, 109, 'Deep Moonquake', '258', NULL);
INSERT INTO event VALUES ('1974-10-01 22:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-10-02 01:10:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1974-10-02 03:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1974-10-02 13:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-10-02 20:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'V. CLOSE TO A14 SP=42');
INSERT INTO event VALUES ('1974-10-03 09:04:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1974-10-03 10:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP=1');
INSERT INTO event VALUES ('1974-10-03 11:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-10-03 20:52:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', NULL);
INSERT INTO event VALUES ('1974-10-04 14:28:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1974-10-04 18:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST NO SP');
INSERT INTO event VALUES ('1974-10-05 01:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-10-05 02:57:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', 'NO SP');
INSERT INTO event VALUES ('1974-10-05 06:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST NO SP');
INSERT INTO event VALUES ('1974-10-05 19:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-10-06 13:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST NO SP');
INSERT INTO event VALUES ('1974-10-07 10:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '226', NULL);
INSERT INTO event VALUES ('1974-10-07 16:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-10-08 11:32:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1974-10-08 11:56:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-10-08 13:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', 'SS@14 282 1945');
INSERT INTO event VALUES ('1974-10-10 03:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '90', NULL);
INSERT INTO event VALUES ('1974-10-10 09:10:00',58.60,54.20, 1025,4.60,15.50, 31, 'Deep Moonquake', '242', 'SS@12 283 0840');
INSERT INTO event VALUES ('1974-10-11 12:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST NO SP');
INSERT INTO event VALUES ('1974-10-11 15:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '440', NULL);
INSERT INTO event VALUES ('1974-10-12 21:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '261', NULL);
INSERT INTO event VALUES ('1974-10-13 15:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST NO SP');
INSERT INTO event VALUES ('1974-10-13 17:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '221', NULL);
INSERT INTO event VALUES ('1974-10-13 17:50:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1974-10-14 01:06:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-10-14 01:36:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1974-10-14 04:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-10-14 07:47:00',6.30,22.10, 855,0.90,9.70, 188, 'Deep Moonquake', '230', 'C?');
INSERT INTO event VALUES ('1974-10-14 10:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '253', NULL);
INSERT INTO event VALUES ('1974-10-14 12:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-10-14 16:12:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'NO SP');
INSERT INTO event VALUES ('1974-10-14 17:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 14SP=4');
INSERT INTO event VALUES ('1974-10-14 22:34:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1974-10-15 07:59:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-10-15 09:23:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-10-15 10:07:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', NULL);
INSERT INTO event VALUES ('1974-10-15 23:05:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', NULL);
INSERT INTO event VALUES ('1974-10-16 00:56:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1974-10-16 12:14:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', NULL);
INSERT INTO event VALUES ('1974-10-16 16:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '12 FLAT MODE TILL 75/099');
INSERT INTO event VALUES ('1974-10-16 23:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '349', NULL);
INSERT INTO event VALUES ('1974-10-17 06:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '213', NULL);
INSERT INTO event VALUES ('1974-10-17 14:29:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1974-10-17 18:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '235', NULL);
INSERT INTO event VALUES ('1974-10-17 19:48:00',30.10,53.20, 975,2.90,9.80, 24, 'Deep Moonquake', '64', NULL);
INSERT INTO event VALUES ('1974-10-18 18:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '228', NULL);
INSERT INTO event VALUES ('1974-10-18 18:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-10-19 06:47:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1974-10-19 09:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-10-19 09:44:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1974-10-19 19:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 15');
INSERT INTO event VALUES ('1974-10-19 23:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=7');
INSERT INTO event VALUES ('1974-10-20 05:40:00',-26.50,-35.10, 933,12.00,7.20, 109, 'Deep Moonquake', '209', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-10-20 06:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 16');
INSERT INTO event VALUES ('1974-10-20 09:18:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', 'CLEAR S');
INSERT INTO event VALUES ('1974-10-20 23:20:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', NULL);
INSERT INTO event VALUES ('1974-10-20 23:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-10-21 08:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 15. 14LXP SICK TILL SR.');
INSERT INTO event VALUES ('1974-10-21 10:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 16');
INSERT INTO event VALUES ('1974-10-21 14:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=2');
INSERT INTO event VALUES ('1974-10-21 21:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '270', NULL);
INSERT INTO event VALUES ('1974-10-21 22:14:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-10-22 00:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-10-22 01:10:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', 'S.R. @16 295-0120');
INSERT INTO event VALUES ('1974-10-22 05:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-10-22 06:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '31', NULL);
INSERT INTO event VALUES ('1974-10-22 08:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '253', NULL);
INSERT INTO event VALUES ('1974-10-22 20:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-10-22 23:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '228', NULL);
INSERT INTO event VALUES ('1974-10-23 00:58:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', 'S.R. @15 296-1630');
INSERT INTO event VALUES ('1974-10-23 22:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 14');
INSERT INTO event VALUES ('1974-10-24 03:31:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', 'S.R. @14 297-2204');
INSERT INTO event VALUES ('1974-10-25 01:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 12, SR.@12 298-0454');
INSERT INTO event VALUES ('1974-10-26 00:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1974-10-26 02:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-10-26 03:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1974-10-26 09:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1974-10-26 16:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1974-11-18 19:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=4');
INSERT INTO event VALUES ('1974-10-26 19:19:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1974-10-26 23:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1974-10-26 23:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-10-27 09:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-10-27 10:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 16');
INSERT INTO event VALUES ('1974-10-27 13:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1974-10-27 17:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1974-10-28 14:29:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1974-10-28 15:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1974-10-28 16:52:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1974-10-28 17:45:00',-7.10,15.30, 933,3.50,4.00, 109, 'Deep Moonquake', '258', NULL);
INSERT INTO event VALUES ('1974-10-29 01:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1974-10-29 05:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '429', NULL);
INSERT INTO event VALUES ('1974-10-29 07:55:00',-3.40,12.50, 933,2.50,3.10, 109, 'Deep Moonquake', '249', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-10-29 16:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=2');
INSERT INTO event VALUES ('1974-10-29 17:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-10-30 01:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=4');
INSERT INTO event VALUES ('1974-10-30 04:43:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1974-10-30 08:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-10-30 08:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-10-30 11:23:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1974-10-30 11:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1974-10-30 17:55:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1974-10-31 03:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '313', NULL);
INSERT INTO event VALUES ('1974-10-31 05:55:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1974-10-31 09:44:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1974-10-31 13:15:00',24.10,-52.20, 750,9.50,8.00, 109, 'Deep Moonquake', '60', '(*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1974-11-01 06:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=9');
INSERT INTO event VALUES ('1974-11-01 07:00:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-11-01 11:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-11-02 22:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1974-11-03 02:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C?');
INSERT INTO event VALUES ('1974-11-03 12:52:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1974-11-03 16:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1974-11-04 00:06:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1974-11-04 07:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-11-06 12:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-11-06 19:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C,RISE TIME=10MIN');
INSERT INTO event VALUES ('1974-11-06 22:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C,RISE TIME=16MIN');
INSERT INTO event VALUES ('1974-11-07 16:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C,RISE TIME=11MIN');
INSERT INTO event VALUES ('1974-11-07 18:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C,RISE TIME=12MIN');
INSERT INTO event VALUES ('1974-11-08 06:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-11-08 16:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-11-08 19:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-11-09 09:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '261', NULL);
INSERT INTO event VALUES ('1974-11-09 22:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1974-11-10 02:32:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-11-10 04:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '441', NULL);
INSERT INTO event VALUES ('1974-11-10 06:28:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-11-10 08:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1974-11-10 11:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '221', NULL);
INSERT INTO event VALUES ('1974-11-10 15:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1974-11-10 16:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1974-11-10 21:39:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1974-11-11 01:38:00',-3.70,-33.90, 933,3.60,12.40, 109, 'Deep Moonquake', '276', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-11-11 03:05:00',-3.70,-33.90, 933,3.60,12.40, 109, 'Deep Moonquake', '276', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-11-11 04:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '431', NULL);
INSERT INTO event VALUES ('1974-11-11 11:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C?');
INSERT INTO event VALUES ('1974-11-11 12:14:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1974-11-11 15:13:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-11-11 17:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C  16SP=20');
INSERT INTO event VALUES ('1974-11-11 23:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C  14SP=2.2');
INSERT INTO event VALUES ('1974-11-12 04:08:00',-1.70,18.00, 933,2.30,4.50, 109, 'Deep Moonquake', '260', NULL);
INSERT INTO event VALUES ('1974-11-12 05:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C  14SP=3.5');
INSERT INTO event VALUES ('1974-11-12 07:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-11-12 10:22:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', NULL);
INSERT INTO event VALUES ('1974-11-12 12:13:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', NULL);
INSERT INTO event VALUES ('1974-11-12 13:08:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1974-11-12 14:47:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1974-11-13 02:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '349', NULL);
INSERT INTO event VALUES ('1974-11-13 03:58:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1974-11-14 06:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 14SP=3.5');
INSERT INTO event VALUES ('1974-11-14 08:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '228', NULL);
INSERT INTO event VALUES ('1974-11-14 10:54:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', NULL);
INSERT INTO event VALUES ('1974-11-14 18:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, '15SP=5');
INSERT INTO event VALUES ('1974-11-14 20:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 16SP=2.5');
INSERT INTO event VALUES ('1974-11-14 22:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 14SP=1');
INSERT INTO event VALUES ('1974-11-14 22:51:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-11-15 03:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 14SP=1');
INSERT INTO event VALUES ('1974-11-16 04:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 14SP=5');
INSERT INTO event VALUES ('1974-11-16 09:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 16SP=25');
INSERT INTO event VALUES ('1974-11-16 10:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1974-11-16 20:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-11-16 23:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=10');
INSERT INTO event VALUES ('1974-11-16 23:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP CLIPPED');
INSERT INTO event VALUES ('1974-11-17 03:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST SMALL SP');
INSERT INTO event VALUES ('1974-11-17 11:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C?');
INSERT INTO event VALUES ('1974-11-17 16:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1974-11-17 19:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=9');
INSERT INTO event VALUES ('1974-11-17 20:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=8');
INSERT INTO event VALUES ('1974-11-18 06:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=10');
INSERT INTO event VALUES ('1974-11-18 10:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-11-18 20:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '228', NULL);
INSERT INTO event VALUES ('1974-11-19 03:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '411', NULL);
INSERT INTO event VALUES ('1974-11-19 15:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=4');
INSERT INTO event VALUES ('1974-11-19 16:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-11-19 20:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '31', NULL);
INSERT INTO event VALUES ('1974-11-19 23:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-11-20 06:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-11-20 08:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=7');
INSERT INTO event VALUES ('1974-11-20 09:53:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1974-11-20 12:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=6');
INSERT INTO event VALUES ('1974-11-20 13:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=6');
INSERT INTO event VALUES ('1974-11-20 14:56:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '16 S.R. @324-1521');
INSERT INTO event VALUES ('1974-11-21 11:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 16');
INSERT INTO event VALUES ('1974-11-21 13:16:00',2.44,-8.07, 0, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 16, 16 AMP ESTIMATED');
INSERT INTO event VALUES ('1974-11-21 17:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 15');
INSERT INTO event VALUES ('1974-11-21 21:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-11-21 23:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-11-22 00:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 14');
INSERT INTO event VALUES ('1974-11-22 00:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 14');
INSERT INTO event VALUES ('1974-11-22 11:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DISTANT, 15 S.R. @326-0514');
INSERT INTO event VALUES ('1974-11-23 15:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C14 S.R. @327-1158 SP=5');
INSERT INTO event VALUES ('1974-11-24 11:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C12 S.R. @327-1846');
INSERT INTO event VALUES ('1974-11-24 17:57:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-11-24 19:36:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1974-11-25 05:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C,GOOD SP AT 14');
INSERT INTO event VALUES ('1974-11-25 09:12:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1974-11-26 03:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-11-26 18:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-11-26 23:07:00',30.10,53.20, 975,2.90,9.80, 24, 'Deep Moonquake', '64', NULL);
INSERT INTO event VALUES ('1974-11-27 08:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'NO SP');
INSERT INTO event VALUES ('1974-11-27 11:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-11-27 12:42:00',24.10,-52.20, 750,9.50,8.00, 109, 'Deep Moonquake', '60', 'C NO SP, (*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1974-11-27 15:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-11-28 18:07:00',54.20,56.50, 933,6.50,14.00, 109, 'Deep Moonquake', '286', 'ECLIPSE 333 1300-1800');
INSERT INTO event VALUES ('1974-11-30 04:00:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', NULL);
INSERT INTO event VALUES ('1974-11-30 04:30:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-11-30 09:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=2');
INSERT INTO event VALUES ('1974-11-30 16:23:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1974-11-30 18:12:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', NULL);
INSERT INTO event VALUES ('1974-12-01 05:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-12-01 19:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST NO SP');
INSERT INTO event VALUES ('1974-12-02 09:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'CSP14=1.');
INSERT INTO event VALUES ('1974-12-02 15:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1974-12-02 22:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-12-03 00:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'NON-SEISMIC? ALSO @0721&0752');
INSERT INTO event VALUES ('1974-12-05 16:38:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', 'M? GAP 339 0235-0730, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-12-06 01:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '261', NULL);
INSERT INTO event VALUES ('1974-12-06 14:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'M?');
INSERT INTO event VALUES ('1974-12-07 14:26:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-12-07 16:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1974-12-07 20:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST    SS@14 341/2300');
INSERT INTO event VALUES ('1974-12-08 04:50:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'M');
INSERT INTO event VALUES ('1974-12-08 10:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '289', 'M         SS@12 342/1200');
INSERT INTO event VALUES ('1974-12-08 13:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-12-08 20:13:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1974-12-08 20:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '427', 'C?');
INSERT INTO event VALUES ('1974-12-08 22:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '228', NULL);
INSERT INTO event VALUES ('1974-12-09 01:25:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-12-09 02:39:00',-3.60,21.50, 933,2.80,5.70, 109, 'Deep Moonquake', '250', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-12-09 05:46:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-12-09 08:35:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1974-12-09 09:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP16=18.');
INSERT INTO event VALUES ('1974-12-09 14:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '425', 'M');
INSERT INTO event VALUES ('1974-12-09 17:30:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', NULL);
INSERT INTO event VALUES ('1974-12-09 23:11:00',3.40,2.00, 559,0.60,0.70, 97, 'Deep Moonquake', '259', 'C');
INSERT INTO event VALUES ('1974-12-09 23:46:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'S @ ALL STA, OLD A46');
INSERT INTO event VALUES ('1974-12-10 06:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '349', 'GAP 344 0000-0507');
INSERT INTO event VALUES ('1974-12-10 08:25:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1974-12-10 15:30:00',0.50,47.30, 1243,2.00,11.80, 50, 'Deep Moonquake', '203', NULL);
INSERT INTO event VALUES ('1974-12-10 16:33:00',1.40,15.00, 933,1.60,3.70, 109, 'Deep Moonquake', '255', NULL);
INSERT INTO event VALUES ('1974-12-10 20:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '235', NULL);
INSERT INTO event VALUES ('1974-12-10 20:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '89', NULL);
INSERT INTO event VALUES ('1974-12-10 23:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C');
INSERT INTO event VALUES ('1974-12-11 04:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1974-12-11 19:18:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', NULL);
INSERT INTO event VALUES ('1974-12-11 21:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '254', NULL);
INSERT INTO event VALUES ('1974-12-11 22:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '228', NULL);
INSERT INTO event VALUES ('1974-12-12 02:06:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1974-12-12 03:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 14SP=8.8');
INSERT INTO event VALUES ('1974-12-12 09:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '262', NULL);
INSERT INTO event VALUES ('1974-12-12 17:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 16SP=7.');
INSERT INTO event VALUES ('1974-12-12 19:54:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', NULL);
INSERT INTO event VALUES ('1974-12-13 04:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1974-12-13 04:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 16SP=6');
INSERT INTO event VALUES ('1974-12-13 07:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '445', NULL);
INSERT INTO event VALUES ('1974-12-13 18:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 15SP=3.5');
INSERT INTO event VALUES ('1974-12-13 20:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 15SP=20');
INSERT INTO event VALUES ('1974-12-13 21:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1974-12-13 23:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 16SP=18');
INSERT INTO event VALUES ('1974-12-14 01:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1974-12-14 02:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 16SP=4.5');
INSERT INTO event VALUES ('1974-12-14 03:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR15, SP=3');
INSERT INTO event VALUES ('1974-12-14 07:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1974-12-14 09:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 14SP=19');
INSERT INTO event VALUES ('1974-12-14 11:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 15SP=11');
INSERT INTO event VALUES ('1974-12-14 17:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 15SP=10');
INSERT INTO event VALUES ('1974-12-14 22:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 14SP=1.5');
INSERT INTO event VALUES ('1974-12-14 23:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 14SP=27.');
INSERT INTO event VALUES ('1974-12-14 23:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1974-12-15 02:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '31', NULL);
INSERT INTO event VALUES ('1974-12-15 04:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 15SP=15.');
INSERT INTO event VALUES ('1974-12-15 05:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 15SP=6.');
INSERT INTO event VALUES ('1974-12-15 06:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'NOT ON ORIGINAL LOG');
INSERT INTO event VALUES ('1974-12-15 07:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C  DIST');
INSERT INTO event VALUES ('1974-12-15 09:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C  14SP=23. 14 AMP IS EST.');
INSERT INTO event VALUES ('1974-12-15 11:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 16SP=6.');
INSERT INTO event VALUES ('1974-12-15 13:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1974-12-16 00:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '228', NULL);
INSERT INTO event VALUES ('1974-12-16 09:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '411', NULL);
INSERT INTO event VALUES ('1974-12-17 12:06:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1974-12-17 18:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=11');
INSERT INTO event VALUES ('1974-12-19 06:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1974-12-19 09:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=1.2');
INSERT INTO event VALUES ('1974-12-19 10:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1974-12-20 21:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=9,SR@16 354=0608');
INSERT INTO event VALUES ('1974-12-21 01:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST,SR@15 355=1845');
INSERT INTO event VALUES ('1974-12-22 02:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, 'M?');
INSERT INTO event VALUES ('1974-12-22 04:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '425', NULL);
INSERT INTO event VALUES ('1974-12-22 09:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1974-12-22 09:20:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', 'M?');
INSERT INTO event VALUES ('1974-12-22 15:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-12-23 02:03:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1974-12-23 10:57:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1974-12-24 03:55:00',0.50,47.30, 1243,2.00,11.80, 50, 'Deep Moonquake', '203', NULL);
INSERT INTO event VALUES ('1974-12-24 12:00:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1974-12-25 05:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-12-25 12:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C,IMPACT NEAR 14');
INSERT INTO event VALUES ('1974-12-25 21:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C,IMPACT NEAR 16');
INSERT INTO event VALUES ('1974-12-26 06:44:00',54.20,56.50, 933,6.50,14.00, 109, 'Deep Moonquake', '286', 'C?');
INSERT INTO event VALUES ('1974-12-26 07:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-12-26 14:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP=2');
INSERT INTO event VALUES ('1974-12-26 18:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST NO SP');
INSERT INTO event VALUES ('1974-12-26 22:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C,IMPACT NEAR 14');
INSERT INTO event VALUES ('1974-12-27 05:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1974-12-27 08:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', NULL);
INSERT INTO event VALUES ('1974-12-27 09:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-12-27 22:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1974-12-28 02:46:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', 'M?');
INSERT INTO event VALUES ('1974-12-28 05:40:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1974-12-29 04:43:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', 'M?');
INSERT INTO event VALUES ('1974-12-29 05:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C,IMPACT NEAR 14');
INSERT INTO event VALUES ('1974-12-29 11:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1974-12-29 20:29:00',58.60,54.20, 1025,4.60,15.50, 31, 'Deep Moonquake', '242', 'M?');
INSERT INTO event VALUES ('1974-12-30 21:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1974-12-31 21:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C?');
INSERT INTO event VALUES ('1974-12-31 22:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C?');
INSERT INTO event VALUES ('1975-01-02 09:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-01-02 14:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C?');
INSERT INTO event VALUES ('1975-01-03 01:47:00',27.30,-102.20, 74.799999999999997,3.00,3.50, 16.199999999999999, 'Shallow Moonquake', NULL, 'SPZ=200,130,90@14,15,16');
INSERT INTO event VALUES ('1975-01-04 06:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '428', NULL);
INSERT INTO event VALUES ('1975-01-05 08:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C?');
INSERT INTO event VALUES ('1975-01-05 09:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C?');
INSERT INTO event VALUES ('1975-01-05 14:28:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-01-06 00:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C,DIST');
INSERT INTO event VALUES ('1975-01-06 10:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C,14SS@1400');
INSERT INTO event VALUES ('1975-01-06 13:41:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-01-06 21:52:00',30.10,53.20, 975,2.90,9.80, 24, 'Deep Moonquake', '64', NULL);
INSERT INTO event VALUES ('1975-01-06 23:30:00',0.50,47.30, 1243,2.00,11.80, 50, 'Deep Moonquake', '203', NULL);
INSERT INTO event VALUES ('1975-01-07 01:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-01-07 03:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C,DIST');
INSERT INTO event VALUES ('1975-01-08 08:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-01-08 13:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '228', NULL);
INSERT INTO event VALUES ('1975-01-09 08:08:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1975-01-09 08:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '262', NULL);
INSERT INTO event VALUES ('1975-01-09 16:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '211', 'TWO EVENTS?');
INSERT INTO event VALUES ('1975-01-09 21:34:00',34.30,45.00, 933,12.00,29.90, 109, 'Deep Moonquake', '231', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-01-10 17:18:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', NULL);
INSERT INTO event VALUES ('1975-01-10 21:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '31', NULL);
INSERT INTO event VALUES ('1975-01-11 11:15:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-01-11 18:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '410', NULL);
INSERT INTO event VALUES ('1975-01-11 20:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '411', NULL);
INSERT INTO event VALUES ('1975-01-12 00:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C,DIST');
INSERT INTO event VALUES ('1975-01-12 03:17:00',63.10,46.90, 101.90000000000001,5.50,3.50, 25.600000000000001, 'Shallow Moonquake', NULL, 'SPZ=13,39,13@14,15,16');
INSERT INTO event VALUES ('1975-01-12 08:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '413', NULL);
INSERT INTO event VALUES ('1975-01-12 14:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '228', NULL);
INSERT INTO event VALUES ('1975-01-13 00:28:00',-2.00,-51.00, 100, NULL, NULL, NULL, 'Shallow Moonquake', NULL, '14 SPZ=17.5MM, The source position is decided by (Nakamura et al., 1979)');
INSERT INTO event VALUES ('1975-01-13 13:20:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1975-01-16 22:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1975-01-16 23:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-01-17 09:15:00',-46.50,38.90, 933,8.30,9.30, 109, 'Deep Moonquake', '251', 'SR@16 DAY018 2103, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-01-19 02:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C? 14SPZ=10MM');
INSERT INTO event VALUES ('1975-01-19 10:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C,14 SPZ=17MM');
INSERT INTO event VALUES ('1975-01-19 22:34:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1975-01-20 01:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1975-01-20 04:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-01-20 05:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1975-01-20 07:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 14');
INSERT INTO event VALUES ('1975-01-20 11:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '316', '15 SR @ 020-0838');
INSERT INTO event VALUES ('1975-01-20 11:56:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1975-01-20 15:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '80', NULL);
INSERT INTO event VALUES ('1975-01-20 17:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1975-01-20 23:14:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-01-21 00:24:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', NULL);
INSERT INTO event VALUES ('1975-01-21 01:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DISTANT');
INSERT INTO event VALUES ('1975-01-21 02:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=1');
INSERT INTO event VALUES ('1975-01-21 05:47:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1975-01-21 07:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', NULL);
INSERT INTO event VALUES ('1975-01-21 09:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '80', NULL);
INSERT INTO event VALUES ('1975-01-21 13:08:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-01-21 22:56:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '14 SR @ 021-1722');
INSERT INTO event VALUES ('1975-01-22 02:06:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-01-22 14:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '403', '12 OSC 021/2038-022/1013');
INSERT INTO event VALUES ('1975-01-23 02:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1975-01-23 03:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-01-23 08:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '315', NULL);
INSERT INTO event VALUES ('1975-01-23 09:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-01-23 19:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 15, 15SPZ=40MM');
INSERT INTO event VALUES ('1975-01-24 01:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, '15SPZ=9MM');
INSERT INTO event VALUES ('1975-01-24 03:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-01-24 07:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '213', NULL);
INSERT INTO event VALUES ('1975-01-24 09:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 16');
INSERT INTO event VALUES ('1975-01-24 10:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, '15SPZ=8MM');
INSERT INTO event VALUES ('1975-01-24 11:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-01-24 16:52:00',14.30,-12.40, 945,1.00,2.00, 26, 'Deep Moonquake', '71', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-01-24 17:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-01-24 19:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 12');
INSERT INTO event VALUES ('1975-01-25 02:43:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1975-01-25 07:01:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1975-01-25 07:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '72', NULL);
INSERT INTO event VALUES ('1975-01-25 11:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-01-25 17:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-01-26 01:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-01-26 10:34:00',58.60,54.20, 1025,4.60,15.50, 31, 'Deep Moonquake', '242', NULL);
INSERT INTO event VALUES ('1975-01-26 16:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '308', NULL);
INSERT INTO event VALUES ('1975-01-26 20:15:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', 'SPZ @14');
INSERT INTO event VALUES ('1975-01-27 02:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-01-27 02:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-01-27 08:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-01-27 18:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 16');
INSERT INTO event VALUES ('1975-01-28 04:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DISTANT');
INSERT INTO event VALUES ('1975-01-28 05:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=6');
INSERT INTO event VALUES ('1975-01-28 17:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DISTANT');
INSERT INTO event VALUES ('1975-01-28 20:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DISTANT');
INSERT INTO event VALUES ('1975-01-29 02:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-01-30 05:13:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-01-30 18:51:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1975-01-30 19:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 14');
INSERT INTO event VALUES ('1975-01-30 23:08:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-01-31 00:10:00',-1.70,18.00, 933,2.30,4.50, 109, 'Deep Moonquake', '260', NULL);
INSERT INTO event VALUES ('1975-01-31 00:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST NO SP');
INSERT INTO event VALUES ('1975-01-31 08:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-01-31 23:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'NON-SEISMIC?');
INSERT INTO event VALUES ('1975-02-01 11:04:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-02-02 20:12:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', NULL);
INSERT INTO event VALUES ('1975-02-03 05:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '213', NULL);
INSERT INTO event VALUES ('1975-02-03 12:47:00',30.10,53.20, 975,2.90,9.80, 24, 'Deep Moonquake', '64', NULL);
INSERT INTO event VALUES ('1975-02-05 06:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C  SS @14 0400 DAY 036');
INSERT INTO event VALUES ('1975-02-05 15:14:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1975-02-05 19:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C VERY LONG RISE TIME');
INSERT INTO event VALUES ('1975-02-06 14:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '349', 'SS @12 1730 DAY 036');
INSERT INTO event VALUES ('1975-02-07 09:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '262', NULL);
INSERT INTO event VALUES ('1975-02-07 10:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '360', NULL);
INSERT INTO event VALUES ('1975-02-07 21:39:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', NULL);
INSERT INTO event VALUES ('1975-02-07 23:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '415', NULL);
INSERT INTO event VALUES ('1975-02-08 01:44:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1975-02-08 02:05:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', 'C?');
INSERT INTO event VALUES ('1975-02-08 10:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '431', 'C?');
INSERT INTO event VALUES ('1975-02-08 13:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-02-08 15:43:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-02-08 18:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '270', NULL);
INSERT INTO event VALUES ('1975-02-08 20:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-02-08 22:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1975-02-09 01:08:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-02-09 15:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '228', NULL);
INSERT INTO event VALUES ('1975-02-10 14:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '413', NULL);
INSERT INTO event VALUES ('1975-02-11 01:47:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1975-02-11 23:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '418', NULL);
INSERT INTO event VALUES ('1975-02-12 04:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C,DISTANT');
INSERT INTO event VALUES ('1975-02-12 16:57:00',-3.40,12.50, 933,2.50,3.10, 109, 'Deep Moonquake', '249', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-02-12 22:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-02-12 22:31:00',-46.50,38.90, 933,8.30,9.30, 109, 'Deep Moonquake', '251', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-02-13 13:59:00',-3.40,12.50, 933,2.50,3.10, 109, 'Deep Moonquake', '249', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-02-13 22:05:00',-16.40,-24.60, 129.90000000000001,2.30,3.10, 70.299999999999997, 'Shallow Moonquake', NULL, '14PS SHORT,14SPZ CLIPPED');
INSERT INTO event VALUES ('1975-02-14 07:51:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1975-02-15 08:17:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1975-02-15 09:42:00',-7.10,15.30, 933,3.50,4.00, 109, 'Deep Moonquake', '258', NULL);
INSERT INTO event VALUES ('1975-02-15 11:05:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1975-02-16 02:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', NULL);
INSERT INTO event VALUES ('1975-02-16 03:37:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-02-16 10:17:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1975-02-16 20:26:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1975-02-17 00:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '316', NULL);
INSERT INTO event VALUES ('1975-02-17 11:13:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1975-02-17 12:09:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', 'SUNRISE A16 AT 1142, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-02-17 12:47:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1975-02-17 14:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '80', NULL);
INSERT INTO event VALUES ('1975-02-17 17:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '79', NULL);
INSERT INTO event VALUES ('1975-02-17 17:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C RISE TIME 13 MIN  DIST');
INSERT INTO event VALUES ('1975-02-17 19:47:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-02-18 00:59:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', NULL);
INSERT INTO event VALUES ('1975-02-18 09:10:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-02-18 18:41:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', 'SUNRISE A15 AT 2248');
INSERT INTO event VALUES ('1975-02-19 01:55:00',15.50,97.00, 1141,2.40,12.30, 74, 'Deep Moonquake', '282', NULL);
INSERT INTO event VALUES ('1975-02-19 08:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '207', NULL);
INSERT INTO event VALUES ('1975-02-19 15:15:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1975-02-19 23:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SPZ16 50 MM NEARBY');
INSERT INTO event VALUES ('1975-02-20 01:25:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1975-02-20 06:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SUNRISE A14 AT 0746');
INSERT INTO event VALUES ('1975-02-20 12:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 12, R.T.=1.5MIN');
INSERT INTO event VALUES ('1975-02-20 14:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, 'SUNRISE A12 1431');
INSERT INTO event VALUES ('1975-02-21 20:37:00',14.30,-12.40, 945,1.00,2.00, 26, 'Deep Moonquake', '71', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-02-22 06:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C A16 SPZ26MM NEARBY');
INSERT INTO event VALUES ('1975-02-22 11:18:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', 'A12LPX OSCILLATION');
INSERT INTO event VALUES ('1975-02-22 16:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-02-22 23:00:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1975-02-23 02:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '390', NULL);
INSERT INTO event VALUES ('1975-02-23 08:32:00',58.60,54.20, 1025,4.60,15.50, 31, 'Deep Moonquake', '242', NULL);
INSERT INTO event VALUES ('1975-02-23 10:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '289', NULL);
INSERT INTO event VALUES ('1975-02-23 21:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '308', NULL);
INSERT INTO event VALUES ('1975-02-23 23:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-02-24 08:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '90', NULL);
INSERT INTO event VALUES ('1975-02-24 12:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-02-24 14:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C?');
INSERT INTO event VALUES ('1975-02-25 08:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-02-25 12:15:00',7.00,8.30, 1019,1.30,4.10, 191, 'Deep Moonquake', '243', NULL);
INSERT INTO event VALUES ('1975-02-25 15:36:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1975-02-25 17:08:00',-3.60,21.50, 933,2.80,5.70, 109, 'Deep Moonquake', '250', '15Z?, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-02-26 05:03:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1975-02-27 01:02:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-02-27 03:21:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1975-02-27 06:15:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', 'P,S@16 S@15');
INSERT INTO event VALUES ('1975-02-27 08:07:00',4.40,-4.70, 933,1.20,1.80, 109, 'Deep Moonquake', '279', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-02-27 11:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '399', NULL);
INSERT INTO event VALUES ('1975-02-27 13:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-02-28 00:45:00',-1.70,18.00, 933,2.30,4.50, 109, 'Deep Moonquake', '260', NULL);
INSERT INTO event VALUES ('1975-02-28 01:48:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', '15 NOISE AT START');
INSERT INTO event VALUES ('1975-02-28 05:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=10');
INSERT INTO event VALUES ('1975-02-28 15:50:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1975-03-01 04:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14 NO REC DAYS 060-063');
INSERT INTO event VALUES ('1975-03-01 20:21:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', NULL);
INSERT INTO event VALUES ('1975-03-04 02:10:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', NULL);
INSERT INTO event VALUES ('1975-03-04 10:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-03-05 05:51:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1975-03-05 06:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '228', '14 UP @064/0400');
INSERT INTO event VALUES ('1975-03-05 21:52:00',-49.93,3.42, 0, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-03-07 21:58:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', 'SS @12 066 0700');
INSERT INTO event VALUES ('1975-03-08 08:50:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-03-08 11:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '31', '14 OFF SCALE FOR NIGHT');
INSERT INTO event VALUES ('1975-03-09 10:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1975-03-10 14:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-03-11 07:11:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1975-03-12 03:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-03-12 07:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-03-12 07:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-03-12 08:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', NULL);
INSERT INTO event VALUES ('1975-03-12 16:20:00',-46.50,38.90, 933,8.30,9.30, 109, 'Deep Moonquake', '251', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-03-12 16:30:00',-3.40,12.50, 933,2.50,3.10, 109, 'Deep Moonquake', '249', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-03-13 11:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '429', NULL);
INSERT INTO event VALUES ('1975-03-13 23:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1975-03-14 04:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-03-14 07:32:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1975-03-14 16:14:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1975-03-16 07:03:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1975-03-16 07:57:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1975-03-16 13:10:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-03-17 04:24:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1975-03-17 06:01:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1975-03-17 12:14:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1975-03-17 19:52:00',53.40,60.90, 1077,15.20,66.10, 32, 'Deep Moonquake', '29', NULL);
INSERT INTO event VALUES ('1975-03-17 23:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '400', NULL);
INSERT INTO event VALUES ('1975-03-18 01:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1975-03-18 10:05:00',15.50,97.00, 1141,2.40,12.30, 74, 'Deep Moonquake', '282', NULL);
INSERT INTO event VALUES ('1975-03-18 12:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '444', NULL);
INSERT INTO event VALUES ('1975-03-18 17:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '403', NULL);
INSERT INTO event VALUES ('1975-03-18 19:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '@16 078 0120');
INSERT INTO event VALUES ('1975-03-18 21:07:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1975-03-20 01:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-03-20 08:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'ST SR@15 079 1232');
INSERT INTO event VALUES ('1975-03-21 17:18:00',14.30,-12.40, 945,1.00,2.00, 26, 'Deep Moonquake', '71', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-03-21 21:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, 'SR@12 081 0410');
INSERT INTO event VALUES ('1975-03-22 19:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'CLOSEST TO 15');
INSERT INTO event VALUES ('1975-03-23 03:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1975-03-23 08:01:00',58.60,54.20, 1025,4.60,15.50, 31, 'Deep Moonquake', '242', NULL);
INSERT INTO event VALUES ('1975-03-23 18:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-03-23 21:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1975-03-24 11:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-03-24 13:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'IMPACT DIST');
INSERT INTO event VALUES ('1975-03-25 00:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=4');
INSERT INTO event VALUES ('1975-03-25 01:07:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', NULL);
INSERT INTO event VALUES ('1975-03-25 13:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1975-03-26 00:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-03-26 02:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-03-26 06:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-03-26 12:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-03-26 18:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'IMPACT NEAR 16 SPZ 9.0MM');
INSERT INTO event VALUES ('1975-03-26 22:07:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1975-03-26 22:27:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', NULL);
INSERT INTO event VALUES ('1975-03-27 09:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-03-27 13:11:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1975-03-27 18:48:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-03-28 02:52:00',34.70,60.10, 1043,2.50,10.60, 30, 'Deep Moonquake', '74', NULL);
INSERT INTO event VALUES ('1975-03-28 15:15:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1975-03-29 03:43:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-03-29 07:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-03-29 17:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ > 65MM    NEAR 14');
INSERT INTO event VALUES ('1975-03-31 04:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-03-31 16:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-03-31 20:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-04-01 03:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-04-01 05:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=1');
INSERT INTO event VALUES ('1975-04-01 13:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP=2');
INSERT INTO event VALUES ('1975-04-02 01:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '228', NULL);
INSERT INTO event VALUES ('1975-04-02 07:00:00',12.20,3.50, 933,1.90,1.50, 109, 'Deep Moonquake', '237', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-04-02 08:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST NO SP');
INSERT INTO event VALUES ('1975-04-04 02:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP=4');
INSERT INTO event VALUES ('1975-04-05 03:00:00',9.20,17.50, 1187,1.50,4.90, 87, 'Deep Moonquake', '11', NULL);
INSERT INTO event VALUES ('1975-04-05 04:00:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', 'SS@ 14 095 0700');
INSERT INTO event VALUES ('1975-04-06 06:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SS@ 12 095 2000');
INSERT INTO event VALUES ('1975-04-06 22:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1975-04-07 05:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-04-07 18:38:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1975-04-07 22:38:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1975-04-07 23:39:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-04-09 04:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-04-09 23:37:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1975-04-10 16:03:00',-3.40,12.50, 933,2.50,3.10, 109, 'Deep Moonquake', '249', '12 BACK TO PEAKED MODE, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-04-10 16:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1975-04-10 22:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-04-11 00:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '424', NULL);
INSERT INTO event VALUES ('1975-04-11 01:52:00',24.10,26.10, 933,5.10,8.20, 109, 'Deep Moonquake', '233', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-04-11 05:13:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1975-04-11 07:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SPZ AT 14 AND 16,EVENT');
INSERT INTO event VALUES ('1975-04-11 09:24:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1975-04-11 19:17:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1975-04-11 22:17:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1975-04-12 02:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST');
INSERT INTO event VALUES ('1975-04-12 03:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ 20 AT 15');
INSERT INTO event VALUES ('1975-04-12 04:45:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-04-12 09:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ 23.5 AT 15');
INSERT INTO event VALUES ('1975-04-12 12:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ AT 16 IS 15');
INSERT INTO event VALUES ('1975-04-12 15:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-04-12 18:15:00',3.14,41.61, 0, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'A EST.SPZ=23,31,26@14-16');
INSERT INTO event VALUES ('1975-04-13 04:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '400', NULL);
INSERT INTO event VALUES ('1975-04-13 05:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-04-14 02:39:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', NULL);
INSERT INTO event VALUES ('1975-04-14 03:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '403', NULL);
INSERT INTO event VALUES ('1975-04-14 10:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=5');
INSERT INTO event VALUES ('1975-04-15 03:10:00',54.20,56.50, 933,6.50,14.00, 109, 'Deep Moonquake', '286', NULL);
INSERT INTO event VALUES ('1975-04-15 06:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=3');
INSERT INTO event VALUES ('1975-04-15 12:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-04-15 14:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DISTANT');
INSERT INTO event VALUES ('1975-04-15 23:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-04-16 00:41:00',-50.00,53.20, 933,7.50,12.20, 109, 'Deep Moonquake', '272', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-04-16 05:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-04-16 07:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 14');
INSERT INTO event VALUES ('1975-04-16 13:04:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', NULL);
INSERT INTO event VALUES ('1975-04-17 05:30:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', '16 SR @ 107:1350, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-04-17 23:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-04-18 02:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-04-19 21:51:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', '15 SR @ 109:0143');
INSERT INTO event VALUES ('1975-04-19 22:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14 SR @ 110:0957');
INSERT INTO event VALUES ('1975-04-20 13:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 12 SR @ 110:1648');
INSERT INTO event VALUES ('1975-04-21 02:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-04-21 22:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1975-04-22 01:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '305', NULL);
INSERT INTO event VALUES ('1975-04-22 11:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1975-04-22 18:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '31', NULL);
INSERT INTO event VALUES ('1975-04-22 21:32:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-04-23 08:00:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1975-04-23 09:22:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', NULL);
INSERT INTO event VALUES ('1975-04-23 11:55:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-04-23 19:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '232', NULL);
INSERT INTO event VALUES ('1975-04-23 20:53:00',8.60,-50.80, 952,4.60,5.60, 93, 'Deep Moonquake', '49', NULL);
INSERT INTO event VALUES ('1975-04-24 05:02:00',34.70,60.10, 1043,2.50,10.60, 30, 'Deep Moonquake', '74', NULL);
INSERT INTO event VALUES ('1975-04-24 08:08:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1975-04-25 09:34:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-04-25 10:49:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-04-25 14:20:00',-1.70,18.00, 933,2.30,4.50, 109, 'Deep Moonquake', '260', NULL);
INSERT INTO event VALUES ('1975-04-25 14:50:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', NULL);
INSERT INTO event VALUES ('1975-04-25 21:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-04-26 00:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'IMPACT NEAR 14');
INSERT INTO event VALUES ('1975-04-26 08:15:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-04-27 00:28:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', NULL);
INSERT INTO event VALUES ('1975-04-27 02:08:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1975-04-27 04:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '213', NULL);
INSERT INTO event VALUES ('1975-04-27 07:33:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-04-27 08:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-04-27 13:58:00',30.10,53.20, 975,2.90,9.80, 24, 'Deep Moonquake', '64', NULL);
INSERT INTO event VALUES ('1975-04-28 18:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-04-29 06:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15 SP=67');
INSERT INTO event VALUES ('1975-04-29 14:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '228', NULL);
INSERT INTO event VALUES ('1975-04-29 17:31:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1975-05-02 12:48:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', 'NO RECORD 122/1605-2300');
INSERT INTO event VALUES ('1975-05-04 10:05:00',-57.40,-117.40, 0,11.20,3.70, NULL, 'Meteoroid Impact', NULL, 'DIST SMALL SP,AMP EST., The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-05-05 22:23:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', 'SS@ 12 DAY 125 0830');
INSERT INTO event VALUES ('1975-05-05 23:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-05-06 03:33:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-05-06 16:25:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-05-06 23:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '433', '12Y AMP IS 1.0');
INSERT INTO event VALUES ('1975-05-07 01:05:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', NULL);
INSERT INTO event VALUES ('1975-05-07 06:40:00',-49.00,-45.00, 100, NULL, NULL, NULL, 'Shallow Moonquake', NULL, 'SP14=35.,SP16=9.,The source position is decided by (Nakamura et al., 1979)');
INSERT INTO event VALUES ('1975-05-07 12:38:00',-3.40,12.50, 933,2.50,3.10, 109, 'Deep Moonquake', '249', '12Y AMP IS 1.0, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-05-07 15:56:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1975-05-07 21:25:00',-3.40,12.50, 933,2.50,3.10, 109, 'Deep Moonquake', '249', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-05-08 00:10:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1975-05-08 11:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', NULL);
INSERT INTO event VALUES ('1975-05-08 12:10:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1975-05-08 12:50:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1975-05-08 14:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1975-05-08 23:46:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1975-05-09 02:37:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1975-05-09 04:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '15Z AMP IS 2.0');
INSERT INTO event VALUES ('1975-05-09 05:30:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-05-09 11:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NEAR 12');
INSERT INTO event VALUES ('1975-05-09 12:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '79', NULL);
INSERT INTO event VALUES ('1975-05-09 18:35:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1975-05-10 05:46:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1975-05-10 14:56:00',-46.50,38.90, 933,8.30,9.30, 109, 'Deep Moonquake', '251', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-05-10 20:29:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1975-05-10 22:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '403', NULL);
INSERT INTO event VALUES ('1975-05-11 07:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1975-05-11 15:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-05-11 22:52:00',54.20,56.50, 933,6.50,14.00, 109, 'Deep Moonquake', '286', NULL);
INSERT INTO event VALUES ('1975-05-12 01:14:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1975-05-12 17:02:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', 'C NEAR 15, SPZ=45MM');
INSERT INTO event VALUES ('1975-05-13 19:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '4', NULL);
INSERT INTO event VALUES ('1975-05-14 09:06:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-05-15 19:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-05-16 12:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-05-16 22:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 12-14');
INSERT INTO event VALUES ('1975-05-17 04:25:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', '16 SR @137/0124');
INSERT INTO event VALUES ('1975-05-17 04:59:00',58.60,54.20, 1025,4.60,15.50, 31, 'Deep Moonquake', '242', '15 SR @138/1424');
INSERT INTO event VALUES ('1975-05-19 14:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-05-19 15:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-05-19 21:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '305', '14 SR @ 139 2133');
INSERT INTO event VALUES ('1975-05-19 23:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-05-20 11:44:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', '12 SR @ 140 0428, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-05-20 17:28:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-05-20 17:35:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1975-05-20 22:52:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', NULL);
INSERT INTO event VALUES ('1975-05-21 06:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '235', NULL);
INSERT INTO event VALUES ('1975-05-22 09:33:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', NULL);
INSERT INTO event VALUES ('1975-05-22 15:55:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'SYNC ERRORS 14 & 15');
INSERT INTO event VALUES ('1975-05-22 22:00:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', NULL);
INSERT INTO event VALUES ('1975-05-23 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'BEHEADED ALL STA.; NO SP');
INSERT INTO event VALUES ('1975-05-23 19:56:00',34.80,63.00, 1014,2.10,11.30, 26, 'Deep Moonquake', '70', NULL);
INSERT INTO event VALUES ('1975-05-23 21:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '89', NULL);
INSERT INTO event VALUES ('1975-05-24 12:07:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', NULL);
INSERT INTO event VALUES ('1975-05-24 14:00:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1975-05-24 14:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-05-25 01:36:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'ECLIPSE 145/0317-0710');
INSERT INTO event VALUES ('1975-05-25 03:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-05-26 01:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST NO SP');
INSERT INTO event VALUES ('1975-05-26 07:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'IMPACT NEAR STA 16');
INSERT INTO event VALUES ('1975-05-26 14:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 14; GOOD SPZ');
INSERT INTO event VALUES ('1975-05-27 19:55:00',34.30,45.00, 933,12.00,29.90, 109, 'Deep Moonquake', '231', 'C?, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-05-27 23:32:00',3.00,-58.00, 100, NULL, NULL, NULL, 'Shallow Moonquake', NULL, 'SPZ=39,11,7@14,15,16, The source position is decided by (Nakamura et al., 1979)');
INSERT INTO event VALUES ('1975-05-29 06:08:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', '12X IS 1.0');
INSERT INTO event VALUES ('1975-05-29 13:58:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', NULL);
INSERT INTO event VALUES ('1975-06-02 17:52:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', 'C?, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-06-03 17:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '429', 'C?SS@12 2000DAY154');
INSERT INTO event VALUES ('1975-06-04 02:28:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1975-06-04 03:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '424', 'SS@14 0700DAY154');
INSERT INTO event VALUES ('1975-06-04 03:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '433', NULL);
INSERT INTO event VALUES ('1975-06-04 09:30:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1975-06-04 16:38:00',-3.40,12.50, 933,2.50,3.10, 109, 'Deep Moonquake', '249', 'P,S@16, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-06-05 03:29:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1975-06-05 20:35:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', NULL);
INSERT INTO event VALUES ('1975-06-06 01:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-06-06 05:28:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1975-06-06 06:16:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1975-06-06 09:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', NULL);
INSERT INTO event VALUES ('1975-06-06 11:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', NULL);
INSERT INTO event VALUES ('1975-06-06 12:02:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', NULL);
INSERT INTO event VALUES ('1975-06-06 19:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-06-07 05:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-06-07 15:04:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', NULL);
INSERT INTO event VALUES ('1975-06-07 17:22:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', NULL);
INSERT INTO event VALUES ('1975-06-08 03:49:00',54.20,56.50, 933,6.50,14.00, 109, 'Deep Moonquake', '286', NULL);
INSERT INTO event VALUES ('1975-06-08 14:08:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', 'C?');
INSERT INTO event VALUES ('1975-06-08 18:55:00',-50.00,53.20, 933,7.50,12.20, 109, 'Deep Moonquake', '272', 'M?, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-06-09 09:03:00',14.30,-12.40, 945,1.00,2.00, 26, 'Deep Moonquake', '71', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-06-10 10:19:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-06-10 22:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-06-11 00:58:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', NULL);
INSERT INTO event VALUES ('1975-06-11 19:22:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', NULL);
INSERT INTO event VALUES ('1975-06-12 08:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-06-12 17:10:00',58.60,54.20, 1025,4.60,15.50, 31, 'Deep Moonquake', '242', NULL);
INSERT INTO event VALUES ('1975-06-13 13:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-06-14 16:52:00',24.60,-23.40, 1419,8.40,11.10, 96, 'Deep Moonquake', '77', 'TWO EVENTS @16');
INSERT INTO event VALUES ('1975-06-15 03:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-06-15 23:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '16 SR @166-1213');
INSERT INTO event VALUES ('1975-06-16 03:02:00',-27.90,-31.00, 932,3.60,2.10, 12, 'Deep Moonquake', '53', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-06-16 05:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-06-16 11:11:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', 'P,S @ 15');
INSERT INTO event VALUES ('1975-06-16 11:53:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-06-16 15:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 16 SP=10.');
INSERT INTO event VALUES ('1975-06-16 23:56:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', NULL);
INSERT INTO event VALUES ('1975-06-17 05:50:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', 'SR@ 15 168 0230');
INSERT INTO event VALUES ('1975-06-17 06:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-06-17 12:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C DIST');
INSERT INTO event VALUES ('1975-06-17 12:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1975-06-17 17:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 14 SP=3');
INSERT INTO event VALUES ('1975-06-17 17:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 12');
INSERT INTO event VALUES ('1975-06-17 22:30:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '14SR @169/0835,12@1530');
INSERT INTO event VALUES ('1975-06-19 00:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1975-06-19 14:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=5');
INSERT INTO event VALUES ('1975-06-19 21:18:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', 'M?, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-06-20 06:30:00',30.10,53.20, 975,2.90,9.80, 24, 'Deep Moonquake', '64', NULL);
INSERT INTO event VALUES ('1975-06-20 07:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1975-06-20 09:27:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', NULL);
INSERT INTO event VALUES ('1975-06-20 13:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1975-06-20 19:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1975-06-21 00:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1975-06-21 02:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 14 SP=12');
INSERT INTO event VALUES ('1975-06-21 06:52:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', NULL);
INSERT INTO event VALUES ('1975-06-21 09:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 15 SP=8');
INSERT INTO event VALUES ('1975-06-21 16:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1975-06-22 00:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1975-06-22 01:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1975-06-22 01:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 16 SP=5.');
INSERT INTO event VALUES ('1975-06-22 03:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 15 SP=3.');
INSERT INTO event VALUES ('1975-06-22 05:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 16 SP=4.');
INSERT INTO event VALUES ('1975-06-22 05:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-06-22 06:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 16 SP=4.5');
INSERT INTO event VALUES ('1975-06-22 08:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 14 SP=3.');
INSERT INTO event VALUES ('1975-06-22 10:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-06-22 13:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 15');
INSERT INTO event VALUES ('1975-06-22 13:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 15');
INSERT INTO event VALUES ('1975-06-22 14:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1975-06-22 19:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 15 SP=47');
INSERT INTO event VALUES ('1975-06-23 01:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-06-23 04:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=5');
INSERT INTO event VALUES ('1975-06-23 05:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-06-23 05:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=4');
INSERT INTO event VALUES ('1975-06-23 08:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-06-23 09:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=8.');
INSERT INTO event VALUES ('1975-06-23 09:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=19.');
INSERT INTO event VALUES ('1975-06-23 11:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP14=2.');
INSERT INTO event VALUES ('1975-06-23 11:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP14=11.');
INSERT INTO event VALUES ('1975-06-23 11:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=6.');
INSERT INTO event VALUES ('1975-06-23 22:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-06-24 06:33:00',34.30,45.00, 933,12.00,29.90, 109, 'Deep Moonquake', '231', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-06-24 07:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1975-06-24 13:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1975-06-24 16:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 12');
INSERT INTO event VALUES ('1975-06-24 16:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=3');
INSERT INTO event VALUES ('1975-06-24 18:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP14=4.5');
INSERT INTO event VALUES ('1975-06-24 19:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1975-06-24 21:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=17');
INSERT INTO event VALUES ('1975-06-24 23:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=4');
INSERT INTO event VALUES ('1975-06-25 03:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1975-06-25 03:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1975-06-25 07:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=7');
INSERT INTO event VALUES ('1975-06-25 09:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=15');
INSERT INTO event VALUES ('1975-06-25 14:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1975-06-25 14:40:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', 'M?');
INSERT INTO event VALUES ('1975-06-25 19:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=12');
INSERT INTO event VALUES ('1975-06-25 22:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-06-26 03:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C FAR AWAY NO SP');
INSERT INTO event VALUES ('1975-06-26 09:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 14SP=2. DIST');
INSERT INTO event VALUES ('1975-06-26 13:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1975-06-26 16:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=6');
INSERT INTO event VALUES ('1975-06-26 19:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 16?');
INSERT INTO event VALUES ('1975-06-26 22:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1975-06-26 23:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NO SP');
INSERT INTO event VALUES ('1975-06-27 09:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1975-06-27 14:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 14SP=9.');
INSERT INTO event VALUES ('1975-06-27 22:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 14SP=10');
INSERT INTO event VALUES ('1975-06-28 09:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST NO SP');
INSERT INTO event VALUES ('1975-06-29 05:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP=1;FLAT TILL77/86EXC14');
INSERT INTO event VALUES ('1975-06-29 11:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST NO SP');
INSERT INTO event VALUES ('1975-07-01 02:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-07-01 05:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '15 SS @ 182/1000');
INSERT INTO event VALUES ('1975-07-01 11:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16 SS @ 181/0700  SP=2.5');
INSERT INTO event VALUES ('1975-07-01 20:41:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1975-07-02 20:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SS@183/1920;DIST,NO SP');
INSERT INTO event VALUES ('1975-07-02 20:23:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1975-07-03 10:43:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1975-07-03 15:13:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', '12 SS @ 184/0830');
INSERT INTO event VALUES ('1975-07-03 16:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '79', NULL);
INSERT INTO event VALUES ('1975-07-03 17:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-07-03 21:29:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-07-03 22:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-07-04 03:52:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-07-04 07:05:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1975-07-04 16:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 14, SPZ CLIPPED');
INSERT INTO event VALUES ('1975-07-04 22:16:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', NULL);
INSERT INTO event VALUES ('1975-07-04 22:42:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', NULL);
INSERT INTO event VALUES ('1975-07-05 01:49:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-07-05 04:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', NULL);
INSERT INTO event VALUES ('1975-07-05 09:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-07-05 09:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-07-05 12:14:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-07-06 06:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1975-07-06 09:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', NULL);
INSERT INTO event VALUES ('1975-07-06 09:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP=3');
INSERT INTO event VALUES ('1975-07-06 18:25:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1975-07-07 02:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1975-07-07 06:22:00',14.30,-12.40, 945,1.00,2.00, 26, 'Deep Moonquake', '71', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-07-07 09:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1975-07-07 14:04:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-07-07 22:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '315', NULL);
INSERT INTO event VALUES ('1975-07-08 04:59:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1975-07-09 12:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 16 SP=6.');
INSERT INTO event VALUES ('1975-07-10 02:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DIST');
INSERT INTO event VALUES ('1975-07-10 21:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 16  SP=4');
INSERT INTO event VALUES ('1975-07-11 03:24:00',24.60,-23.40, 1419,8.40,11.10, 96, 'Deep Moonquake', '77', NULL);
INSERT INTO event VALUES ('1975-07-11 20:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '440', 'C? NO SP');
INSERT INTO event VALUES ('1975-07-12 00:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-07-12 01:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-07-12 16:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-07-12 18:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=3');
INSERT INTO event VALUES ('1975-07-13 01:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-07-13 01:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C SP=7');
INSERT INTO event VALUES ('1975-07-13 07:07:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-07-13 09:59:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1975-07-13 10:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '232', NULL);
INSERT INTO event VALUES ('1975-07-13 13:57:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1975-07-14 12:33:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', 'M?, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-07-14 17:16:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', 'M?, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-07-15 00:17:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-07-15 01:29:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-07-16 01:11:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-07-16 02:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16SPZ 37 MM');
INSERT INTO event VALUES ('1975-07-17 02:03:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-07-17 15:17:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-07-21 08:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-07-21 09:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-07-21 15:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ=7.2');
INSERT INTO event VALUES ('1975-07-21 21:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-07-22 05:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-07-23 12:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-07-23 18:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DISTANT');
INSERT INTO event VALUES ('1975-07-25 10:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-07-28 21:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-07-29 03:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 12');
INSERT INTO event VALUES ('1975-07-29 08:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C');
INSERT INTO event VALUES ('1975-07-29 11:26:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1975-07-30 02:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-07-30 02:38:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1975-07-30 10:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-07-30 15:29:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-07-30 21:12:00',-13.70,-21.60, 764,3.90,4.50, 81, 'Deep Moonquake', '216', NULL);
INSERT INTO event VALUES ('1975-07-31 06:53:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-07-31 07:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '79', NULL);
INSERT INTO event VALUES ('1975-07-31 10:29:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', NULL);
INSERT INTO event VALUES ('1975-07-31 14:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DISTANT');
INSERT INTO event VALUES ('1975-07-31 21:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-08-01 07:15:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', 'C NEAR 16');
INSERT INTO event VALUES ('1975-08-01 09:44:00',15.50,97.00, 1141,2.40,12.30, 74, 'Deep Moonquake', '282', '14SS @ 213 0520');
INSERT INTO event VALUES ('1975-08-01 13:36:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', NULL);
INSERT INTO event VALUES ('1975-08-01 14:40:00',15.50,55.60, 755,1.20,7.50, 44, 'Deep Moonquake', '114', '12SS @ 213 1800');
INSERT INTO event VALUES ('1975-08-01 20:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '404', NULL);
INSERT INTO event VALUES ('1975-08-02 05:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '80', NULL);
INSERT INTO event VALUES ('1975-08-02 10:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-08-02 16:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1975-08-02 17:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-08-03 00:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-08-03 04:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-08-03 10:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '353', NULL);
INSERT INTO event VALUES ('1975-08-04 00:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-08-04 15:57:00',14.30,-12.40, 945,1.00,2.00, 26, 'Deep Moonquake', '71', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-08-04 19:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', 'M?');
INSERT INTO event VALUES ('1975-08-04 20:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NEAR 16, 16SPZ=14MM');
INSERT INTO event VALUES ('1975-08-05 01:50:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', 'M?');
INSERT INTO event VALUES ('1975-08-05 02:16:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', 'M?');
INSERT INTO event VALUES ('1975-08-05 09:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '315', NULL);
INSERT INTO event VALUES ('1975-08-06 00:27:00',58.60,54.20, 1025,4.60,15.50, 31, 'Deep Moonquake', '242', 'M?');
INSERT INTO event VALUES ('1975-08-07 00:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-08-07 11:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'M? TWO EVENTS ?');
INSERT INTO event VALUES ('1975-08-07 20:18:00',24.60,-23.40, 1419,8.40,11.10, 96, 'Deep Moonquake', '77', NULL);
INSERT INTO event VALUES ('1975-08-08 04:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '440', NULL);
INSERT INTO event VALUES ('1975-08-08 11:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '221', 'C?');
INSERT INTO event VALUES ('1975-08-09 09:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C? NEAR STA 16 SPZ ONLY');
INSERT INTO event VALUES ('1975-08-09 09:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'IMPACT NEAR STA 15');
INSERT INTO event VALUES ('1975-08-09 13:04:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-08-09 15:29:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C? NEAR STA 15');
INSERT INTO event VALUES ('1975-08-09 17:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C? NEAR STA 15');
INSERT INTO event VALUES ('1975-08-09 19:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C? NEAR STA 15');
INSERT INTO event VALUES ('1975-08-09 22:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1975-08-10 02:13:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1975-08-10 06:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'IMPACT NEAR STA16');
INSERT INTO event VALUES ('1975-08-10 11:46:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1975-08-10 14:43:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-08-11 02:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-08-11 20:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1975-08-11 23:16:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'CLEAR S @14, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-08-12 09:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-08-12 09:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-08-12 18:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 16, SPZ=3MM');
INSERT INTO event VALUES ('1975-08-12 20:25:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', NULL);
INSERT INTO event VALUES ('1975-08-13 00:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-08-13 00:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 15, SPZ=40MM');
INSERT INTO event VALUES ('1975-08-13 03:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 15, SPZ=3MM');
INSERT INTO event VALUES ('1975-08-13 08:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 14, SPZ=38MM');
INSERT INTO event VALUES ('1975-08-13 11:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 15, SPZ=23MM');
INSERT INTO event VALUES ('1975-08-13 13:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 15, SPZ=6MM');
INSERT INTO event VALUES ('1975-08-13 15:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '213', '16 SR @225/0950');
INSERT INTO event VALUES ('1975-08-13 16:12:00',34.80,63.00, 1014,2.10,11.30, 26, 'Deep Moonquake', '70', NULL);
INSERT INTO event VALUES ('1975-08-13 18:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-08-13 21:22:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-08-14 01:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 15, SPZ=8MM');
INSERT INTO event VALUES ('1975-08-14 03:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16LPZ AMP; SPZ CLIPPED');
INSERT INTO event VALUES ('1975-08-14 03:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1975-08-14 08:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 14, SPZ=11MM');
INSERT INTO event VALUES ('1975-08-14 12:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1975-08-14 14:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 15, SPZ=7MM');
INSERT INTO event VALUES ('1975-08-14 15:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 15, SPZ=11MM');
INSERT INTO event VALUES ('1975-08-15 13:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '15 SR @227/0143');
INSERT INTO event VALUES ('1975-08-15 14:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-08-16 03:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=24MM;14SR@0624');
INSERT INTO event VALUES ('1975-08-16 17:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16SPZ=9MM; 12SR@1320');
INSERT INTO event VALUES ('1975-08-19 10:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-08-19 21:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'CLOSE TO A15 SP=25');
INSERT INTO event VALUES ('1975-08-19 23:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-08-20 13:47:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', 'M?');
INSERT INTO event VALUES ('1975-08-20 17:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'CLOSE TO A15,SPZ15=18MM');
INSERT INTO event VALUES ('1975-08-21 18:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1975-08-22 15:50:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-08-24 10:00:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', 'SP14=1');
INSERT INTO event VALUES ('1975-08-25 12:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', NULL);
INSERT INTO event VALUES ('1975-08-25 21:37:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1975-08-26 00:52:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1975-08-26 10:53:00',-53.20,-54.40, 933,4.60,11.40, 109, 'Deep Moonquake', '281', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-08-26 17:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '69', NULL);
INSERT INTO event VALUES ('1975-08-27 02:33:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1975-08-27 09:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '351', NULL);
INSERT INTO event VALUES ('1975-08-27 11:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', NULL);
INSERT INTO event VALUES ('1975-08-27 20:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '79', NULL);
INSERT INTO event VALUES ('1975-08-27 23:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NOSP');
INSERT INTO event VALUES ('1975-08-28 04:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '16SS @ 240 0600');
INSERT INTO event VALUES ('1975-08-28 07:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-08-28 09:17:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', 'BAD BIT SHIFT AT 14');
INSERT INTO event VALUES ('1975-08-28 11:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-08-28 17:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1975-08-29 04:23:00',15.50,55.60, 755,1.20,7.50, 44, 'Deep Moonquake', '114', '15SS @ 241 0800');
INSERT INTO event VALUES ('1975-08-29 07:23:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', 'BAD BIT SHIFT AT 14');
INSERT INTO event VALUES ('1975-08-29 10:14:00',15.50,97.00, 1141,2.40,12.30, 74, 'Deep Moonquake', '282', 'M?');
INSERT INTO event VALUES ('1975-08-29 11:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '206', 'C?');
INSERT INTO event VALUES ('1975-08-30 07:54:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', 'STA 14 SS @ 1640 DAY 242');
INSERT INTO event VALUES ('1975-08-30 21:04:00',34.70,60.10, 1043,2.50,10.60, 30, 'Deep Moonquake', '74', 'C? 12 SS @243/0520, SP=3');
INSERT INTO event VALUES ('1975-08-31 04:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1975-08-31 09:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C  DIST NO SP, NNW');
INSERT INTO event VALUES ('1975-08-31 10:46:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', NULL);
INSERT INTO event VALUES ('1975-08-31 14:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '351', NULL);
INSERT INTO event VALUES ('1975-08-31 23:06:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', 'M?');
INSERT INTO event VALUES ('1975-09-01 19:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C? 15SPZ=26MM');
INSERT INTO event VALUES ('1975-09-02 01:42:00',14.30,-12.40, 945,1.00,2.00, 26, 'Deep Moonquake', '71', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-09-02 02:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '217', NULL);
INSERT INTO event VALUES ('1975-09-02 03:28:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', 'C?');
INSERT INTO event VALUES ('1975-09-02 05:46:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', 'C?');
INSERT INTO event VALUES ('1975-09-02 16:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', 'M?');
INSERT INTO event VALUES ('1975-09-02 17:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '315', NULL);
INSERT INTO event VALUES ('1975-09-02 18:46:00',58.60,54.20, 1025,4.60,15.50, 31, 'Deep Moonquake', '242', NULL);
INSERT INTO event VALUES ('1975-09-03 02:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-09-03 04:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '72', NULL);
INSERT INTO event VALUES ('1975-09-03 10:47:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-09-03 13:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-09-04 16:56:00',24.60,-23.40, 1419,8.40,11.10, 96, 'Deep Moonquake', '77', NULL);
INSERT INTO event VALUES ('1975-09-04 17:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-09-04 18:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '441', 'M?');
INSERT INTO event VALUES ('1975-09-04 20:58:00',4.40,-4.70, 933,1.20,1.80, 109, 'Deep Moonquake', '279', 'M?, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-09-05 07:03:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', NULL);
INSERT INTO event VALUES ('1975-09-05 15:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '221', 'M?');
INSERT INTO event VALUES ('1975-09-05 15:24:00',-3.60,21.50, 933,2.80,5.70, 109, 'Deep Moonquake', '250', 'M?, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-09-05 22:31:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', 'M?');
INSERT INTO event VALUES ('1975-09-06 15:50:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1975-09-06 17:44:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', NULL);
INSERT INTO event VALUES ('1975-09-07 01:47:00',8.60,-50.80, 952,4.60,5.60, 93, 'Deep Moonquake', '49', 'M?');
INSERT INTO event VALUES ('1975-09-07 03:08:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'M?, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-09-07 09:52:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-09-07 14:47:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1975-09-07 16:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1975-09-07 17:21:00',34.70,60.10, 1043,2.50,10.60, 30, 'Deep Moonquake', '74', NULL);
INSERT INTO event VALUES ('1975-09-08 02:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-09-08 11:19:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1975-09-08 12:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', 'M?');
INSERT INTO event VALUES ('1975-09-08 18:44:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-09-08 19:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1975-09-09 03:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '89', 'M?');
INSERT INTO event VALUES ('1975-09-09 09:35:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-09-10 01:30:00',34.80,63.00, 1014,2.10,11.30, 26, 'Deep Moonquake', '70', NULL);
INSERT INTO event VALUES ('1975-09-10 12:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'M?');
INSERT INTO event VALUES ('1975-09-10 19:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?15SPZ 6.0');
INSERT INTO event VALUES ('1975-09-10 22:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'M?');
INSERT INTO event VALUES ('1975-09-11 01:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'IMPACT NEAR 15  SPZ 7.0');
INSERT INTO event VALUES ('1975-09-11 03:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'IMPACT NEAR 15  SPZ 11.0');
INSERT INTO event VALUES ('1975-09-11 17:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'IMPACT NEAR 16  SPZ 6.0');
INSERT INTO event VALUES ('1975-09-12 10:10:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', NULL);
INSERT INTO event VALUES ('1975-09-12 22:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1975-09-13 01:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?15SPZ 7.0');
INSERT INTO event VALUES ('1975-09-13 14:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-09-13 15:43:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', 'M?');
INSERT INTO event VALUES ('1975-09-14 17:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '228', NULL);
INSERT INTO event VALUES ('1975-09-14 17:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?16SPZ 8.5');
INSERT INTO event VALUES ('1975-09-15 18:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C? 40MM ON SPZ14');
INSERT INTO event VALUES ('1975-09-16 05:56:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C? 24MM ON SPZ16');
INSERT INTO event VALUES ('1975-09-16 19:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-09-17 11:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C? 26MM ON SPZ14');
INSERT INTO event VALUES ('1975-09-17 21:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-09-19 13:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-09-20 13:08:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1975-09-21 07:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'M?');
INSERT INTO event VALUES ('1975-09-21 09:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', NULL);
INSERT INTO event VALUES ('1975-09-21 14:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1975-09-21 22:36:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1975-09-21 23:21:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1975-09-22 02:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-09-22 09:07:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1975-09-22 11:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-09-22 13:10:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1975-09-22 16:15:00',-53.20,-54.40, 933,4.60,11.40, 109, 'Deep Moonquake', '281', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-09-22 21:02:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', 'M?');
INSERT INTO event VALUES ('1975-09-23 08:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 14, SPZ=14MM');
INSERT INTO event VALUES ('1975-09-24 15:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '351', NULL);
INSERT INTO event VALUES ('1975-09-24 20:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', 'C?');
INSERT INTO event VALUES ('1975-09-24 21:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '79', NULL);
INSERT INTO event VALUES ('1975-09-25 07:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'STA 15 LP UNSTABLE');
INSERT INTO event VALUES ('1975-09-25 08:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '315', NULL);
INSERT INTO event VALUES ('1975-09-25 08:37:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', 'STA 15 LP UNSTABLE');
INSERT INTO event VALUES ('1975-09-26 11:27:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1975-09-26 15:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '206', 'C?');
INSERT INTO event VALUES ('1975-09-27 04:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1975-09-27 10:30:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1975-09-27 17:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1975-09-27 20:53:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1975-09-28 09:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1975-09-28 15:30:00',34.70,60.10, 1043,2.50,10.60, 30, 'Deep Moonquake', '74', 'C?');
INSERT INTO event VALUES ('1975-09-28 19:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 16, SPZ=15MM');
INSERT INTO event VALUES ('1975-09-29 06:13:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', 'C?');
INSERT INTO event VALUES ('1975-09-29 06:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C? 28MM ON SPZ15');
INSERT INTO event VALUES ('1975-09-29 08:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-09-29 15:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-09-30 04:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1975-09-30 09:09:00',14.30,-12.40, 945,1.00,2.00, 26, 'Deep Moonquake', '71', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-09-30 09:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '217', NULL);
INSERT INTO event VALUES ('1975-09-30 17:08:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', NULL);
INSERT INTO event VALUES ('1975-09-30 22:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '315', NULL);
INSERT INTO event VALUES ('1975-10-01 04:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-10-01 13:32:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1975-10-01 19:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', NULL);
INSERT INTO event VALUES ('1975-10-01 23:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '72', NULL);
INSERT INTO event VALUES ('1975-10-02 06:45:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1975-10-02 07:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '437', 'C?');
INSERT INTO event VALUES ('1975-10-02 22:02:00',24.60,-23.40, 1419,8.40,11.10, 96, 'Deep Moonquake', '77', NULL);
INSERT INTO event VALUES ('1975-10-03 03:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C? 17.5MM ON SPZ14');
INSERT INTO event VALUES ('1975-10-03 05:06:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', 'C?, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-10-03 05:55:00',4.40,-4.70, 933,1.20,1.80, 109, 'Deep Moonquake', '279', 'C?, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-10-03 06:23:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-10-03 08:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '388', 'C?');
INSERT INTO event VALUES ('1975-10-03 09:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1975-10-03 10:20:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1975-10-03 12:32:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1975-10-03 15:25:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1975-10-03 15:42:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', 'M?,(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-10-03 23:16:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', 'M?');
INSERT INTO event VALUES ('1975-10-03 23:33:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1975-10-04 02:11:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1975-10-04 02:37:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', 'C?');
INSERT INTO event VALUES ('1975-10-04 08:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '64MM ON SPZ16');
INSERT INTO event VALUES ('1975-10-04 11:56:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', 'M?');
INSERT INTO event VALUES ('1975-10-04 12:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-10-04 14:46:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', NULL);
INSERT INTO event VALUES ('1975-10-04 18:37:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1975-10-04 23:03:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-10-05 07:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1975-10-05 07:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '345', 'C?');
INSERT INTO event VALUES ('1975-10-05 07:47:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-10-05 11:18:00',34.70,60.10, 1043,2.50,10.60, 30, 'Deep Moonquake', '74', 'C?');
INSERT INTO event VALUES ('1975-10-05 14:12:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1975-10-05 18:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C? 7.1 ON SPZ16');
INSERT INTO event VALUES ('1975-10-05 19:58:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', 'M?');
INSERT INTO event VALUES ('1975-10-06 06:05:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', 'C?');
INSERT INTO event VALUES ('1975-10-06 12:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ AT 15&16');
INSERT INTO event VALUES ('1975-10-06 13:15:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-10-07 00:12:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-10-07 09:35:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', 'C?');
INSERT INTO event VALUES ('1975-10-08 04:21:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-10-10 01:05:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', NULL);
INSERT INTO event VALUES ('1975-10-11 03:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1975-10-11 12:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SUNRISE AT A16');
INSERT INTO event VALUES ('1975-10-15 06:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '?');
INSERT INTO event VALUES ('1975-10-15 17:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'M? SIMILAR EVNT ON DY289');
INSERT INTO event VALUES ('1975-10-16 17:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1975-10-17 02:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', 'M?');
INSERT INTO event VALUES ('1975-10-17 05:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, NULL);
INSERT INTO event VALUES ('1975-10-17 08:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', 'SIMILAR EVENT ON DAY 289');
INSERT INTO event VALUES ('1975-10-17 16:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1975-10-17 19:55:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-10-18 08:18:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', NULL);
INSERT INTO event VALUES ('1975-10-18 11:09:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-10-18 18:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', NULL);
INSERT INTO event VALUES ('1975-10-19 02:08:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1975-10-19 04:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 15, SPZ CLIPPED');
INSERT INTO event VALUES ('1975-10-19 05:01:00',24.10,26.10, 933,5.10,8.20, 109, 'Deep Moonquake', '233', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-10-19 06:42:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1975-10-19 09:46:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1975-10-19 15:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-10-19 15:22:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1975-10-19 20:22:00',-53.20,-54.40, 933,4.60,11.40, 109, 'Deep Moonquake', '281', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-10-19 21:21:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', NULL);
INSERT INTO event VALUES ('1975-10-20 07:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '79', NULL);
INSERT INTO event VALUES ('1975-10-20 12:50:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-10-20 15:51:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1975-10-20 22:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '69', NULL);
INSERT INTO event VALUES ('1975-10-21 00:13:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', NULL);
INSERT INTO event VALUES ('1975-10-21 00:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '222', 'C?');
INSERT INTO event VALUES ('1975-10-21 08:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1975-10-21 16:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-10-21 17:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-10-22 17:22:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', NULL);
INSERT INTO event VALUES ('1975-10-22 18:59:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1975-10-22 20:07:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', NULL);
INSERT INTO event VALUES ('1975-10-23 09:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '315', 'M?');
INSERT INTO event VALUES ('1975-10-24 05:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'IMPACT NEAR 12');
INSERT INTO event VALUES ('1975-10-24 11:01:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1975-10-26 12:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15LPZ RDG; SPZ=12');
INSERT INTO event VALUES ('1975-10-27 01:14:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1975-10-28 08:42:00',14.30,-12.40, 945,1.00,2.00, 26, 'Deep Moonquake', '71', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-10-28 12:50:00',58.60,54.20, 1025,4.60,15.50, 31, 'Deep Moonquake', '242', NULL);
INSERT INTO event VALUES ('1975-10-29 03:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '315', NULL);
INSERT INTO event VALUES ('1975-10-29 04:05:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', '12SS @302 0730');
INSERT INTO event VALUES ('1975-10-29 06:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '?');
INSERT INTO event VALUES ('1975-10-29 18:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '392', NULL);
INSERT INTO event VALUES ('1975-10-29 19:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', NULL);
INSERT INTO event VALUES ('1975-10-30 02:18:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', 'CLOSEST TO 15, GOOD P&S');
INSERT INTO event VALUES ('1975-10-30 06:18:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-10-30 07:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '437', NULL);
INSERT INTO event VALUES ('1975-10-30 08:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '312', NULL);
INSERT INTO event VALUES ('1975-10-30 09:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '72', NULL);
INSERT INTO event VALUES ('1975-10-30 16:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '441', NULL);
INSERT INTO event VALUES ('1975-10-30 17:27:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1975-10-30 17:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '69', NULL);
INSERT INTO event VALUES ('1975-10-30 17:57:00',24.60,-23.40, 1419,8.40,11.10, 96, 'Deep Moonquake', '77', NULL);
INSERT INTO event VALUES ('1975-10-30 19:30:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-10-31 04:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '232', NULL);
INSERT INTO event VALUES ('1975-10-31 06:34:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'GOOD P AND S @ALL ST.');
INSERT INTO event VALUES ('1975-10-31 07:19:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1975-10-31 08:24:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', NULL);
INSERT INTO event VALUES ('1975-10-31 09:05:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1975-10-31 10:04:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1975-10-31 12:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-10-31 12:22:00',4.40,-4.70, 933,1.20,1.80, 109, 'Deep Moonquake', '279', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-10-31 19:01:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', '12Z DEAD, X AMP.');
INSERT INTO event VALUES ('1975-10-31 20:56:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', '12Z DEAD, X AMP.');
INSERT INTO event VALUES ('1975-10-31 23:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '345', NULL);
INSERT INTO event VALUES ('1975-11-01 03:14:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', '12Z DEAD, X AMP.');
INSERT INTO event VALUES ('1975-11-01 08:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 14, SPZ=4MM');
INSERT INTO event VALUES ('1975-11-01 08:48:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1975-11-01 15:06:00',34.70,60.10, 1043,2.50,10.60, 30, 'Deep Moonquake', '74', NULL);
INSERT INTO event VALUES ('1975-11-01 17:57:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', NULL);
INSERT INTO event VALUES ('1975-11-01 19:42:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', NULL);
INSERT INTO event VALUES ('1975-11-02 02:34:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-11-02 04:15:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', NULL);
INSERT INTO event VALUES ('1975-11-02 10:11:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1975-11-02 15:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-11-02 18:58:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', NULL);
INSERT INTO event VALUES ('1975-11-02 21:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-11-03 07:51:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-11-03 08:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1975-11-03 15:29:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1975-11-03 18:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '89', NULL);
INSERT INTO event VALUES ('1975-11-03 23:55:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-11-04 02:03:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', NULL);
INSERT INTO event VALUES ('1975-11-04 04:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'IMPACT NEAR STATION 14');
INSERT INTO event VALUES ('1975-11-04 15:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1975-11-04 22:10:00',24.80,35.70, 933,5.70,13.50, 109, 'Deep Moonquake', '287', 'M?, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-11-05 03:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'M?   LPX 16 1.2');
INSERT INTO event VALUES ('1975-11-06 08:46:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', NULL);
INSERT INTO event VALUES ('1975-11-06 23:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1975-11-07 16:16:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', 'M?');
INSERT INTO event VALUES ('1975-11-09 17:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1975-11-10 04:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 15, SPZ=18MM');
INSERT INTO event VALUES ('1975-11-10 07:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-11-10 07:56:00',-10.60,58.90, 73.200000000000003,2.70,3.20, 18.699999999999999, 'Shallow Moonquake', NULL, 'LPZ AMP FOR 16(LPY NOISY)');
INSERT INTO event VALUES ('1975-11-10 16:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SHORT. SPZ CLIPPED. C?');
INSERT INTO event VALUES ('1975-11-11 18:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 15 SR @315-1319');
INSERT INTO event VALUES ('1975-11-13 04:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 14SR @316-2020');
INSERT INTO event VALUES ('1975-11-13 17:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 12SR @317-0310');
INSERT INTO event VALUES ('1975-11-13 19:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-11-13 21:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-11-14 02:28:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1975-11-14 05:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-11-14 09:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-11-14 11:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 16, SPZ=6MM');
INSERT INTO event VALUES ('1975-11-15 04:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', NULL);
INSERT INTO event VALUES ('1975-11-15 09:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 15, SPZ=8MM');
INSERT INTO event VALUES ('1975-11-15 10:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1975-11-15 12:16:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1975-11-15 12:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-11-15 17:55:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1975-11-16 02:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-11-16 03:07:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1975-11-16 04:37:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1975-11-16 14:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '79', NULL);
INSERT INTO event VALUES ('1975-11-16 20:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C');
INSERT INTO event VALUES ('1975-11-16 23:49:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', NULL);
INSERT INTO event VALUES ('1975-11-17 05:40:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', NULL);
INSERT INTO event VALUES ('1975-11-17 06:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '69', NULL);
INSERT INTO event VALUES ('1975-11-17 07:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '222', NULL);
INSERT INTO event VALUES ('1975-11-17 09:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-11-18 00:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-11-18 08:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST;ECLPS 322/1950-0200');
INSERT INTO event VALUES ('1975-11-20 14:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ=19MM');
INSERT INTO event VALUES ('1975-11-20 22:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-11-21 23:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-11-22 10:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-11-22 12:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-11-22 12:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-11-24 03:04:00',14.30,-12.40, 945,1.00,2.00, 26, 'Deep Moonquake', '71', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-11-25 18:58:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1975-11-25 23:20:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', '15 LPZ READ');
INSERT INTO event VALUES ('1975-11-26 02:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-11-26 05:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1975-11-26 08:26:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1975-11-26 13:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-11-26 16:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-11-26 17:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-11-27 03:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-11-27 06:11:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-11-27 11:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-11-27 12:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '232', 'C?');
INSERT INTO event VALUES ('1975-11-27 13:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-11-27 15:34:00',41.00,53.40, 893,2.50,7.70, 34, 'Deep Moonquake', '107', NULL);
INSERT INTO event VALUES ('1975-11-27 17:14:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', NULL);
INSERT INTO event VALUES ('1975-11-27 17:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1975-11-27 19:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1975-11-27 20:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-11-28 02:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-11-28 06:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-11-28 12:54:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1975-11-28 15:29:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1975-11-28 18:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-11-29 00:32:00',27.50,34.30, 919,9.90,20.60, 160, 'Deep Moonquake', '82', NULL);
INSERT INTO event VALUES ('1975-11-29 02:37:00',34.60,56.10, 933,20.90,81.00, 109, 'Deep Moonquake', '244', 'M?, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-11-29 08:15:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-11-29 12:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-11-29 13:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-11-29 18:10:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', 'C');
INSERT INTO event VALUES ('1975-11-29 21:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-11-30 01:11:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', NULL);
INSERT INTO event VALUES ('1975-11-30 06:09:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', 'C');
INSERT INTO event VALUES ('1975-11-30 08:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-11-30 10:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'IMPACT NEAR 14');
INSERT INTO event VALUES ('1975-11-30 13:30:00',34.80,63.00, 1014,2.10,11.30, 26, 'Deep Moonquake', '70', NULL);
INSERT INTO event VALUES ('1975-11-30 21:03:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1975-12-01 01:17:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-12-01 16:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, NULL);
INSERT INTO event VALUES ('1975-12-01 18:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'M?');
INSERT INTO event VALUES ('1975-12-02 06:41:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-12-02 18:54:00',24.80,35.70, 933,5.70,13.50, 109, 'Deep Moonquake', '287', 'C?, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-12-03 01:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C EAST OF STATIONS');
INSERT INTO event VALUES ('1975-12-03 05:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-12-03 17:05:00',8.60,73.00, 933,4.90,69.50, 109, 'Deep Moonquake', '245', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-12-04 02:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'CLOSE TO ST. 14');
INSERT INTO event VALUES ('1975-12-04 03:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1975-12-04 03:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15SPZ=42MM');
INSERT INTO event VALUES ('1975-12-04 05:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 16, SPZ=6MM');
INSERT INTO event VALUES ('1975-12-04 18:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 16, SPZ=38MM');
INSERT INTO event VALUES ('1975-12-04 23:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 16, SPZ=9MM');
INSERT INTO event VALUES ('1975-12-05 07:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-12-05 14:40:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1975-12-05 16:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-12-06 03:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-12-06 08:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C');
INSERT INTO event VALUES ('1975-12-06 09:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-12-06 15:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 14');
INSERT INTO event VALUES ('1975-12-06 16:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 16, SPZ=12MM');
INSERT INTO event VALUES ('1975-12-07 18:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-12-08 16:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-12-08 19:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-12-08 23:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-12-09 12:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-12-09 23:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=4MM,SHORT RT');
INSERT INTO event VALUES ('1975-12-10 01:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=2.8MM');
INSERT INTO event VALUES ('1975-12-10 07:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'LPZ AMP. SPZ CLIPPED');
INSERT INTO event VALUES ('1975-12-10 07:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=8.5MM');
INSERT INTO event VALUES ('1975-12-10 10:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1975-12-10 16:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-12-10 17:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1975-12-11 02:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1975-12-11 08:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1975-12-11 11:11:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1975-12-11 12:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1975-12-11 14:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-12-11 16:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '316', 'M?');
INSERT INTO event VALUES ('1975-12-12 17:03:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1975-12-13 11:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1975-12-13 15:21:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', 'M?');
INSERT INTO event VALUES ('1975-12-14 03:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-12-14 12:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', 'M?');
INSERT INTO event VALUES ('1975-12-14 16:32:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', 'C?');
INSERT INTO event VALUES ('1975-12-14 22:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-12-15 06:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ=7MM');
INSERT INTO event VALUES ('1975-12-15 07:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ=3MM');
INSERT INTO event VALUES ('1975-12-15 15:18:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', 'C?');
INSERT INTO event VALUES ('1975-12-16 00:53:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', NULL);
INSERT INTO event VALUES ('1975-12-16 03:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '393', NULL);
INSERT INTO event VALUES ('1975-12-16 03:49:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', NULL);
INSERT INTO event VALUES ('1975-12-16 04:18:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', NULL);
INSERT INTO event VALUES ('1975-12-16 08:21:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', NULL);
INSERT INTO event VALUES ('1975-12-16 13:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-12-16 16:56:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-12-17 08:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NORTH OF STATIONS');
INSERT INTO event VALUES ('1975-12-17 12:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-12-18 03:44:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-12-18 13:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '?');
INSERT INTO event VALUES ('1975-12-18 17:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ=9MM');
INSERT INTO event VALUES ('1975-12-18 21:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ=8MM');
INSERT INTO event VALUES ('1975-12-19 02:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-12-19 18:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-12-20 02:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SPZ14=2MM');
INSERT INTO event VALUES ('1975-12-20 07:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-12-20 10:00:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', NULL);
INSERT INTO event VALUES ('1975-12-20 15:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-12-21 00:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-12-21 17:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-12-21 17:26:00',2.40,46.10, 933,2.70,20.20, 109, 'Deep Moonquake', '280', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-12-21 18:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '72', NULL);
INSERT INTO event VALUES ('1975-12-21 23:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-12-22 17:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-12-23 15:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16SPZ=11MM');
INSERT INTO event VALUES ('1975-12-24 06:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-12-24 09:12:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-12-24 11:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'VERY FAR AWAY');
INSERT INTO event VALUES ('1975-12-24 11:44:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1975-12-26 00:32:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-12-26 02:47:00',27.50,34.30, 919,9.90,20.60, 160, 'Deep Moonquake', '82', NULL);
INSERT INTO event VALUES ('1975-12-26 17:35:00',34.60,56.10, 933,20.90,81.00, 109, 'Deep Moonquake', '244', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-12-26 22:14:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', NULL);
INSERT INTO event VALUES ('1975-12-27 05:47:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-12-27 06:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-12-28 00:37:00',34.80,63.00, 1014,2.10,11.30, 26, 'Deep Moonquake', '70', NULL);
INSERT INTO event VALUES ('1975-12-28 11:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '89', NULL);
INSERT INTO event VALUES ('1975-12-28 12:46:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1975-12-28 15:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-12-30 10:29:00',24.80,35.70, 933,5.70,13.50, 109, 'Deep Moonquake', '287', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1975-12-31 01:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-12-31 02:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1975-12-31 03:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1975-12-31 10:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C? 16SPZ=5.4MM');
INSERT INTO event VALUES ('1975-12-31 17:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1976-01-01 06:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1976-01-01 11:01:00',34.30,45.00, 933,12.00,29.90, 109, 'Deep Moonquake', '231', 'DATA GAP AT CODA AT ST14, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-01-03 06:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ16 14.5MM');
INSERT INTO event VALUES ('1976-01-03 11:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-01-03 17:25:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', NULL);
INSERT INTO event VALUES ('1976-01-04 08:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-01-04 11:20:00',44.50,30.50, 88,3.20,3.70, 38.799999999999997, 'Shallow Moonquake', NULL, 'LRGST AMP SPZ15,S-P=2MIN');
INSERT INTO event VALUES ('1976-01-04 14:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C? CLOSE TO 15, SPZ15=11MM');
INSERT INTO event VALUES ('1976-01-04 15:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-01-05 07:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'BAD DATA AT 12');
INSERT INTO event VALUES ('1976-01-06 15:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1976-01-06 17:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '221', 'C?');
INSERT INTO event VALUES ('1976-01-06 23:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', 'C?');
INSERT INTO event VALUES ('1976-01-07 13:25:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'C, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-01-07 14:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1976-01-08 04:45:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', NULL);
INSERT INTO event VALUES ('1976-01-08 12:10:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1976-01-08 20:20:00',24.10,26.10, 933,5.10,8.20, 109, 'Deep Moonquake', '233', 'M?, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-01-08 21:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', 'C?');
INSERT INTO event VALUES ('1976-01-08 22:22:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1976-01-09 01:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', NULL);
INSERT INTO event VALUES ('1976-01-09 13:25:00',-13.70,-21.60, 764,3.90,4.50, 81, 'Deep Moonquake', '216', 'C?');
INSERT INTO event VALUES ('1976-01-09 23:41:00',-53.20,-54.40, 933,4.60,11.40, 109, 'Deep Moonquake', '281', 'M?, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-01-10 02:40:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-01-10 15:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '79', NULL);
INSERT INTO event VALUES ('1976-01-10 20:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '69', NULL);
INSERT INTO event VALUES ('1976-01-11 10:07:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', 'M?');
INSERT INTO event VALUES ('1976-01-12 02:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1976-01-12 05:13:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', NULL);
INSERT INTO event VALUES ('1976-03-11 10:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, '?  LPY,LPX OSC,NO EVENT   125');
INSERT INTO event VALUES ('1976-01-12 07:20:00',15.50,55.60, 755,1.20,7.50, 44, 'Deep Moonquake', '114', NULL);
INSERT INTO event VALUES ('1976-01-12 07:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-01-12 08:22:00',38.00,44.00, 100, NULL, NULL, NULL, 'Shallow Moonquake', NULL, 'STRONG SPZ AT 15&16, The source position is decided by (Nakamura et al., 1979)');
INSERT INTO event VALUES ('1976-01-12 10:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1976-01-12 12:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-01-12 12:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-01-12 17:46:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', NULL);
INSERT INTO event VALUES ('1976-01-12 18:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1976-01-12 22:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 14SPZ=8MM');
INSERT INTO event VALUES ('1976-01-13 00:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1976-01-13 07:14:00',-38.17,59.78, 0, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14&16 AMP.ESTIMATED');
INSERT INTO event VALUES ('1976-01-14 04:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-01-14 13:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-01-15 04:47:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-01-17 01:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-01-17 18:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ=18MM');
INSERT INTO event VALUES ('1976-01-19 08:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1976-01-19 16:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-01-20 05:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '232', NULL);
INSERT INTO event VALUES ('1976-01-20 09:29:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1976-01-20 10:35:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1976-01-20 23:54:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1976-01-21 00:57:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1976-01-21 11:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'CLOSEST TO 15');
INSERT INTO event VALUES ('1976-01-22 01:04:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1976-01-22 06:13:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-01-22 13:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-01-23 11:14:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1976-01-24 02:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '89', NULL);
INSERT INTO event VALUES ('1976-01-24 09:05:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', NULL);
INSERT INTO event VALUES ('1976-01-25 16:10:00',-2.50,-71.40, 0,5.00,1.70, NULL, 'Meteoroid Impact', NULL, 'CLOSEST TO A12, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-01-26 00:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', NULL);
INSERT INTO event VALUES ('1976-01-26 03:02:00',24.80,35.70, 933,5.70,13.50, 109, 'Deep Moonquake', '287', '16Y BEHEADED BY DATA GAP, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-01-27 01:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TWO EVENTS?');
INSERT INTO event VALUES ('1976-01-27 07:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1976-01-27 11:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-01-27 12:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1976-01-27 19:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', NULL);
INSERT INTO event VALUES ('1976-01-28 03:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-01-28 11:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1976-01-28 17:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-01-29 14:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-01-31 16:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1976-02-01 01:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'M?');
INSERT INTO event VALUES ('1976-02-01 08:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SPZ16 35MM -CLOSE IMPACT?');
INSERT INTO event VALUES ('1976-02-01 08:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SPZ16 64MM -CLOSE IMPACT?');
INSERT INTO event VALUES ('1976-02-02 01:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-02-02 10:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ=13MM');
INSERT INTO event VALUES ('1976-02-03 06:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '205', NULL);
INSERT INTO event VALUES ('1976-02-03 10:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-02-04 05:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-02-04 10:53:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1976-02-04 16:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', NULL);
INSERT INTO event VALUES ('1976-02-04 17:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-02-04 17:35:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1976-02-04 22:06:00',24.10,26.10, 933,5.10,8.20, 109, 'Deep Moonquake', '233', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-02-05 02:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-02-05 07:34:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', NULL);
INSERT INTO event VALUES ('1976-02-05 08:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-02-05 14:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SYNC ERRORS');
INSERT INTO event VALUES ('1976-02-05 19:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ = 9MM');
INSERT INTO event VALUES ('1976-02-05 20:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', NULL);
INSERT INTO event VALUES ('1976-02-05 22:52:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-02-06 00:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-02-06 00:59:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-02-06 07:54:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-02-06 16:40:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-02-06 19:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '16 SR @037-1958');
INSERT INTO event VALUES ('1976-02-07 04:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '79', NULL);
INSERT INTO event VALUES ('1976-02-07 04:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '69', NULL);
INSERT INTO event VALUES ('1976-02-07 15:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-02-07 22:33:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-02-08 02:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-02-08 04:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ = 13MM');
INSERT INTO event VALUES ('1976-02-08 11:14:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', '15SR @039-0702');
INSERT INTO event VALUES ('1976-02-09 20:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'M?');
INSERT INTO event VALUES ('1976-02-10 06:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'M?');
INSERT INTO event VALUES ('1976-02-10 07:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-02-11 01:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', 'X');
INSERT INTO event VALUES ('1976-02-11 03:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'M?');
INSERT INTO event VALUES ('1976-02-11 20:28:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1976-02-12 00:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-02-12 06:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-02-13 11:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'X');
INSERT INTO event VALUES ('1976-02-13 19:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'X');
INSERT INTO event VALUES ('1976-02-14 08:13:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1976-02-15 11:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'X');
INSERT INTO event VALUES ('1976-02-16 03:49:00',24.60,-23.40, 1419,8.40,11.10, 96, 'Deep Moonquake', '77', NULL);
INSERT INTO event VALUES ('1976-02-16 06:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 15, SPZ=32MM');
INSERT INTO event VALUES ('1976-02-16 06:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-02-16 06:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '441', NULL);
INSERT INTO event VALUES ('1976-02-16 11:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SYNC ERRORS @12');
INSERT INTO event VALUES ('1976-02-16 12:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-02-16 12:51:00',-3.60,21.50, 933,2.80,5.70, 109, 'Deep Moonquake', '250', '(*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-02-16 16:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C NEAR 15, SPZ=8MM');
INSERT INTO event VALUES ('1976-02-16 16:40:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', '?');
INSERT INTO event VALUES ('1976-02-16 16:55:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1976-02-16 17:25:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-03-11 13:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'STA16 ONLY,            126');
INSERT INTO event VALUES ('1976-02-16 18:43:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-02-16 21:44:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-02-16 23:26:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1976-02-17 01:14:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', NULL);
INSERT INTO event VALUES ('1976-02-17 06:05:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', 'DISTINCT S');
INSERT INTO event VALUES ('1976-02-17 17:27:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1976-02-17 19:22:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1976-02-17 23:44:00',34.70,60.10, 1043,2.50,10.60, 30, 'Deep Moonquake', '74', NULL);
INSERT INTO event VALUES ('1976-02-18 02:23:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', 'DISTINCT S');
INSERT INTO event VALUES ('1976-02-18 04:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'NO SPZ. DISTANT C OR M?');
INSERT INTO event VALUES ('1976-02-18 06:56:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1976-02-18 10:37:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1976-02-18 13:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-02-18 16:35:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'M?, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-02-19 04:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-02-19 10:32:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '14LPX READ');
INSERT INTO event VALUES ('1976-02-19 20:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-02-20 11:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14 LPX READ');
INSERT INTO event VALUES ('1976-02-20 13:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14LPX READ');
INSERT INTO event VALUES ('1976-02-20 18:46:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '14LPX READ');
INSERT INTO event VALUES ('1976-02-21 06:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '16SS @052/1500');
INSERT INTO event VALUES ('1976-02-24 02:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SS @14 055/0210');
INSERT INTO event VALUES ('1976-02-24 08:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SS @12 055/1520');
INSERT INTO event VALUES ('1976-02-24 20:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-02-24 21:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-02-25 00:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, NULL);
INSERT INTO event VALUES ('1976-02-26 01:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '228', 'DATA GAP FOLLOWS');
INSERT INTO event VALUES ('1976-02-26 13:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO event VALUES ('1976-02-27 20:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16SPZ=8MM');
INSERT INTO event VALUES ('1976-02-28 20:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?');
INSERT INTO event VALUES ('1976-02-29 19:25:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-03-01 00:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '61');
INSERT INTO event VALUES ('1976-03-01 01:29:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '61');
INSERT INTO event VALUES ('1976-03-01 04:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '62');
INSERT INTO event VALUES ('1976-03-01 09:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'BEHEADED                   63');
INSERT INTO event VALUES ('1976-03-01 11:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '354', '64');
INSERT INTO event VALUES ('1976-03-01 13:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '64');
INSERT INTO event VALUES ('1976-03-01 15:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '64C');
INSERT INTO event VALUES ('1976-03-01 17:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', '65');
INSERT INTO event VALUES ('1976-03-01 18:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '319', '65');
INSERT INTO event VALUES ('1976-03-01 20:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '66');
INSERT INTO event VALUES ('1976-03-01 21:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '66');
INSERT INTO event VALUES ('1976-03-02 01:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '67C');
INSERT INTO event VALUES ('1976-03-02 03:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '68');
INSERT INTO event VALUES ('1976-03-02 05:56:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '68C');
INSERT INTO event VALUES ('1976-03-02 21:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '72');
INSERT INTO event VALUES ('1976-03-03 01:48:00',8.60,73.00, 933,4.90,69.50, 109, 'Deep Moonquake', '245', '73, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-03-03 03:38:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', '73');
INSERT INTO event VALUES ('1976-03-03 07:59:00',24.10,26.10, 933,5.10,8.20, 109, 'Deep Moonquake', '233', 'DATA GAP FROM 0809,74, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-03-03 09:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '74');
INSERT INTO event VALUES ('1976-03-03 11:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '?                          75');
INSERT INTO event VALUES ('1976-03-03 15:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C                          76');
INSERT INTO event VALUES ('1976-03-03 20:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C 14SPZ=2MM                77C');
INSERT INTO event VALUES ('1976-03-03 23:34:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '16SPZ=3MM                  78');
INSERT INTO event VALUES ('1976-03-04 02:10:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '79');
INSERT INTO event VALUES ('1976-03-04 06:58:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '80');
INSERT INTO event VALUES ('1976-03-04 10:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '81');
INSERT INTO event VALUES ('1976-03-04 11:33:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '81');
INSERT INTO event VALUES ('1976-03-04 11:42:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '81');
INSERT INTO event VALUES ('1976-03-04 15:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'DATA BAD                   82');
INSERT INTO event VALUES ('1976-03-04 16:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '351', '82C');
INSERT INTO event VALUES ('1976-03-04 20:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '98', '84');
INSERT INTO event VALUES ('1976-03-04 22:45:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', '84');
INSERT INTO event VALUES ('1976-03-05 00:52:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', '85');
INSERT INTO event VALUES ('1976-03-05 14:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '69', '89');
INSERT INTO event VALUES ('1976-03-05 17:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '89');
INSERT INTO event VALUES ('1976-03-05 21:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '79', '14SPZ=1MM                  91');
INSERT INTO event VALUES ('1976-03-06 00:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14SPZ=2MM                  91');
INSERT INTO event VALUES ('1976-03-06 06:30:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1976-03-06 09:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '222', '94');
INSERT INTO event VALUES ('1976-03-06 10:16:00',45.60,-26.30, 74.400000000000006,3.90,4.80, 26.899999999999999, 'Shallow Moonquake', NULL, '17LSG=8MM,14SPZ=170MM      94');
INSERT INTO event VALUES ('1976-03-06 15:51:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', '95, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-03-06 21:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '97');
INSERT INTO event VALUES ('1976-03-07 04:43:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', '99');
INSERT INTO event VALUES ('1976-03-07 05:48:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', '99');
INSERT INTO event VALUES ('1976-03-07 15:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '404', '101');
INSERT INTO event VALUES ('1976-03-07 19:20:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', '102');
INSERT INTO event VALUES ('1976-03-07 21:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '102');
INSERT INTO event VALUES ('1976-03-07 23:10:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', '102C');
INSERT INTO event VALUES ('1976-03-07 23:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '103');
INSERT INTO event VALUES ('1976-03-08 03:12:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '103C');
INSERT INTO event VALUES ('1976-03-08 11:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '106');
INSERT INTO event VALUES ('1976-03-08 11:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '106');
INSERT INTO event VALUES ('1976-03-08 14:44:00',-18.20,-10.80, 119.8,2.30,1.60, 23.899999999999999, 'Shallow Moonquake', NULL, '12 DATA BAD               107C');
INSERT INTO event VALUES ('1976-03-08 16:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '108');
INSERT INTO event VALUES ('1976-03-09 03:10:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', '15SR@ 068/2110;17LSG=2MM  111');
INSERT INTO event VALUES ('1976-03-09 05:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '111');
INSERT INTO event VALUES ('1976-03-09 07:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '112');
INSERT INTO event VALUES ('1976-03-09 19:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '206', 'GOOD P&S@14,14SPZ=2MM     115');
INSERT INTO event VALUES ('1976-03-09 22:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '116');
INSERT INTO event VALUES ('1976-03-10 00:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '315', '116');
INSERT INTO event VALUES ('1976-03-10 01:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '116C');
INSERT INTO event VALUES ('1976-03-10 05:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14SR @070/0556            117');
INSERT INTO event VALUES ('1976-03-10 12:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=49MM            119');
INSERT INTO event VALUES ('1976-03-10 15:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12SR@ 070/1243            120');
INSERT INTO event VALUES ('1976-03-11 01:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, 'M? DOUBTFUL EVENT         123');
INSERT INTO event VALUES ('1976-03-11 05:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '124');
INSERT INTO event VALUES ('1976-03-11 13:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '126');
INSERT INTO event VALUES ('1976-03-11 21:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '128');
INSERT INTO event VALUES ('1976-03-12 00:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'STA16 ONLY             129');
INSERT INTO event VALUES ('1976-03-12 01:23:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', '129');
INSERT INTO event VALUES ('1976-03-12 03:14:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', '129');
INSERT INTO event VALUES ('1976-03-12 06:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '130');
INSERT INTO event VALUES ('1976-03-12 07:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', '130');
INSERT INTO event VALUES ('1976-03-12 14:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '132');
INSERT INTO event VALUES ('1976-03-12 16:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, '15SPZ=8MM                 133');
INSERT INTO event VALUES ('1976-03-12 23:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '135');
INSERT INTO event VALUES ('1976-03-12 23:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '135');
INSERT INTO event VALUES ('1976-03-13 00:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '135C');
INSERT INTO event VALUES ('1976-03-13 01:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '136');
INSERT INTO event VALUES ('1976-03-13 04:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '136');
INSERT INTO event VALUES ('1976-03-13 07:28:00',14.30,-12.40, 945,1.00,2.00, 26, 'Deep Moonquake', '71', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-03-13 10:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '138');
INSERT INTO event VALUES ('1976-03-13 11:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '139');
INSERT INTO event VALUES ('1976-03-13 13:20:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', 'GOOD P&S ALL ST. 17LSG=2  139C');
INSERT INTO event VALUES ('1976-03-13 17:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '141');
INSERT INTO event VALUES ('1976-03-13 21:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '141C');
INSERT INTO event VALUES ('1976-03-13 23:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '142');
INSERT INTO event VALUES ('1976-03-14 01:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=1.5MM               143');
INSERT INTO event VALUES ('1976-03-14 07:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'M?                        144');
INSERT INTO event VALUES ('1976-03-14 09:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '392', '145');
INSERT INTO event VALUES ('1976-03-14 11:07:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '145');
INSERT INTO event VALUES ('1976-03-14 13:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '146');
INSERT INTO event VALUES ('1976-03-14 14:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'M?                        146');
INSERT INTO event VALUES ('1976-03-14 22:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '147C');
INSERT INTO event VALUES ('1976-03-15 01:30:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '148, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-03-15 03:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DOUBLE EVENTS?            149');
INSERT INTO event VALUES ('1976-03-15 06:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ=4MM                   150');
INSERT INTO event VALUES ('1976-03-15 10:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '151');
INSERT INTO event VALUES ('1976-03-15 12:34:00',-3.60,21.50, 933,2.80,5.70, 109, 'Deep Moonquake', '250', '151C, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-03-15 13:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '232', '152');
INSERT INTO event VALUES ('1976-03-15 14:17:00',4.40,-4.70, 933,1.20,1.80, 109, 'Deep Moonquake', '279', '152, (*) The source depth is assumed to be 933km ');
INSERT INTO event VALUES ('1976-03-15 16:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '152');
INSERT INTO event VALUES ('1976-03-15 18:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '388', '153');
INSERT INTO event VALUES ('1976-03-15 20:01:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-03-16 00:05:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'P&S @12,14,16             154C');
INSERT INTO event VALUES ('1976-03-16 01:08:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1976-03-16 03:34:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', '16LPX AMP                 156');
INSERT INTO event VALUES ('1976-03-16 05:46:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', '16LPX AMP; 17LSG=1.5MM    156');
INSERT INTO event VALUES ('1976-03-16 08:28:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-03-16 10:51:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', '157C, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-03-16 12:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ=9MM                   158');
INSERT INTO event VALUES ('1976-03-16 14:45:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', '17LSG 3.5MM               159');
INSERT INTO event VALUES ('1976-03-16 17:39:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', '159');
INSERT INTO event VALUES ('1976-03-16 20:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '160C');
INSERT INTO event VALUES ('1976-03-16 21:31:00',41.00,53.40, 893,2.50,7.70, 34, 'Deep Moonquake', '107', '161');
INSERT INTO event VALUES ('1976-03-17 01:23:00',34.70,60.10, 1043,2.50,10.60, 30, 'Deep Moonquake', '74', '162');
INSERT INTO event VALUES ('1976-03-17 03:23:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', '17LSG=1.5MM               163');
INSERT INTO event VALUES ('1976-03-17 08:35:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', '165');
INSERT INTO event VALUES ('1976-03-17 13:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '166');
INSERT INTO event VALUES ('1976-03-17 18:43:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', 'The source position is decided by (Khan and Mosegaard, 2002), 168');
INSERT INTO event VALUES ('1976-03-17 22:01:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '168');
INSERT INTO event VALUES ('1976-03-18 11:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '171C');
INSERT INTO event VALUES ('1976-03-18 12:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '172');
INSERT INTO event VALUES ('1976-03-19 04:00:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', '175');
INSERT INTO event VALUES ('1976-03-20 07:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '181');
INSERT INTO event VALUES ('1976-03-20 10:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '16SS @ 082/0420           182');
INSERT INTO event VALUES ('1976-03-23 11:56:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '17 ONLY,3MM               201');
INSERT INTO event VALUES ('1976-03-24 07:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C DISTANT, NO SPZ         205');
INSERT INTO event VALUES ('1976-03-24 17:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12SS @085/0550            207C');
INSERT INTO event VALUES ('1976-03-26 03:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'STATION 17 LSG ONLY 11MM  214');
INSERT INTO event VALUES ('1976-03-27 12:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '17LSG ONLY 2MM            220');
INSERT INTO event VALUES ('1976-03-27 12:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '17LSG ONLY 2.8MM          220');
INSERT INTO event VALUES ('1976-03-28 09:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '224');
INSERT INTO event VALUES ('1976-03-28 12:53:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', '225');
INSERT INTO event VALUES ('1976-03-29 05:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SYNC ERRORS @12           229');
INSERT INTO event VALUES ('1976-03-29 20:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', '233');
INSERT INTO event VALUES ('1976-03-29 23:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '234');
INSERT INTO event VALUES ('1976-03-30 02:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NEAR ST16, SPZ=28MM       234');
INSERT INTO event VALUES ('1976-03-30 04:40:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', '235');
INSERT INTO event VALUES ('1976-03-30 07:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', '236');
INSERT INTO event VALUES ('1976-03-30 08:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '236');
INSERT INTO event VALUES ('1976-03-30 15:32:00',24.10,26.10, 933,5.10,8.20, 109, 'Deep Moonquake', '233', '237C, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-03-30 20:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '16SPZ=8MM               10238C');
INSERT INTO event VALUES ('1976-03-31 00:38:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '239C');
INSERT INTO event VALUES ('1976-03-31 10:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '17LSG ONLY 2.8MM          242');
INSERT INTO event VALUES ('1976-03-31 19:38:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '244');
INSERT INTO event VALUES ('1976-03-31 21:29:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', '244');
INSERT INTO event VALUES ('1976-03-31 23:32:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '244C');
INSERT INTO event VALUES ('1976-04-01 14:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '98', '248');
INSERT INTO event VALUES ('1976-04-02 02:23:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', 'A12,15 SWITCHED           251');
INSERT INTO event VALUES ('1976-04-02 05:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '251');
INSERT INTO event VALUES ('1976-04-02 06:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '69', '252');
INSERT INTO event VALUES ('1976-04-02 07:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '252C');
INSERT INTO event VALUES ('1976-04-02 13:22:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', '254, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-04-02 15:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C? NO SPZ                 255');
INSERT INTO event VALUES ('1976-04-02 22:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '404', '256');
INSERT INTO event VALUES ('1976-04-03 11:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'MAY NOT BE AN EVENT       260');
INSERT INTO event VALUES ('1976-04-03 14:42:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', '260C');
INSERT INTO event VALUES ('1976-04-03 18:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '79', '262');
INSERT INTO event VALUES ('1976-04-04 10:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT, NO SPZ           266');
INSERT INTO event VALUES ('1976-04-04 13:22:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', '267');
INSERT INTO event VALUES ('1976-04-04 18:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '268');
INSERT INTO event VALUES ('1976-04-04 20:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '268');
INSERT INTO event VALUES ('1976-04-04 22:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '448', '269');
INSERT INTO event VALUES ('1976-04-05 01:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '269');
INSERT INTO event VALUES ('1976-04-05 20:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16SPZ=4MM,15BAD           275');
INSERT INTO event VALUES ('1976-04-06 01:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ15 15.0MM16SR@96/2241  277');
INSERT INTO event VALUES ('1976-04-06 02:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ15 12.0MM15SR@98/1048  277');
INSERT INTO event VALUES ('1976-04-07 07:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '284');
INSERT INTO event VALUES ('1976-04-07 20:59:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', '15SR@98/1048; 17LSG=2MM   287');
INSERT INTO event VALUES ('1976-04-09 14:25:00',34.70,60.10, 1043,2.50,10.60, 30, 'Deep Moonquake', '74', '12SR@100/0132             296');
INSERT INTO event VALUES ('1976-04-09 18:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '297');
INSERT INTO event VALUES ('1976-04-09 20:41:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', '297');
INSERT INTO event VALUES ('1976-04-10 01:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ16=8.0MM               298');
INSERT INTO event VALUES ('1976-04-10 01:24:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '298');
INSERT INTO event VALUES ('1976-04-10 02:32:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', '298C');
INSERT INTO event VALUES ('1976-04-10 06:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '299');
INSERT INTO event VALUES ('1976-04-10 09:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '300');
INSERT INTO event VALUES ('1976-04-10 09:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ15=7.7MM               300');
INSERT INTO event VALUES ('1976-04-10 17:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ15=8.5MM               302');
INSERT INTO event VALUES ('1976-04-10 18:30:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', '17LSG=2MM                 302');
INSERT INTO event VALUES ('1976-04-10 20:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '302');
INSERT INTO event VALUES ('1976-04-11 01:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ15=9                   304');
INSERT INTO event VALUES ('1976-04-11 02:23:00',14.30,-12.40, 945,1.00,2.00, 26, 'Deep Moonquake', '71', '304, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-04-11 02:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', '304');
INSERT INTO event VALUES ('1976-04-11 03:00:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-04-11 07:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '305');
INSERT INTO event VALUES ('1976-04-11 10:08:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '306, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-04-11 11:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ15 10.0MM              306');
INSERT INTO event VALUES ('1976-04-11 11:35:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '306, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-04-11 12:51:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', '17=2.8MM ,P&S@15,16       306');
INSERT INTO event VALUES ('1976-04-11 15:57:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1976-04-11 16:05:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '307, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-04-11 16:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '307C');
INSERT INTO event VALUES ('1976-04-11 22:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ15 9.0MM               309');
INSERT INTO event VALUES ('1976-04-11 23:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '309');
INSERT INTO event VALUES ('1976-04-12 04:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'ONSET IS NOISY           310');
INSERT INTO event VALUES ('1976-04-12 07:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '310');
INSERT INTO event VALUES ('1976-04-12 09:14:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '311, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-04-12 10:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', 'M?                        312');
INSERT INTO event VALUES ('1976-04-12 13:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '401', '312');
INSERT INTO event VALUES ('1976-04-12 13:49:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1976-04-12 14:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '232', '312');
INSERT INTO event VALUES ('1976-04-12 18:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', 'M?                        313');
INSERT INTO event VALUES ('1976-04-12 18:42:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', '313');
INSERT INTO event VALUES ('1976-04-12 19:56:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '313, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-04-12 22:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '314');
INSERT INTO event VALUES ('1976-04-12 23:07:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', '17LSG = 2 MM            314');
INSERT INTO event VALUES ('1976-04-13 00:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '314');
INSERT INTO event VALUES ('1976-04-13 01:48:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', '314');
INSERT INTO event VALUES ('1976-04-13 05:26:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'C?                        315');
INSERT INTO event VALUES ('1976-04-13 08:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '316');
INSERT INTO event VALUES ('1976-04-13 10:36:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '316, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-04-13 12:02:00',34.70,60.10, 1043,2.50,10.60, 30, 'Deep Moonquake', '74', 'C?                        316C');
INSERT INTO event VALUES ('1976-04-13 16:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, '15SPZ=5MM                 318');
INSERT INTO event VALUES ('1976-04-13 19:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '407', '318');
INSERT INTO event VALUES ('1976-04-13 20:04:00',41.00,53.40, 893,2.50,7.70, 34, 'Deep Moonquake', '107', '318');
INSERT INTO event VALUES ('1976-04-14 02:16:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', '17SLG=1.4MM               320');
INSERT INTO event VALUES ('1976-04-14 08:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '274', '322');
INSERT INTO event VALUES ('1976-04-14 10:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '322');
INSERT INTO event VALUES ('1976-04-14 11:08:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1976-04-14 15:22:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', '323');
INSERT INTO event VALUES ('1976-04-14 17:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '323');
INSERT INTO event VALUES ('1976-04-14 17:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '323');
INSERT INTO event VALUES ('1976-04-14 20:05:00',34.60,56.10, 933,20.90,81.00, 109, 'Deep Moonquake', '244', '325, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-04-14 20:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '325');
INSERT INTO event VALUES ('1976-04-14 23:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NO SPZ, RT=12MIN          325');
INSERT INTO event VALUES ('1976-04-15 03:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'M?                        326');
INSERT INTO event VALUES ('1976-04-15 06:48:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', '16 SYNC E., The source position is decided by (Khan and Mosegaard, 2002),                327');
INSERT INTO event VALUES ('1976-04-15 12:54:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'GLITCH ON 12            328');
INSERT INTO event VALUES ('1976-04-15 14:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '504', '328');
INSERT INTO event VALUES ('1976-04-15 16:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '329');
INSERT INTO event VALUES ('1976-04-15 23:58:00',24.80,35.70, 933,5.70,13.50, 109, 'Deep Moonquake', '287', '330, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-04-16 01:12:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', '331');
INSERT INTO event VALUES ('1976-04-16 05:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '331');
INSERT INTO event VALUES ('1976-04-17 06:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '338');
INSERT INTO event VALUES ('1976-04-18 08:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '17LSG=1.8MM               344');
INSERT INTO event VALUES ('1976-04-19 06:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, '17 LSG ONLY 1.8MM         349');
INSERT INTO event VALUES ('1976-04-19 07:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, '17 LSG ONLY 1.8MM         349');
INSERT INTO event VALUES ('1976-04-19 07:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, '17 LSG ONLY 2.9MM         349');
INSERT INTO event VALUES ('1976-04-19 07:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, '17 LSG ONLY 3.5MM         349');
INSERT INTO event VALUES ('1976-04-19 14:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '351');
INSERT INTO event VALUES ('1976-04-20 23:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '358');
INSERT INTO event VALUES ('1976-04-22 08:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '17LSG=1.3MM,DIST?-NO SPZ  366');
INSERT INTO event VALUES ('1976-04-23 14:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '372');
INSERT INTO event VALUES ('1976-04-23 21:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12SS @ 114/1850           374');
INSERT INTO event VALUES ('1976-04-24 03:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '205', 'C?                        375');
INSERT INTO event VALUES ('1976-04-24 03:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '17ONLY 2.7MM,SIM TO 110   375');
INSERT INTO event VALUES ('1976-04-24 03:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '17ONLY 3.6MM              375');
INSERT INTO event VALUES ('1976-04-24 09:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', '376');
INSERT INTO event VALUES ('1976-04-24 10:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '376');
INSERT INTO event VALUES ('1976-04-25 01:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '380');
INSERT INTO event VALUES ('1976-04-25 02:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '380');
INSERT INTO event VALUES ('1976-04-25 06:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', '381');
INSERT INTO event VALUES ('1976-04-25 09:06:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', '381C');
INSERT INTO event VALUES ('1976-04-25 11:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP16=5MM                  382');
INSERT INTO event VALUES ('1976-04-25 18:40:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '383');
INSERT INTO event VALUES ('1976-04-25 21:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '384');
INSERT INTO event VALUES ('1976-04-25 22:45:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '384');
INSERT INTO event VALUES ('1976-04-26 03:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', '385');
INSERT INTO event VALUES ('1976-04-26 11:12:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', '387');
INSERT INTO event VALUES ('1976-04-26 14:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', '387C');
INSERT INTO event VALUES ('1976-04-26 20:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2 EVENTS?                 389');
INSERT INTO event VALUES ('1976-04-27 03:13:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '390');
INSERT INTO event VALUES ('1976-04-27 06:54:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1976-04-27 12:47:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', '392');
INSERT INTO event VALUES ('1976-04-27 13:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '392');
INSERT INTO event VALUES ('1976-04-27 14:02:00',24.10,26.10, 933,5.10,8.20, 109, 'Deep Moonquake', '233', '392, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-04-27 14:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '392');
INSERT INTO event VALUES ('1976-04-27 16:43:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', '393, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-04-27 16:58:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-04-27 17:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '393');
INSERT INTO event VALUES ('1976-04-28 02:29:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '395');
INSERT INTO event VALUES ('1976-04-28 05:13:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '395');
INSERT INTO event VALUES ('1976-04-28 12:44:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1976-04-28 20:00:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '399');
INSERT INTO event VALUES ('1976-04-29 06:25:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', '401, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-04-29 23:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '404');
INSERT INTO event VALUES ('1976-04-29 23:46:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1976-04-30 00:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '69', '404');
INSERT INTO event VALUES ('1976-04-30 02:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, '17 ONLY 3&4M  DBL PKS.    404C');
INSERT INTO event VALUES ('1976-04-30 06:16:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', '405C');
INSERT INTO event VALUES ('1976-04-30 11:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16SPZ=50MM                406C');
INSERT INTO event VALUES ('1976-04-30 17:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '408');
INSERT INTO event VALUES ('1976-04-30 18:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '17LSG=2MM, NO SPZ         408');
INSERT INTO event VALUES ('1976-05-01 01:13:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', '410');
INSERT INTO event VALUES ('1976-05-01 11:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '412');
INSERT INTO event VALUES ('1976-05-01 22:27:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', '415C');
INSERT INTO event VALUES ('1976-05-02 00:37:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', '416');
INSERT INTO event VALUES ('1976-05-02 14:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '420');
INSERT INTO event VALUES ('1976-05-02 19:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, '15SPZ=6MM                 420');
INSERT INTO event VALUES ('1976-05-03 09:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '424');
INSERT INTO event VALUES ('1976-05-03 21:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SPZ15=6.0MM               427');
INSERT INTO event VALUES ('1976-05-04 05:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ16=8.6MM;17LSG=2MM     429');
INSERT INTO event VALUES ('1976-05-04 09:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, '17LSG ONLY 2.5MM          429');
INSERT INTO event VALUES ('1976-05-05 09:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'BIT ERS.@12,16SR @1030    435');
INSERT INTO event VALUES ('1976-05-05 17:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SPZ15=4MM,16=24MM         437C');
INSERT INTO event VALUES ('1976-05-05 21:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '438');
INSERT INTO event VALUES ('1976-05-06 00:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '439');
INSERT INTO event VALUES ('1976-05-06 03:18:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', 'S-P=2MN @15, 17LSG=2MM    439C');
INSERT INTO event VALUES ('1976-05-06 03:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'LPZ AMP, SPZ CLIPPED      440');
INSERT INTO event VALUES ('1976-05-06 03:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'LPZ AMP, SPZ CLIPPED      440');
INSERT INTO event VALUES ('1976-05-06 09:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '441');
INSERT INTO event VALUES ('1976-05-06 11:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'LPZ AMP,SPZ=19MM          441');
INSERT INTO event VALUES ('1976-05-06 20:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'ST15 SUNRISE 127 2348     443C');
INSERT INTO event VALUES ('1976-05-06 22:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ16=14.0MM              444');
INSERT INTO event VALUES ('1976-05-07 01:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, '17LSG ONLY, 2MM           444C');
INSERT INTO event VALUES ('1976-05-07 02:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, '17LSG ONLY, 2MM           445');
INSERT INTO event VALUES ('1976-05-07 09:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '446');
INSERT INTO event VALUES ('1976-05-07 13:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '447');
INSERT INTO event VALUES ('1976-05-07 20:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '449');
INSERT INTO event VALUES ('1976-05-07 20:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '449');
INSERT INTO event VALUES ('1976-05-08 01:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '450');
INSERT INTO event VALUES ('1976-05-08 03:34:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '450');
INSERT INTO event VALUES ('1976-05-08 04:33:00',34.70,60.10, 1043,2.50,10.60, 30, 'Deep Moonquake', '74', '450');
INSERT INTO event VALUES ('1976-05-08 08:26:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', '17LSG=1.2MM               452');
INSERT INTO event VALUES ('1976-05-08 12:35:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', '17LSG=2MM                 453');
INSERT INTO event VALUES ('1976-05-08 16:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'ST12 SUNRISE 129/1339     454');
INSERT INTO event VALUES ('1976-05-08 23:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '455');
INSERT INTO event VALUES ('1976-05-08 23:52:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-05-09 02:20:00',-46.50,38.90, 933,8.30,9.30, 109, 'Deep Moonquake', '251', '456, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-05-09 04:21:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1976-05-09 06:11:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '457, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-05-09 07:42:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-05-09 10:32:00',14.30,-12.40, 945,1.00,2.00, 26, 'Deep Moonquake', '71', '458, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-05-09 11:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '458');
INSERT INTO event VALUES ('1976-05-09 13:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '459');
INSERT INTO event VALUES ('1976-05-09 15:44:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', '17LSG=2MM                 460');
INSERT INTO event VALUES ('1976-05-09 17:47:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1976-05-09 18:02:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', '460');
INSERT INTO event VALUES ('1976-05-09 20:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', '460');
INSERT INTO event VALUES ('1976-05-10 02:12:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '462');
INSERT INTO event VALUES ('1976-05-10 03:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 16, SPZ=500MM      462');
INSERT INTO event VALUES ('1976-05-10 13:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', '464');
INSERT INTO event VALUES ('1976-05-10 13:51:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', '464, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-05-10 17:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '465');
INSERT INTO event VALUES ('1976-05-10 23:35:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', '466');
INSERT INTO event VALUES ('1976-05-11 02:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 15, SPZ=35MM       467');
INSERT INTO event VALUES ('1976-05-11 04:18:00',-7.80,5.40, 933,3.50,1.70, 109, 'Deep Moonquake', '236', '467');
INSERT INTO event VALUES ('1976-05-11 07:32:00',34.80,63.00, 1014,2.10,11.30, 26, 'Deep Moonquake', '70', '468');
INSERT INTO event VALUES ('1976-05-11 08:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '468');
INSERT INTO event VALUES ('1976-05-11 08:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '468');
INSERT INTO event VALUES ('1976-05-11 13:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '408', '12 DATA BAD               470');
INSERT INTO event VALUES ('1976-05-11 17:01:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '471');
INSERT INTO event VALUES ('1976-05-11 22:26:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', '472');
INSERT INTO event VALUES ('1976-05-11 22:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '472');
INSERT INTO event VALUES ('1976-05-12 01:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '473');
INSERT INTO event VALUES ('1976-05-12 06:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '474');
INSERT INTO event VALUES ('1976-05-12 16:07:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1976-05-12 23:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '478');
INSERT INTO event VALUES ('1976-05-13 06:52:00',24.80,35.70, 933,5.70,13.50, 109, 'Deep Moonquake', '287', '480, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-05-13 08:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '480');
INSERT INTO event VALUES ('1976-05-13 10:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ=5MM                   481');
INSERT INTO event VALUES ('1976-05-13 14:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '482');
INSERT INTO event VALUES ('1976-05-13 16:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '482');
INSERT INTO event VALUES ('1976-05-13 16:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '482');
INSERT INTO event VALUES ('1976-05-13 18:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, 'LUNAR ECLIPSE             482C');
INSERT INTO event VALUES ('1976-05-14 05:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ=8MM                   485');
INSERT INTO event VALUES ('1976-05-14 07:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '?                         485');
INSERT INTO event VALUES ('1976-05-14 13:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '486');
INSERT INTO event VALUES ('1976-05-15 07:52:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', '490, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-05-15 12:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT C, 15 DATA BAD    491');
INSERT INTO event VALUES ('1976-05-15 21:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '493');
INSERT INTO event VALUES ('1976-05-15 22:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '493');
INSERT INTO event VALUES ('1976-05-16 09:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ=14MM                  495');
INSERT INTO event VALUES ('1976-05-16 09:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '495');
INSERT INTO event VALUES ('1976-05-16 12:36:00',77.00,-10.00, 100, NULL, NULL, NULL, 'Shallow Moonquake', NULL, '15SPZ=25MM,15S-P=15OS, 496, The source position is decided by (Nakamura et al., 1979)');
INSERT INTO event VALUES ('1976-05-16 12:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16SPZ=33MM,17LSG=3MM      496');
INSERT INTO event VALUES ('1976-05-19 06:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '17LSG ONLY,3MM DBL PKS    510');
INSERT INTO event VALUES ('1976-05-21 03:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '521');
INSERT INTO event VALUES ('1976-05-21 19:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '14 LPX AMP                527');
INSERT INTO event VALUES ('1976-05-22 02:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '205', '529');
INSERT INTO event VALUES ('1976-05-22 15:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '533');
INSERT INTO event VALUES ('1976-05-22 16:52:00',23.00,20.40, 1085,3.30,4.70, 64, 'Deep Moonquake', '27', '533');
INSERT INTO event VALUES ('1976-05-22 23:47:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '535');
INSERT INTO event VALUES ('1976-05-23 02:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', '536C');
INSERT INTO event VALUES ('1976-05-23 03:59:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', '537');
INSERT INTO event VALUES ('1976-05-23 04:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '14LPX AMP                 537');
INSERT INTO event VALUES ('1976-05-23 04:27:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '14X IS 2.5MM              537');
INSERT INTO event VALUES ('1976-05-23 12:43:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-05-23 13:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '17 LSG ONLY,4MM DBL PKS   540');
INSERT INTO event VALUES ('1976-05-23 16:12:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', '14LPX AMP                 540C');
INSERT INTO event VALUES ('1976-05-23 16:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14LPX AMP                 541');
INSERT INTO event VALUES ('1976-05-23 18:18:00',7.10,22.50, 984,1.20,4.70, 76, 'Deep Moonquake', '283', '541');
INSERT INTO event VALUES ('1976-05-24 11:06:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '545');
INSERT INTO event VALUES ('1976-05-24 14:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '342', '546');
INSERT INTO event VALUES ('1976-05-24 14:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '546');
INSERT INTO event VALUES ('1976-05-24 16:34:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1976-05-24 17:41:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-05-24 19:54:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '548');
INSERT INTO event VALUES ('1976-05-24 20:57:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '548');
INSERT INTO event VALUES ('1976-05-24 23:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', '12 SYNC ERRORS (ORR)      548');
INSERT INTO event VALUES ('1976-05-25 03:38:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-05-25 05:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '550');
INSERT INTO event VALUES ('1976-05-25 07:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 15, SPZ=13MM       551');
INSERT INTO event VALUES ('1976-05-25 08:43:00',24.10,26.10, 933,5.10,8.20, 109, 'Deep Moonquake', '233', '551, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-05-25 08:56:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '551');
INSERT INTO event VALUES ('1976-05-25 09:20:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', '551');
INSERT INTO event VALUES ('1976-05-25 12:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '79', '552C');
INSERT INTO event VALUES ('1976-05-25 14:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '361', '553');
INSERT INTO event VALUES ('1976-05-25 15:19:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', '553');
INSERT INTO event VALUES ('1976-05-25 16:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '415', '553');
INSERT INTO event VALUES ('1976-05-25 17:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '?                         553C');
INSERT INTO event VALUES ('1976-05-25 20:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '206', '16 DATA BAD               555');
INSERT INTO event VALUES ('1976-05-26 00:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12 SYNC ERRORS (ORR)      556');
INSERT INTO event VALUES ('1976-05-26 01:24:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', '12 SYNC ERRORS (ORR)      556');
INSERT INTO event VALUES ('1976-05-26 02:51:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '12 SYNC ERRORS (ORR)      556C');
INSERT INTO event VALUES ('1976-05-26 09:44:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '17LSG=1.3MM,              558');
INSERT INTO event VALUES ('1976-05-26 16:10:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '14SPZ=2.2MM,CLEAR PHASES  560');
INSERT INTO event VALUES ('1976-05-26 18:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '364', '560');
INSERT INTO event VALUES ('1976-05-27 00:07:00',-9.50,-53.60, 750,17.60,5.90, 109, 'Deep Moonquake', '59', '561C, (*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1976-05-27 02:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '448', '12 SYNC ERROR             562');
INSERT INTO event VALUES ('1976-05-27 12:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '564');
INSERT INTO event VALUES ('1976-05-27 13:01:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', '564');
INSERT INTO event VALUES ('1976-05-27 13:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '69', '564C');
INSERT INTO event VALUES ('1976-05-27 15:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '222', '565');
INSERT INTO event VALUES ('1976-05-27 21:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=2MM                 567');
INSERT INTO event VALUES ('1976-05-28 05:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=2MM                 569');
INSERT INTO event VALUES ('1976-05-28 06:03:00',-14.33,-8.95, 0, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=7MM,17LSG=2MM       569');
INSERT INTO event VALUES ('1976-05-28 07:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '17LSG ONLY,3MM            569');
INSERT INTO event VALUES ('1976-05-28 07:14:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', '569');
INSERT INTO event VALUES ('1976-05-28 09:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'BEHEADED                  570');
INSERT INTO event VALUES ('1976-05-28 22:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '17LSG ONLY,DBL PKS,3MM    573');
INSERT INTO event VALUES ('1976-05-29 00:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '573');
INSERT INTO event VALUES ('1976-05-29 01:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '393', '573C');
INSERT INTO event VALUES ('1976-05-29 08:12:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', '575');
INSERT INTO event VALUES ('1976-05-29 08:56:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', '575');
INSERT INTO event VALUES ('1976-05-29 20:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '578');
INSERT INTO event VALUES ('1976-05-29 21:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '578C');
INSERT INTO event VALUES ('1976-05-29 23:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '579');
INSERT INTO event VALUES ('1976-05-30 04:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '12 SYNC,14SPZ=3MM         580C');
INSERT INTO event VALUES ('1976-05-30 12:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT C,NO SPZ          582');
INSERT INTO event VALUES ('1976-05-30 13:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '583C');
INSERT INTO event VALUES ('1976-05-30 20:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '584');
INSERT INTO event VALUES ('1976-05-30 20:41:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '584C');
INSERT INTO event VALUES ('1976-05-30 23:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '585');
INSERT INTO event VALUES ('1976-05-31 00:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'MAY NOT BE AN EVENT       585');
INSERT INTO event VALUES ('1976-05-31 01:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '43', '586');
INSERT INTO event VALUES ('1976-05-31 03:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '586');
INSERT INTO event VALUES ('1976-05-31 15:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '589');
INSERT INTO event VALUES ('1976-05-31 15:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '589');
INSERT INTO event VALUES ('1976-05-31 21:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '590');
INSERT INTO event VALUES ('1976-06-01 01:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '591');
INSERT INTO event VALUES ('1976-06-01 23:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT                   598');
INSERT INTO event VALUES ('1976-06-02 21:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14 SPZ=2.3MM              604');
INSERT INTO event VALUES ('1976-06-02 23:53:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', 'GOOD PHASES               604');
INSERT INTO event VALUES ('1976-06-03 17:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '610');
INSERT INTO event VALUES ('1976-06-03 22:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '16 SR @155/2130           611');
INSERT INTO event VALUES ('1976-06-04 00:26:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', '611');
INSERT INTO event VALUES ('1976-06-04 13:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT, NO SPZ           615');
INSERT INTO event VALUES ('1976-06-04 15:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '615');
INSERT INTO event VALUES ('1976-06-04 16:45:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', '615C');
INSERT INTO event VALUES ('1976-06-04 19:45:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1976-06-04 21:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '394', '616C');
INSERT INTO event VALUES ('1976-06-04 23:32:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', '17 LSG=2MM                617');
INSERT INTO event VALUES ('1976-06-05 00:51:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '14SPZ=1.7MM               617');
INSERT INTO event VALUES ('1976-06-05 05:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '618');
INSERT INTO event VALUES ('1976-06-05 08:06:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '619C');
INSERT INTO event VALUES ('1976-06-05 10:51:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', '17LSG=2MM                 620');
INSERT INTO event VALUES ('1976-06-05 11:35:00',34.70,60.10, 1043,2.50,10.60, 30, 'Deep Moonquake', '74', 'ST15 SUNRISE 157/1205     620');
INSERT INTO event VALUES ('1976-06-05 14:50:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', '622');
INSERT INTO event VALUES ('1976-06-05 15:35:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', '622');
INSERT INTO event VALUES ('1976-06-05 18:13:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', '623');
INSERT INTO event VALUES ('1976-06-05 19:57:00',41.00,53.40, 893,2.50,7.70, 34, 'Deep Moonquake', '107', '623C');
INSERT INTO event VALUES ('1976-06-05 20:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP16Z=23MM                624');
INSERT INTO event VALUES ('1976-06-05 21:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '624');
INSERT INTO event VALUES ('1976-06-05 22:10:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', '624');
INSERT INTO event VALUES ('1976-06-06 02:06:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', '625, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-06-06 02:48:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '625');
INSERT INTO event VALUES ('1976-06-06 10:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '355', '628');
INSERT INTO event VALUES ('1976-06-06 11:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '395', '628');
INSERT INTO event VALUES ('1976-06-06 15:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '629');
INSERT INTO event VALUES ('1976-06-06 19:04:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', '14SR @158/1755, 630, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-06-06 21:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12SR @159/0055            630');
INSERT INTO event VALUES ('1976-06-07 01:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12SR @159/0054            631C');
INSERT INTO event VALUES ('1976-06-07 02:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '632');
INSERT INTO event VALUES ('1976-06-07 07:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '72', '634');
INSERT INTO event VALUES ('1976-06-07 16:13:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1976-06-08 01:55:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '638');
INSERT INTO event VALUES ('1976-06-08 04:30:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', '639');
INSERT INTO event VALUES ('1976-06-08 07:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'ALSO ON WT642  640');
INSERT INTO event VALUES ('1976-06-08 09:11:00',34.80,63.00, 1014,2.10,11.30, 26, 'Deep Moonquake', '70', '17LSG=1.5MM               643');
INSERT INTO event VALUES ('1976-06-08 17:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'DATA GAP FOLLOWS          644');
INSERT INTO event VALUES ('1976-06-08 19:18:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1976-06-09 00:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ15=9.0                 646');
INSERT INTO event VALUES ('1976-06-09 00:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', '646');
INSERT INTO event VALUES ('1976-06-09 04:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', '648');
INSERT INTO event VALUES ('1976-06-09 06:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '648');
INSERT INTO event VALUES ('1976-06-09 07:19:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', '648');
INSERT INTO event VALUES ('1976-06-09 09:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ15=8.7                 648C');
INSERT INTO event VALUES ('1976-06-09 09:53:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '650');
INSERT INTO event VALUES ('1976-06-09 10:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ15=19MM                650');
INSERT INTO event VALUES ('1976-06-09 11:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ16=24.0                650');
INSERT INTO event VALUES ('1976-06-10 03:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '652C');
INSERT INTO event VALUES ('1976-06-10 08:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ15=8.5                 654');
INSERT INTO event VALUES ('1976-06-10 13:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '17LSG=2MM                 656');
INSERT INTO event VALUES ('1976-06-10 14:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '656');
INSERT INTO event VALUES ('1976-06-11 01:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ15=7.0                 659');
INSERT INTO event VALUES ('1976-06-11 06:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ15=8.4                 660');
INSERT INTO event VALUES ('1976-06-11 08:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ15=4.3                 661');
INSERT INTO event VALUES ('1976-06-11 11:14:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '661C');
INSERT INTO event VALUES ('1976-06-11 14:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ15=5.0                 662');
INSERT INTO event VALUES ('1976-06-11 18:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=6MM                 664');
INSERT INTO event VALUES ('1976-06-12 02:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16SPZ=12.2                665');
INSERT INTO event VALUES ('1976-06-12 05:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ15=5.8                 666');
INSERT INTO event VALUES ('1976-06-12 05:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ15=8.0                 666');
INSERT INTO event VALUES ('1976-06-12 08:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ15=8.0                 667');
INSERT INTO event VALUES ('1976-06-12 09:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ15=7.0                 667');
INSERT INTO event VALUES ('1976-06-12 10:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ15=9.0                 667');
INSERT INTO event VALUES ('1976-06-12 15:06:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', '668');
INSERT INTO event VALUES ('1976-06-13 10:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ15=9.0                 674');
INSERT INTO event VALUES ('1976-06-13 12:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SPZ16 CLIPPED             674');
INSERT INTO event VALUES ('1976-06-14 06:03:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', '678C');
INSERT INTO event VALUES ('1976-06-14 10:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ=4MM                   680');
INSERT INTO event VALUES ('1976-06-15 11:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '687');
INSERT INTO event VALUES ('1976-06-15 12:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ=13MM                  688');
INSERT INTO event VALUES ('1976-06-15 21:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ=25MM                  690C');
INSERT INTO event VALUES ('1976-06-16 19:08:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', '697');
INSERT INTO event VALUES ('1976-06-17 12:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', 'C?                        701');
INSERT INTO event VALUES ('1976-06-17 15:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '702');
INSERT INTO event VALUES ('1976-06-17 20:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '16LPZAMP,17LSG=2M         703');
INSERT INTO event VALUES ('1976-06-17 20:38:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', '17LSG=3MM, 703, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-06-18 02:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', '704');
INSERT INTO event VALUES ('1976-06-18 08:19:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', '706, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-06-18 12:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'NOISE?                    707');
INSERT INTO event VALUES ('1976-06-18 15:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '708');
INSERT INTO event VALUES ('1976-06-18 20:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '710');
INSERT INTO event VALUES ('1976-06-19 02:17:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '712');
INSERT INTO event VALUES ('1976-06-19 09:34:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '14 LPXAMP                 713C');
INSERT INTO event VALUES ('1976-06-19 19:30:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', '716');
INSERT INTO event VALUES ('1976-06-20 03:24:00',23.00,20.40, 1085,3.30,4.70, 64, 'Deep Moonquake', '27', '719');
INSERT INTO event VALUES ('1976-06-20 05:53:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-06-20 13:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '722');
INSERT INTO event VALUES ('1976-06-20 21:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', '724');
INSERT INTO event VALUES ('1976-06-21 03:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '725');
INSERT INTO event VALUES ('1976-06-21 15:11:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '728');
INSERT INTO event VALUES ('1976-06-21 15:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '728');
INSERT INTO event VALUES ('1976-06-21 15:57:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '728');
INSERT INTO event VALUES ('1976-06-21 16:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '79', 'M                         728');
INSERT INTO event VALUES ('1976-06-21 17:14:00',24.10,26.10, 933,5.10,8.20, 109, 'Deep Moonquake', '233', 'APOLLO 12 SUNSET,728, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-06-21 18:32:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '729, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-06-22 01:00:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-06-22 04:24:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '731');
INSERT INTO event VALUES ('1976-06-22 07:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '732');
INSERT INTO event VALUES ('1976-06-22 15:25:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', '734, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-06-22 16:35:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', '734');
INSERT INTO event VALUES ('1976-06-22 21:04:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '735');
INSERT INTO event VALUES ('1976-06-22 21:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '735');
INSERT INTO event VALUES ('1976-06-22 23:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C                         736');
INSERT INTO event VALUES ('1976-06-23 00:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '736');
INSERT INTO event VALUES ('1976-06-23 01:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '736');
INSERT INTO event VALUES ('1976-06-23 06:41:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '737C');
INSERT INTO event VALUES ('1976-06-23 16:44:00',-9.50,-53.60, 750,17.60,5.90, 109, 'Deep Moonquake', '59', '740, (*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1976-06-23 19:33:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '741');
INSERT INTO event VALUES ('1976-06-24 00:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '69', '742');
INSERT INTO event VALUES ('1976-06-24 03:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '742');
INSERT INTO event VALUES ('1976-06-24 06:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '450', 'M                         744');
INSERT INTO event VALUES ('1976-06-24 09:25:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', '745');
INSERT INTO event VALUES ('1976-06-24 12:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '329', 'C                         746');
INSERT INTO event VALUES ('1976-06-24 13:52:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', 'M                         746');
INSERT INTO event VALUES ('1976-06-24 22:26:00',9.20,17.50, 1187,1.50,4.90, 87, 'Deep Moonquake', '11', 'C                         748C');
INSERT INTO event VALUES ('1976-06-25 02:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C                         750');
INSERT INTO event VALUES ('1976-06-25 04:07:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', 'C GAP IN PLAYBACK         750');
INSERT INTO event VALUES ('1976-06-25 10:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '393', '752');
INSERT INTO event VALUES ('1976-06-25 15:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '753');
INSERT INTO event VALUES ('1976-06-25 15:58:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', 'M                         754');
INSERT INTO event VALUES ('1976-06-25 16:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '754');
INSERT INTO event VALUES ('1976-06-25 18:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'A12 MALFUNCTION           754');
INSERT INTO event VALUES ('1976-06-25 20:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'A12 MALFUNCTION           754C');
INSERT INTO event VALUES ('1976-06-25 23:57:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', 'A12 MALFUNCTION           756C');
INSERT INTO event VALUES ('1976-06-26 00:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'CUTOFFBYDATAGAP A12 MAL.  756');
INSERT INTO event VALUES ('1976-06-26 06:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'M?BEHEADEDBYDATAGPA12MAL  757');
INSERT INTO event VALUES ('1976-06-26 18:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'A12 MALFUNCTION           760');
INSERT INTO event VALUES ('1976-06-27 00:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C? A12 MALFUNCTION        761C');
INSERT INTO event VALUES ('1976-06-28 11:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'A12 MALFUNCTIONON         770');
INSERT INTO event VALUES ('1976-06-29 02:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '774');
INSERT INTO event VALUES ('1976-06-29 15:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'N OF ARRAY                777');
INSERT INTO event VALUES ('1976-06-29 18:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '777C');
INSERT INTO event VALUES ('1976-06-30 05:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=14MM                781');
INSERT INTO event VALUES ('1976-06-30 08:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16SPZ=5MMM                782');
INSERT INTO event VALUES ('1976-06-30 11:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15SPZ=22MM                783');
INSERT INTO event VALUES ('1976-06-30 16:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT                   784');
INSERT INTO event VALUES ('1976-07-01 08:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'DISTANT  C?               788C');
INSERT INTO event VALUES ('1976-07-01 13:46:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1976-07-01 14:13:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', '790');
INSERT INTO event VALUES ('1976-07-01 14:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '790');
INSERT INTO event VALUES ('1976-07-01 15:07:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', '790');
INSERT INTO event VALUES ('1976-07-01 15:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '346', '790');
INSERT INTO event VALUES ('1976-07-01 16:45:00',2.40,46.10, 933,2.70,20.20, 109, 'Deep Moonquake', '280', '790, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-07-01 21:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, '17 ONLY,2 PEAKS 2&3MM     792');
INSERT INTO event VALUES ('1976-07-02 01:22:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '793C');
INSERT INTO event VALUES ('1976-07-02 03:14:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', '17=2MM                    794');
INSERT INTO event VALUES ('1976-07-02 04:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT                   794');
INSERT INTO event VALUES ('1976-07-02 07:26:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', '795');
INSERT INTO event VALUES ('1976-07-02 09:08:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', '796');
INSERT INTO event VALUES ('1976-07-02 10:55:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', 'GOOD P&S                  796');
INSERT INTO event VALUES ('1976-07-02 14:42:00',41.00,53.40, 893,2.50,7.70, 34, 'Deep Moonquake', '107', '797');
INSERT INTO event VALUES ('1976-07-02 15:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '394', '797C');
INSERT INTO event VALUES ('1976-07-02 15:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '797');
INSERT INTO event VALUES ('1976-07-02 16:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '798');
INSERT INTO event VALUES ('1976-07-02 19:43:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1976-07-02 19:55:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', '799');
INSERT INTO event VALUES ('1976-07-02 21:30:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', '799');
INSERT INTO event VALUES ('1976-07-02 22:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '15SPZ=2.2MM               799');
INSERT INTO event VALUES ('1976-07-02 22:23:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', '799C');
INSERT INTO event VALUES ('1976-07-02 23:07:00',34.70,60.10, 1043,2.50,10.60, 30, 'Deep Moonquake', '74', '799C');
INSERT INTO event VALUES ('1976-07-03 02:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15SPZ=42MM                801');
INSERT INTO event VALUES ('1976-07-03 05:59:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-07-03 09:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '72', '16SR @185/0817            803');
INSERT INTO event VALUES ('1976-07-03 10:55:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', '803, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-07-03 11:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '803C');
INSERT INTO event VALUES ('1976-07-03 17:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '395', '805');
INSERT INTO event VALUES ('1976-07-03 20:13:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', '806');
INSERT INTO event VALUES ('1976-07-03 21:09:00',27.50,34.30, 919,9.90,20.60, 160, 'Deep Moonquake', '82', '806');
INSERT INTO event VALUES ('1976-07-04 04:08:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '808');
INSERT INTO event VALUES ('1976-07-04 05:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT                   808');
INSERT INTO event VALUES ('1976-07-04 07:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '809');
INSERT INTO event VALUES ('1976-07-04 09:08:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', '809, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-07-04 16:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '811');
INSERT INTO event VALUES ('1976-07-04 21:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '370', '812');
INSERT INTO event VALUES ('1976-07-04 22:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '812');
INSERT INTO event VALUES ('1976-07-04 23:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '15SR @186/2349            812');
INSERT INTO event VALUES ('1976-07-05 03:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '813');
INSERT INTO event VALUES ('1976-07-05 15:10:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '816');
INSERT INTO event VALUES ('1976-07-05 17:59:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', '816C');
INSERT INTO event VALUES ('1976-07-05 18:26:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', '817');
INSERT INTO event VALUES ('1976-07-05 19:43:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', '818');
INSERT INTO event VALUES ('1976-07-05 22:37:00',34.80,63.00, 1014,2.10,11.30, 26, 'Deep Moonquake', '70', '818');
INSERT INTO event VALUES ('1976-07-06 20:30:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', 'SR 188/0448(14),1145(12)  824');
INSERT INTO event VALUES ('1976-07-07 00:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '15Z=1.2  TWO EVENTS??     826');
INSERT INTO event VALUES ('1976-07-08 07:08:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1976-07-08 22:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '838');
INSERT INTO event VALUES ('1976-07-09 01:38:00',24.80,35.70, 933,5.70,13.50, 109, 'Deep Moonquake', '287', '839, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-07-09 03:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '839');
INSERT INTO event VALUES ('1976-07-09 08:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '841');
INSERT INTO event VALUES ('1976-07-09 14:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '843');
INSERT INTO event VALUES ('1976-07-09 15:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '843');
INSERT INTO event VALUES ('1976-07-09 22:07:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'M?                        845');
INSERT INTO event VALUES ('1976-07-10 05:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '847');
INSERT INTO event VALUES ('1976-07-10 10:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '849');
INSERT INTO event VALUES ('1976-07-10 14:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ16=14.0                851');
INSERT INTO event VALUES ('1976-07-10 19:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'G17=2.5MM,N OF ARRAY      852');
INSERT INTO event VALUES ('1976-07-12 20:58:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', '865');
INSERT INTO event VALUES ('1976-07-13 05:43:00',8.60,73.00, 933,4.90,69.50, 109, 'Deep Moonquake', '245', '867, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-07-13 23:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '873');
INSERT INTO event VALUES ('1976-07-14 10:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT,NO SPZ            876');
INSERT INTO event VALUES ('1976-07-15 00:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', '880');
INSERT INTO event VALUES ('1976-07-15 09:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '882');
INSERT INTO event VALUES ('1976-07-15 11:21:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', '883');
INSERT INTO event VALUES ('1976-07-15 13:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'DISTANT C?                883C');
INSERT INTO event VALUES ('1976-07-15 17:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', '884');
INSERT INTO event VALUES ('1976-07-15 20:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=2.7MM               886');
INSERT INTO event VALUES ('1976-07-15 23:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '887');
INSERT INTO event VALUES ('1976-07-16 14:03:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '891');
INSERT INTO event VALUES ('1976-07-16 15:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, '17 ONLY,DBL PK,SEEN BFR.  891');
INSERT INTO event VALUES ('1976-07-16 16:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '891');
INSERT INTO event VALUES ('1976-07-16 20:57:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', '893');
INSERT INTO event VALUES ('1976-07-17 05:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '895');
INSERT INTO event VALUES ('1976-07-17 06:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', '895');
INSERT INTO event VALUES ('1976-07-17 12:05:00',15.50,55.60, 755,1.20,7.50, 44, 'Deep Moonquake', '114', '897');
INSERT INTO event VALUES ('1976-07-17 21:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '899');
INSERT INTO event VALUES ('1976-07-17 23:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '900');
INSERT INTO event VALUES ('1976-07-18 18:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '79', '16SS @200/0330,15@1930    905');
INSERT INTO event VALUES ('1976-07-19 04:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '907');
INSERT INTO event VALUES ('1976-07-19 07:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SP15=14.2                 908');
INSERT INTO event VALUES ('1976-07-19 13:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '909');
INSERT INTO event VALUES ('1976-07-19 23:36:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '912');
INSERT INTO event VALUES ('1976-07-20 05:40:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', '914, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-07-20 06:40:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '914');
INSERT INTO event VALUES ('1976-07-20 08:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SP15=12.0                 915');
INSERT INTO event VALUES ('1976-07-20 10:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SP15=14                   916');
INSERT INTO event VALUES ('1976-07-20 12:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SP15=12.4                 916');
INSERT INTO event VALUES ('1976-07-20 23:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '450', '14SS.202/1440             920');
INSERT INTO event VALUES ('1976-07-21 06:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '69', '12SS.203/0430             922');
INSERT INTO event VALUES ('1976-07-21 07:43:00',-9.50,-53.60, 750,17.60,5.90, 109, 'Deep Moonquake', '59', '922, (*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1976-07-21 07:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, 'ST17ONLY=3.0              922');
INSERT INTO event VALUES ('1976-07-21 16:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '222', '924C');
INSERT INTO event VALUES ('1976-07-21 17:17:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', '925');
INSERT INTO event VALUES ('1976-07-21 21:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', '926C');
INSERT INTO event VALUES ('1976-07-21 23:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '329', '927');
INSERT INTO event VALUES ('1976-07-22 12:07:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', '930');
INSERT INTO event VALUES ('1976-07-22 17:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '932');
INSERT INTO event VALUES ('1976-07-22 19:49:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', '932C');
INSERT INTO event VALUES ('1976-07-22 23:25:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', '934');
INSERT INTO event VALUES ('1976-07-24 02:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '17LSG=1.7MM               941');
INSERT INTO event VALUES ('1976-07-24 02:50:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', '941');
INSERT INTO event VALUES ('1976-07-24 04:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '17 ONLY, 6MM              942');
INSERT INTO event VALUES ('1976-07-24 08:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '?                         943');
INSERT INTO event VALUES ('1976-07-24 09:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '944');
INSERT INTO event VALUES ('1976-07-24 09:56:00',-46.50,38.90, 933,8.30,9.30, 109, 'Deep Moonquake', '251', 'DISTANT C?, 944, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-07-24 18:05:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', 'C?                        946');
INSERT INTO event VALUES ('1976-07-24 22:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 16,SPZ=40MM        947C');
INSERT INTO event VALUES ('1976-07-25 02:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '948');
INSERT INTO event VALUES ('1976-07-25 02:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'DISTANT C?                948');
INSERT INTO event VALUES ('1976-07-25 03:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'ST17ONLY=2.6MM            949');
INSERT INTO event VALUES ('1976-07-25 15:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '952');
INSERT INTO event VALUES ('1976-07-25 17:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT C                 953C');
INSERT INTO event VALUES ('1976-07-25 17:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'ST17=6.0 NEAR C?          953');
INSERT INTO event VALUES ('1976-07-25 18:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '954');
INSERT INTO event VALUES ('1976-07-26 04:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16SPZ=4MM                 956');
INSERT INTO event VALUES ('1976-07-26 06:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, 'ST17 ONLY,4 PKS,4MM,MAX   957');
INSERT INTO event VALUES ('1976-07-26 16:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=2MM                 960');
INSERT INTO event VALUES ('1976-07-27 00:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15SPZ=6MM                 962');
INSERT INTO event VALUES ('1976-07-27 02:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=4MM                 962C');
INSERT INTO event VALUES ('1976-07-27 21:12:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', '967');
INSERT INTO event VALUES ('1976-07-27 23:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ16=26                  968');
INSERT INTO event VALUES ('1976-07-28 02:33:00',2.40,46.10, 933,2.70,20.20, 109, 'Deep Moonquake', '280', '968, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-07-28 05:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '437', '969');
INSERT INTO event VALUES ('1976-07-28 12:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '346', '970');
INSERT INTO event VALUES ('1976-07-28 12:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '219', '970C');
INSERT INTO event VALUES ('1976-07-28 13:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '971');
INSERT INTO event VALUES ('1976-07-28 14:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '971');
INSERT INTO event VALUES ('1976-07-28 15:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '971');
INSERT INTO event VALUES ('1976-07-28 16:05:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', '971');
INSERT INTO event VALUES ('1976-07-28 17:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=1.3MM               972');
INSERT INTO event VALUES ('1976-07-28 17:54:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '972');
INSERT INTO event VALUES ('1976-07-29 04:35:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', '976');
INSERT INTO event VALUES ('1976-07-29 06:36:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '976');
INSERT INTO event VALUES ('1976-07-29 08:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '977');
INSERT INTO event VALUES ('1976-07-29 09:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '978');
INSERT INTO event VALUES ('1976-07-29 11:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15SPZ=16MM                978');
INSERT INTO event VALUES ('1976-07-29 12:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '345', '978');
INSERT INTO event VALUES ('1976-07-29 13:32:00',41.00,53.40, 893,2.50,7.70, 34, 'Deep Moonquake', '107', '978C');
INSERT INTO event VALUES ('1976-07-29 15:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '334', '980');
INSERT INTO event VALUES ('1976-07-29 15:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '980');
INSERT INTO event VALUES ('1976-07-29 16:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '980');
INSERT INTO event VALUES ('1976-07-29 16:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16SPZ=46MM                980');
INSERT INTO event VALUES ('1976-07-29 16:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?                        980');
INSERT INTO event VALUES ('1976-07-29 17:16:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', '980');
INSERT INTO event VALUES ('1976-07-29 17:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '980');
INSERT INTO event VALUES ('1976-07-29 18:11:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', '980C');
INSERT INTO event VALUES ('1976-07-29 18:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '981');
INSERT INTO event VALUES ('1976-07-29 19:15:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', '981');
INSERT INTO event VALUES ('1976-07-29 19:33:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', '17LSG=2MM,P&S@14,15,16    981');
INSERT INTO event VALUES ('1976-07-29 20:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '981');
INSERT INTO event VALUES ('1976-07-29 23:17:00',34.70,60.10, 1043,2.50,10.60, 30, 'Deep Moonquake', '74', '17LSG=2MM                 982');
INSERT INTO event VALUES ('1976-07-30 01:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'DISTANT C?                982');
INSERT INTO event VALUES ('1976-07-30 02:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=15MM                982C');
INSERT INTO event VALUES ('1976-07-30 03:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '411', '983');
INSERT INTO event VALUES ('1976-07-30 05:50:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', '17LSG=1.7MM               983');
INSERT INTO event VALUES ('1976-07-30 06:37:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', '983');
INSERT INTO event VALUES ('1976-07-30 07:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'ST17ONLY=2.6MM            984');
INSERT INTO event VALUES ('1976-07-30 08:50:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', '984, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-07-30 11:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '337', '985');
INSERT INTO event VALUES ('1976-07-30 13:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '985');
INSERT INTO event VALUES ('1976-07-30 13:44:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', '986, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-07-30 15:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '17LSG ONLY,3MM            986');
INSERT INTO event VALUES ('1976-07-30 19:35:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', '988');
INSERT INTO event VALUES ('1976-07-30 22:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', '988');
INSERT INTO event VALUES ('1976-07-30 23:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '395', '988');
INSERT INTO event VALUES ('1976-07-30 23:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '988C');
INSERT INTO event VALUES ('1976-07-31 02:52:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '989');
INSERT INTO event VALUES ('1976-07-31 03:49:00',27.50,34.30, 919,9.90,20.60, 160, 'Deep Moonquake', '82', '989C');
INSERT INTO event VALUES ('1976-07-31 04:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '990');
INSERT INTO event VALUES ('1976-07-31 05:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15SPZ=20MM                990');
INSERT INTO event VALUES ('1976-07-31 10:36:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-07-31 16:27:00',34.60,56.10, 933,20.90,81.00, 109, 'Deep Moonquake', '244', '993, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-07-31 23:55:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', '995');
INSERT INTO event VALUES ('1976-08-01 06:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ14CLIPPED,VERY CLOSE?  997');
INSERT INTO event VALUES ('1976-08-01 10:24:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', '998');
INSERT INTO event VALUES ('1976-08-01 11:56:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', '998');
INSERT INTO event VALUES ('1976-08-01 12:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '998');
INSERT INTO event VALUES ('1976-08-01 17:38:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '999C');
INSERT INTO event VALUES ('1976-08-01 20:06:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', '16SR.@214/1913           1000C');
INSERT INTO event VALUES ('1976-08-01 20:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=21MM               1001');
INSERT INTO event VALUES ('1976-08-01 22:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=6MM                1001');
INSERT INTO event VALUES ('1976-08-02 04:23:00',34.80,63.00, 1014,2.10,11.30, 26, 'Deep Moonquake', '70', '17LSG=2MM                1003');
INSERT INTO event VALUES ('1976-08-02 13:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'GAP BETW 1328-1351       1005');
INSERT INTO event VALUES ('1976-08-03 03:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'Z 14SPZ5.0MM ,NEAR 14    1009');
INSERT INTO event VALUES ('1976-08-03 04:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'Z 14SPZ2.9MM  15Z10MM    1009');
INSERT INTO event VALUES ('1976-08-03 15:56:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1013');
INSERT INTO event VALUES ('1976-08-04 17:28:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1976-08-04 19:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'Z 16SPZ27MM              1020');
INSERT INTO event VALUES ('1976-08-05 08:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1023');
INSERT INTO event VALUES ('1976-08-05 10:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1024');
INSERT INTO event VALUES ('1976-08-05 11:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'Z                        1024');
INSERT INTO event VALUES ('1976-08-05 18:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'Z 15SPZ21MM              1026');
INSERT INTO event VALUES ('1976-08-05 23:38:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '1028');
INSERT INTO event VALUES ('1976-08-06 02:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', '1028');
INSERT INTO event VALUES ('1976-08-06 03:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'Z 14SPZ 8 MM             1028C');
INSERT INTO event VALUES ('1976-08-06 23:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', '1034');
INSERT INTO event VALUES ('1976-08-07 03:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '1035');
INSERT INTO event VALUES ('1976-08-07 07:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '1036C');
INSERT INTO event VALUES ('1976-08-07 13:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '1039');
INSERT INTO event VALUES ('1976-08-07 16:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1040');
INSERT INTO event VALUES ('1976-08-07 18:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '1041');
INSERT INTO event VALUES ('1976-08-07 22:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16SPZ=8MM                1042');
INSERT INTO event VALUES ('1976-08-08 00:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ=9MM                  1042');
INSERT INTO event VALUES ('1976-08-08 02:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NEAR IMPACT?             1042');
INSERT INTO event VALUES ('1976-08-08 13:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '1045');
INSERT INTO event VALUES ('1976-08-08 14:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '17LSG=2MM                1046');
INSERT INTO event VALUES ('1976-08-08 16:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '17LSG=1.5MM              1046');
INSERT INTO event VALUES ('1976-08-09 06:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1049C');
INSERT INTO event VALUES ('1976-08-09 20:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'Z 14SPZ 12MM             1054');
INSERT INTO event VALUES ('1976-08-09 21:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'Z 14SPZ 9MM              1054');
INSERT INTO event VALUES ('1976-08-10 13:43:00',8.60,73.00, 933,4.90,69.50, 109, 'Deep Moonquake', '245', '1058, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-08-10 16:05:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', '1059');
INSERT INTO event VALUES ('1976-08-11 02:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', '1061');
INSERT INTO event VALUES ('1976-08-11 03:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1061C');
INSERT INTO event VALUES ('1976-08-11 17:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', '1066');
INSERT INTO event VALUES ('1976-08-11 19:27:00',53.40,60.90, 1077,15.20,66.10, 32, 'Deep Moonquake', '29', '1066');
INSERT INTO event VALUES ('1976-08-11 21:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '1067');
INSERT INTO event VALUES ('1976-08-12 07:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '319', '1070');
INSERT INTO event VALUES ('1976-08-12 08:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '330', '1070');
INSERT INTO event VALUES ('1976-08-12 10:10:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', '1071');
INSERT INTO event VALUES ('1976-08-12 15:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '1072');
INSERT INTO event VALUES ('1976-08-12 19:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', '1073');
INSERT INTO event VALUES ('1976-08-12 22:26:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', 'CUT OFF AT 2244 BY GAP   1074');
INSERT INTO event VALUES ('1976-08-12 23:58:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', '1074');
INSERT INTO event VALUES ('1976-08-13 18:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'GAP FROM 2901,14SPZ=22MM 1079');
INSERT INTO event VALUES ('1976-08-14 14:26:00',15.50,55.60, 755,1.20,7.50, 44, 'Deep Moonquake', '114', '1084');
INSERT INTO event VALUES ('1976-08-14 15:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '79', '1084');
INSERT INTO event VALUES ('1976-08-14 17:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '1085');
INSERT INTO event VALUES ('1976-08-14 18:35:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '1085');
INSERT INTO event VALUES ('1976-08-14 21:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1086');
INSERT INTO event VALUES ('1976-08-15 01:43:00',23.00,20.40, 1085,3.30,4.70, 64, 'Deep Moonquake', '27', '1087');
INSERT INTO event VALUES ('1976-08-15 04:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '1088');
INSERT INTO event VALUES ('1976-08-15 18:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1893');
INSERT INTO event VALUES ('1976-08-16 01:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1094');
INSERT INTO event VALUES ('1976-08-16 10:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1095');
INSERT INTO event VALUES ('1976-08-16 23:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1098');
INSERT INTO event VALUES ('1976-08-16 23:26:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '1098');
INSERT INTO event VALUES ('1976-08-17 01:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '?                        1098');
INSERT INTO event VALUES ('1976-08-17 05:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15LPZ AMP,XAND Y NOISY   1100');
INSERT INTO event VALUES ('1976-08-17 21:27:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', 'TWO EVENTS?              1103');
INSERT INTO event VALUES ('1976-08-18 00:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1104');
INSERT INTO event VALUES ('1976-08-18 01:43:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', '1104');
INSERT INTO event VALUES ('1976-08-18 23:16:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', '1110');
INSERT INTO event VALUES ('1976-08-19 01:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14SS @232/0200           1110');
INSERT INTO event VALUES ('1976-08-19 04:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '448', '1111');
INSERT INTO event VALUES ('1976-08-19 12:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12SS @232/1435           1113');
INSERT INTO event VALUES ('1976-08-19 23:48:00',-13.70,-21.60, 764,3.90,4.50, 81, 'Deep Moonquake', '216', '1115C');
INSERT INTO event VALUES ('1976-08-20 19:18:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', '1120');
INSERT INTO event VALUES ('1976-08-21 05:37:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', '1122');
INSERT INTO event VALUES ('1976-08-21 06:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '1122');
INSERT INTO event VALUES ('1976-08-21 20:35:00',-46.50,38.90, 933,8.30,9.30, 109, 'Deep Moonquake', '251', '1126, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-08-22 01:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1126C');
INSERT INTO event VALUES ('1976-08-22 10:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=6MM                1128C');
INSERT INTO event VALUES ('1976-08-22 19:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'NOISE?                   1130');
INSERT INTO event VALUES ('1976-08-23 11:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1134');
INSERT INTO event VALUES ('1976-08-23 14:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=1MM                1134C');
INSERT INTO event VALUES ('1976-08-23 16:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1135');
INSERT INTO event VALUES ('1976-08-23 22:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '346', '1137');
INSERT INTO event VALUES ('1976-08-24 05:00:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', '1138');
INSERT INTO event VALUES ('1976-08-24 11:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1139');
INSERT INTO event VALUES ('1976-08-24 13:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '437', '1139C');
INSERT INTO event VALUES ('1976-08-24 15:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '219', '1140');
INSERT INTO event VALUES ('1976-08-24 17:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1141');
INSERT INTO event VALUES ('1976-08-24 23:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT C                1142');
INSERT INTO event VALUES ('1976-08-25 08:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1144');
INSERT INTO event VALUES ('1976-08-25 11:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1144');
INSERT INTO event VALUES ('1976-08-25 14:26:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'GOOD P&S ALL STA.        1145');
INSERT INTO event VALUES ('1976-08-25 16:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '334', '1145');
INSERT INTO event VALUES ('1976-08-25 17:56:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', 'P&S @ 14,15,16           1145C');
INSERT INTO event VALUES ('1976-08-25 19:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2ND EVENT @ 16?          1146');
INSERT INTO event VALUES ('1976-08-25 21:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '345', '1146');
INSERT INTO event VALUES ('1976-08-25 23:32:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '1147, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-08-26 01:12:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', '1147');
INSERT INTO event VALUES ('1976-08-26 02:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1147');
INSERT INTO event VALUES ('1976-08-26 02:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1147');
INSERT INTO event VALUES ('1976-08-26 05:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1148');
INSERT INTO event VALUES ('1976-08-26 06:13:00',41.00,53.40, 893,2.50,7.70, 34, 'Deep Moonquake', '107', '1148');
INSERT INTO event VALUES ('1976-08-26 08:47:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', '1149');
INSERT INTO event VALUES ('1976-08-26 09:08:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', '1149');
INSERT INTO event VALUES ('1976-08-26 12:44:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', 'GOOD P&S @14&15          1149');
INSERT INTO event VALUES ('1976-08-26 14:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1149C');
INSERT INTO event VALUES ('1976-08-26 14:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SP15=11.5                1149C');
INSERT INTO event VALUES ('1976-08-26 18:34:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', '1151');
INSERT INTO event VALUES ('1976-08-26 21:16:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', '1151');
INSERT INTO event VALUES ('1976-08-26 21:31:00',34.70,60.10, 1043,2.50,10.60, 30, 'Deep Moonquake', '74', '1151');
INSERT INTO event VALUES ('1976-08-27 02:14:00',34.60,56.10, 933,20.90,81.00, 109, 'Deep Moonquake', '244', '1153, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-08-27 04:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '16SPZ=60MM               1153C');
INSERT INTO event VALUES ('1976-08-27 04:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1153');
INSERT INTO event VALUES ('1976-08-27 11:58:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '1155');
INSERT INTO event VALUES ('1976-08-27 13:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=3MM                1155');
INSERT INTO event VALUES ('1976-08-27 15:34:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1976-08-27 17:17:00',27.50,34.30, 919,9.90,20.60, 160, 'Deep Moonquake', '82', '1156');
INSERT INTO event VALUES ('1976-08-27 20:16:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', '1157, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-08-27 20:37:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', '1157');
INSERT INTO event VALUES ('1976-08-28 03:10:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '1158C');
INSERT INTO event VALUES ('1976-08-28 04:25:00',0.70,-3.90, 747,0.70,0.60, 62, 'Deep Moonquake', '15', '14SPZ=1MM                1159');
INSERT INTO event VALUES ('1976-08-28 05:20:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-08-28 13:45:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', '1161');
INSERT INTO event VALUES ('1976-08-28 16:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, '15SPZ=2MM                1161');
INSERT INTO event VALUES ('1976-08-28 19:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '320', '1162');
INSERT INTO event VALUES ('1976-08-28 21:35:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', '1162');
INSERT INTO event VALUES ('1976-08-29 02:27:00',34.80,63.00, 1014,2.10,11.30, 26, 'Deep Moonquake', '70', '1163C');
INSERT INTO event VALUES ('1976-08-29 05:16:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', '1164, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-08-29 06:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1164');
INSERT INTO event VALUES ('1976-08-29 14:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ=17MN;LPRT=4M         1166');
INSERT INTO event VALUES ('1976-08-29 15:19:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '1166');
INSERT INTO event VALUES ('1976-08-29 18:14:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', '1167');
INSERT INTO event VALUES ('1976-08-29 18:30:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '1167');
INSERT INTO event VALUES ('1976-08-30 12:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1170C');
INSERT INTO event VALUES ('1976-08-30 17:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1172');
INSERT INTO event VALUES ('1976-08-31 06:27:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', '16SR@ 244/0640           1174');
INSERT INTO event VALUES ('1976-08-31 17:16:00',24.80,35.70, 933,5.70,13.50, 109, 'Deep Moonquake', '287', 'C?, 1176C, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-08-31 21:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP15=4.4                 1177');
INSERT INTO event VALUES ('1976-08-31 21:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1177');
INSERT INTO event VALUES ('1976-08-31 23:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ16 CLIPPED            1178');
INSERT INTO event VALUES ('1976-09-01 09:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1180');
INSERT INTO event VALUES ('1976-09-01 11:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT,NO SPZ           1180');
INSERT INTO event VALUES ('1976-09-02 04:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '79', 'SUNRISE15 245/2207       1185');
INSERT INTO event VALUES ('1976-09-02 19:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1187');
INSERT INTO event VALUES ('1976-09-02 22:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ<1MM                1189');
INSERT INTO event VALUES ('1976-09-03 14:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SR @247/0316           1193');
INSERT INTO event VALUES ('1976-09-03 22:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12SR@ 247/1010           1195');
INSERT INTO event VALUES ('1976-09-03 22:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=4MM                1195');
INSERT INTO event VALUES ('1976-09-04 17:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP15=14                  1199');
INSERT INTO event VALUES ('1976-09-05 11:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SP15=8                   1204');
INSERT INTO event VALUES ('1976-09-05 19:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SP15=9                   1206');
INSERT INTO event VALUES ('1976-09-06 06:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, '15SPZ=9MM                1209C');
INSERT INTO event VALUES ('1976-09-06 10:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, '15SPZ=14MM               1210');
INSERT INTO event VALUES ('1976-09-06 10:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1210');
INSERT INTO event VALUES ('1976-09-07 00:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1212C');
INSERT INTO event VALUES ('1976-09-07 04:25:00',8.60,73.00, 933,4.90,69.50, 109, 'Deep Moonquake', '245', '12H NOISY, 1214, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-09-07 08:02:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', '12H NOISY                1214');
INSERT INTO event VALUES ('1976-09-07 08:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', '1214C');
INSERT INTO event VALUES ('1976-09-07 16:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', '1217');
INSERT INTO event VALUES ('1976-09-08 07:12:00',53.40,60.90, 1077,15.20,66.10, 32, 'Deep Moonquake', '29', '1220C');
INSERT INTO event VALUES ('1976-09-08 09:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1221');
INSERT INTO event VALUES ('1976-09-08 09:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1221C');
INSERT INTO event VALUES ('1976-09-08 10:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1222');
INSERT INTO event VALUES ('1976-09-08 17:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', 'DOUBLE EVENTS?           1223');
INSERT INTO event VALUES ('1976-09-08 22:42:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', '1224');
INSERT INTO event VALUES ('1976-09-08 23:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1224');
INSERT INTO event VALUES ('1976-09-09 00:48:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', 'TWO EVENTS?              1224C');
INSERT INTO event VALUES ('1976-09-09 02:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1225');
INSERT INTO event VALUES ('1976-09-09 05:42:00',23.00,20.40, 1085,3.30,4.70, 64, 'Deep Moonquake', '27', '1225');
INSERT INTO event VALUES ('1976-09-09 16:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '79', '1228');
INSERT INTO event VALUES ('1976-09-10 02:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1230');
INSERT INTO event VALUES ('1976-09-10 23:57:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '1234');
INSERT INTO event VALUES ('1976-09-11 01:32:00',15.50,55.60, 755,1.20,7.50, 44, 'Deep Moonquake', '114', '1234');
INSERT INTO event VALUES ('1976-09-11 02:14:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', '1234');
INSERT INTO event VALUES ('1976-09-11 02:28:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '1234C');
INSERT INTO event VALUES ('1976-09-11 04:42:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '1235');
INSERT INTO event VALUES ('1976-09-11 04:52:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '1235');
INSERT INTO event VALUES ('1976-09-11 06:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1235');
INSERT INTO event VALUES ('1976-09-12 19:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1245');
INSERT INTO event VALUES ('1976-09-13 04:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1247');
INSERT INTO event VALUES ('1976-09-13 20:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1251');
INSERT INTO event VALUES ('1976-09-14 06:10:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '1253');
INSERT INTO event VALUES ('1976-09-14 12:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1254');
INSERT INTO event VALUES ('1976-09-14 13:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1254');
INSERT INTO event VALUES ('1976-09-15 05:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '?                        1258C');
INSERT INTO event VALUES ('1976-09-15 15:15:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', 'C?                       1261');
INSERT INTO event VALUES ('1976-09-16 08:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT?                 1264');
INSERT INTO event VALUES ('1976-09-17 00:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1268');
INSERT INTO event VALUES ('1976-09-17 07:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1269');
INSERT INTO event VALUES ('1976-09-17 08:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '448', '1269');
INSERT INTO event VALUES ('1976-09-17 20:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1272');
INSERT INTO event VALUES ('1976-09-18 15:41:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', '1276');
INSERT INTO event VALUES ('1976-09-18 23:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1278C');
INSERT INTO event VALUES ('1976-09-19 02:02:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '1279');
INSERT INTO event VALUES ('1976-09-19 06:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1280');
INSERT INTO event VALUES ('1976-09-19 13:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1281C');
INSERT INTO event VALUES ('1976-09-19 15:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1282');
INSERT INTO event VALUES ('1976-09-19 17:16:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '1282');
INSERT INTO event VALUES ('1976-09-19 18:31:00',-46.50,38.90, 933,8.30,9.30, 109, 'Deep Moonquake', '251', '1282, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-09-19 19:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1282C');
INSERT INTO event VALUES ('1976-09-19 19:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '410', '1283');
INSERT INTO event VALUES ('1976-09-19 20:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1283');
INSERT INTO event VALUES ('1976-09-20 02:43:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', 'M                        1284');
INSERT INTO event VALUES ('1976-09-20 09:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1285C');
INSERT INTO event VALUES ('1976-09-20 11:05:00',34.70,60.10, 1043,2.50,10.60, 30, 'Deep Moonquake', '74', '1286');
INSERT INTO event VALUES ('1976-09-20 12:14:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1976-09-20 15:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1287');
INSERT INTO event VALUES ('1976-09-20 16:54:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '1287');
INSERT INTO event VALUES ('1976-09-20 21:42:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', '1289');
INSERT INTO event VALUES ('1976-09-21 02:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?                       1290');
INSERT INTO event VALUES ('1976-09-21 05:34:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', '1290C');
INSERT INTO event VALUES ('1976-09-21 06:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1291');
INSERT INTO event VALUES ('1976-09-21 10:26:00',-1.30,-10.30, 867,1.20,1.50, 66, 'Deep Moonquake', '40', '1291');
INSERT INTO event VALUES ('1976-09-21 12:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1292');
INSERT INTO event VALUES ('1976-09-21 13:08:00',13.80,-29.20, 847,1.30,3.90, 45, 'Deep Moonquake', '41', '1292');
INSERT INTO event VALUES ('1976-09-21 13:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '437', '1292');
INSERT INTO event VALUES ('1976-09-21 15:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1292');
INSERT INTO event VALUES ('1976-09-21 16:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16 SPZ>80                1292');
INSERT INTO event VALUES ('1976-09-21 21:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1294');
INSERT INTO event VALUES ('1976-09-21 21:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1294');
INSERT INTO event VALUES ('1976-09-21 22:07:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', '1294, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-09-22 00:18:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '1294');
INSERT INTO event VALUES ('1976-09-22 01:20:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-09-22 03:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1295');
INSERT INTO event VALUES ('1976-09-22 04:57:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', 'MAY BE TWO EVENTS,1295, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-09-22 06:10:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '1295C, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-09-22 07:27:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-09-22 08:37:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', 'GAP FROM 841 TILL 918    1296');
INSERT INTO event VALUES ('1976-09-22 09:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1296');
INSERT INTO event VALUES ('1976-09-22 10:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1296');
INSERT INTO event VALUES ('1976-09-22 13:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '345', '1297');
INSERT INTO event VALUES ('1976-09-22 14:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '449', '1297');
INSERT INTO event VALUES ('1976-09-22 16:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C                        1298');
INSERT INTO event VALUES ('1976-09-22 17:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', '1298');
INSERT INTO event VALUES ('1976-09-22 19:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1298');
INSERT INTO event VALUES ('1976-09-22 20:18:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '1298');
INSERT INTO event VALUES ('1976-09-22 21:37:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', '1299');
INSERT INTO event VALUES ('1976-09-22 23:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1300');
INSERT INTO event VALUES ('1976-09-23 00:07:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '1300, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-09-23 00:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1300');
INSERT INTO event VALUES ('1976-09-23 01:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1300');
INSERT INTO event VALUES ('1976-09-23 01:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1300');
INSERT INTO event VALUES ('1976-09-23 01:53:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', '1300');
INSERT INTO event VALUES ('1976-09-23 03:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1300');
INSERT INTO event VALUES ('1976-09-23 04:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '401', '1300C');
INSERT INTO event VALUES ('1976-09-23 05:07:00',19.40,24.30, 959,2.70,5.10, 68, 'Deep Moonquake', '246', 'M                        1301');
INSERT INTO event VALUES ('1976-09-23 05:45:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-09-23 09:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'BEGINNING MISSED BY GAP  1302');
INSERT INTO event VALUES ('1976-09-23 09:59:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', '1302');
INSERT INTO event VALUES ('1976-09-23 11:06:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', '1302');
INSERT INTO event VALUES ('1976-09-23 11:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1302');
INSERT INTO event VALUES ('1976-09-23 16:56:00',34.70,60.10, 1043,2.50,10.60, 30, 'Deep Moonquake', '74', '1303');
INSERT INTO event VALUES ('1976-09-23 19:43:00',-7.80,5.40, 933,3.50,1.70, 109, 'Deep Moonquake', '236', '1303C');
INSERT INTO event VALUES ('1976-09-24 03:28:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', '1305');
INSERT INTO event VALUES ('1976-09-24 03:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1305');
INSERT INTO event VALUES ('1976-09-24 08:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '408', 'GAP TILL 0927            1306');
INSERT INTO event VALUES ('1976-09-24 16:27:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', '1307C');
INSERT INTO event VALUES ('1976-09-24 18:37:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '1308');
INSERT INTO event VALUES ('1976-09-24 23:25:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', '1309,The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-09-25 03:04:00',27.50,34.30, 919,9.90,20.60, 160, 'Deep Moonquake', '82', '1310');
INSERT INTO event VALUES ('1976-09-25 03:45:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', '1310');
INSERT INTO event VALUES ('1976-09-25 06:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1311');
INSERT INTO event VALUES ('1976-09-25 08:21:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', '1311');
INSERT INTO event VALUES ('1976-09-25 20:30:00',34.80,63.00, 1014,2.10,11.30, 26, 'Deep Moonquake', '70', '1314');
INSERT INTO event VALUES ('1976-09-26 02:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'THREE EVENTS?            1315');
INSERT INTO event VALUES ('1976-09-26 06:00:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', '1316');
INSERT INTO event VALUES ('1976-09-26 10:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '89', '1317');
INSERT INTO event VALUES ('1976-09-26 11:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1317');
INSERT INTO event VALUES ('1976-09-26 20:57:00',24.80,35.70, 933,5.70,13.50, 109, 'Deep Moonquake', '287', '1319, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-09-26 21:18:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '1319');
INSERT INTO event VALUES ('1976-09-26 23:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1320');
INSERT INTO event VALUES ('1976-09-27 01:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1320');
INSERT INTO event VALUES ('1976-09-27 23:18:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', '1325, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-09-28 00:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1325');
INSERT INTO event VALUES ('1976-09-28 22:56:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', '1330');
INSERT INTO event VALUES ('1976-09-29 01:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1330');
INSERT INTO event VALUES ('1976-09-29 05:20:00',8.60,73.00, 933,4.90,69.50, 109, 'Deep Moonquake', '245', '1331, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-09-30 10:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16SR@273/1903            1338');
INSERT INTO event VALUES ('1976-10-01 22:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=19,15SR@275/0926   1345');
INSERT INTO event VALUES ('1976-10-03 09:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12,14,SR@276/1534,2225   1353');
INSERT INTO event VALUES ('1976-10-04 04:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1357');
INSERT INTO event VALUES ('1976-10-04 05:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', '1357');
INSERT INTO event VALUES ('1976-10-04 08:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', '1358');
INSERT INTO event VALUES ('1976-10-04 13:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'BEHEADED                 1359');
INSERT INTO event VALUES ('1976-10-04 18:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', '1360');
INSERT INTO event VALUES ('1977-01-08 13:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1844C');
INSERT INTO event VALUES ('1976-10-05 02:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '1361C');
INSERT INTO event VALUES ('1976-10-05 02:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ=9                    1362');
INSERT INTO event VALUES ('1976-10-05 08:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1363');
INSERT INTO event VALUES ('1976-10-05 12:57:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '1364');
INSERT INTO event VALUES ('1976-10-05 19:40:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', '1366');
INSERT INTO event VALUES ('1976-10-05 20:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', '1366');
INSERT INTO event VALUES ('1976-10-05 21:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ=14                   1366');
INSERT INTO event VALUES ('1976-10-05 22:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '1366');
INSERT INTO event VALUES ('1976-10-06 00:02:00',53.40,60.90, 1077,15.20,66.10, 32, 'Deep Moonquake', '29', 'NO SPZ                   1367');
INSERT INTO event VALUES ('1976-10-06 01:28:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '1367');
INSERT INTO event VALUES ('1976-10-06 07:41:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', '16 SYNC ERROR            1368');
INSERT INTO event VALUES ('1976-10-06 16:14:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', '12 H NOISY               1370C');
INSERT INTO event VALUES ('1976-10-06 19:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1371C');
INSERT INTO event VALUES ('1976-10-07 09:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '79', '1374C');
INSERT INTO event VALUES ('1976-10-07 21:25:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-10-07 23:18:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '1378, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-10-08 01:20:00',15.50,55.60, 755,1.20,7.50, 44, 'Deep Moonquake', '114', '1378');
INSERT INTO event VALUES ('1976-10-08 02:28:00',24.10,26.10, 933,5.10,8.20, 109, 'Deep Moonquake', '233', '1378C, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-10-08 11:25:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1976-10-08 13:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1382');
INSERT INTO event VALUES ('1976-10-08 16:49:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1976-10-08 17:46:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-10-09 07:26:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '1387');
INSERT INTO event VALUES ('1976-10-09 15:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '274', '12 SYNC ERROR            1388');
INSERT INTO event VALUES ('1976-10-09 16:40:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-10-11 04:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16 DATA BAD              1394');
INSERT INTO event VALUES ('1976-10-13 08:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NEAR 12                  1404');
INSERT INTO event VALUES ('1976-10-15 13:47:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1976-10-17 04:30:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '1418');
INSERT INTO event VALUES ('1976-10-17 05:50:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', '1418');
INSERT INTO event VALUES ('1976-10-17 09:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1419');
INSERT INTO event VALUES ('1976-10-17 10:00:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', '1419');
INSERT INTO event VALUES ('1976-10-17 13:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT,16 SYNC ERROR    1419');
INSERT INTO event VALUES ('1976-10-17 21:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1421');
INSERT INTO event VALUES ('1976-10-18 03:54:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '1421C');
INSERT INTO event VALUES ('1976-10-18 04:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1422');
INSERT INTO event VALUES ('1976-10-18 06:15:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '1422');
INSERT INTO event VALUES ('1976-10-18 11:33:00',-46.50,38.90, 933,8.30,9.30, 109, 'Deep Moonquake', '251', '1423, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-10-18 13:36:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', '1423');
INSERT INTO event VALUES ('1976-10-18 15:25:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-10-18 16:09:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1976-10-18 17:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1424');
INSERT INTO event VALUES ('1976-10-18 18:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'M?                       1424');
INSERT INTO event VALUES ('1976-10-18 19:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1424');
INSERT INTO event VALUES ('1976-10-18 20:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12,15DATA BAD AFTER 2015 1424');
INSERT INTO event VALUES ('1976-10-18 22:04:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', '1425');
INSERT INTO event VALUES ('1976-10-18 22:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1425');
INSERT INTO event VALUES ('1976-10-19 01:23:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '1425');
INSERT INTO event VALUES ('1976-10-19 02:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15SYNC ERR.GAP AFT.1313  1425');
INSERT INTO event VALUES ('1976-10-19 06:10:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', 'M?,1426, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-10-19 06:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1426');
INSERT INTO event VALUES ('1976-10-19 08:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '437', '1426');
INSERT INTO event VALUES ('1976-10-19 10:07:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '1427, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-10-19 10:21:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '1427');
INSERT INTO event VALUES ('1976-10-19 10:41:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-10-19 13:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP16=6.5MM               1427');
INSERT INTO event VALUES ('1976-10-19 14:57:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-10-19 16:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1427');
INSERT INTO event VALUES ('1976-10-19 17:53:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', '1428, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-10-19 21:16:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-10-19 22:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '449', '1429');
INSERT INTO event VALUES ('1976-10-19 23:10:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', '1429, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-10-20 02:33:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', 'STOP TIME =TIME OF D.GAP 1429');
INSERT INTO event VALUES ('1976-10-20 06:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1430');
INSERT INTO event VALUES ('1976-10-20 07:50:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '1430');
INSERT INTO event VALUES ('1976-10-20 08:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1430');
INSERT INTO event VALUES ('1976-10-20 08:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1430');
INSERT INTO event VALUES ('1976-10-20 10:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '1431');
INSERT INTO event VALUES ('1976-10-20 12:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1431');
INSERT INTO event VALUES ('1976-10-20 14:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1431');
INSERT INTO event VALUES ('1976-10-20 15:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '31', '1431');
INSERT INTO event VALUES ('1976-10-20 19:36:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '1432');
INSERT INTO event VALUES ('1976-10-20 22:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'BEHEADED                 1433');
INSERT INTO event VALUES ('1976-10-21 00:52:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '1433, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-10-21 01:58:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1976-10-21 04:55:00',34.70,60.10, 1043,2.50,10.60, 30, 'Deep Moonquake', '74', '1433');
INSERT INTO event VALUES ('1976-10-21 06:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '401', '15 SYNC ERROR            1434');
INSERT INTO event VALUES ('1976-10-21 17:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16SPZ=13.5               1435');
INSERT INTO event VALUES ('1976-10-21 18:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '407', '1435');
INSERT INTO event VALUES ('1976-10-21 20:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '408', '1436');
INSERT INTO event VALUES ('1976-10-21 21:32:00',-7.80,5.40, 933,3.50,1.70, 109, 'Deep Moonquake', '236', '1436');
INSERT INTO event VALUES ('1976-10-22 00:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP16=8.3MM               1437');
INSERT INTO event VALUES ('1976-10-22 01:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1437');
INSERT INTO event VALUES ('1976-10-22 02:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'BEHEADED                 1437');
INSERT INTO event VALUES ('1976-10-22 09:15:00',34.80,63.00, 1014,2.10,11.30, 26, 'Deep Moonquake', '70', 'A GAP AT END OF EVENT    1437');
INSERT INTO event VALUES ('1976-10-22 11:07:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-10-22 14:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1438');
INSERT INTO event VALUES ('1976-10-22 18:13:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', '1439');
INSERT INTO event VALUES ('1976-10-22 19:40:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', '1439');
INSERT INTO event VALUES ('1976-10-22 21:37:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', '1439');
INSERT INTO event VALUES ('1976-10-23 01:36:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '1440');
INSERT INTO event VALUES ('1976-10-23 07:19:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1976-10-23 19:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1442');
INSERT INTO event VALUES ('1976-10-24 00:32:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', '1443');
INSERT INTO event VALUES ('1976-10-24 03:54:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', '1444');
INSERT INTO event VALUES ('1976-10-24 12:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1445');
INSERT INTO event VALUES ('1976-10-25 03:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1447');
INSERT INTO event VALUES ('1976-10-26 15:15:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', '1453, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-10-26 19:36:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1976-10-26 23:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '16LPX AMP.               1454');
INSERT INTO event VALUES ('1976-10-27 01:07:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', '16LPX AMP.               1454');
INSERT INTO event VALUES ('1976-10-27 01:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SPZ=1.9                  1454');
INSERT INTO event VALUES ('1976-10-27 15:36:00',8.60,73.00, 933,4.90,69.50, 109, 'Deep Moonquake', '245', '1457, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-10-27 16:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1457');
INSERT INTO event VALUES ('1976-10-29 21:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SR16 303/0826;2 EVENTS?  1464C');
INSERT INTO event VALUES ('1976-10-30 07:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ=2.0                  1466');
INSERT INTO event VALUES ('1976-10-30 09:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1466');
INSERT INTO event VALUES ('1976-10-30 10:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1466');
INSERT INTO event VALUES ('1976-10-30 21:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', 'SUNRISE 15 304/2135      1468');
INSERT INTO event VALUES ('1976-10-31 05:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', '1470');
INSERT INTO event VALUES ('1976-10-31 15:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1471');
INSERT INTO event VALUES ('1976-10-31 15:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ=33                   1471');
INSERT INTO event VALUES ('1976-11-01 04:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1473');
INSERT INTO event VALUES ('1976-11-01 13:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1475');
INSERT INTO event VALUES ('1976-11-01 14:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '205', '12SR @306/1140           1475');
INSERT INTO event VALUES ('1976-11-01 19:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1476');
INSERT INTO event VALUES ('1976-11-01 23:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1477');
INSERT INTO event VALUES ('1976-11-02 12:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', 'BEHEADED                 1479');
INSERT INTO event VALUES ('1976-11-02 18:57:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', '1479C');
INSERT INTO event VALUES ('1976-11-02 20:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SPZ=8.0                  1480');
INSERT INTO event VALUES ('1976-11-02 20:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT                  1480');
INSERT INTO event VALUES ('1976-11-02 22:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1480');
INSERT INTO event VALUES ('1976-11-03 00:03:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '1480');
INSERT INTO event VALUES ('1976-11-03 01:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '1481');
INSERT INTO event VALUES ('1976-11-03 03:42:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '1481');
INSERT INTO event VALUES ('1976-11-03 05:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1481');
INSERT INTO event VALUES ('1976-11-03 06:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT                  1481');
INSERT INTO event VALUES ('1976-11-03 06:45:00',23.00,20.40, 1085,3.30,4.70, 64, 'Deep Moonquake', '27', '1481');
INSERT INTO event VALUES ('1976-11-03 08:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', '1482');
INSERT INTO event VALUES ('1976-11-03 08:49:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', '1482');
INSERT INTO event VALUES ('1976-11-03 16:29:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', 'GAP 1636-1644            1483');
INSERT INTO event VALUES ('1976-11-03 20:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ=8MM                  1483C');
INSERT INTO event VALUES ('1976-11-03 20:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1484');
INSERT INTO event VALUES ('1976-11-03 20:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '1484');
INSERT INTO event VALUES ('1976-11-03 23:26:00',15.50,55.60, 755,1.20,7.50, 44, 'Deep Moonquake', '114', '1484');
INSERT INTO event VALUES ('1976-11-04 01:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '79', '1484');
INSERT INTO event VALUES ('1976-11-04 01:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '1484');
INSERT INTO event VALUES ('1976-11-04 02:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1484');
INSERT INTO event VALUES ('1976-11-04 04:05:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-11-04 08:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1486');
INSERT INTO event VALUES ('1976-11-04 13:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12 SYNC                  1487');
INSERT INTO event VALUES ('1976-11-04 22:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15 CLOSEST               1488');
INSERT INTO event VALUES ('1976-11-05 00:30:00',24.10,26.10, 933,5.10,8.20, 109, 'Deep Moonquake', '233', '1488C, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-11-05 06:04:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-11-05 06:35:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '1489');
INSERT INTO event VALUES ('1976-11-05 09:16:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1976-11-05 10:18:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1976-11-05 14:14:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-11-05 14:14:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1976-11-05 18:51:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '1491');
INSERT INTO event VALUES ('1976-11-06 10:41:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', 'GOOD PMS@12,16           1494');
INSERT INTO event VALUES ('1976-11-06 12:59:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', '1494');
INSERT INTO event VALUES ('1976-11-07 05:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'ECLIPSE ON 311-312       1498');
INSERT INTO event VALUES ('1976-11-07 11:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1498');
INSERT INTO event VALUES ('1976-11-08 02:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1501');
INSERT INTO event VALUES ('1976-11-08 07:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SP15 CLIPPED             1501');
INSERT INTO event VALUES ('1976-11-08 07:30:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', '1501C');
INSERT INTO event VALUES ('1976-11-08 13:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1502');
INSERT INTO event VALUES ('1976-11-11 14:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'NOISE?                   1514');
INSERT INTO event VALUES ('1976-11-12 22:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14X 2MM                  1523');
INSERT INTO event VALUES ('1976-11-13 21:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1528');
INSERT INTO event VALUES ('1976-11-14 02:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', '1529');
INSERT INTO event VALUES ('1976-11-14 06:48:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1976-11-14 07:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1530');
INSERT INTO event VALUES ('1976-11-14 17:25:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-11-14 18:00:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', 'C?                       1533');
INSERT INTO event VALUES ('1976-11-14 19:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1533');
INSERT INTO event VALUES ('1976-11-14 19:11:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', '1533');
INSERT INTO event VALUES ('1976-11-14 23:16:00',4.10,-86.90, 0,6.70,5.50, NULL, 'Meteoroid Impact', NULL, '14SPZ=16MM;12 BAD, 1535C, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-11-15 02:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1536');
INSERT INTO event VALUES ('1976-11-15 04:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1536');
INSERT INTO event VALUES ('1976-11-15 04:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1536');
INSERT INTO event VALUES ('1976-11-15 05:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1536');
INSERT INTO event VALUES ('1976-11-15 05:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1536');
INSERT INTO event VALUES ('1976-11-15 06:25:00',15.50,97.00, 1141,2.40,12.30, 74, 'Deep Moonquake', '282', '1536C');
INSERT INTO event VALUES ('1976-11-15 07:44:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '1537C');
INSERT INTO event VALUES ('1976-11-15 08:47:00',-46.50,38.90, 933,8.30,9.30, 109, 'Deep Moonquake', '251', '1538, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-11-15 09:02:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '1538');
INSERT INTO event VALUES ('1976-11-15 11:45:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', '1538');
INSERT INTO event VALUES ('1976-11-15 13:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1538C');
INSERT INTO event VALUES ('1976-11-15 15:00:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '1539');
INSERT INTO event VALUES ('1976-11-15 16:32:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '1539C');
INSERT INTO event VALUES ('1976-11-15 18:15:00',34.70,60.10, 1043,2.50,10.60, 30, 'Deep Moonquake', '74', '1540');
INSERT INTO event VALUES ('1976-11-15 18:42:00',-13.70,-21.60, 764,3.90,4.50, 81, 'Deep Moonquake', '216', '1540');
INSERT INTO event VALUES ('1976-11-15 21:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1540');
INSERT INTO event VALUES ('1976-11-15 23:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', '1541C');
INSERT INTO event VALUES ('1976-11-16 00:23:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1976-11-16 03:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1542');
INSERT INTO event VALUES ('1976-11-16 04:06:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '1542, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-11-16 06:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1543');
INSERT INTO event VALUES ('1976-11-16 06:11:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-11-16 06:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1543');
INSERT INTO event VALUES ('1976-11-16 06:51:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-11-16 07:56:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', '1543C');
INSERT INTO event VALUES ('1976-11-16 08:42:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '1544, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-11-16 09:39:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-11-16 10:50:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', '1544');
INSERT INTO event VALUES ('1976-11-16 16:05:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-11-16 18:14:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '1546');
INSERT INTO event VALUES ('1976-11-16 21:12:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-11-17 01:32:00',41.00,53.40, 893,2.50,7.70, 34, 'Deep Moonquake', '107', '1548');
INSERT INTO event VALUES ('1976-11-17 04:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '14 BAD                   1549');
INSERT INTO event VALUES ('1976-11-17 05:20:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', '1549, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-11-17 06:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '31', '1549');
INSERT INTO event VALUES ('1976-11-17 08:19:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1976-11-17 13:42:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '14SP 2MM                 1552');
INSERT INTO event VALUES ('1976-11-17 23:16:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '1553, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-11-18 00:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '16SP 5MM                 1554');
INSERT INTO event VALUES ('1976-11-18 03:15:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', '1554');
INSERT INTO event VALUES ('1976-11-18 04:26:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', '1554');
INSERT INTO event VALUES ('1976-11-18 06:50:00',-69.40,75.40, 933,4.40,24.60, 109, 'Deep Moonquake', '241', '1555, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-11-18 07:28:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', '1555');
INSERT INTO event VALUES ('1976-11-18 10:40:00',34.80,63.00, 1014,2.10,11.30, 26, 'Deep Moonquake', '70', '1556');
INSERT INTO event VALUES ('1976-11-18 16:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '72', '1557');
INSERT INTO event VALUES ('1976-11-18 19:25:00',-7.80,5.40, 933,3.50,1.70, 109, 'Deep Moonquake', '236', 'M?                       1558');
INSERT INTO event VALUES ('1976-11-19 07:30:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', '1559');
INSERT INTO event VALUES ('1976-11-19 09:52:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-11-19 11:05:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', '1560');
INSERT INTO event VALUES ('1976-11-19 13:52:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', '1560');
INSERT INTO event VALUES ('1976-11-19 16:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '331', '1561');
INSERT INTO event VALUES ('1976-11-19 18:21:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1976-11-19 21:10:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '1562');
INSERT INTO event VALUES ('1976-11-19 22:40:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '1562');
INSERT INTO event VALUES ('1976-11-20 00:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1562C');
INSERT INTO event VALUES ('1976-11-20 04:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '442', '1564');
INSERT INTO event VALUES ('1976-11-21 02:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1570');
INSERT INTO event VALUES ('1976-11-21 22:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'TELESEISMIC              1574C');
INSERT INTO event VALUES ('1976-11-22 11:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'EVENT?                   1577');
INSERT INTO event VALUES ('1976-11-23 00:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '1579');
INSERT INTO event VALUES ('1976-11-23 00:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1579');
INSERT INTO event VALUES ('1976-11-23 21:33:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', '15 DATA BAD,1584, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-11-24 02:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14X IS DEAD              1585');
INSERT INTO event VALUES ('1976-11-24 04:35:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', '1585C, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-11-24 07:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1586');
INSERT INTO event VALUES ('1976-11-24 10:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1587');
INSERT INTO event VALUES ('1976-11-24 17:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1588');
INSERT INTO event VALUES ('1976-11-25 03:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1590C');
INSERT INTO event VALUES ('1976-11-25 10:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1592C');
INSERT INTO event VALUES ('1976-11-25 23:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '1597');
INSERT INTO event VALUES ('1976-11-26 00:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '1597');
INSERT INTO event VALUES ('1976-11-26 03:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1597');
INSERT INTO event VALUES ('1976-11-26 05:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1598');
INSERT INTO event VALUES ('1976-11-26 18:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1601');
INSERT INTO event VALUES ('1976-11-27 09:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', '1604C');
INSERT INTO event VALUES ('1976-11-27 10:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'TWO EVENTS?              1605');
INSERT INTO event VALUES ('1976-11-27 11:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', '1605');
INSERT INTO event VALUES ('1976-11-27 12:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1605');
INSERT INTO event VALUES ('1976-11-27 17:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1606C');
INSERT INTO event VALUES ('1976-11-28 01:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', 'SR 16 332/2240           1608C');
INSERT INTO event VALUES ('1976-11-28 02:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TWO EVENTS               1609');
INSERT INTO event VALUES ('1976-11-28 13:32:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', '1611, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-11-28 13:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1611C');
INSERT INTO event VALUES ('1976-11-28 14:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1612');
INSERT INTO event VALUES ('1976-11-28 14:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', '1612');
INSERT INTO event VALUES ('1976-11-28 15:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SP16 CLIPPED             1612');
INSERT INTO event VALUES ('1976-11-28 15:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', '1612');
INSERT INTO event VALUES ('1976-11-28 16:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', '1612');
INSERT INTO event VALUES ('1976-11-28 17:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1612');
INSERT INTO event VALUES ('1976-11-28 20:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', '1613');
INSERT INTO event VALUES ('1976-11-28 21:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1613');
INSERT INTO event VALUES ('1976-11-29 00:05:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '1613C');
INSERT INTO event VALUES ('1976-11-29 01:28:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', '1614');
INSERT INTO event VALUES ('1976-11-29 02:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '316', 'ST15 SUNRISE 334/1036    1614');
INSERT INTO event VALUES ('1976-11-29 09:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1616');
INSERT INTO event VALUES ('1976-11-29 11:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1616');
INSERT INTO event VALUES ('1976-11-29 14:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1616C');
INSERT INTO event VALUES ('1976-11-29 16:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1618');
INSERT INTO event VALUES ('1976-11-30 01:13:00',15.50,55.60, 755,1.20,7.50, 44, 'Deep Moonquake', '114', '1620');
INSERT INTO event VALUES ('1976-11-30 03:28:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '1620');
INSERT INTO event VALUES ('1976-11-30 05:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'ST14 SUNRISE 335/1901    1620');
INSERT INTO event VALUES ('1976-12-01 13:46:00',23.00,20.40, 1085,3.30,4.70, 64, 'Deep Moonquake', '27', '1629');
INSERT INTO event VALUES ('1976-12-01 23:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP15=7                   1632');
INSERT INTO event VALUES ('1976-12-02 03:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', '1633');
INSERT INTO event VALUES ('1976-12-02 06:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'ST12 SUNRISE 336/0146    1633');
INSERT INTO event VALUES ('1976-12-02 06:06:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', 'M?, 1633, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-12-02 08:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', '1634');
INSERT INTO event VALUES ('1976-12-02 08:50:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '1634');
INSERT INTO event VALUES ('1976-12-02 11:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', '1635');
INSERT INTO event VALUES ('1976-12-02 11:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', '1635');
INSERT INTO event VALUES ('1976-12-02 20:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '1636');
INSERT INTO event VALUES ('1976-12-02 23:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '450', '1637');
INSERT INTO event VALUES ('1976-12-03 00:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '1637');
INSERT INTO event VALUES ('1976-12-03 00:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SP16=11                  1637');
INSERT INTO event VALUES ('1976-12-03 01:48:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-12-03 04:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '1638');
INSERT INTO event VALUES ('1976-12-03 07:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '306', '1639');
INSERT INTO event VALUES ('1976-12-03 08:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1639');
INSERT INTO event VALUES ('1976-12-03 13:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1640');
INSERT INTO event VALUES ('1976-12-03 14:26:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1976-12-03 18:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1641');
INSERT INTO event VALUES ('1976-12-03 21:36:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', '1642');
INSERT INTO event VALUES ('1976-12-03 21:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '15SPZ=10                 1642');
INSERT INTO event VALUES ('1976-12-04 00:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '1642');
INSERT INTO event VALUES ('1976-12-04 01:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '15X=1.5                  1642');
INSERT INTO event VALUES ('1976-12-04 02:06:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '15X=1.2                  1642C');
INSERT INTO event VALUES ('1976-12-04 09:31:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1976-12-04 19:28:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '1647');
INSERT INTO event VALUES ('1976-12-05 02:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1648C');
INSERT INTO event VALUES ('1976-12-05 03:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1649C');
INSERT INTO event VALUES ('1976-12-05 09:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1651');
INSERT INTO event VALUES ('1976-12-05 10:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1651');
INSERT INTO event VALUES ('1976-12-05 22:26:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', '1654');
INSERT INTO event VALUES ('1976-12-06 01:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1654');
INSERT INTO event VALUES ('1976-12-06 09:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '222', 'M?                       1656');
INSERT INTO event VALUES ('1976-12-06 11:32:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', 'M?                       1657');
INSERT INTO event VALUES ('1976-12-07 01:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '406', '1661');
INSERT INTO event VALUES ('1976-12-07 03:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1661');
INSERT INTO event VALUES ('1976-12-07 15:30:00',-13.70,-21.60, 764,3.90,4.50, 81, 'Deep Moonquake', '216', '1664');
INSERT INTO event VALUES ('1976-12-07 20:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'M?                       1665');
INSERT INTO event VALUES ('1976-12-08 10:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SP14=10MM                1668C');
INSERT INTO event VALUES ('1976-12-08 20:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'MANY SP EVENTS AT 14     1671');
INSERT INTO event VALUES ('1976-12-09 00:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'MANY SP EVENTS AT14      1671C');
INSERT INTO event VALUES ('1976-12-09 22:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1677');
INSERT INTO event VALUES ('1976-12-10 14:30:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '1682C');
INSERT INTO event VALUES ('1976-12-11 23:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1690');
INSERT INTO event VALUES ('1976-12-12 04:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1691');
INSERT INTO event VALUES ('1976-12-12 06:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1691');
INSERT INTO event VALUES ('1976-12-12 19:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'DOUBLE EVENT AT 14       1694');
INSERT INTO event VALUES ('1976-12-12 20:07:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1976-12-12 20:28:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', '1694');
INSERT INTO event VALUES ('1976-12-13 01:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '?                        1696');
INSERT INTO event VALUES ('1976-12-13 07:14:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1697');
INSERT INTO event VALUES ('1976-12-13 12:23:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', '1698');
INSERT INTO event VALUES ('1976-12-13 16:03:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', '1699');
INSERT INTO event VALUES ('1976-12-13 19:26:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1976-12-13 22:08:00',34.70,60.10, 1043,2.50,10.60, 30, 'Deep Moonquake', '74', '1701');
INSERT INTO event VALUES ('1976-12-14 02:27:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1976-12-14 04:38:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', '1702');
INSERT INTO event VALUES ('1976-12-14 05:03:00',41.00,53.40, 893,2.50,7.70, 34, 'Deep Moonquake', '107', '1702');
INSERT INTO event VALUES ('1976-12-14 06:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1702C');
INSERT INTO event VALUES ('1976-12-14 07:31:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', '1703C');
INSERT INTO event VALUES ('1976-12-14 09:22:00',34.80,63.00, 1014,2.10,11.30, 26, 'Deep Moonquake', '70', '1704');
INSERT INTO event VALUES ('1976-12-14 10:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT                  1704');
INSERT INTO event VALUES ('1976-12-14 16:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '31', '1705');
INSERT INTO event VALUES ('1976-12-14 16:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1705');
INSERT INTO event VALUES ('1976-12-14 18:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1706');
INSERT INTO event VALUES ('1976-12-14 22:29:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1976-12-15 00:46:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-12-15 04:34:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-12-15 05:47:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '14SS @350/0530,1708, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-12-15 08:14:00',34.60,56.10, 933,20.90,81.00, 109, 'Deep Moonquake', '244', '1709, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-12-15 09:31:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', '1710');
INSERT INTO event VALUES ('1976-12-15 13:12:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', '1710');
INSERT INTO event VALUES ('1976-12-15 14:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1711');
INSERT INTO event VALUES ('1976-12-15 14:42:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-12-15 15:47:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', '1711');
INSERT INTO event VALUES ('1976-12-15 21:16:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', '12SS350/1840             1712');
INSERT INTO event VALUES ('1976-12-16 13:18:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'GOOD P&S,A1?             1716');
INSERT INTO event VALUES ('1976-12-16 19:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15 DATA BAD              1717');
INSERT INTO event VALUES ('1976-12-16 22:30:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', '1718');
INSERT INTO event VALUES ('1976-12-17 19:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '263', '1722');
INSERT INTO event VALUES ('1976-12-17 21:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '396', '1723');
INSERT INTO event VALUES ('1976-12-18 05:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', '1725');
INSERT INTO event VALUES ('1976-12-18 07:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', '1725');
INSERT INTO event VALUES ('1976-12-18 07:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1725');
INSERT INTO event VALUES ('1976-12-18 10:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1726');
INSERT INTO event VALUES ('1976-12-18 14:37:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '1727');
INSERT INTO event VALUES ('1976-12-18 18:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '89', '1728');
INSERT INTO event VALUES ('1976-12-19 05:05:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '15 DATA BAD              1730');
INSERT INTO event VALUES ('1976-12-19 07:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1730');
INSERT INTO event VALUES ('1976-12-19 07:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1730');
INSERT INTO event VALUES ('1976-12-19 19:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '15 DATA BAD,12&14 BIT ER 1734');
INSERT INTO event VALUES ('1976-12-22 22:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1752');
INSERT INTO event VALUES ('1976-12-24 05:57:00',8.60,73.00, 933,4.90,69.50, 109, 'Deep Moonquake', '245', '1759, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1976-12-24 07:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1759C');
INSERT INTO event VALUES ('1976-12-24 20:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', '1762');
INSERT INTO event VALUES ('1976-12-25 02:56:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1764');
INSERT INTO event VALUES ('1976-12-25 05:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', '1764');
INSERT INTO event VALUES ('1976-12-25 06:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1764C');
INSERT INTO event VALUES ('1976-12-25 13:56:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', '1766');
INSERT INTO event VALUES ('1976-12-25 19:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16SPZ=6MM                1767');
INSERT INTO event VALUES ('1976-12-25 20:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', '14SPZ=2.5MM,P&S@14       1767');
INSERT INTO event VALUES ('1976-12-26 14:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1771C');
INSERT INTO event VALUES ('1976-12-26 15:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1772');
INSERT INTO event VALUES ('1976-12-26 17:19:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', '1772');
INSERT INTO event VALUES ('1976-12-26 19:45:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '1773');
INSERT INTO event VALUES ('1976-12-26 20:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', '1773');
INSERT INTO event VALUES ('1976-12-27 00:00:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', '12DATA BAD               1774');
INSERT INTO event VALUES ('1976-12-27 03:48:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-12-27 10:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '335', '1776');
INSERT INTO event VALUES ('1976-12-27 12:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '15DATA BAD               1776');
INSERT INTO event VALUES ('1976-12-27 13:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '16SR@362/1326,15DATA BA  1776');
INSERT INTO event VALUES ('1976-12-27 16:56:00',15.50,55.60, 755,1.20,7.50, 44, 'Deep Moonquake', '114', '15DATA BAD               1777');
INSERT INTO event VALUES ('1976-12-27 17:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '15DATA BAD               1777C');
INSERT INTO event VALUES ('1976-12-27 19:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '264', '1777C');
INSERT INTO event VALUES ('1976-12-27 20:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '354', '1778');
INSERT INTO event VALUES ('1976-12-27 20:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1778');
INSERT INTO event VALUES ('1976-12-27 23:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16SPZ=10MM,BEHEADED      1778');
INSERT INTO event VALUES ('1976-12-28 02:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1779');
INSERT INTO event VALUES ('1976-12-28 03:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1779');
INSERT INTO event VALUES ('1976-12-28 10:33:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', '1782');
INSERT INTO event VALUES ('1976-12-28 12:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15SPZ=6.5MM,ALL DATA BAD 1782C');
INSERT INTO event VALUES ('1976-12-28 14:11:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', '1783');
INSERT INTO event VALUES ('1976-12-28 16:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1783');
INSERT INTO event VALUES ('1976-12-29 07:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15SR@364/0041,15BAD      1787');
INSERT INTO event VALUES ('1976-12-29 09:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12&15 BAD                1787');
INSERT INTO event VALUES ('1976-12-29 09:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '206', '12&15 BAD                1787');
INSERT INTO event VALUES ('1976-12-29 12:20:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', 'BEHEADED, 1787, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1976-12-29 18:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '1789');
INSERT INTO event VALUES ('1976-12-29 23:02:00',23.00,20.40, 1085,3.30,4.70, 64, 'Deep Moonquake', '27', '1790');
INSERT INTO event VALUES ('1976-12-29 23:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', '1790');
INSERT INTO event VALUES ('1976-12-30 00:07:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '14SR@365/0938            1790');
INSERT INTO event VALUES ('1976-12-31 05:29:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '12SR@365/1630            1797');
INSERT INTO event VALUES ('1976-12-31 12:31:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1976-12-31 14:08:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1976-12-31 22:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '1801');
INSERT INTO event VALUES ('1976-12-31 23:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', '1801');
INSERT INTO event VALUES ('1977-01-01 00:17:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '14Y BIT JUMPS            1801C');
INSERT INTO event VALUES ('1977-01-01 04:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14X AMP(Y BIT JUMPS)     1802');
INSERT INTO event VALUES ('1977-01-01 04:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14X AMP(Y BIT JUMPS)     1802');
INSERT INTO event VALUES ('1977-01-01 06:56:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1803');
INSERT INTO event VALUES ('1977-01-01 15:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '69', '1805');
INSERT INTO event VALUES ('1977-01-01 17:07:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', '1805C');
INSERT INTO event VALUES ('1977-01-01 21:57:00',12.30,37.70, 1125,1.40,8.00, 56, 'Deep Moonquake', '51', '1806');
INSERT INTO event VALUES ('1977-01-02 00:39:00',-9.50,-53.60, 750,17.60,5.90, 109, 'Deep Moonquake', '59', '1807, (*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1977-01-02 02:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14Y BIT JUMPS            1808');
INSERT INTO event VALUES ('1977-01-02 02:41:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', '1808');
INSERT INTO event VALUES ('1977-01-02 03:15:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', '1808');
INSERT INTO event VALUES ('1977-01-02 04:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '1808');
INSERT INTO event VALUES ('1977-01-02 09:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '1809C');
INSERT INTO event VALUES ('1977-01-02 11:59:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', '1810');
INSERT INTO event VALUES ('1977-01-02 12:14:00',9.20,17.50, 1187,1.50,4.90, 87, 'Deep Moonquake', '11', '1810');
INSERT INTO event VALUES ('1977-01-02 13:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1810');
INSERT INTO event VALUES ('1977-01-02 18:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14LPZ ALIVE,14SPZ=4.5    1811');
INSERT INTO event VALUES ('1977-01-02 21:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '1812');
INSERT INTO event VALUES ('1977-01-03 02:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '222', '1813');
INSERT INTO event VALUES ('1977-01-03 10:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NO SPZ                   1814');
INSERT INTO event VALUES ('1977-01-03 15:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1815');
INSERT INTO event VALUES ('1977-01-04 05:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ=5MM                  1819');
INSERT INTO event VALUES ('1977-01-04 05:52:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', '1819');
INSERT INTO event VALUES ('1977-01-04 08:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ=6MM                  1819');
INSERT INTO event VALUES ('1977-01-04 10:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ=6MM                  1820C');
INSERT INTO event VALUES ('1977-01-04 13:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ=5MM                  1821');
INSERT INTO event VALUES ('1977-01-05 06:14:00',-13.70,-21.60, 764,3.90,4.50, 81, 'Deep Moonquake', '216', '1825');
INSERT INTO event VALUES ('1977-01-05 16:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '367', 'VERY DISTANT E?          1827');
INSERT INTO event VALUES ('1977-01-06 01:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1828C');
INSERT INTO event VALUES ('1977-01-06 22:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1834');
INSERT INTO event VALUES ('1977-01-07 03:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16 SPZ=37MM              1836');
INSERT INTO event VALUES ('1977-01-07 11:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1838');
INSERT INTO event VALUES ('1977-01-07 15:03:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', '1838');
INSERT INTO event VALUES ('1977-01-08 10:43:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '1844');
INSERT INTO event VALUES ('1977-01-08 13:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NEAR 14,SPZ=27MM         1845');
INSERT INTO event VALUES ('1977-01-08 17:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1845C');
INSERT INTO event VALUES ('1977-01-08 20:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14LPZ IN OSC.            1846');
INSERT INTO event VALUES ('1977-01-09 05:03:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '1848');
INSERT INTO event VALUES ('1977-01-09 06:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1848');
INSERT INTO event VALUES ('1977-01-09 07:41:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', 'CLEAR S @14              1848');
INSERT INTO event VALUES ('1977-01-09 08:15:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '1848C');
INSERT INTO event VALUES ('1977-01-09 09:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1849');
INSERT INTO event VALUES ('1977-01-09 11:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1849');
INSERT INTO event VALUES ('1977-01-09 12:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1849');
INSERT INTO event VALUES ('1977-01-09 13:33:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', '1850');
INSERT INTO event VALUES ('1977-01-09 14:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '337', '1850');
INSERT INTO event VALUES ('1977-01-09 23:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'C?                       1852');
INSERT INTO event VALUES ('1977-01-10 00:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'DISTANT C?               1852');
INSERT INTO event VALUES ('1977-01-10 10:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1854');
INSERT INTO event VALUES ('1977-01-10 11:08:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', '1854, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-01-10 16:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14 SPZ=1.5MM             1855');
INSERT INTO event VALUES ('1977-01-10 23:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1857');
INSERT INTO event VALUES ('1977-01-10 23:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1857');
INSERT INTO event VALUES ('1977-01-11 07:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '16SS@011/0730            1859');
INSERT INTO event VALUES ('1977-01-11 17:23:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', '1861');
INSERT INTO event VALUES ('1977-01-11 19:54:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '14Y BIT JUMPS,1861C, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-01-11 20:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1862');
INSERT INTO event VALUES ('1977-01-12 04:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '219', '14Y BIT JUMPS            1863');
INSERT INTO event VALUES ('1977-01-12 06:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '14Y BIT JUMPS            1864');
INSERT INTO event VALUES ('1977-01-12 07:00:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '14Y BIT JUMPS            1864');
INSERT INTO event VALUES ('1977-01-12 13:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1865');
INSERT INTO event VALUES ('1977-01-12 13:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '15SS@012/1500            1865');
INSERT INTO event VALUES ('1977-01-12 20:01:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', '1866');
INSERT INTO event VALUES ('1977-01-12 20:10:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', '1866C');
INSERT INTO event VALUES ('1977-01-13 02:12:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1977-01-13 02:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NO SPZ                   1868');
INSERT INTO event VALUES ('1977-01-13 12:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT. NO SPZ          1870C');
INSERT INTO event VALUES ('1977-01-13 14:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT. NO SPZ          1871');
INSERT INTO event VALUES ('1977-01-13 19:35:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', 'MAY BE TWO EVENTS        1872');
INSERT INTO event VALUES ('1977-01-13 20:50:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '14SS@013/2100            1872');
INSERT INTO event VALUES ('1977-01-14 01:03:00',34.80,63.00, 1014,2.10,11.30, 26, 'Deep Moonquake', '70', 'DATA GAP BEYOND 0112     1873');
INSERT INTO event VALUES ('1977-01-14 07:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'DISTANT C?               1874C');
INSERT INTO event VALUES ('1977-01-14 08:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', '1875');
INSERT INTO event VALUES ('1977-01-14 09:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12SS@014/1000            1875C');
INSERT INTO event VALUES ('1977-01-15 04:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1880');
INSERT INTO event VALUES ('1977-01-15 18:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '430', '1883');
INSERT INTO event VALUES ('1977-01-15 19:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '263', '1883');
INSERT INTO event VALUES ('1977-01-16 03:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1885');
INSERT INTO event VALUES ('1977-01-16 05:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1886');
INSERT INTO event VALUES ('1977-01-16 16:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1888');
INSERT INTO event VALUES ('1977-01-17 06:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT                  1891');
INSERT INTO event VALUES ('1977-01-18 00:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NEAR 16 SPZ CLIPPED      1894');
INSERT INTO event VALUES ('1977-01-18 18:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1898');
INSERT INTO event VALUES ('1977-01-19 04:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15 BAD                   1900C');
INSERT INTO event VALUES ('1977-01-20 04:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15 DATA BAD              1906');
INSERT INTO event VALUES ('1977-01-20 06:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', '15 DATA BAD              1906');
INSERT INTO event VALUES ('1977-01-20 20:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '1909');
INSERT INTO event VALUES ('1977-01-21 07:10:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '1911');
INSERT INTO event VALUES ('1977-01-21 07:46:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', '1911');
INSERT INTO event VALUES ('1977-01-22 01:15:00',-50.00,53.20, 933,7.50,12.20, 109, 'Deep Moonquake', '272', 'M?, 1914, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-01-22 04:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', '1916');
INSERT INTO event VALUES ('1977-01-22 09:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'A16 SPZ 19MMNEAR 16      1916C');
INSERT INTO event VALUES ('1977-01-22 11:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1917');
INSERT INTO event VALUES ('1977-01-22 17:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', '1918');
INSERT INTO event VALUES ('1977-01-22 19:16:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', 'A15 BAD DATA             1919');
INSERT INTO event VALUES ('1977-01-23 00:03:00',53.40,60.90, 1077,15.20,66.10, 32, 'Deep Moonquake', '29', '1919C');
INSERT INTO event VALUES ('1977-01-23 04:38:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', 'A15 BAD DATA             1921');
INSERT INTO event VALUES ('1977-01-23 07:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '15 DATA BAD              1922');
INSERT INTO event VALUES ('1977-01-23 07:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '273', '15 DATA BAD              1922');
INSERT INTO event VALUES ('1977-01-23 09:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '368', '15 DATA BAD              1922');
INSERT INTO event VALUES ('1977-01-23 13:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '264', '1923');
INSERT INTO event VALUES ('1977-01-24 02:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '362', '1927');
INSERT INTO event VALUES ('1977-01-24 05:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '?                        1927');
INSERT INTO event VALUES ('1977-01-24 09:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '?                        1928');
INSERT INTO event VALUES ('1977-01-24 14:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', '1929');
INSERT INTO event VALUES ('1977-01-24 15:52:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', '1930');
INSERT INTO event VALUES ('1977-01-24 17:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1930');
INSERT INTO event VALUES ('1977-01-24 19:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 12 SPZ14=2MM      1930C');
INSERT INTO event VALUES ('1977-01-24 20:53:00',15.50,55.60, 755,1.20,7.50, 44, 'Deep Moonquake', '114', '1931');
INSERT INTO event VALUES ('1977-01-25 00:19:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', '1932, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-01-25 09:17:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '15 BAD AFTER 0923        1933');
INSERT INTO event VALUES ('1977-01-25 12:43:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '1934');
INSERT INTO event VALUES ('1977-01-25 13:11:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', '1934');
INSERT INTO event VALUES ('1977-01-25 14:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '79', '1934');
INSERT INTO event VALUES ('1977-01-25 21:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'VERY DISTANT?            1936');
INSERT INTO event VALUES ('1977-01-26 00:09:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '1936');
INSERT INTO event VALUES ('1977-01-26 02:39:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '1938');
INSERT INTO event VALUES ('1977-01-26 05:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '16SR @026/0410           1938');
INSERT INTO event VALUES ('1977-01-26 16:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1941');
INSERT INTO event VALUES ('1977-01-26 18:59:00',23.00,20.40, 1085,3.30,4.70, 64, 'Deep Moonquake', '27', '1942');
INSERT INTO event VALUES ('1977-01-26 20:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SPZ16 CLIPPED            1942');
INSERT INTO event VALUES ('1977-01-27 00:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1943');
INSERT INTO event VALUES ('1977-01-27 02:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1943');
INSERT INTO event VALUES ('1977-01-27 18:54:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '15SR @ 027/1515          1947');
INSERT INTO event VALUES ('1977-01-28 08:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1951');
INSERT INTO event VALUES ('1977-01-28 09:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1951');
INSERT INTO event VALUES ('1977-01-28 13:50:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '1952');
INSERT INTO event VALUES ('1977-01-28 16:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1952');
INSERT INTO event VALUES ('1977-01-28 22:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ14=7MM,NEAR 14        1954');
INSERT INTO event VALUES ('1977-01-29 12:32:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', '1957');
INSERT INTO event VALUES ('1977-01-29 15:21:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', '1957');
INSERT INTO event VALUES ('1977-01-30 06:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', '1961');
INSERT INTO event VALUES ('1977-01-30 09:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', '1961');
INSERT INTO event VALUES ('1977-01-30 11:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', '1962');
INSERT INTO event VALUES ('1977-01-30 14:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1962');
INSERT INTO event VALUES ('1977-01-30 17:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', '1963');
INSERT INTO event VALUES ('1977-01-30 23:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1965');
INSERT INTO event VALUES ('1977-01-31 03:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', '1966C');
INSERT INTO event VALUES ('1977-01-31 06:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '1967');
INSERT INTO event VALUES ('1977-01-31 10:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '1968');
INSERT INTO event VALUES ('1977-02-01 10:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1974');
INSERT INTO event VALUES ('1977-02-01 15:54:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', '1975');
INSERT INTO event VALUES ('1977-02-02 11:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1979');
INSERT INTO event VALUES ('1977-02-02 15:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1980');
INSERT INTO event VALUES ('1977-02-02 17:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1980');
INSERT INTO event VALUES ('1977-02-02 21:15:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '1981');
INSERT INTO event VALUES ('1977-02-02 22:00:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1977-02-03 05:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1983');
INSERT INTO event VALUES ('1977-02-03 06:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1983');
INSERT INTO event VALUES ('1977-02-03 10:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '1984');
INSERT INTO event VALUES ('1977-02-04 07:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1989');
INSERT INTO event VALUES ('1977-02-04 09:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1990');
INSERT INTO event VALUES ('1977-02-04 19:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, '15 SPZ IS CLIPPED        1992');
INSERT INTO event VALUES ('1977-02-04 21:40:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', '1993');
INSERT INTO event VALUES ('1977-02-05 04:47:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '1995');
INSERT INTO event VALUES ('1977-02-05 07:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '394', '1996');
INSERT INTO event VALUES ('1977-02-05 11:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1996');
INSERT INTO event VALUES ('1977-02-05 14:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '340', '1998');
INSERT INTO event VALUES ('1977-02-05 17:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14 SPZ=8MM               1998');
INSERT INTO event VALUES ('1977-02-05 20:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15 SPZ=10MM,NEAR 15      1999');
INSERT INTO event VALUES ('1977-02-05 22:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1999C');
INSERT INTO event VALUES ('1977-02-06 09:10:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', '2002');
INSERT INTO event VALUES ('1977-02-06 09:37:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', '2002, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-02-06 16:43:00',19.40,24.30, 959,2.70,5.10, 68, 'Deep Moonquake', '246', '2003');
INSERT INTO event VALUES ('1977-02-06 22:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '31', '2005');
INSERT INTO event VALUES ('1977-02-06 23:44:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '2005');
INSERT INTO event VALUES ('1977-02-07 03:34:00',27.50,34.30, 919,9.90,20.60, 160, 'Deep Moonquake', '82', '2005');
INSERT INTO event VALUES ('1977-02-07 06:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2006');
INSERT INTO event VALUES ('1977-02-07 06:25:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', '2006C');
INSERT INTO event VALUES ('1977-02-07 07:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '219', '2007');
INSERT INTO event VALUES ('1977-02-07 17:52:00',34.60,56.10, 933,20.90,81.00, 109, 'Deep Moonquake', '244', '2009, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-02-07 18:26:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1977-02-07 19:09:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SPZ14=20MM               2010');
INSERT INTO event VALUES ('1977-02-07 21:40:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', '2010, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-02-08 03:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2011');
INSERT INTO event VALUES ('1977-02-08 10:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2013C');
INSERT INTO event VALUES ('1977-02-08 14:45:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', '2015');
INSERT INTO event VALUES ('1977-02-08 16:56:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '2015');
INSERT INTO event VALUES ('1977-02-09 19:25:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '2021');
INSERT INTO event VALUES ('1977-02-10 17:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2025');
INSERT INTO event VALUES ('1977-02-12 07:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2032');
INSERT INTO event VALUES ('1977-02-12 21:38:00',24.80,35.70, 933,5.70,13.50, 109, 'Deep Moonquake', '287', '2036, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-02-12 22:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2036');
INSERT INTO event VALUES ('1977-02-13 10:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '2038');
INSERT INTO event VALUES ('1977-02-14 20:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15 SYNC TELESEISM        2046');
INSERT INTO event VALUES ('1977-02-15 03:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2047');
INSERT INTO event VALUES ('1977-02-15 10:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2049');
INSERT INTO event VALUES ('1977-02-16 19:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2058');
INSERT INTO event VALUES ('1977-02-18 05:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', '15 DATA BAP              2066');
INSERT INTO event VALUES ('1977-02-18 07:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TELESEISM                2066');
INSERT INTO event VALUES ('1977-02-18 10:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP16=25MM,NEAR 16 C      2067');
INSERT INTO event VALUES ('1977-02-18 11:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2067');
INSERT INTO event VALUES ('1977-02-18 14:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2067');
INSERT INTO event VALUES ('1977-02-18 14:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2067C');
INSERT INTO event VALUES ('1977-02-18 16:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2068');
INSERT INTO event VALUES ('1977-02-18 23:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2070');
INSERT INTO event VALUES ('1977-02-19 01:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2070');
INSERT INTO event VALUES ('1977-02-19 01:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', '2070');
INSERT INTO event VALUES ('1977-02-19 02:56:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', '2070, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-02-19 07:13:00',1.40,15.00, 933,1.60,3.70, 109, 'Deep Moonquake', '255', '2071');
INSERT INTO event VALUES ('1977-02-19 08:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2071');
INSERT INTO event VALUES ('1977-02-19 10:20:00',53.40,60.90, 1077,15.20,66.10, 32, 'Deep Moonquake', '29', '2072');
INSERT INTO event VALUES ('1977-02-19 10:45:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', '2072');
INSERT INTO event VALUES ('1977-02-19 13:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', '2072C');
INSERT INTO event VALUES ('1977-02-19 15:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2074');
INSERT INTO event VALUES ('1977-02-19 17:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2074');
INSERT INTO event VALUES ('1977-02-19 19:10:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', 'M?                       2074');
INSERT INTO event VALUES ('1977-02-19 23:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '2076');
INSERT INTO event VALUES ('1977-02-20 02:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '368', '2077');
INSERT INTO event VALUES ('1977-02-20 04:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2077');
INSERT INTO event VALUES ('1977-02-20 12:00:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '2078C');
INSERT INTO event VALUES ('1977-02-20 13:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '371', '2079');
INSERT INTO event VALUES ('1977-02-20 20:12:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', '2081');
INSERT INTO event VALUES ('1977-02-20 21:08:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', '2082');
INSERT INTO event VALUES ('1977-02-21 02:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14&15 DATA BAD           2083');
INSERT INTO event VALUES ('1977-02-21 03:12:00',24.10,26.10, 933,5.10,8.20, 109, 'Deep Moonquake', '233', '15&15 DATA BAD, 2083, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-02-21 03:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14&15 DATA BAD           2083');
INSERT INTO event VALUES ('1977-02-21 05:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14&15 DATA BAD           2083');
INSERT INTO event VALUES ('1977-02-21 10:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2084');
INSERT INTO event VALUES ('1977-02-21 11:55:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2084');
INSERT INTO event VALUES ('1977-02-21 16:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2085');
INSERT INTO event VALUES ('1977-02-21 17:55:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2086');
INSERT INTO event VALUES ('1977-02-22 02:08:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', '15 DATA BAD              2089');
INSERT INTO event VALUES ('1977-02-22 05:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 14, SPZ=50MM      2089');
INSERT INTO event VALUES ('1977-02-22 23:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2093');
INSERT INTO event VALUES ('1977-02-23 00:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=9MM                2093');
INSERT INTO event VALUES ('1977-02-24 11:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2100');
INSERT INTO event VALUES ('1977-02-25 02:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DIST., 16SR@/1812        2104');
INSERT INTO event VALUES ('1977-02-25 11:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SP16 CLIPPED             2105');
INSERT INTO event VALUES ('1977-02-25 17:35:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', '16 BAD                   2106C');
INSERT INTO event VALUES ('1977-02-26 05:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 15,SPZ=30MM       2109C');
INSERT INTO event VALUES ('1977-02-26 22:09:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1977-02-27 01:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15SR@57/0544             2115');
INSERT INTO event VALUES ('1977-02-27 06:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '222', '2116');
INSERT INTO event VALUES ('1977-02-28 11:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14&12SR@58/1424&2110     2123');
INSERT INTO event VALUES ('1977-02-28 17:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '2124');
INSERT INTO event VALUES ('1977-03-01 05:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2127C');
INSERT INTO event VALUES ('1977-03-01 15:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', '2130');
INSERT INTO event VALUES ('1977-03-01 15:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2130');
INSERT INTO event VALUES ('1977-03-01 21:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ=8.5MM                2131');
INSERT INTO event VALUES ('1977-03-01 23:06:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '2132');
INSERT INTO event VALUES ('1977-03-02 03:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', '2132C');
INSERT INTO event VALUES ('1977-03-02 04:45:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '2133');
INSERT INTO event VALUES ('1977-03-02 06:33:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', '2134');
INSERT INTO event VALUES ('1977-03-02 06:59:00',-13.70,-21.60, 764,3.90,4.50, 81, 'Deep Moonquake', '216', '2134');
INSERT INTO event VALUES ('1977-03-02 07:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ=7.5MM                2134');
INSERT INTO event VALUES ('1977-03-02 07:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '2134');
INSERT INTO event VALUES ('1977-03-02 08:42:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '2134');
INSERT INTO event VALUES ('1977-03-02 08:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2134');
INSERT INTO event VALUES ('1977-03-02 11:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2135');
INSERT INTO event VALUES ('1977-03-02 12:20:00',54.20,56.50, 933,6.50,14.00, 109, 'Deep Moonquake', '286', '2135');
INSERT INTO event VALUES ('1977-03-02 17:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2137');
INSERT INTO event VALUES ('1977-03-03 07:28:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '2140C, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-03-03 13:45:00',-46.50,38.90, 933,8.30,9.30, 109, 'Deep Moonquake', '251', '2142, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-03-03 16:43:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', '2142C');
INSERT INTO event VALUES ('1977-03-04 05:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2145');
INSERT INTO event VALUES ('1977-03-04 09:45:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1977-03-04 11:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2146');
INSERT INTO event VALUES ('1977-03-04 12:21:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '2146C');
INSERT INTO event VALUES ('1977-03-04 13:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '340', '2147');
INSERT INTO event VALUES ('1977-03-04 15:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2147');
INSERT INTO event VALUES ('1977-03-04 19:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'BEHEADED                 2148');
INSERT INTO event VALUES ('1977-03-04 21:26:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '2148, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-03-04 22:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2148C');
INSERT INTO event VALUES ('1977-03-05 03:13:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', '2149');
INSERT INTO event VALUES ('1977-03-05 06:56:00',34.70,60.10, 1043,2.50,10.60, 30, 'Deep Moonquake', '74', '2150');
INSERT INTO event VALUES ('1977-03-05 08:05:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1977-03-05 08:30:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1977-03-05 09:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '334', '2151');
INSERT INTO event VALUES ('1977-03-05 10:16:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', '2151');
INSERT INTO event VALUES ('1977-03-05 10:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2151');
INSERT INTO event VALUES ('1977-03-05 11:32:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', '2151');
INSERT INTO event VALUES ('1977-03-05 11:42:00',41.00,53.40, 893,2.50,7.70, 34, 'Deep Moonquake', '107', '2151');
INSERT INTO event VALUES ('1977-03-05 12:16:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', 'NEAREST TO 15,GOOD P&S   2151');
INSERT INTO event VALUES ('1977-03-05 14:11:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', '2151');
INSERT INTO event VALUES ('1977-03-05 16:18:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '2152');
INSERT INTO event VALUES ('1977-03-05 19:33:00',19.40,24.30, 959,2.70,5.10, 68, 'Deep Moonquake', '246', '2153');
INSERT INTO event VALUES ('1977-03-05 21:53:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1977-03-05 23:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '31', '2153');
INSERT INTO event VALUES ('1977-03-06 00:18:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', '2153C, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-03-06 07:07:00',34.60,56.10, 933,20.90,81.00, 109, 'Deep Moonquake', '244', '2155, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-03-06 07:29:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2155');
INSERT INTO event VALUES ('1977-03-06 08:16:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', '2155');
INSERT INTO event VALUES ('1977-03-06 10:18:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'GOOD P&S AT 14           2155');
INSERT INTO event VALUES ('1977-03-06 10:41:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', '2155C, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-03-06 15:08:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '2157, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-03-06 15:15:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1977-03-06 17:25:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', '2157');
INSERT INTO event VALUES ('1977-03-06 18:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '370', '2157');
INSERT INTO event VALUES ('1977-03-06 21:28:00',27.50,34.30, 919,9.90,20.60, 160, 'Deep Moonquake', '82', '2158');
INSERT INTO event VALUES ('1977-03-06 22:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2158');
INSERT INTO event VALUES ('1977-03-07 16:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '408', '2162C');
INSERT INTO event VALUES ('1977-03-07 21:46:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', '2163');
INSERT INTO event VALUES ('1977-03-07 23:51:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', '2164');
INSERT INTO event VALUES ('1977-03-08 01:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '2165');
INSERT INTO event VALUES ('1977-03-08 02:00:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '14SPZ=5MM                2165');
INSERT INTO event VALUES ('1977-03-08 06:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14 SPZ=8MM               2166');
INSERT INTO event VALUES ('1977-03-08 18:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2168');
INSERT INTO event VALUES ('1977-03-08 21:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2169');
INSERT INTO event VALUES ('1977-03-08 21:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2169');
INSERT INTO event VALUES ('1977-03-10 06:36:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '2177');
INSERT INTO event VALUES ('1977-03-15 12:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT, NO SPZ          2209');
INSERT INTO event VALUES ('1977-03-17 05:44:00',8.60,73.00, 933,4.90,69.50, 109, 'Deep Moonquake', '245', 'SYN ERROR 15,2219, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-03-17 10:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', '2219C');
INSERT INTO event VALUES ('1977-03-31 23:36:00',34.70,60.10, 1043,2.50,10.60, 30, 'Deep Moonquake', '74', '12032');
INSERT INTO event VALUES ('1977-03-17 23:45:00',-50.00,53.20, 933,7.50,12.20, 109, 'Deep Moonquake', '272', 'M?, 2223, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-03-18 07:01:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1977-03-18 14:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=1.3MM              2226');
INSERT INTO event VALUES ('1977-03-18 16:12:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', '2226');
INSERT INTO event VALUES ('1977-03-18 17:11:00',53.40,60.90, 1077,15.20,66.10, 32, 'Deep Moonquake', '29', '2226C');
INSERT INTO event VALUES ('1977-03-18 20:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2227');
INSERT INTO event VALUES ('1977-03-18 21:35:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', '2227, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-03-19 01:35:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '2228');
INSERT INTO event VALUES ('1977-03-19 02:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '423', '2228');
INSERT INTO event VALUES ('1977-03-19 15:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15SPZ=11MM               2231');
INSERT INTO event VALUES ('1977-03-19 16:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2231C');
INSERT INTO event VALUES ('1977-03-19 18:09:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', 'M?,2232, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-03-20 00:00:00',15.50,55.60, 755,1.20,7.50, 44, 'Deep Moonquake', '114', '2233');
INSERT INTO event VALUES ('1977-03-20 02:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '69', 'M?                       2233C');
INSERT INTO event VALUES ('1977-03-20 05:10:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1977-03-20 07:14:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', 'STOP AT DATA GAP         2234');
INSERT INTO event VALUES ('1977-03-20 08:07:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', '2234');
INSERT INTO event VALUES ('1977-03-20 08:25:00',24.10,26.10, 933,5.10,8.20, 109, 'Deep Moonquake', '233', '2234, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-03-20 08:30:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', '2234C');
INSERT INTO event VALUES ('1977-03-20 11:19:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'BEHEADED                 2236');
INSERT INTO event VALUES ('1977-03-20 12:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', '2236');
INSERT INTO event VALUES ('1977-03-20 13:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '364', '2236');
INSERT INTO event VALUES ('1977-03-20 15:01:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', '2236');
INSERT INTO event VALUES ('1977-03-20 17:40:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2237');
INSERT INTO event VALUES ('1977-03-20 21:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '362', '2238');
INSERT INTO event VALUES ('1977-03-21 00:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '2239');
INSERT INTO event VALUES ('1977-03-22 02:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16SPZ=7MM                2245');
INSERT INTO event VALUES ('1977-03-22 06:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, '15SPZ=12MM               2246');
INSERT INTO event VALUES ('1977-03-22 06:06:00',23.00,20.40, 1085,3.30,4.70, 64, 'Deep Moonquake', '27', '2246');
INSERT INTO event VALUES ('1977-03-22 08:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '2246C');
INSERT INTO event VALUES ('1977-03-22 11:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=6MM                2247');
INSERT INTO event VALUES ('1977-03-23 19:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=6MM                2255');
INSERT INTO event VALUES ('1977-03-24 04:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15SPZ=95MM               2257');
INSERT INTO event VALUES ('1977-03-24 20:29:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '?                        2261');
INSERT INTO event VALUES ('1977-03-25 04:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16SPZ=15MM               2263');
INSERT INTO event VALUES ('1977-03-25 04:37:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', '2263');
INSERT INTO event VALUES ('1977-03-25 12:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ CLIPPED            2265');
INSERT INTO event VALUES ('1977-03-26 22:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '16SR@085/0723            2272');
INSERT INTO event VALUES ('1977-03-27 00:40:00',9.20,17.50, 1187,1.50,4.90, 87, 'Deep Moonquake', '11', '2273');
INSERT INTO event VALUES ('1977-03-27 16:05:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', '2277');
INSERT INTO event VALUES ('1977-03-28 00:19:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '15SR@086/1952            2279');
INSERT INTO event VALUES ('1977-03-28 03:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2279');
INSERT INTO event VALUES ('1977-03-28 07:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 12                2280');
INSERT INTO event VALUES ('1977-03-28 15:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ CLIPPED              2283');
INSERT INTO event VALUES ('1977-03-28 20:55:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '2284');
INSERT INTO event VALUES ('1977-03-28 22:23:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', '2284');
INSERT INTO event VALUES ('1977-03-28 22:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '332', '2284');
INSERT INTO event VALUES ('1977-03-28 23:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2284C');
INSERT INTO event VALUES ('1977-03-29 00:50:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '2285');
INSERT INTO event VALUES ('1977-03-29 05:43:00',-9.50,-53.60, 750,17.60,5.90, 109, 'Deep Moonquake', '59', '14SR@088/0328, 2286, (*) The source depth is assumed to be 750km');
INSERT INTO event VALUES ('1977-03-29 11:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14SPZ=20MM,12SR@088/1030 2287');
INSERT INTO event VALUES ('1977-03-29 18:53:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '2289');
INSERT INTO event VALUES ('1977-03-30 02:47:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1977-03-30 03:25:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-03-30 08:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', '2293');
INSERT INTO event VALUES ('1977-03-30 09:33:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1977-03-30 13:42:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1977-03-30 15:35:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', '2294C');
INSERT INTO event VALUES ('1977-03-30 15:56:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-03-30 16:17:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '2295');
INSERT INTO event VALUES ('1977-03-30 19:43:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', '2295');
INSERT INTO event VALUES ('1977-03-30 20:48:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1977-03-30 22:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=1.3MM,DISTANT?     2296');
INSERT INTO event VALUES ('1977-03-31 01:54:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '2296C');
INSERT INTO event VALUES ('1977-03-31 04:12:00',-46.50,38.90, 933,8.30,9.30, 109, 'Deep Moonquake', '251', '2297, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-03-31 05:20:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '2297, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-03-31 06:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', '2297');
INSERT INTO event VALUES ('1977-03-31 06:55:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2297C');
INSERT INTO event VALUES ('1977-03-31 07:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14XAMP,SPZ=3MM,BITJUMP Y 2298');
INSERT INTO event VALUES ('1977-03-31 09:18:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '14XAMP(YBITJUMP)         2298');
INSERT INTO event VALUES ('1977-03-31 12:17:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', '14XAMP(YBITJUMP)         2299');
INSERT INTO event VALUES ('1977-03-31 13:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '301', '14XAMP(YBITJUMP)         2299');
INSERT INTO event VALUES ('1977-03-31 13:37:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', '14XAMP(YBITJUMP)         2299');
INSERT INTO event VALUES ('1977-03-31 15:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', '2299');
INSERT INTO event VALUES ('1977-03-31 16:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'VERY DISTANT,RT=15MIN   12299');
INSERT INTO event VALUES ('1977-03-31 19:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12999');
INSERT INTO event VALUES ('1977-03-31 19:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12999C');
INSERT INTO event VALUES ('1977-03-31 21:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'VERY EMERGENT            2302');
INSERT INTO event VALUES ('1977-03-31 22:57:00',-13.70,-21.60, 764,3.90,4.50, 81, 'Deep Moonquake', '216', '12032');
INSERT INTO event VALUES ('1977-04-01 00:26:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', '12032');
INSERT INTO event VALUES ('1977-04-01 00:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12032');
INSERT INTO event VALUES ('1977-04-01 01:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, 'TWO EVENTS?             12032');
INSERT INTO event VALUES ('1977-04-01 03:10:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', '2303');
INSERT INTO event VALUES ('1977-04-01 03:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '449', '2303');
INSERT INTO event VALUES ('1977-04-01 04:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT,NO SPZ           2303');
INSERT INTO event VALUES ('1977-04-01 05:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2304');
INSERT INTO event VALUES ('1977-04-01 06:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '2304');
INSERT INTO event VALUES ('1977-04-01 07:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ=8MM                  2304');
INSERT INTO event VALUES ('1977-04-01 07:35:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', '2304');
INSERT INTO event VALUES ('1977-04-01 09:42:00',23.00,20.40, 1085,3.30,4.70, 64, 'Deep Moonquake', '27', '2304');
INSERT INTO event VALUES ('1977-04-01 12:20:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', '2306');
INSERT INTO event VALUES ('1977-04-01 13:08:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', '2306');
INSERT INTO event VALUES ('1977-04-01 13:19:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '2306');
INSERT INTO event VALUES ('1977-04-01 15:07:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', '2306');
INSERT INTO event VALUES ('1977-04-01 16:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '219', '2306');
INSERT INTO event VALUES ('1977-04-01 17:40:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '2307');
INSERT INTO event VALUES ('1977-04-01 18:05:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', '2307');
INSERT INTO event VALUES ('1977-04-01 18:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2307');
INSERT INTO event VALUES ('1977-04-01 20:21:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', '2307');
INSERT INTO event VALUES ('1977-04-01 20:57:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', '2307C');
INSERT INTO event VALUES ('1977-04-01 22:42:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', 'TWO EVENTS?              2308');
INSERT INTO event VALUES ('1977-04-01 22:48:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1977-04-02 00:03:00',0.50,47.30, 1243,2.00,11.80, 50, 'Deep Moonquake', '203', 'TWO EVENTS?              2308');
INSERT INTO event VALUES ('1977-04-02 01:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '334', 'DISTANT C? TWO EVENTS?   2308');
INSERT INTO event VALUES ('1977-04-02 02:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '31', '2308C');
INSERT INTO event VALUES ('1977-04-02 02:45:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', '2309');
INSERT INTO event VALUES ('1977-04-02 04:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '?                        2309');
INSERT INTO event VALUES ('1977-04-02 06:43:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', 'N OF ARRAY, CLEAR P&S    2310');
INSERT INTO event VALUES ('1977-04-02 07:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '399', 'NO SPZ                   2310');
INSERT INTO event VALUES ('1977-04-02 10:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '?                        2311');
INSERT INTO event VALUES ('1977-04-02 11:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2311');
INSERT INTO event VALUES ('1977-04-02 11:52:00',41.00,53.40, 893,2.50,7.70, 34, 'Deep Moonquake', '107', '2311');
INSERT INTO event VALUES ('1977-04-02 14:01:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', 'NO SPZ, 2311, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-04-02 15:46:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'S OF ARRAY               2312');
INSERT INTO event VALUES ('1977-04-02 18:33:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', '2313');
INSERT INTO event VALUES ('1977-04-02 19:38:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', 'N OF ARRAY               2313');
INSERT INTO event VALUES ('1977-04-02 20:00:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', '2313, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-04-03 01:47:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '14DATA BAD, 2315, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-04-03 03:58:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1977-04-03 06:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT                  2315C');
INSERT INTO event VALUES ('1977-04-03 06:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '2316');
INSERT INTO event VALUES ('1977-04-03 13:28:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', 'NORTH                    2317');
INSERT INTO event VALUES ('1977-04-03 17:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'EVENTS?                  2318C');
INSERT INTO event VALUES ('1977-04-03 20:45:00',27.50,34.30, 919,9.90,20.60, 160, 'Deep Moonquake', '82', '2319');
INSERT INTO event VALUES ('1977-04-03 23:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2320');
INSERT INTO event VALUES ('1977-04-04 02:28:00',34.80,63.00, 1014,2.10,11.30, 26, 'Deep Moonquake', '70', '2320C');
INSERT INTO event VALUES ('1977-04-04 02:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, 'ECLIPSE                  2320C');
INSERT INTO event VALUES ('1977-04-04 07:34:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', '2321');
INSERT INTO event VALUES ('1977-04-04 10:32:00',30.10,53.20, 975,2.90,9.80, 24, 'Deep Moonquake', '64', 'NNE                      2322');
INSERT INTO event VALUES ('1977-04-04 13:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2323');
INSERT INTO event VALUES ('1977-04-04 15:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '406', '2323');
INSERT INTO event VALUES ('1977-04-04 21:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '331', '2324C');
INSERT INTO event VALUES ('1977-04-05 02:45:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'SW                       2325');
INSERT INTO event VALUES ('1977-04-05 07:27:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', '2327');
INSERT INTO event VALUES ('1977-04-05 07:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '396', '2327');
INSERT INTO event VALUES ('1977-04-05 07:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '416', '2327');
INSERT INTO event VALUES ('1977-04-05 10:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '263', '2327C');
INSERT INTO event VALUES ('1977-04-05 14:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=1.7MM              2329');
INSERT INTO event VALUES ('1977-04-05 19:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', '14SPZ=1.8MM              2330');
INSERT INTO event VALUES ('1977-04-05 20:32:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', '2330');
INSERT INTO event VALUES ('1977-04-05 21:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '2330C');
INSERT INTO event VALUES ('1977-04-06 04:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '89', '2332');
INSERT INTO event VALUES ('1977-04-06 06:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'HFT? SPZ=3,14MM@14,15    2333');
INSERT INTO event VALUES ('1977-04-06 12:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=11MM               2334');
INSERT INTO event VALUES ('1977-04-06 16:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '363', '2335');
INSERT INTO event VALUES ('1977-04-06 22:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, 'MAGNETIC DISTURBANCE     2336');
INSERT INTO event VALUES ('1977-04-07 09:11:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', '2339');
INSERT INTO event VALUES ('1977-04-07 17:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, 'MAGNETIC?                2341');
INSERT INTO event VALUES ('1977-04-07 22:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14 SPZ=5MM               2342');
INSERT INTO event VALUES ('1977-04-08 11:37:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '2344C');
INSERT INTO event VALUES ('1977-04-08 13:38:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', '2345');
INSERT INTO event VALUES ('1977-04-08 13:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2345');
INSERT INTO event VALUES ('1977-04-08 22:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2347');
INSERT INTO event VALUES ('1977-04-10 02:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2354');
INSERT INTO event VALUES ('1977-04-10 03:01:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', '2354');
INSERT INTO event VALUES ('1977-04-10 15:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2356');
INSERT INTO event VALUES ('1977-04-10 22:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14Y BIT JUMPS, 14X AMPL  2358');
INSERT INTO event VALUES ('1977-04-11 13:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14Y BIT JUMPS, 14X AMPL  2361');
INSERT INTO event VALUES ('1977-04-12 01:50:00',30.10,53.20, 975,2.90,9.80, 24, 'Deep Moonquake', '64', '14SS@102/1420            2364C');
INSERT INTO event VALUES ('1977-04-13 13:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '339', '2373');
INSERT INTO event VALUES ('1977-04-13 16:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2373');
INSERT INTO event VALUES ('1977-04-13 19:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', '2374');
INSERT INTO event VALUES ('1977-04-13 19:41:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1977-04-13 22:12:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', '2375');
INSERT INTO event VALUES ('1977-04-14 01:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2375C');
INSERT INTO event VALUES ('1977-04-14 03:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, '15SPZ=45MM               2376');
INSERT INTO event VALUES ('1977-04-14 07:56:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-04-14 08:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '397', 'VERY DISTANT C? RT=15MIN 2377C');
INSERT INTO event VALUES ('1977-04-14 13:06:00',-50.00,53.20, 933,7.50,12.20, 109, 'Deep Moonquake', '272', '12Z DEAD FROM 104/1257, 2378, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-04-14 14:48:00',53.40,60.90, 1077,15.20,66.10, 32, 'Deep Moonquake', '29', '12Z DEAD TILL 110/1500   2379');
INSERT INTO event VALUES ('1977-04-14 15:12:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '2379');
INSERT INTO event VALUES ('1977-04-14 16:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '330', '2379');
INSERT INTO event VALUES ('1977-04-14 16:53:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', 'NO 12Z, 2379, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-04-14 18:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, '15SPZ=23MM               2379');
INSERT INTO event VALUES ('1977-04-14 18:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '265', '12X AMP                  2379C');
INSERT INTO event VALUES ('1977-04-14 20:14:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', '12X AMPL.                2380');
INSERT INTO event VALUES ('1977-04-14 23:54:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', '2380');
INSERT INTO event VALUES ('1977-04-15 00:29:00',1.40,15.00, 933,1.60,3.70, 109, 'Deep Moonquake', '255', '2380');
INSERT INTO event VALUES ('1977-04-15 00:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '423', '2380C');
INSERT INTO event VALUES ('1977-04-15 02:07:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', '12X AMP                  2381');
INSERT INTO event VALUES ('1977-04-15 11:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '273', '2383C');
INSERT INTO event VALUES ('1977-04-15 16:01:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', '2384');
INSERT INTO event VALUES ('1977-04-16 00:15:00',23.00,20.40, 1085,3.30,4.70, 64, 'Deep Moonquake', '27', 'LARGE NOISE ON 14Z       2386');
INSERT INTO event VALUES ('1977-04-16 05:30:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '12X AMP                  2387');
INSERT INTO event VALUES ('1977-04-16 07:03:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '12X AMP                  2387C');
INSERT INTO event VALUES ('1977-04-16 07:40:00',15.50,55.60, 755,1.20,7.50, 44, 'Deep Moonquake', '114', '12X AMP, 14Z IS BACK!    2388');
INSERT INTO event VALUES ('1977-04-16 09:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2388');
INSERT INTO event VALUES ('1977-04-16 10:29:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', '12X AMP, 2388, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-04-16 11:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '211', '2388');
INSERT INTO event VALUES ('1977-04-16 13:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15SPZ=18MM               2389');
INSERT INTO event VALUES ('1977-04-16 20:02:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', '2390C');
INSERT INTO event VALUES ('1977-04-16 20:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '69', '2391');
INSERT INTO event VALUES ('1977-04-16 22:52:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2391');
INSERT INTO event VALUES ('1977-04-17 03:21:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', '2392, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-04-17 05:41:00',24.10,26.10, 933,5.10,8.20, 109, 'Deep Moonquake', '233', '2393, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-04-17 07:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15SPZ=11MM,NEAR15        2393');
INSERT INTO event VALUES ('1977-04-17 08:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '364', '12X AMP                  2393');
INSERT INTO event VALUES ('1977-04-17 09:10:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2393');
INSERT INTO event VALUES ('1977-04-17 09:59:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2393');
INSERT INTO event VALUES ('1977-04-17 10:33:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', '2393C');
INSERT INTO event VALUES ('1977-04-17 13:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16SPZ=11MM,NEAR16        2394');
INSERT INTO event VALUES ('1977-04-17 13:48:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '12X AMP                  2394');
INSERT INTO event VALUES ('1977-04-17 16:05:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2394C');
INSERT INTO event VALUES ('1977-04-17 17:12:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '12X AMP,P&S@16           2394');
INSERT INTO event VALUES ('1977-04-17 23:35:00',-18.50,-59.98, 0, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '12X AMP,14&16AMP EST.    2396C');
INSERT INTO event VALUES ('1977-04-18 04:56:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2397');
INSERT INTO event VALUES ('1977-04-18 06:17:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '12X AMP                  2398');
INSERT INTO event VALUES ('1977-04-18 07:05:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '12X AMP,GAP 0719-0759    2398');
INSERT INTO event VALUES ('1977-04-18 17:08:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', '2403');
INSERT INTO event VALUES ('1977-04-18 18:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '98', '2403');
INSERT INTO event VALUES ('1977-04-18 20:33:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '2404');
INSERT INTO event VALUES ('1977-04-18 20:50:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', '2404');
INSERT INTO event VALUES ('1977-04-19 01:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2404C');
INSERT INTO event VALUES ('1977-04-19 05:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2406');
INSERT INTO event VALUES ('1977-04-19 08:47:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', '12Y AMP, 2406, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-04-19 11:41:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', '12X AMP                  2407');
INSERT INTO event VALUES ('1977-04-19 15:27:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1977-04-20 04:11:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', '2411, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-04-20 11:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2412');
INSERT INTO event VALUES ('1977-04-20 12:35:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', 'GAP TILL 1335            2412');
INSERT INTO event VALUES ('1977-04-20 21:25:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', '12 IS BACK               2414');
INSERT INTO event VALUES ('1977-04-21 15:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=1.2MM              2418');
INSERT INTO event VALUES ('1977-04-21 18:14:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', '2419');
INSERT INTO event VALUES ('1977-04-23 01:54:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12425');
INSERT INTO event VALUES ('1977-04-23 05:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NEAR 16 SPZ=55MM         2426');
INSERT INTO event VALUES ('1977-04-23 06:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '?                        2426');
INSERT INTO event VALUES ('1977-04-23 12:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SP14=1.2MM TAIL DATA GAP 2427');
INSERT INTO event VALUES ('1977-04-23 15:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2428');
INSERT INTO event VALUES ('1977-04-23 16:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2428');
INSERT INTO event VALUES ('1977-04-23 17:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2428');
INSERT INTO event VALUES ('1977-04-24 11:47:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', '2432');
INSERT INTO event VALUES ('1977-04-24 16:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ14=10MM               2433');
INSERT INTO event VALUES ('1977-04-25 04:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SUNRISE 16/1929:SP16=18  2435C');
INSERT INTO event VALUES ('1977-04-25 07:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '2437');
INSERT INTO event VALUES ('1977-04-25 12:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SPZ16 CLIPPED            2438');
INSERT INTO event VALUES ('1977-04-25 14:05:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '2439, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-04-25 18:58:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '2440');
INSERT INTO event VALUES ('1977-04-25 22:54:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1977-04-25 23:41:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2442');
INSERT INTO event VALUES ('1977-04-26 00:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2442');
INSERT INTO event VALUES ('1977-04-26 10:13:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', 'SUNRISE 15/0810          2444C');
INSERT INTO event VALUES ('1977-04-26 12:46:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '2445');
INSERT INTO event VALUES ('1977-04-26 14:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', '2446');
INSERT INTO event VALUES ('1977-04-26 15:56:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2446');
INSERT INTO event VALUES ('1977-04-26 18:41:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '2447');
INSERT INTO event VALUES ('1977-04-26 21:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', '2448');
INSERT INTO event VALUES ('1977-04-26 22:28:00',8.60,-50.80, 952,4.60,5.60, 93, 'Deep Moonquake', '49', '2448');
INSERT INTO event VALUES ('1977-04-26 22:57:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', '2448');
INSERT INTO event VALUES ('1977-04-27 00:12:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2448');
INSERT INTO event VALUES ('1977-04-27 00:42:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', '2448, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-04-27 02:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '215', '2449');
INSERT INTO event VALUES ('1977-04-27 02:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '289', '2449');
INSERT INTO event VALUES ('1977-04-27 03:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2449');
INSERT INTO event VALUES ('1977-04-27 05:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '304', '2449');
INSERT INTO event VALUES ('1977-04-27 06:06:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', 'M?                       2450');
INSERT INTO event VALUES ('1977-04-27 06:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '2450');
INSERT INTO event VALUES ('1977-04-27 06:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '367', '2450');
INSERT INTO event VALUES ('1977-04-27 07:55:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2450');
INSERT INTO event VALUES ('1977-04-27 09:42:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', 'TWO EVENTS               2450C');
INSERT INTO event VALUES ('1977-04-27 11:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '227', '2451');
INSERT INTO event VALUES ('1977-04-27 12:00:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', '17LSG=1.6MM              2451C');
INSERT INTO event VALUES ('1977-04-27 12:27:00',8.40,-64.00, 968,1.80,4.70, 18, 'Deep Moonquake', '54', '17LSG=3MM DOUBLE EVENTS  2451C, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-04-27 12:31:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', '2451C');
INSERT INTO event VALUES ('1977-04-27 13:33:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '2452');
INSERT INTO event VALUES ('1977-04-27 13:40:00',-46.50,38.90, 933,8.30,9.30, 109, 'Deep Moonquake', '251', '2452, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-04-27 15:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, 'SUNRISE 14/1552          2453');
INSERT INTO event VALUES ('1977-04-27 16:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '220', '2453');
INSERT INTO event VALUES ('1977-04-27 17:40:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1977-04-27 18:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '2453');
INSERT INTO event VALUES ('1977-04-27 19:34:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1977-04-27 20:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ14=16MM NEAR14        2454');
INSERT INTO event VALUES ('1977-04-27 20:43:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', 'SUNRISE 12/2250          2454');
INSERT INTO event VALUES ('1977-04-27 23:40:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', '2455');
INSERT INTO event VALUES ('1977-04-28 00:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', '2455');
INSERT INTO event VALUES ('1977-04-28 01:57:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', '2455C');
INSERT INTO event VALUES ('1977-04-28 02:34:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '17LSG=2MM                2456');
INSERT INTO event VALUES ('1977-04-28 03:20:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '2456');
INSERT INTO event VALUES ('1977-04-28 03:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2456');
INSERT INTO event VALUES ('1977-04-28 04:27:00',-13.70,-21.60, 764,3.90,4.50, 81, 'Deep Moonquake', '216', '2456');
INSERT INTO event VALUES ('1977-04-28 09:34:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', 'SWARM OF MQ''S            2461');
INSERT INTO event VALUES ('1977-04-28 10:10:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '2461, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-04-28 10:37:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', '2461');
INSERT INTO event VALUES ('1977-04-28 11:17:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '2461C');
INSERT INTO event VALUES ('1977-04-28 12:04:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', 'DOUBLE EVENT 17LSG=2MM   2462');
INSERT INTO event VALUES ('1977-04-28 13:03:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', '2462');
INSERT INTO event VALUES ('1977-04-28 13:32:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', '2462');
INSERT INTO event VALUES ('1977-04-28 15:05:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', '2462C, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-04-28 17:06:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2463');
INSERT INTO event VALUES ('1977-04-28 18:03:00',9.20,17.50, 1187,1.50,4.90, 87, 'Deep Moonquake', '11', '2463');
INSERT INTO event VALUES ('1977-04-28 19:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2463C');
INSERT INTO event VALUES ('1977-04-29 00:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ14=20MM               2465');
INSERT INTO event VALUES ('1977-04-29 03:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '2466');
INSERT INTO event VALUES ('1977-04-29 03:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '213', '2466');
INSERT INTO event VALUES ('1977-04-29 04:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '31', '2466');
INSERT INTO event VALUES ('1977-04-29 04:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '17LSG=1.2MM              2466');
INSERT INTO event VALUES ('1977-04-29 06:57:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', 'TWO EVENTS               2466C');
INSERT INTO event VALUES ('1977-04-29 07:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'TELESEISMIC C            2467');
INSERT INTO event VALUES ('1977-04-29 16:01:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1977-04-29 19:57:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', '2471');
INSERT INTO event VALUES ('1977-04-29 20:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ16=20MM               2471');
INSERT INTO event VALUES ('1977-04-29 22:57:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', '2472');
INSERT INTO event VALUES ('1977-04-30 00:18:00',-1.70,18.00, 933,2.30,4.50, 109, 'Deep Moonquake', '260', '2472');
INSERT INTO event VALUES ('1977-04-30 00:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '399', '2472');
INSERT INTO event VALUES ('1977-04-30 00:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '422', '2472');
INSERT INTO event VALUES ('1977-04-30 01:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '14X=2.5MM                2472');
INSERT INTO event VALUES ('1977-04-30 02:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '2473C');
INSERT INTO event VALUES ('1977-04-30 03:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'M?                       2473C');
INSERT INTO event VALUES ('1977-04-30 03:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '214', '2473C');
INSERT INTO event VALUES ('1977-04-30 04:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '2474');
INSERT INTO event VALUES ('1977-04-30 07:23:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2474');
INSERT INTO event VALUES ('1977-04-30 08:42:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', '14X=2MM                  2475');
INSERT INTO event VALUES ('1977-04-30 09:14:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', '12Y=1MM, 2475C, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-04-30 12:55:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', '2476');
INSERT INTO event VALUES ('1977-04-30 13:16:00',41.00,53.40, 893,2.50,7.70, 34, 'Deep Moonquake', '107', '2476');
INSERT INTO event VALUES ('1977-04-30 13:29:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', '2476');
INSERT INTO event VALUES ('1977-04-30 14:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'TELESEISM                2476C');
INSERT INTO event VALUES ('1977-04-30 17:13:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2477C');
INSERT INTO event VALUES ('1977-04-30 17:37:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', 'DOUBLE EVENT?            2478');
INSERT INTO event VALUES ('1977-04-30 18:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '289', '2478');
INSERT INTO event VALUES ('1977-04-30 20:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '435', '2479');
INSERT INTO event VALUES ('1977-04-30 20:29:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '2479, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-04-30 20:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2479');
INSERT INTO event VALUES ('1977-04-30 22:38:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', '2479');
INSERT INTO event VALUES ('1977-04-30 22:51:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2479');
INSERT INTO event VALUES ('1977-05-01 00:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2480');
INSERT INTO event VALUES ('1977-05-01 01:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '2480');
INSERT INTO event VALUES ('1977-05-01 02:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '2480C');
INSERT INTO event VALUES ('1977-05-01 04:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '397', '2481');
INSERT INTO event VALUES ('1977-05-01 04:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2481');
INSERT INTO event VALUES ('1977-05-01 07:42:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', '2482');
INSERT INTO event VALUES ('1977-05-01 08:39:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '2482C');
INSERT INTO event VALUES ('1977-05-01 11:22:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', '2483');
INSERT INTO event VALUES ('1977-05-01 14:47:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', '2484');
INSERT INTO event VALUES ('1977-05-01 17:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '72', '2485');
INSERT INTO event VALUES ('1977-05-01 18:06:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1977-05-01 20:53:00',30.10,53.20, 975,2.90,9.80, 24, 'Deep Moonquake', '64', '2485C');
INSERT INTO event VALUES ('1977-05-01 21:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '2486');
INSERT INTO event VALUES ('1977-05-01 23:41:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', '2486');
INSERT INTO event VALUES ('1977-05-02 02:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'DOUBLE EVENT             2487');
INSERT INTO event VALUES ('1977-05-02 03:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2487');
INSERT INTO event VALUES ('1977-05-02 03:37:00',27.50,34.30, 919,9.90,20.60, 160, 'Deep Moonquake', '82', 'ONE OF SWARM             2487C');
INSERT INTO event VALUES ('1977-05-02 05:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2488');
INSERT INTO event VALUES ('1977-05-02 05:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2488');
INSERT INTO event VALUES ('1977-05-02 06:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '2488');
INSERT INTO event VALUES ('1977-05-02 07:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '419', '2488');
INSERT INTO event VALUES ('1977-05-02 07:48:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', '2489');
INSERT INTO event VALUES ('1977-05-02 10:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '90', '2489');
INSERT INTO event VALUES ('1977-05-02 11:04:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', '2489');
INSERT INTO event VALUES ('1977-05-02 21:49:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '2492');
INSERT INTO event VALUES ('1977-05-03 00:03:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '2492C');
INSERT INTO event VALUES ('1977-05-03 06:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '331', '2494');
INSERT INTO event VALUES ('1977-05-03 09:00:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', '2495');
INSERT INTO event VALUES ('1977-05-03 09:18:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', '16 NOISE LEVEL HIGH      2495');
INSERT INTO event VALUES ('1977-05-03 10:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2496');
INSERT INTO event VALUES ('1977-05-03 11:36:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2496');
INSERT INTO event VALUES ('1977-05-03 15:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2497');
INSERT INTO event VALUES ('1977-05-03 16:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '442', '2498');
INSERT INTO event VALUES ('1977-05-03 20:49:00',1.00,2.80, 919,1.70,1.50, 170, 'Deep Moonquake', '202', 'DOUBLE EVENT             2499');
INSERT INTO event VALUES ('1977-05-03 23:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '430', '2499');
INSERT INTO event VALUES ('1977-05-04 02:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2500');
INSERT INTO event VALUES ('1977-05-04 04:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '89', '2500C');
INSERT INTO event VALUES ('1977-05-04 05:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2501');
INSERT INTO event VALUES ('1977-05-04 05:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ14=3MM                2501');
INSERT INTO event VALUES ('1977-05-04 07:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '2501');
INSERT INTO event VALUES ('1977-05-04 08:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '2501C');
INSERT INTO event VALUES ('1977-05-04 08:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '2501C');
INSERT INTO event VALUES ('1977-05-04 09:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2502');
INSERT INTO event VALUES ('1977-05-04 09:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '2502');
INSERT INTO event VALUES ('1977-05-04 09:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ15=57MM               2502');
INSERT INTO event VALUES ('1977-05-04 09:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ14=60MM               2502');
INSERT INTO event VALUES ('1977-05-04 10:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '2502');
INSERT INTO event VALUES ('1977-05-04 11:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 12                2502');
INSERT INTO event VALUES ('1977-05-04 13:02:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', '2503');
INSERT INTO event VALUES ('1977-05-04 14:22:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2503');
INSERT INTO event VALUES ('1977-05-04 15:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ14=5MM  NEAR 14       2503');
INSERT INTO event VALUES ('1977-05-04 17:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '211', '2504');
INSERT INTO event VALUES ('1977-05-04 17:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2504');
INSERT INTO event VALUES ('1977-05-04 18:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'TELESEISMIC C            2504');
INSERT INTO event VALUES ('1977-05-04 19:02:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '2504, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-05-04 23:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '2505');
INSERT INTO event VALUES ('1977-05-05 00:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '363', '2505');
INSERT INTO event VALUES ('1977-05-05 02:06:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', '2506');
INSERT INTO event VALUES ('1977-05-05 02:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'M?                       2506');
INSERT INTO event VALUES ('1977-05-05 09:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2507');
INSERT INTO event VALUES ('1977-05-06 19:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '2518C');
INSERT INTO event VALUES ('1977-05-07 02:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '17LSG=2.1MM              2520');
INSERT INTO event VALUES ('1977-05-07 03:08:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '2520, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-05-07 03:22:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '2520C');
INSERT INTO event VALUES ('1977-05-07 09:23:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', '2522, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-05-09 03:49:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'NO SPZ,C?               12536');
INSERT INTO event VALUES ('1977-05-09 11:37:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '2538');
INSERT INTO event VALUES ('1977-05-09 12:08:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', '2538C');
INSERT INTO event VALUES ('1977-05-09 20:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2541');
INSERT INTO event VALUES ('1977-05-10 00:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12542');
INSERT INTO event VALUES ('1977-05-10 00:54:00',8.60,73.00, 933,4.90,69.50, 109, 'Deep Moonquake', '245', '12542, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-05-10 03:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', '2543');
INSERT INTO event VALUES ('1977-05-10 16:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', '2547');
INSERT INTO event VALUES ('1977-05-10 22:32:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', '2548C');
INSERT INTO event VALUES ('1977-05-10 23:37:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', '2549');
INSERT INTO event VALUES ('1977-05-11 03:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', '2549');
INSERT INTO event VALUES ('1977-05-11 11:30:00',7.10,22.50, 984,1.20,4.70, 76, 'Deep Moonquake', '283', 'SYNC ERRORS @12,14       2552');
INSERT INTO event VALUES ('1977-05-11 12:04:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', 'SYNC ERRORS @14          2552');
INSERT INTO event VALUES ('1977-05-11 13:23:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1977-05-11 20:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14X AMP(Y:BTJMP) ,17=2MM 2555');
INSERT INTO event VALUES ('1977-05-12 01:20:00',1.40,15.00, 933,1.60,3.70, 109, 'Deep Moonquake', '255', '14SS@132/0250            2556');
INSERT INTO event VALUES ('1977-05-12 07:39:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2557C');
INSERT INTO event VALUES ('1977-05-12 08:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT,NO SPZ           2558C');
INSERT INTO event VALUES ('1977-05-12 09:31:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2559');
INSERT INTO event VALUES ('1977-05-12 09:44:00',54.20,56.50, 933,6.50,14.00, 109, 'Deep Moonquake', '286', '2559');
INSERT INTO event VALUES ('1977-05-12 10:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', 'TWO EVENTS               2559');
INSERT INTO event VALUES ('1977-05-12 10:39:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', '2559');
INSERT INTO event VALUES ('1977-05-12 12:47:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '2559C');
INSERT INTO event VALUES ('1977-05-12 13:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '265', '2559C');
INSERT INTO event VALUES ('1977-05-12 13:32:00',53.40,60.90, 1077,15.20,66.10, 32, 'Deep Moonquake', '29', '12SS@132/1530            2560');
INSERT INTO event VALUES ('1977-06-20 20:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '411', '2833');
INSERT INTO event VALUES ('1977-05-12 18:28:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', 'SYNC ERROR @14           2561');
INSERT INTO event VALUES ('1977-05-12 21:48:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', 'DOUBLE EVENT             2562');
INSERT INTO event VALUES ('1977-05-12 22:57:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2562');
INSERT INTO event VALUES ('1977-05-13 10:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '336', '2565');
INSERT INTO event VALUES ('1977-05-13 14:13:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1977-05-13 14:57:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', '12566');
INSERT INTO event VALUES ('1977-05-13 19:25:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2567');
INSERT INTO event VALUES ('1977-05-14 06:36:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', '2571');
INSERT INTO event VALUES ('1977-05-14 11:12:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', '2572, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-05-14 12:50:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2572');
INSERT INTO event VALUES ('1977-05-14 13:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '439', '2572');
INSERT INTO event VALUES ('1977-05-14 15:53:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', '2573C');
INSERT INTO event VALUES ('1977-05-14 16:51:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2574');
INSERT INTO event VALUES ('1977-05-14 18:03:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', '2574, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-05-14 20:13:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', '2574C');
INSERT INTO event VALUES ('1977-05-14 22:58:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', '2575C');
INSERT INTO event VALUES ('1977-05-15 02:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '211', '2576C');
INSERT INTO event VALUES ('1977-05-15 02:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '2576');
INSERT INTO event VALUES ('1977-05-15 03:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '75', '2576');
INSERT INTO event VALUES ('1977-05-15 04:28:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', '2576, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-05-15 05:28:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2577');
INSERT INTO event VALUES ('1977-05-15 09:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '364', '2578');
INSERT INTO event VALUES ('1977-05-15 10:34:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2578C');
INSERT INTO event VALUES ('1977-05-15 16:34:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1977-05-15 17:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT, NO SPZ          2581');
INSERT INTO event VALUES ('1977-05-15 20:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '306', '2581C');
INSERT INTO event VALUES ('1977-05-16 00:04:00',23.00,20.40, 1085,3.30,4.70, 64, 'Deep Moonquake', '27', 'P&S @14,15,16            2582C');
INSERT INTO event VALUES ('1977-05-16 01:38:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2583');
INSERT INTO event VALUES ('1977-05-16 02:38:00',-46.50,38.90, 933,8.30,9.30, 109, 'Deep Moonquake', '251', '2583, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-05-16 04:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2583');
INSERT INTO event VALUES ('1977-05-16 04:35:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '2583C');
INSERT INTO event VALUES ('1977-05-16 06:42:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1977-05-16 08:08:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1977-05-16 10:55:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', 'CLEAR S @12,14,16. SW    2586');
INSERT INTO event VALUES ('1977-05-16 12:01:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '2586');
INSERT INTO event VALUES ('1977-05-16 12:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2586');
INSERT INTO event VALUES ('1977-05-16 13:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2587');
INSERT INTO event VALUES ('1977-05-16 16:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NEAR 14,SPZ=7MM          2587');
INSERT INTO event VALUES ('1977-05-16 17:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2587C');
INSERT INTO event VALUES ('1977-05-16 17:54:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '2588');
INSERT INTO event VALUES ('1977-05-16 19:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2588');
INSERT INTO event VALUES ('1977-05-16 19:17:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2588C');
INSERT INTO event VALUES ('1977-05-16 22:02:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', '2589, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-05-17 04:39:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', '2591, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-05-17 09:24:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2592');
INSERT INTO event VALUES ('1977-05-17 10:01:00',12.20,3.50, 933,1.90,1.50, 109, 'Deep Moonquake', '237', 'NRLY SAME ARRVL@14,15,16 2592, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-05-17 11:56:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'DISTANT C?               2594');
INSERT INTO event VALUES ('1977-05-17 15:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '98', '2594C');
INSERT INTO event VALUES ('1977-05-17 17:24:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', 'SYNC ERROR @ 14          2595C');
INSERT INTO event VALUES ('1977-05-17 20:48:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', '2596, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-05-17 21:41:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '2596C');
INSERT INTO event VALUES ('1977-05-17 22:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2597');
INSERT INTO event VALUES ('1977-05-18 07:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2599');
INSERT INTO event VALUES ('1977-05-18 15:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 14, SPZ=80MM      2602');
INSERT INTO event VALUES ('1977-05-18 16:49:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '2602');
INSERT INTO event VALUES ('1977-05-18 17:17:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', '2602');
INSERT INTO event VALUES ('1977-05-18 19:21:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', 'NO SPZ                   2603C');
INSERT INTO event VALUES ('1977-05-18 23:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '365', '2604C');
INSERT INTO event VALUES ('1977-05-19 00:25:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '2605');
INSERT INTO event VALUES ('1977-05-19 01:18:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '2605');
INSERT INTO event VALUES ('1977-05-19 06:11:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', '2606C');
INSERT INTO event VALUES ('1977-05-19 06:52:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2607');
INSERT INTO event VALUES ('1977-05-19 08:20:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', '2607');
INSERT INTO event VALUES ('1977-05-19 08:36:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', '2607, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-05-19 11:27:00',9.20,17.50, 1187,1.50,4.90, 87, 'Deep Moonquake', '11', '2608');
INSERT INTO event VALUES ('1977-05-19 21:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=2.1MM             12611');
INSERT INTO event VALUES ('1977-05-20 13:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=1.3MM              2614');
INSERT INTO event VALUES ('1977-05-20 15:48:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', '2614C');
INSERT INTO event VALUES ('1977-05-20 17:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '372', '2616');
INSERT INTO event VALUES ('1977-05-21 04:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2618');
INSERT INTO event VALUES ('1977-05-21 19:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '2623C');
INSERT INTO event VALUES ('1977-05-22 09:28:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', '2627C');
INSERT INTO event VALUES ('1977-05-22 13:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2629');
INSERT INTO event VALUES ('1977-05-22 13:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '418', '2629');
INSERT INTO event VALUES ('1977-05-22 16:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2630');
INSERT INTO event VALUES ('1977-05-23 02:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '414', '2633');
INSERT INTO event VALUES ('1977-05-23 10:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '2635');
INSERT INTO event VALUES ('1977-05-23 11:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2636');
INSERT INTO event VALUES ('1977-05-23 13:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C NEAR 12                2636');
INSERT INTO event VALUES ('1977-05-23 23:46:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2639');
INSERT INTO event VALUES ('1977-09-25 02:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', '3514');
INSERT INTO event VALUES ('1977-05-24 07:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '332', 'SUNRISE ST16 AT 0650     2641');
INSERT INTO event VALUES ('1977-05-24 11:36:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '2642');
INSERT INTO event VALUES ('1977-05-24 12:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '215', '2642');
INSERT INTO event VALUES ('1977-05-24 12:48:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '2642');
INSERT INTO event VALUES ('1977-05-24 14:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '207', '2643');
INSERT INTO event VALUES ('1977-05-24 14:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '379', '2643');
INSERT INTO event VALUES ('1977-05-24 16:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', '2643');
INSERT INTO event VALUES ('1977-05-24 16:55:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', '2643');
INSERT INTO event VALUES ('1977-05-24 19:22:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '2644C');
INSERT INTO event VALUES ('1977-05-24 19:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15SPZ=5MM                2645');
INSERT INTO event VALUES ('1977-05-24 20:18:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '374', '2645');
INSERT INTO event VALUES ('1977-05-24 23:27:00',8.60,-50.80, 952,4.60,5.60, 93, 'Deep Moonquake', '49', '2645');
INSERT INTO event VALUES ('1977-05-24 23:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '16SPZ IS CLIPPED         2646');
INSERT INTO event VALUES ('1977-05-25 00:27:00',9.20,17.50, 1187,1.50,4.90, 87, 'Deep Moonquake', '11', '2646');
INSERT INTO event VALUES ('1977-05-25 02:43:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '2647');
INSERT INTO event VALUES ('1977-05-25 04:43:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1977-05-25 05:56:00',6.30,22.10, 855,0.90,9.70, 188, 'Deep Moonquake', '230', '2647C');
INSERT INTO event VALUES ('1977-05-25 11:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '220', '2650');
INSERT INTO event VALUES ('1977-05-25 12:07:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '2650');
INSERT INTO event VALUES ('1977-05-25 14:10:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '2651');
INSERT INTO event VALUES ('1977-05-25 23:50:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', 'SUNRISE ST15 AT 2145     2653C');
INSERT INTO event VALUES ('1977-05-26 00:46:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '2654, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-05-26 01:54:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '2654, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-05-26 03:15:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '2654C');
INSERT INTO event VALUES ('1977-05-26 03:35:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', '2655');
INSERT INTO event VALUES ('1977-05-26 03:45:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1977-05-26 05:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2655');
INSERT INTO event VALUES ('1977-05-26 05:26:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', '2655');
INSERT INTO event VALUES ('1977-05-26 06:40:00',-13.70,-21.60, 764,3.90,4.50, 81, 'Deep Moonquake', '216', '2655');
INSERT INTO event VALUES ('1977-05-26 07:25:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2656');
INSERT INTO event VALUES ('1977-05-26 14:03:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', 'LSG17=2MM                2659');
INSERT INTO event VALUES ('1977-05-26 16:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '378', '2659');
INSERT INTO event VALUES ('1977-05-26 22:13:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', '2660');
INSERT INTO event VALUES ('1977-05-26 23:27:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1977-05-26 23:57:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1977-05-27 07:45:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', 'DATA GAP                 2664');
INSERT INTO event VALUES ('1977-05-27 12:06:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'SUNRISE IS 147/1020      2665');
INSERT INTO event VALUES ('1977-05-27 14:14:00',41.00,53.40, 893,2.50,7.70, 34, 'Deep Moonquake', '107', '2665C');
INSERT INTO event VALUES ('1977-05-27 18:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2667');
INSERT INTO event VALUES ('1977-05-27 23:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2668');
INSERT INTO event VALUES ('1977-05-27 23:28:00',46.60,42.30, 861,3.90,8.20, 25, 'Deep Moonquake', '65', '2668');
INSERT INTO event VALUES ('1977-05-28 09:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '2670C');
INSERT INTO event VALUES ('1977-05-28 10:39:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', NULL);
INSERT INTO event VALUES ('1977-05-28 12:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2671');
INSERT INTO event VALUES ('1977-05-28 12:23:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1977-05-28 16:37:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '2672, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-05-28 21:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16 SHOWS 3 EVENTS 17=2MM 2673');
INSERT INTO event VALUES ('1977-05-28 21:37:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-05-29 00:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2674');
INSERT INTO event VALUES ('1977-05-29 01:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', '2674');
INSERT INTO event VALUES ('1977-05-29 08:35:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', '2676');
INSERT INTO event VALUES ('1977-05-29 11:36:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '14Y IS UNSTABLE,14X AMPL 2677');
INSERT INTO event VALUES ('1977-05-29 15:29:00',30.10,53.20, 975,2.90,9.80, 24, 'Deep Moonquake', '64', '2678');
INSERT INTO event VALUES ('1977-05-30 03:56:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', '14XAMP                   2682');
INSERT INTO event VALUES ('1977-05-30 05:00:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', '2682');
INSERT INTO event VALUES ('1977-05-30 05:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14XAMP                   2682C');
INSERT INTO event VALUES ('1977-05-30 07:53:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', '14Y IS UNSTABLE,14X AMPL 2683');
INSERT INTO event VALUES ('1977-05-30 09:10:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', '2683');
INSERT INTO event VALUES ('1977-05-30 10:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '419', '2684');
INSERT INTO event VALUES ('1977-05-30 14:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '90', '2684C');
INSERT INTO event VALUES ('1977-05-31 04:20:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '2688');
INSERT INTO event VALUES ('1977-05-31 10:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '331', '2691');
INSERT INTO event VALUES ('1977-05-31 11:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12XAMPL                  2691');
INSERT INTO event VALUES ('1977-06-01 01:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '442', '2695');
INSERT INTO event VALUES ('1977-06-01 20:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, '16SPZ=45MM               2701');
INSERT INTO event VALUES ('1977-06-01 21:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, '16SPZ IS CLIPPED         2701');
INSERT INTO event VALUES ('1977-06-02 02:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2703');
INSERT INTO event VALUES ('1977-06-02 10:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ15=7                  2705');
INSERT INTO event VALUES ('1977-06-02 12:04:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', '2705');
INSERT INTO event VALUES ('1977-06-02 14:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16SPZ IS CLIPPED         2707');
INSERT INTO event VALUES ('1977-06-02 16:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '2714');
INSERT INTO event VALUES ('1977-06-04 13:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '2721');
INSERT INTO event VALUES ('1977-06-04 20:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'C? NO SPZ                2723');
INSERT INTO event VALUES ('1977-06-05 00:57:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', '2724');
INSERT INTO event VALUES ('1977-06-05 01:22:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', '2724, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-06-05 08:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', '2726');
INSERT INTO event VALUES ('1977-06-05 17:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, '17LSG ONLY 2MM.HEATER?   2729');
INSERT INTO event VALUES ('1977-06-06 15:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', '2735');
INSERT INTO event VALUES ('1977-06-06 21:01:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2737');
INSERT INTO event VALUES ('1977-06-06 23:55:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '14 SYNC ERRORS           2737C');
INSERT INTO event VALUES ('1977-06-07 13:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', '2741C');
INSERT INTO event VALUES ('1977-06-07 22:01:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', '2744');
INSERT INTO event VALUES ('1977-06-08 02:37:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '2745C');
INSERT INTO event VALUES ('1977-06-08 13:02:00',-69.40,75.40, 933,4.40,24.60, 109, 'Deep Moonquake', '241', '2748C, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-06-08 13:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '435', '2749');
INSERT INTO event VALUES ('1977-06-08 16:07:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2749');
INSERT INTO event VALUES ('1977-06-08 19:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12 SYNC,14 BIT JUMPS     2750');
INSERT INTO event VALUES ('1977-06-08 20:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', '2750');
INSERT INTO event VALUES ('1977-06-08 20:48:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', '2750');
INSERT INTO event VALUES ('1977-06-09 02:17:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '2752');
INSERT INTO event VALUES ('1977-06-09 05:30:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2753');
INSERT INTO event VALUES ('1977-06-09 20:18:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', 'GOOD PS 15&16.14X AMP    2758');
INSERT INTO event VALUES ('1977-06-09 22:17:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2758');
INSERT INTO event VALUES ('1977-06-10 03:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '17LSG=1.1MM.DISTANT      2760');
INSERT INTO event VALUES ('1977-06-10 06:23:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'DOUBLE EVENT?            2760');
INSERT INTO event VALUES ('1977-06-10 08:41:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', '2761C');
INSERT INTO event VALUES ('1977-06-10 11:45:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', '14SS@161/1410            2762');
INSERT INTO event VALUES ('1977-06-10 17:01:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1977-06-11 08:25:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', 'STOP AT DATA GAP,17=1MM  2768');
INSERT INTO event VALUES ('1977-06-11 09:55:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', '2770');
INSERT INTO event VALUES ('1977-06-11 10:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '2770');
INSERT INTO event VALUES ('1977-06-11 12:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '254', '2770');
INSERT INTO event VALUES ('1977-06-11 12:33:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', '2770');
INSERT INTO event VALUES ('1977-06-11 18:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2772C');
INSERT INTO event VALUES ('1977-06-11 19:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '2', '2773');
INSERT INTO event VALUES ('1977-06-11 21:38:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2774');
INSERT INTO event VALUES ('1977-06-11 22:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ16=6MM                2774');
INSERT INTO event VALUES ('1977-06-11 22:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '211', '2774');
INSERT INTO event VALUES ('1977-06-12 02:54:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', '2775C');
INSERT INTO event VALUES ('1977-06-12 05:18:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2776');
INSERT INTO event VALUES ('1977-06-12 06:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '427', '2776');
INSERT INTO event VALUES ('1977-06-12 07:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '314', '2776C');
INSERT INTO event VALUES ('1977-06-12 09:45:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', '2778, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-06-12 11:19:00',36.10,-2.40, 863,12.20,1.30, 145, 'Deep Moonquake', '223', '2778');
INSERT INTO event VALUES ('1977-06-12 13:14:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2779C');
INSERT INTO event VALUES ('1977-06-12 13:45:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2779C');
INSERT INTO event VALUES ('1977-06-12 14:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '418', '2780');
INSERT INTO event VALUES ('1977-06-12 18:22:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '2780C');
INSERT INTO event VALUES ('1977-06-12 20:11:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '375', '2781');
INSERT INTO event VALUES ('1977-06-13 03:08:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', '2783');
INSERT INTO event VALUES ('1977-06-13 04:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2784');
INSERT INTO event VALUES ('1977-06-13 08:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2785');
INSERT INTO event VALUES ('1977-06-13 12:10:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', '2785C, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-06-13 12:42:00',23.00,20.40, 1085,3.30,4.70, 64, 'Deep Moonquake', '27', '2786');
INSERT INTO event VALUES ('1977-06-13 13:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '274', '2786');
INSERT INTO event VALUES ('1977-06-13 13:40:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2786');
INSERT INTO event VALUES ('1977-06-13 16:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2787');
INSERT INTO event VALUES ('1977-06-13 17:53:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', '2787');
INSERT INTO event VALUES ('1977-06-13 19:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2787');
INSERT INTO event VALUES ('1977-06-13 21:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '2788');
INSERT INTO event VALUES ('1977-06-14 00:24:00',12.20,3.50, 933,1.90,1.50, 109, 'Deep Moonquake', '237', '2789, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-06-14 05:04:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SPZ14=2,15=5,16=7MM HFT? 2790');
INSERT INTO event VALUES ('1977-06-14 05:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '2790');
INSERT INTO event VALUES ('1977-06-14 05:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2790');
INSERT INTO event VALUES ('1977-06-14 07:48:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2790C');
INSERT INTO event VALUES ('1977-06-14 09:20:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2791');
INSERT INTO event VALUES ('1977-06-14 12:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '365', '2791C');
INSERT INTO event VALUES ('1977-06-14 13:55:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2792');
INSERT INTO event VALUES ('1977-06-14 15:10:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', '2792C, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-06-14 20:02:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', '2794');
INSERT INTO event VALUES ('1977-06-14 22:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '289', 'LPZ15=2.5 NOISE?         2795');
INSERT INTO event VALUES ('1977-06-14 22:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2795');
INSERT INTO event VALUES ('1977-06-14 23:52:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2795');
INSERT INTO event VALUES ('1977-06-15 01:40:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', '2796, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-06-15 04:27:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', '2797');
INSERT INTO event VALUES ('1977-06-15 09:50:00',21.10,-44.00, 908,1.70,5.60, 28, 'Deep Moonquake', '73', 'BEHEADED                 2798');
INSERT INTO event VALUES ('1977-06-15 11:52:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1977-06-15 12:41:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', '2799');
INSERT INTO event VALUES ('1977-06-15 13:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '414', '2799');
INSERT INTO event VALUES ('1977-06-15 16:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '289', '2800');
INSERT INTO event VALUES ('1977-06-15 18:47:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '2801');
INSERT INTO event VALUES ('1977-06-15 22:35:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', '2801C');
INSERT INTO event VALUES ('1977-06-16 07:06:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', '2804');
INSERT INTO event VALUES ('1977-06-17 02:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'STOP AT GAP              2808');
INSERT INTO event VALUES ('1977-06-17 06:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ15=50MM NEAR15        2809');
INSERT INTO event VALUES ('1977-06-18 01:03:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', '2814');
INSERT INTO event VALUES ('1977-06-18 05:06:00',9.20,17.50, 1187,1.50,4.90, 87, 'Deep Moonquake', '11', '2815');
INSERT INTO event VALUES ('1977-06-18 21:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '222', '2820');
INSERT INTO event VALUES ('1977-06-19 00:05:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '2820');
INSERT INTO event VALUES ('1977-06-19 12:46:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15SPZ=7MM,NEAR 15        2824');
INSERT INTO event VALUES ('1977-06-19 16:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '414', '2825');
INSERT INTO event VALUES ('1977-06-19 23:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', '2827');
INSERT INTO event VALUES ('1977-06-20 03:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', '2828');
INSERT INTO event VALUES ('1977-06-20 05:16:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1977-06-20 10:04:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', '2830');
INSERT INTO event VALUES ('1977-06-20 14:54:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', '2832');
INSERT INTO event VALUES ('1977-06-20 19:32:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2833');
INSERT INTO event VALUES ('1977-06-21 00:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '379', '2834C');
INSERT INTO event VALUES ('1977-06-21 01:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '332', '2835');
INSERT INTO event VALUES ('1977-06-21 01:35:00',-46.50,38.90, 933,8.30,9.30, 109, 'Deep Moonquake', '251', '2835, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-06-21 01:55:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2835');
INSERT INTO event VALUES ('1977-06-21 06:22:00',6.30,22.10, 855,0.90,9.70, 188, 'Deep Moonquake', '230', '2836');
INSERT INTO event VALUES ('1977-06-21 08:11:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1977-06-21 09:22:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '2836');
INSERT INTO event VALUES ('1977-06-21 10:27:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '2836C');
INSERT INTO event VALUES ('1977-06-21 10:45:00',8.60,-50.80, 952,4.60,5.60, 93, 'Deep Moonquake', '49', '2837');
INSERT INTO event VALUES ('1977-06-21 15:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', 'TWO EVENTS?              2838');
INSERT INTO event VALUES ('1977-06-21 17:00:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1977-06-21 19:05:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2839');
INSERT INTO event VALUES ('1977-06-21 21:14:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '2840, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-06-21 23:08:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', '2840, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-06-21 23:48:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1977-06-22 01:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '378', '2841');
INSERT INTO event VALUES ('1977-06-22 05:26:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', '2842');
INSERT INTO event VALUES ('1977-06-22 06:02:00',0.50,47.30, 1243,2.00,11.80, 50, 'Deep Moonquake', '203', '2842');
INSERT INTO event VALUES ('1977-06-22 07:38:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1977-06-22 08:15:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1977-06-22 11:25:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1977-06-22 17:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '2846');
INSERT INTO event VALUES ('1977-06-22 18:52:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', 'SUNRISE ST16 AT 1745     2846');
INSERT INTO event VALUES ('1977-06-22 20:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, '16SPZ IS CLIPPED         2847');
INSERT INTO event VALUES ('1977-06-23 02:21:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '2849');
INSERT INTO event VALUES ('1977-06-23 02:46:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '2849');
INSERT INTO event VALUES ('1977-06-23 03:33:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', '2849');
INSERT INTO event VALUES ('1977-06-23 16:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2852');
INSERT INTO event VALUES ('1977-06-23 17:02:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', '2852C');
INSERT INTO event VALUES ('1977-06-23 18:27:00',19.40,24.30, 959,2.70,5.10, 68, 'Deep Moonquake', '246', '2853');
INSERT INTO event VALUES ('1977-06-24 01:15:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', '2855');
INSERT INTO event VALUES ('1977-06-24 03:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '2855C');
INSERT INTO event VALUES ('1977-06-24 08:00:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', '2856C');
INSERT INTO event VALUES ('1977-06-24 14:49:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '2859');
INSERT INTO event VALUES ('1977-06-25 00:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '2861C');
INSERT INTO event VALUES ('1977-06-25 06:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '80', '2863');
INSERT INTO event VALUES ('1977-06-25 15:05:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-06-25 23:33:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '2867C');
INSERT INTO event VALUES ('1977-06-26 01:10:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2868C');
INSERT INTO event VALUES ('1977-06-26 01:54:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, '14SPZ IS CLIPPED         2869');
INSERT INTO event VALUES ('1977-06-26 03:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '289', '2869');
INSERT INTO event VALUES ('1977-06-26 10:05:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', '2870C, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-06-26 10:34:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', '2871');
INSERT INTO event VALUES ('1977-06-26 16:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '17=12MM,NEAR 17 C?       2873');
INSERT INTO event VALUES ('1977-06-27 01:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', '2876');
INSERT INTO event VALUES ('1977-06-27 02:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2876');
INSERT INTO event VALUES ('1977-06-27 03:31:00',50.20,60.20, 908,2.90,12.00, 37, 'Deep Moonquake', '44', '2876');
INSERT INTO event VALUES ('1977-06-27 04:28:00',34.80,63.00, 1014,2.10,11.30, 26, 'Deep Moonquake', '70', '2876');
INSERT INTO event VALUES ('1977-06-27 04:42:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '2876C');
INSERT INTO event VALUES ('1977-06-27 05:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2877');
INSERT INTO event VALUES ('1977-06-27 06:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '419', '2877');
INSERT INTO event VALUES ('1977-06-27 06:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2877');
INSERT INTO event VALUES ('1977-06-27 07:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '503', '2877');
INSERT INTO event VALUES ('1977-06-28 06:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15SPZ=11MM NEAR 15       2883');
INSERT INTO event VALUES ('1977-06-28 12:41:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2885');
INSERT INTO event VALUES ('1977-06-28 15:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16SPZ=60MM,NEAR 16       2886');
INSERT INTO event VALUES ('1977-06-28 21:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15SPZ=8MM                2888');
INSERT INTO event VALUES ('1977-06-28 21:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15SPZ=14MM               2888');
INSERT INTO event VALUES ('1977-06-28 22:25:00',-9.82,-73.54, 0, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '2888C');
INSERT INTO event VALUES ('1977-06-29 00:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '89', '2889');
INSERT INTO event VALUES ('1977-06-29 08:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2891');
INSERT INTO event VALUES ('1977-06-29 09:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '430', '2891C');
INSERT INTO event VALUES ('1977-06-29 11:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '331', '2892');
INSERT INTO event VALUES ('1977-06-29 14:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '235', '2892C');
INSERT INTO event VALUES ('1977-06-30 02:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '2895C');
INSERT INTO event VALUES ('1977-06-30 03:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '2896');
INSERT INTO event VALUES ('1977-07-02 13:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ14=9MM                2911');
INSERT INTO event VALUES ('1977-07-02 21:07:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1977-07-03 00:33:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2914');
INSERT INTO event VALUES ('1977-07-03 14:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', '2919');
INSERT INTO event VALUES ('1977-07-03 17:45:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', '2920');
INSERT INTO event VALUES ('1977-07-03 18:12:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '2920');
INSERT INTO event VALUES ('1977-07-04 06:27:00',22.20,-50.70, 907,1.50,6.80, 28, 'Deep Moonquake', '42', '2923');
INSERT INTO event VALUES ('1977-07-04 10:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', '2924');
INSERT INTO event VALUES ('1977-07-04 15:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Mostly Short-period Event', NULL, 'SPZ14=38MM               2926');
INSERT INTO event VALUES ('1977-07-04 20:56:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2928');
INSERT INTO event VALUES ('1977-07-04 22:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2928');
INSERT INTO event VALUES ('1977-07-04 23:25:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '17LSG=2MM DOUBLE EVENT   2929');
INSERT INTO event VALUES ('1977-07-05 05:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ16=9MM                2930');
INSERT INTO event VALUES ('1977-07-05 06:03:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', '2930');
INSERT INTO event VALUES ('1977-07-05 06:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '335', '2930C');
INSERT INTO event VALUES ('1977-07-05 08:12:00',53.40,60.90, 1077,15.20,66.10, 32, 'Deep Moonquake', '29', '2931');
INSERT INTO event VALUES ('1977-07-05 09:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '264', '2931');
INSERT INTO event VALUES ('1977-07-05 19:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', '2934');
INSERT INTO event VALUES ('1977-07-05 20:41:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '2934');
INSERT INTO event VALUES ('1977-07-06 04:27:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'LOCAL A15                2937');
INSERT INTO event VALUES ('1977-07-06 06:11:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', '2937');
INSERT INTO event VALUES ('1977-07-06 16:19:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '319', '2940');
INSERT INTO event VALUES ('1977-07-06 19:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2941');
INSERT INTO event VALUES ('1977-07-07 03:13:00',15.50,55.60, 755,1.20,7.50, 44, 'Deep Moonquake', '114', '2943');
INSERT INTO event VALUES ('1977-07-07 19:18:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', '2947C');
INSERT INTO event VALUES ('1977-07-07 23:21:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', 'LSG17=2MM                2949');
INSERT INTO event VALUES ('1977-07-08 04:08:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', '2950, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-07-08 08:18:00',6.80,-7.20, 971,0.70,1.30, 77, 'Deep Moonquake', '34', '2951');
INSERT INTO event VALUES ('1977-07-08 08:41:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2951');
INSERT INTO event VALUES ('1977-07-08 14:07:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '2952C');
INSERT INTO event VALUES ('1977-07-08 22:29:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '2955');
INSERT INTO event VALUES ('1977-07-08 23:26:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2955');
INSERT INTO event VALUES ('1977-07-09 03:08:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2957');
INSERT INTO event VALUES ('1977-07-09 05:04:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', '2957');
INSERT INTO event VALUES ('1977-07-09 21:31:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', '2963');
INSERT INTO event VALUES ('1977-07-10 01:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '2964');
INSERT INTO event VALUES ('1977-07-10 06:58:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', '2966, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-07-10 19:01:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1977-07-10 20:46:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', '2969, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-07-11 01:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '211', '2971');
INSERT INTO event VALUES ('1977-07-11 09:30:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2974');
INSERT INTO event VALUES ('1977-07-11 11:58:00',23.00,20.40, 1085,3.30,4.70, 64, 'Deep Moonquake', '27', '2974C');
INSERT INTO event VALUES ('1977-07-11 20:21:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', '2977');
INSERT INTO event VALUES ('1977-07-11 21:43:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', '2977');
INSERT INTO event VALUES ('1977-07-12 11:24:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2982');
INSERT INTO event VALUES ('1977-07-12 12:51:00',12.20,3.50, 933,1.90,1.50, 109, 'Deep Moonquake', '237', '2982, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-07-12 17:36:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', '2983, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-07-12 22:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '98', '2985');
INSERT INTO event VALUES ('1977-07-13 03:52:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', '2986');
INSERT INTO event VALUES ('1977-07-13 05:18:00',9.20,17.50, 1187,1.50,4.90, 87, 'Deep Moonquake', '11', '2986');
INSERT INTO event VALUES ('1977-07-13 09:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'A17=14MM                 2988');
INSERT INTO event VALUES ('1977-07-13 13:39:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '2989');
INSERT INTO event VALUES ('1977-07-13 13:56:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '274', '2989');
INSERT INTO event VALUES ('1977-07-13 14:26:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2989C');
INSERT INTO event VALUES ('1977-07-13 19:47:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', '2991');
INSERT INTO event VALUES ('1977-07-13 21:44:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '2992');
INSERT INTO event VALUES ('1977-07-14 00:37:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '415', '2992');
INSERT INTO event VALUES ('1977-07-14 03:46:00',-8.40,17.90, 989,2.40,3.80, 71, 'Deep Moonquake', '97', '2993C');
INSERT INTO event VALUES ('1977-07-14 05:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', '2994');
INSERT INTO event VALUES ('1977-07-14 11:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'U-GAP TO 1144   17=4MM   2996');
INSERT INTO event VALUES ('1977-07-14 13:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'A14SPZ=3.8MM             2996');
INSERT INTO event VALUES ('1977-07-14 14:05:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1977-07-15 00:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '2999');
INSERT INTO event VALUES ('1977-07-15 06:22:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', '3000');
INSERT INTO event VALUES ('1977-07-15 10:11:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '3002');
INSERT INTO event VALUES ('1977-07-15 12:12:00',9.20,17.50, 1187,1.50,4.90, 87, 'Deep Moonquake', '11', '3002');
INSERT INTO event VALUES ('1977-07-15 15:37:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', '3003, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-07-15 18:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '414', '3004');
INSERT INTO event VALUES ('1977-07-15 19:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3004');
INSERT INTO event VALUES ('1977-07-15 22:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3005');
INSERT INTO event VALUES ('1977-07-15 22:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3005');
INSERT INTO event VALUES ('1977-07-15 23:57:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3005');
INSERT INTO event VALUES ('1977-07-16 04:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '332', '3007');
INSERT INTO event VALUES ('1977-07-16 04:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3007');
INSERT INTO event VALUES ('1977-07-16 05:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3007');
INSERT INTO event VALUES ('1977-07-16 05:34:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3007');
INSERT INTO event VALUES ('1977-07-16 07:00:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '372', '3008');
INSERT INTO event VALUES ('1977-07-16 15:35:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', '3010');
INSERT INTO event VALUES ('1977-07-16 22:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', '3012');
INSERT INTO event VALUES ('1977-07-17 10:16:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', '3015');
INSERT INTO event VALUES ('1977-07-17 13:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT. NO SPZ          3015C');
INSERT INTO event VALUES ('1977-07-17 15:03:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', '3017');
INSERT INTO event VALUES ('1977-07-17 16:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3017');
INSERT INTO event VALUES ('1977-07-17 16:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '414', '3017');
INSERT INTO event VALUES ('1977-07-17 17:25:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '3017');
INSERT INTO event VALUES ('1977-07-17 17:48:00',8.60,-50.80, 952,4.60,5.60, 93, 'Deep Moonquake', '49', '3017');
INSERT INTO event VALUES ('1977-07-17 18:10:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3017C');
INSERT INTO event VALUES ('1977-07-17 19:18:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', 'NNE OF ARRAY             3018C');
INSERT INTO event VALUES ('1977-07-18 02:39:00',-46.50,38.90, 933,8.30,9.30, 109, 'Deep Moonquake', '251', '3020C, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-07-18 11:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', '3023');
INSERT INTO event VALUES ('1977-07-18 12:03:00',6.30,22.10, 855,0.90,9.70, 188, 'Deep Moonquake', '230', '3023');
INSERT INTO event VALUES ('1977-07-18 17:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '366', '3025');
INSERT INTO event VALUES ('1977-07-18 18:22:00',-13.70,-21.60, 764,3.90,4.50, 81, 'Deep Moonquake', '216', '3025');
INSERT INTO event VALUES ('1977-07-18 22:21:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '3026, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-07-19 00:40:00',7.00,8.30, 1019,1.30,4.10, 191, 'Deep Moonquake', '243', '3027');
INSERT INTO event VALUES ('1977-07-19 01:07:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '3027');
INSERT INTO event VALUES ('1977-07-19 03:31:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '227', '3028');
INSERT INTO event VALUES ('1977-07-19 03:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '437', '3028');
INSERT INTO event VALUES ('1977-07-19 07:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', '3029');
INSERT INTO event VALUES ('1977-07-19 08:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '337', '3029');
INSERT INTO event VALUES ('1977-07-19 08:38:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', '3029');
INSERT INTO event VALUES ('1977-07-19 09:08:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', '3029');
INSERT INTO event VALUES ('1977-07-19 10:41:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', '3030');
INSERT INTO event VALUES ('1977-07-19 11:15:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '3030, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-07-19 12:47:00',0.50,47.30, 1243,2.00,11.80, 50, 'Deep Moonquake', '203', '3030');
INSERT INTO event VALUES ('1977-07-19 15:53:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', '3031');
INSERT INTO event VALUES ('1977-07-19 17:53:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', '3032');
INSERT INTO event VALUES ('1977-07-19 18:48:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', '3032');
INSERT INTO event VALUES ('1977-07-19 20:40:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '17LSG=2MM,PXS@14,15,16   3032C');
INSERT INTO event VALUES ('1977-07-19 22:33:00',17.40,-39.10, 702,1.50,3.40, 10, 'Deep Moonquake', '5', '3033, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-07-19 23:07:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', '3033');
INSERT INTO event VALUES ('1977-07-20 06:59:00',-26.50,-35.10, 933,12.00,7.20, 109, 'Deep Moonquake', '209', '3035, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-07-20 10:22:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '3036');
INSERT INTO event VALUES ('1977-07-20 12:28:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '3036');
INSERT INTO event VALUES ('1977-07-20 19:53:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '3038');
INSERT INTO event VALUES ('1977-07-20 20:08:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '3038C');
INSERT INTO event VALUES ('1977-07-20 20:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '399', '3039');
INSERT INTO event VALUES ('1977-07-20 21:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '219', '3039');
INSERT INTO event VALUES ('1977-07-20 22:10:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', '3039');
INSERT INTO event VALUES ('1977-07-20 22:50:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', '3039');
INSERT INTO event VALUES ('1977-07-20 23:43:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', '3039');
INSERT INTO event VALUES ('1977-07-21 00:10:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', '12 SICK.TILL SR ON 206   3039C');
INSERT INTO event VALUES ('1977-07-21 03:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '289', '3040');
INSERT INTO event VALUES ('1977-07-21 04:28:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3040C');
INSERT INTO event VALUES ('1977-07-21 04:57:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', '3041');
INSERT INTO event VALUES ('1977-07-21 05:25:00',19.40,24.30, 959,2.70,5.10, 68, 'Deep Moonquake', '246', '3041');
INSERT INTO event VALUES ('1977-07-21 08:39:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', '3042');
INSERT INTO event VALUES ('1977-07-21 10:41:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '3042C');
INSERT INTO event VALUES ('1977-07-21 11:14:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', '3042C');
INSERT INTO event VALUES ('1977-07-21 11:39:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '3042C');
INSERT INTO event VALUES ('1977-07-21 11:58:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', 'DATA GAP AFTER 1200      3042C');
INSERT INTO event VALUES ('1977-07-21 15:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3044');
INSERT INTO event VALUES ('1977-07-21 18:46:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3046');
INSERT INTO event VALUES ('1977-07-21 19:11:00',27.50,34.30, 919,9.90,20.60, 160, 'Deep Moonquake', '82', '3046');
INSERT INTO event VALUES ('1977-07-21 20:36:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '3046');
INSERT INTO event VALUES ('1977-07-21 21:24:00',-50.70,-21.40, 933,7.90,5.50, 109, 'Deep Moonquake', '224', '3046, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-07-21 22:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3047');
INSERT INTO event VALUES ('1977-07-22 03:03:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '3048');
INSERT INTO event VALUES ('1977-07-22 08:05:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', '3050');
INSERT INTO event VALUES ('1977-07-22 09:35:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '3051');
INSERT INTO event VALUES ('1977-07-22 09:57:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', '3051');
INSERT INTO event VALUES ('1977-07-22 16:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=2.0MM              3052C');
INSERT INTO event VALUES ('1977-07-22 17:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '219', '3053');
INSERT INTO event VALUES ('1977-07-22 21:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ AT 16 IS CLIPPED     3054');
INSERT INTO event VALUES ('1977-07-22 23:05:00',34.60,56.10, 933,20.90,81.00, 109, 'Deep Moonquake', '244', '3054, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-07-22 23:44:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', '3054C');
INSERT INTO event VALUES ('1977-07-23 07:12:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '3057');
INSERT INTO event VALUES ('1977-07-23 07:35:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', '3057');
INSERT INTO event VALUES ('1977-07-23 07:59:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-07-23 15:23:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '3059, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-07-24 01:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '219', '15SR @204/2027           3062');
INSERT INTO event VALUES ('1977-07-24 02:07:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '3062');
INSERT INTO event VALUES ('1977-07-24 03:46:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', '3063C, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-07-24 08:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '90', '3064C');
INSERT INTO event VALUES ('1977-07-24 08:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ AT 16 IS CLIPPED     3065');
INSERT INTO event VALUES ('1977-07-24 12:35:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '3066');
INSERT INTO event VALUES ('1977-07-24 12:57:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '263', '3066');
INSERT INTO event VALUES ('1977-07-24 14:07:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', '3066');
INSERT INTO event VALUES ('1977-07-25 00:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3070');
INSERT INTO event VALUES ('1977-07-25 05:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14SR @206/0113           3071');
INSERT INTO event VALUES ('1977-07-25 11:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ AT 15 IS 25          3073');
INSERT INTO event VALUES ('1977-07-25 11:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', '3073');
INSERT INTO event VALUES ('1977-07-25 18:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '440', '3075');
INSERT INTO event VALUES ('1977-07-25 21:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '3075C');
INSERT INTO event VALUES ('1977-07-26 09:02:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ AT 15 IS CLIPPED     3079');
INSERT INTO event VALUES ('1977-07-27 04:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14X AMPL IS GIVEN        3085');
INSERT INTO event VALUES ('1977-07-28 18:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Suspected Long-period Thermal Moonquake', '502', '3097');
INSERT INTO event VALUES ('1977-07-28 20:48:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3097');
INSERT INTO event VALUES ('1977-07-29 16:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT                  3103');
INSERT INTO event VALUES ('1977-07-29 18:06:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '3103C');
INSERT INTO event VALUES ('1977-07-29 20:32:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', '3105');
INSERT INTO event VALUES ('1977-07-30 01:06:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3106');
INSERT INTO event VALUES ('1977-07-30 10:09:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1977-07-30 18:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '3111');
INSERT INTO event VALUES ('1977-07-30 20:53:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', '3113');
INSERT INTO event VALUES ('1977-07-30 21:57:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', '3113');
INSERT INTO event VALUES ('1977-07-31 00:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3113');
INSERT INTO event VALUES ('1977-07-31 20:53:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '3117C');
INSERT INTO event VALUES ('1977-08-01 04:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '3119');
INSERT INTO event VALUES ('1977-08-01 14:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', '3121C');
INSERT INTO event VALUES ('1977-08-01 20:10:00',53.40,60.90, 1077,15.20,66.10, 32, 'Deep Moonquake', '29', '3123');
INSERT INTO event VALUES ('1977-08-01 21:11:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3123');
INSERT INTO event VALUES ('1977-08-01 22:07:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '3123');
INSERT INTO event VALUES ('1977-08-01 23:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '3123');
INSERT INTO event VALUES ('1977-08-02 13:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '94', '3126C');
INSERT INTO event VALUES ('1977-08-02 14:30:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', '3127');
INSERT INTO event VALUES ('1977-08-02 18:27:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', '3127');
INSERT INTO event VALUES ('1977-08-02 20:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3128');
INSERT INTO event VALUES ('1977-08-04 05:28:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', '3136');
INSERT INTO event VALUES ('1977-08-04 14:56:00',35.10,59.80, 924,2.20,9.90, 28, 'Deep Moonquake', '25', '3139');
INSERT INTO event VALUES ('1977-08-06 04:12:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', '3149C');
INSERT INTO event VALUES ('1977-08-06 16:42:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '3153');
INSERT INTO event VALUES ('1977-08-07 03:58:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', '3156, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-08-07 06:21:00',8.30,28.30, 1048,1.80,2.10, 8, 'Deep Moonquake', '28', '3157, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-08-08 01:47:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', '3163');
INSERT INTO event VALUES ('1977-08-09 06:38:00',23.00,20.40, 1085,3.30,4.70, 64, 'Deep Moonquake', '27', '3169');
INSERT INTO event VALUES ('1977-08-09 08:53:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3170');
INSERT INTO event VALUES ('1977-08-09 09:08:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', '3170');
INSERT INTO event VALUES ('1977-08-09 10:52:00',6.20,11.90, 794,0.60,1.80, 64, 'Deep Moonquake', '96', '3170');
INSERT INTO event VALUES ('1977-08-09 18:15:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '3172');
INSERT INTO event VALUES ('1977-08-10 04:10:00',5.10,115.80, 877,2.60,9.30, 112, 'Deep Moonquake', '33', '3175');
INSERT INTO event VALUES ('1977-08-10 07:25:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', '3175C');
INSERT INTO event VALUES ('1977-08-10 13:25:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', '3177');
INSERT INTO event VALUES ('1977-08-10 15:07:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '3177C, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-08-11 00:01:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '3180');
INSERT INTO event VALUES ('1977-08-11 07:28:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '3182');
INSERT INTO event VALUES ('1977-08-11 09:40:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '3183');
INSERT INTO event VALUES ('1977-08-11 17:56:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', '3185');
INSERT INTO event VALUES ('1977-08-11 20:35:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '12Y AMPL IS GIVEN        3185');
INSERT INTO event VALUES ('1977-08-11 22:13:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', '3186');
INSERT INTO event VALUES ('1977-08-11 22:41:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '289', '3186');
INSERT INTO event VALUES ('1977-08-11 23:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3186');
INSERT INTO event VALUES ('1977-08-12 10:28:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1977-08-13 04:27:00',8.60,-50.80, 952,4.60,5.60, 93, 'Deep Moonquake', '49', '3191');
INSERT INTO event VALUES ('1977-08-13 04:51:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1977-08-13 06:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', 'DATA GAP FOLLOWS         3192');
INSERT INTO event VALUES ('1977-08-13 08:17:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'BEHEADED                 3192');
INSERT INTO event VALUES ('1977-08-13 16:52:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', 'SYNC ERROR @15, 3193, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-08-13 17:41:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', 'DATA BAD ALL STATIONS    3193');
INSERT INTO event VALUES ('1977-08-13 22:20:00',8.40,-64.00, 968,1.80,4.70, 18, 'Deep Moonquake', '54', 'DISTANT C?, 3195, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-08-13 23:00:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', '3195');
INSERT INTO event VALUES ('1977-08-14 00:23:00',-13.70,-21.60, 764,3.90,4.50, 81, 'Deep Moonquake', '216', '3196');
INSERT INTO event VALUES ('1977-08-14 01:58:00',-46.50,38.90, 933,8.30,9.30, 109, 'Deep Moonquake', '251', '3196C, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-08-14 03:44:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NEAR 14,14SPZ=23MM       3197');
INSERT INTO event VALUES ('1977-08-14 05:01:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '366', '3197');
INSERT INTO event VALUES ('1977-08-14 10:45:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'BEHEADED                 3197');
INSERT INTO event VALUES ('1977-08-14 14:02:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3198');
INSERT INTO event VALUES ('1977-08-14 15:00:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', '3198C');
INSERT INTO event VALUES ('1977-08-14 19:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', '3199');
INSERT INTO event VALUES ('1977-08-14 20:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '337', '3199C');
INSERT INTO event VALUES ('1977-08-14 21:28:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', '3200');
INSERT INTO event VALUES ('1977-08-14 22:05:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '3200');
INSERT INTO event VALUES ('1977-08-14 22:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'NEAR 14,14SPZ=30MM       3200');
INSERT INTO event VALUES ('1977-08-14 23:07:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', '3200');
INSERT INTO event VALUES ('1977-08-15 00:48:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1977-08-15 04:27:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', '3202');
INSERT INTO event VALUES ('1977-08-15 05:46:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', '3202');
INSERT INTO event VALUES ('1977-08-15 06:37:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '3202');
INSERT INTO event VALUES ('1977-08-15 06:56:00',-26.50,-35.10, 933,12.00,7.20, 109, 'Deep Moonquake', '209', '3202C, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-08-15 22:12:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1977-08-16 01:36:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '3207, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-08-16 06:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ=2MM                  3209');
INSERT INTO event VALUES ('1977-08-16 11:57:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', 'SYNC ERRORS @14          3210');
INSERT INTO event VALUES ('1977-08-16 12:28:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', 'SYNC ERRORS @14          3210');
INSERT INTO event VALUES ('1977-08-16 16:59:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '3211');
INSERT INTO event VALUES ('1977-08-16 17:45:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', '3211');
INSERT INTO event VALUES ('1977-08-16 18:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '344', '3211');
INSERT INTO event VALUES ('1977-08-16 19:13:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '3211C, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-08-16 21:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '399', '3212');
INSERT INTO event VALUES ('1977-08-16 21:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '325', '3212');
INSERT INTO event VALUES ('1977-08-17 02:06:00',-46.50,38.90, 933,8.30,9.30, 109, 'Deep Moonquake', '251', '3214, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-08-17 02:32:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-08-17 05:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '270', '3214C');
INSERT INTO event VALUES ('1977-08-17 07:36:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', '3215');
INSERT INTO event VALUES ('1977-08-17 15:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '207', '3216C');
INSERT INTO event VALUES ('1977-08-17 16:50:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'GOOD P&S @14,12Y DEAD    3217');
INSERT INTO event VALUES ('1977-08-17 17:50:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', '3217C');
INSERT INTO event VALUES ('1977-08-17 22:48:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '3219');
INSERT INTO event VALUES ('1977-08-17 23:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '16SPZ=3MM                3219');
INSERT INTO event VALUES ('1977-08-17 23:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '441', '3219');
INSERT INTO event VALUES ('1977-08-18 05:50:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', '3220C');
INSERT INTO event VALUES ('1977-08-18 06:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3221');
INSERT INTO event VALUES ('1977-08-18 08:21:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3221');
INSERT INTO event VALUES ('1977-08-18 08:34:00',34.60,56.10, 933,20.90,81.00, 109, 'Deep Moonquake', '244', '3221, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-08-18 08:59:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '219', '3221');
INSERT INTO event VALUES ('1977-08-18 14:52:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', '3222');
INSERT INTO event VALUES ('1977-08-18 15:09:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '89', '3222');
INSERT INTO event VALUES ('1977-08-18 23:48:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', '14X AMP                  3224');
INSERT INTO event VALUES ('1977-08-19 00:28:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', '14X AMP, 3224, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-08-19 01:10:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', '15 BAD                   3224C');
INSERT INTO event VALUES ('1977-08-19 05:04:00',26.70,5.20, 933,5.60,2.10, 109, 'Deep Moonquake', '239', '3226, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-08-19 16:32:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '3228');
INSERT INTO event VALUES ('1977-08-19 20:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '320', '3229');
INSERT INTO event VALUES ('1977-08-19 22:34:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'P&S @14,16 , 3230, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-08-20 01:21:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '3230');
INSERT INTO event VALUES ('1977-08-20 19:48:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', '17LSG=1.5, 16SR@232/1556 3233');
INSERT INTO event VALUES ('1977-08-21 01:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14 BAD,15SPZ=7MM         3235');
INSERT INTO event VALUES ('1977-08-21 03:24:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=4MM                3235C');
INSERT INTO event VALUES ('1977-08-21 13:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', '3239');
INSERT INTO event VALUES ('1977-08-21 14:04:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '263', '15SR@234/0710            3239');
INSERT INTO event VALUES ('1977-08-23 01:44:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '14XAMP,16SYNC,           3249');
INSERT INTO event VALUES ('1977-08-24 16:23:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ=3.5,SR14@235/1231    3261');
INSERT INTO event VALUES ('1977-08-25 10:32:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'DISTANT,SR12@235/1930    3265C');
INSERT INTO event VALUES ('1977-08-27 02:37:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', '3272C');
INSERT INTO event VALUES ('1977-08-27 03:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3273');
INSERT INTO event VALUES ('1977-08-27 06:16:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '422', '3273');
INSERT INTO event VALUES ('1977-08-27 07:46:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '3274, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-08-27 08:12:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '3274, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-08-27 11:15:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3274');
INSERT INTO event VALUES ('1977-08-27 12:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '3275');
INSERT INTO event VALUES ('1977-08-27 16:40:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '210', '3276');
INSERT INTO event VALUES ('1977-08-27 16:55:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3276');
INSERT INTO event VALUES ('1977-08-27 17:45:00',43.50,55.50, 844,2.90,9.50, 33, 'Deep Moonquake', '6', '3276');
INSERT INTO event VALUES ('1977-08-28 00:30:00',1.40,15.00, 933,1.60,3.70, 109, 'Deep Moonquake', '255', '3278');
INSERT INTO event VALUES ('1977-08-28 01:27:00',-53.20,-54.40, 933,4.60,11.40, 109, 'Deep Moonquake', '281', '3279, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-08-28 01:55:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '416', '3279');
INSERT INTO event VALUES ('1977-08-28 02:15:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', '3279');
INSERT INTO event VALUES ('1977-08-28 05:42:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3280');
INSERT INTO event VALUES ('1977-08-28 10:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '23', '3281');
INSERT INTO event VALUES ('1977-08-28 11:08:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '256', '3281C');
INSERT INTO event VALUES ('1977-08-28 19:30:00',-3.40,12.50, 933,2.50,3.10, 109, 'Deep Moonquake', '249', 'DOUBLE EVENT ?,3284C, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-08-28 23:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', '3285');
INSERT INTO event VALUES ('1977-08-29 07:25:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '3287');
INSERT INTO event VALUES ('1977-08-29 08:08:00',53.40,60.90, 1077,15.20,66.10, 32, 'Deep Moonquake', '29', '3287');
INSERT INTO event VALUES ('1977-08-29 15:09:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', '3289C');
INSERT INTO event VALUES ('1977-08-29 20:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'ST16 IS OUT 2043-2052    3292C');
INSERT INTO event VALUES ('1977-08-29 21:15:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1977-08-30 01:38:00',-40.60,-3.80, 862,14.80,1.60, 88, 'Deep Moonquake', '201', '3293');
INSERT INTO event VALUES ('1977-08-30 05:22:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', '3294');
INSERT INTO event VALUES ('1977-08-30 07:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3294');
INSERT INTO event VALUES ('1977-08-30 13:27:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '362', '3296');
INSERT INTO event VALUES ('1977-08-30 16:47:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '3296C');
INSERT INTO event VALUES ('1977-08-31 04:47:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', 'DOUBLE EVENT ?           3299');
INSERT INTO event VALUES ('1977-08-31 16:00:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '3302');
INSERT INTO event VALUES ('1977-09-03 02:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ15=5MM                3314C');
INSERT INTO event VALUES ('1977-09-03 05:47:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', '3316, The source position is decided by (Khan and Mosegaard, 2002) ');
INSERT INTO event VALUES ('1977-09-03 22:40:00',7.50,6.30, 1019,0.80,1.50, 78, 'Deep Moonquake', '16', '3320C');
INSERT INTO event VALUES ('1977-09-04 10:37:00',23.70,-31.40, 945,2.50,5.30, 50, 'Deep Moonquake', '20', '3323');
INSERT INTO event VALUES ('1977-09-04 12:20:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'GAP 1238-1342,14X AMPL   3324');
INSERT INTO event VALUES ('1977-09-06 07:00:00',-2.00,32.20, 920,4.20,17.10, 184, 'Deep Moonquake', '100', '3331C');
INSERT INTO event VALUES ('1977-09-06 09:50:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3332');
INSERT INTO event VALUES ('1977-09-06 14:03:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3333');
INSERT INTO event VALUES ('1977-09-08 13:22:00',10.00,22.80, 989,1.10,4.20, 69, 'Deep Moonquake', '99', '3346');
INSERT INTO event VALUES ('1977-09-08 16:18:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', NULL);
INSERT INTO event VALUES ('1977-09-08 16:28:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1977-09-08 16:44:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1977-09-08 21:30:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '208', '3348');
INSERT INTO event VALUES ('1977-09-09 06:58:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '3350');
INSERT INTO event VALUES ('1977-09-09 07:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '289', 'M?  12X:OUT,12Y:NOISY    3350');
INSERT INTO event VALUES ('1977-09-09 08:35:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '373', '12X:OUT,12Y:NOISY        3351C');
INSERT INTO event VALUES ('1977-09-09 09:14:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1977-09-09 09:58:00',53.80,35.20, 933,6.80,19.20, 109, 'Deep Moonquake', '271', '12X:OUT,12Y:NOISY, 3352, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-09-09 10:37:00',14.30,5.20, 1122,2.60,2.00, 90, 'Deep Moonquake', '26', '12X:OUT,12Y:NOISY        3352');
INSERT INTO event VALUES ('1977-09-09 11:23:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '12X:OUT,12Y:NOISY        3352');
INSERT INTO event VALUES ('1977-09-09 11:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '220', '12X:OUT,12Y:NOISY        3352');
INSERT INTO event VALUES ('1977-09-09 14:30:00',25.00,43.60, 944,2.70,7.30, 38, 'Deep Moonquake', '32', '3353');
INSERT INTO event VALUES ('1977-09-09 15:45:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '3354');
INSERT INTO event VALUES ('1977-09-09 16:27:00',6.30,22.10, 855,0.90,9.70, 188, 'Deep Moonquake', '230', '3354');
INSERT INTO event VALUES ('1977-09-09 16:43:00',8.60,-50.80, 952,4.60,5.60, 93, 'Deep Moonquake', '49', '3354');
INSERT INTO event VALUES ('1977-09-09 17:12:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '104', '3354');
INSERT INTO event VALUES ('1977-09-09 22:21:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '3356');
INSERT INTO event VALUES ('1977-09-10 00:19:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '12XY DEAD UNTILL DAY 255 3356');
INSERT INTO event VALUES ('1977-09-10 00:36:00',7.10,22.50, 984,1.20,4.70, 76, 'Deep Moonquake', '283', '3356');
INSERT INTO event VALUES ('1977-09-10 01:36:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', '3356C');
INSERT INTO event VALUES ('1977-09-10 02:56:00',-13.70,-21.60, 764,3.90,4.50, 81, 'Deep Moonquake', '216', 'DOUBLE EVENT?            3357');
INSERT INTO event VALUES ('1977-09-10 06:51:00',-40.90,-40.60, 933,7.50,8.40, 109, 'Deep Moonquake', '86', '3358, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-09-10 09:34:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '3358');
INSERT INTO event VALUES ('1977-09-10 10:10:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '284', '12,14 NO DATA FROM 1028  3358C');
INSERT INTO event VALUES ('1977-09-10 17:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3361');
INSERT INTO event VALUES ('1977-09-10 19:29:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '17LSG=1.2MM              3362');
INSERT INTO event VALUES ('1977-09-10 20:22:00',21.60,43.60, 788,1.80,5.90, 29, 'Deep Moonquake', '22', '3362C');
INSERT INTO event VALUES ('1977-09-10 20:46:00',7.00,8.30, 1019,1.30,4.10, 191, 'Deep Moonquake', '243', '3363');
INSERT INTO event VALUES ('1977-09-10 21:49:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '3363');
INSERT INTO event VALUES ('1977-09-10 22:55:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '3363');
INSERT INTO event VALUES ('1977-09-10 23:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '337', '3363');
INSERT INTO event VALUES ('1977-09-10 23:37:00',-19.10,-41.70, 973,3.00,5.60, 23, 'Deep Moonquake', '13', '3363');
INSERT INTO event VALUES ('1977-09-11 00:07:00',25.00,53.20, 893,1.70,8.00, 27, 'Deep Moonquake', '7', 'TAIL IN DATA GAP         3363');
INSERT INTO event VALUES ('1977-09-11 02:55:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '3364');
INSERT INTO event VALUES ('1977-09-11 05:24:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3365');
INSERT INTO event VALUES ('1977-09-11 06:01:00',25.50,-21.90, 807,2.30,2.80, 40, 'Deep Moonquake', '17', '3365');
INSERT INTO event VALUES ('1977-09-11 07:09:00',-2.90,-50.30, 946,1.70,6.30, 22, 'Deep Moonquake', '3', '3365');
INSERT INTO event VALUES ('1977-09-11 08:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '437', '3365');
INSERT INTO event VALUES ('1977-09-11 09:47:00',7.80,43.30, 1031,1.30,7.00, 37, 'Deep Moonquake', '38', '3366');
INSERT INTO event VALUES ('1977-09-11 10:17:00',36.80,21.20, 1006,4.50,4.50, 41, 'Deep Moonquake', '234', '3366');
INSERT INTO event VALUES ('1977-09-11 10:46:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '3366');
INSERT INTO event VALUES ('1977-09-11 13:23:00',0.50,47.30, 1243,2.00,11.80, 50, 'Deep Moonquake', '203', '3366C');
INSERT INTO event VALUES ('1977-09-11 15:17:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', '3367, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-09-11 21:36:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', NULL);
INSERT INTO event VALUES ('1977-09-12 00:58:00',-2.40,-73.30, 878,4.40,32.30, 107, 'Deep Moonquake', '218', '3369');
INSERT INTO event VALUES ('1977-09-12 04:14:00',-18.20,-50.80, 1037,3.00,7.20, 20, 'Deep Moonquake', '21', '3370');
INSERT INTO event VALUES ('1977-09-12 07:08:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', 'DISTANT C?, 3371, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-09-12 14:16:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', '3373');
INSERT INTO event VALUES ('1977-09-12 16:03:00',23.30,32.70, 925,2.40,5.50, 44, 'Deep Moonquake', '18', '17LSG=1.2MM              3373');
INSERT INTO event VALUES ('1977-09-12 17:26:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '399', '3373');
INSERT INTO event VALUES ('1977-09-12 18:36:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '3374');
INSERT INTO event VALUES ('1977-09-12 19:43:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '412', '3374');
INSERT INTO event VALUES ('1977-09-12 23:56:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', '3375, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-09-13 03:24:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-09-13 03:58:00',7.10,22.50, 984,1.20,4.70, 76, 'Deep Moonquake', '283', '3377');
INSERT INTO event VALUES ('1977-09-13 05:02:00',19.40,24.30, 959,2.70,5.10, 68, 'Deep Moonquake', '246', '3377');
INSERT INTO event VALUES ('1977-09-13 05:29:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', '3377, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-09-13 06:40:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3377');
INSERT INTO event VALUES ('1977-09-13 07:45:00',-28.40,-66.60, 933,8.90,9.20, 109, 'Deep Moonquake', '204', '3377C');
INSERT INTO event VALUES ('1977-09-13 09:55:00',42.90,110.90, 933,3.70,14.20, 109, 'Deep Moonquake', '285', '3378, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-09-13 11:37:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'DISTANT C?               3378');
INSERT INTO event VALUES ('1977-09-13 12:59:00',34.60,56.10, 933,20.90,81.00, 109, 'Deep Moonquake', '244', '3378C, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-09-13 19:52:00',26.30,20.00, 831,8.70,9.80, 169, 'Deep Moonquake', '238', '3380C');
INSERT INTO event VALUES ('1977-09-13 20:34:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '14SPZ=10MM,17LSG=1.1MM   3381');
INSERT INTO event VALUES ('1977-09-13 21:36:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '15SPZ=3MM                3381');
INSERT INTO event VALUES ('1977-09-13 23:07:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', 'GOOD SP 14,16.           3381');
INSERT INTO event VALUES ('1977-09-14 07:38:00',22.50,29.70, 1343,5.50,10.70, 82, 'Deep Moonquake', '37', '3383');
INSERT INTO event VALUES ('1977-09-14 08:18:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', '3383, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-09-14 16:23:00',27.50,-4.60, 1058,4.70,1.90, 74, 'Deep Moonquake', '36', '3384');
INSERT INTO event VALUES ('1977-09-14 18:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '219', '3385');
INSERT INTO event VALUES ('1977-09-14 20:26:00',35.00,19.10, 1063,6.20,5.50, 63, 'Deep Moonquake', '257', '3386');
INSERT INTO event VALUES ('1977-09-14 20:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ14 CLIPPED            3386');
INSERT INTO event VALUES ('1977-09-15 17:10:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1977-09-15 19:13:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', NULL);
INSERT INTO event VALUES ('1977-09-16 00:56:00',-25.20,-37.60, 928,0.90,1.20, 13, 'Deep Moonquake', '14', 'The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-09-16 07:13:00',27.70,34.40, 974,3.00,6.40, 42, 'Deep Moonquake', '19', '3456');
INSERT INTO event VALUES ('1977-09-16 20:07:00',-15.70,-36.60, 867,2.40,4.60, 29, 'Deep Moonquake', '1', '3459');
INSERT INTO event VALUES ('1977-09-16 20:49:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SPZ14 CLIPPED            3459');
INSERT INTO event VALUES ('1977-09-16 22:06:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '263', '3459');
INSERT INTO event VALUES ('1977-09-16 22:32:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3459');
INSERT INTO event VALUES ('1977-09-17 01:57:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', '3460, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-09-17 02:51:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', '3461, The source position is decided by (Khan and Mosegaard, 2002)');
INSERT INTO event VALUES ('1977-09-17 05:39:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '253', '3461');
INSERT INTO event VALUES ('1977-09-17 06:33:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '225', '3461');
INSERT INTO event VALUES ('1977-09-18 05:47:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '17LSG=4MM                3467');
INSERT INTO event VALUES ('1977-09-18 05:52:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '430', '3467');
INSERT INTO event VALUES ('1977-09-20 04:05:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, 'SR16@262/402 15@263/1803 3482');
INSERT INTO event VALUES ('1977-09-22 13:58:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SR14@265/033 12@265/730  3497');
INSERT INTO event VALUES ('1977-09-23 15:47:00',5.00,36.10, 933,1.50,11.40, 109, 'Deep Moonquake', '35', '3503, (*) The source depth is assumed to be 933km');
INSERT INTO event VALUES ('1977-09-23 17:50:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', NULL, '3504');
INSERT INTO event VALUES ('1977-09-24 00:35:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3506');
INSERT INTO event VALUES ('1977-09-24 03:21:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Special Type', NULL, 'PROB THERMAL MQ          3507');
INSERT INTO event VALUES ('1977-09-24 12:38:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '3509');
INSERT INTO event VALUES ('1977-09-24 12:48:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '423', '3509');
INSERT INTO event VALUES ('1977-09-24 15:05:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3510');
INSERT INTO event VALUES ('1977-09-24 19:43:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '3512');
INSERT INTO event VALUES ('1977-09-25 12:03:00',53.40,60.90, 1077,15.20,66.10, 32, 'Deep Moonquake', '29', '3516');
INSERT INTO event VALUES ('1977-09-26 07:32:00',12.70,-35.70, 931,1.20,4.80, 39, 'Deep Moonquake', '30', '3521');
INSERT INTO event VALUES ('1977-09-26 09:05:00',-35.70,-40.30, 988,4.90,6.70, 21, 'Deep Moonquake', '10', '3522');
INSERT INTO event VALUES ('1977-09-26 19:24:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', '3525');
INSERT INTO event VALUES ('1977-09-26 23:58:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Deep Moonquake', '362', '3526');
INSERT INTO event VALUES ('1977-09-27 10:39:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', '3529');
INSERT INTO event VALUES ('1977-09-27 18:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '3531');
INSERT INTO event VALUES ('1977-09-28 00:30:00',-23.70,-35.50, 1086,4.80,6.50, 37, 'Deep Moonquake', '8', NULL);
INSERT INTO event VALUES ('1977-09-28 00:51:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '3532');
INSERT INTO event VALUES ('1977-09-28 02:23:00',23.00,20.40, 1085,3.30,4.70, 64, 'Deep Moonquake', '27', '3532');
INSERT INTO event VALUES ('1977-09-28 07:07:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '3534');
INSERT INTO event VALUES ('1977-09-28 08:13:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1977-09-28 08:24:00',-6.00,-19.70, 1037,2.40,3.60, 68, 'Deep Moonquake', '9', NULL);
INSERT INTO event VALUES ('1977-09-28 09:47:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '3535');
INSERT INTO event VALUES ('1977-09-29 04:45:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '3540');
INSERT INTO event VALUES ('1977-09-29 07:17:00', NULL, NULL, NULL, NULL, NULL, NULL, 'Meteoroid Impact', NULL, '17LSG WEAK,14SPZ STRONG  3540C');
INSERT INTO event VALUES ('1977-09-29 18:13:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'BEHEADED BY DATA GAP     3544');
INSERT INTO event VALUES ('1977-09-30 09:33:00',-16.90,-14.60, 933,4.50,1.80, 6, 'Deep Moonquake', '39', '3548, The source position is decided by (Khan and Mosegaard, 2002)');
CREATE INDEX event_datetime ON event USING btree (datetime);
